------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2010-2011, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3287 $ $Date: 2012-11-09 07:25:53 +0100 (Fri, 09 Nov 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------
with Matreshka.Internals.Strings;

package AMF.Internals.Tables.DC_String_Data_00 is

   --  "http://www.w3.org/2001/XMLSchema#integer"

   MS_0000 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 47,
         Unused => 40,
         Length => 40,
         Value  =>
          (16#0068#, 16#0074#, 16#0074#, 16#0070#,
           16#003A#, 16#002F#, 16#002F#, 16#0077#,
           16#0077#, 16#0077#, 16#002E#, 16#0077#,
           16#0033#, 16#002E#, 16#006F#, 16#0072#,
           16#0067#, 16#002F#, 16#0032#, 16#0030#,
           16#0030#, 16#0031#, 16#002F#, 16#0058#,
           16#004D#, 16#004C#, 16#0053#, 16#0063#,
           16#0068#, 16#0065#, 16#006D#, 16#0061#,
           16#0023#, 16#0069#, 16#006E#, 16#0074#,
           16#0065#, 16#0067#, 16#0065#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "Boolean is a primitive data type having one of two values: <i>true</i> or <i>false</i>, intended to represent the truth value of logical expressions."

   MS_0001 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 159,
         Unused => 149,
         Length => 149,
         Value  =>
          (16#0042#, 16#006F#, 16#006F#, 16#006C#,
           16#0065#, 16#0061#, 16#006E#, 16#0020#,
           16#0069#, 16#0073#, 16#0020#, 16#0061#,
           16#0020#, 16#0070#, 16#0072#, 16#0069#,
           16#006D#, 16#0069#, 16#0074#, 16#0069#,
           16#0076#, 16#0065#, 16#0020#, 16#0064#,
           16#0061#, 16#0074#, 16#0061#, 16#0020#,
           16#0074#, 16#0079#, 16#0070#, 16#0065#,
           16#0020#, 16#0068#, 16#0061#, 16#0076#,
           16#0069#, 16#006E#, 16#0067#, 16#0020#,
           16#006F#, 16#006E#, 16#0065#, 16#0020#,
           16#006F#, 16#0066#, 16#0020#, 16#0074#,
           16#0077#, 16#006F#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0073#, 16#003A#, 16#0020#, 16#003C#,
           16#0069#, 16#003E#, 16#0074#, 16#0072#,
           16#0075#, 16#0065#, 16#003C#, 16#002F#,
           16#0069#, 16#003E#, 16#0020#, 16#006F#,
           16#0072#, 16#0020#, 16#003C#, 16#0069#,
           16#003E#, 16#0066#, 16#0061#, 16#006C#,
           16#0073#, 16#0065#, 16#003C#, 16#002F#,
           16#0069#, 16#003E#, 16#002C#, 16#0020#,
           16#0069#, 16#006E#, 16#0074#, 16#0065#,
           16#006E#, 16#0064#, 16#0065#, 16#0064#,
           16#0020#, 16#0074#, 16#006F#, 16#0020#,
           16#0072#, 16#0065#, 16#0070#, 16#0072#,
           16#0065#, 16#0073#, 16#0065#, 16#006E#,
           16#0074#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#0020#, 16#0074#, 16#0072#,
           16#0075#, 16#0074#, 16#0068#, 16#0020#,
           16#0076#, 16#0061#, 16#006C#, 16#0075#,
           16#0065#, 16#0020#, 16#006F#, 16#0066#,
           16#0020#, 16#006C#, 16#006F#, 16#0067#,
           16#0069#, 16#0063#, 16#0061#, 16#006C#,
           16#0020#, 16#0065#, 16#0078#, 16#0070#,
           16#0072#, 16#0065#, 16#0073#, 16#0073#,
           16#0069#, 16#006F#, 16#006E#, 16#0073#,
           16#002E#,
           others => 16#0000#),
         others => <>);

   --  "y"

   MS_0002 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 1,
         Length => 1,
         Value  =>
          (16#0079#,
           others => 16#0000#),
         others => <>);

   --  "Real"

   MS_0003 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0052#, 16#0065#, 16#0061#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "yellow"

   MS_0004 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0079#, 16#0065#, 16#006C#, 16#006C#,
           16#006F#, 16#0077#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #008000"

   MS_0005 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0030#, 16#0030#, 16#0038#,
           16#0030#, 16#0030#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "start"

   MS_0006 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0073#, 16#0074#, 16#0061#, 16#0072#,
           16#0074#,
           others => 16#0000#),
         others => <>);

   --  "olive"

   MS_0007 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#006F#, 16#006C#, 16#0069#, 16#0076#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "0"

   MS_0008 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 1,
         Length => 1,
         Value  =>
          (16#0030#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #008080"

   MS_0009 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0030#, 16#0030#, 16#0038#,
           16#0030#, 16#0038#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #00FFFF"

   MS_000A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0030#, 16#0030#, 16#0046#,
           16#0046#, 16#0046#, 16#0046#,
           others => 16#0000#),
         others => <>);

   --  "Integer is a primitive data type used to represent the mathematical concept of integer."

   MS_000B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 95,
         Unused => 87,
         Length => 87,
         Value  =>
          (16#0049#, 16#006E#, 16#0074#, 16#0065#,
           16#0067#, 16#0065#, 16#0072#, 16#0020#,
           16#0069#, 16#0073#, 16#0020#, 16#0061#,
           16#0020#, 16#0070#, 16#0072#, 16#0069#,
           16#006D#, 16#0069#, 16#0074#, 16#0069#,
           16#0076#, 16#0065#, 16#0020#, 16#0064#,
           16#0061#, 16#0074#, 16#0061#, 16#0020#,
           16#0074#, 16#0079#, 16#0070#, 16#0065#,
           16#0020#, 16#0075#, 16#0073#, 16#0065#,
           16#0064#, 16#0020#, 16#0074#, 16#006F#,
           16#0020#, 16#0072#, 16#0065#, 16#0070#,
           16#0072#, 16#0065#, 16#0073#, 16#0065#,
           16#006E#, 16#0074#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#006D#,
           16#0061#, 16#0074#, 16#0068#, 16#0065#,
           16#006D#, 16#0061#, 16#0074#, 16#0069#,
           16#0063#, 16#0061#, 16#006C#, 16#0020#,
           16#0063#, 16#006F#, 16#006E#, 16#0063#,
           16#0065#, 16#0070#, 16#0074#, 16#0020#,
           16#006F#, 16#0066#, 16#0020#, 16#0069#,
           16#006E#, 16#0074#, 16#0065#, 16#0067#,
           16#0065#, 16#0072#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "valid_rgb"

   MS_000C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#0076#, 16#0061#, 16#006C#, 16#0069#,
           16#0064#, 16#005F#, 16#0072#, 16#0067#,
           16#0062#,
           others => 16#0000#),
         others => <>);

   --  "String"

   MS_000D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0053#, 16#0074#, 16#0072#, 16#0069#,
           16#006E#, 16#0067#,
           others => 16#0000#),
         others => <>);

   --  "navy"

   MS_000E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#006E#, 16#0061#, 16#0076#, 16#0079#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #800080"

   MS_000F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0038#, 16#0030#, 16#0030#,
           16#0030#, 16#0038#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "a real number (>=0) that represents the height of the bounds"

   MS_0010 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 63,
         Unused => 60,
         Length => 60,
         Value  =>
          (16#0061#, 16#0020#, 16#0072#, 16#0065#,
           16#0061#, 16#006C#, 16#0020#, 16#006E#,
           16#0075#, 16#006D#, 16#0062#, 16#0065#,
           16#0072#, 16#0020#, 16#0028#, 16#003E#,
           16#003D#, 16#0030#, 16#0029#, 16#0020#,
           16#0074#, 16#0068#, 16#0061#, 16#0074#,
           16#0020#, 16#0072#, 16#0065#, 16#0070#,
           16#0072#, 16#0065#, 16#0073#, 16#0065#,
           16#006E#, 16#0074#, 16#0073#, 16#0020#,
           16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0068#, 16#0065#, 16#0069#, 16#0067#,
           16#0068#, 16#0074#, 16#0020#, 16#006F#,
           16#0066#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#0020#, 16#0062#, 16#006F#,
           16#0075#, 16#006E#, 16#0064#, 16#0073#,
           others => 16#0000#),
         others => <>);

   --  "Point"

   MS_0011 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0050#, 16#006F#, 16#0069#, 16#006E#,
           16#0074#,
           others => 16#0000#),
         others => <>);

   --  "teal"

   MS_0012 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0074#, 16#0065#, 16#0061#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "the width and height of a dimension cannot be negative"

   MS_0013 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 55,
         Unused => 54,
         Length => 54,
         Value  =>
          (16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0077#, 16#0069#, 16#0064#, 16#0074#,
           16#0068#, 16#0020#, 16#0061#, 16#006E#,
           16#0064#, 16#0020#, 16#0068#, 16#0065#,
           16#0069#, 16#0067#, 16#0068#, 16#0074#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0061#, 16#0020#, 16#0064#, 16#0069#,
           16#006D#, 16#0065#, 16#006E#, 16#0073#,
           16#0069#, 16#006F#, 16#006E#, 16#0020#,
           16#0063#, 16#0061#, 16#006E#, 16#006E#,
           16#006F#, 16#0074#, 16#0020#, 16#0062#,
           16#0065#, 16#0020#, 16#006E#, 16#0065#,
           16#0067#, 16#0061#, 16#0074#, 16#0069#,
           16#0076#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "aqua"

   MS_0014 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0061#, 16#0071#, 16#0075#, 16#0061#,
           others => 16#0000#),
         others => <>);

   --  "Integer"

   MS_0015 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0049#, 16#006E#, 16#0074#, 16#0065#,
           16#0067#, 16#0065#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "fuchsia"

   MS_0016 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0066#, 16#0075#, 16#0063#, 16#0068#,
           16#0073#, 16#0069#, 16#0061#,
           others => 16#0000#),
         others => <>);

   --  "lime"

   MS_0017 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#006C#, 16#0069#, 16#006D#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #C0C0C0"

   MS_0018 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0043#, 16#0030#, 16#0043#,
           16#0030#, 16#0043#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "orange"

   MS_0019 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#006F#, 16#0072#, 16#0061#, 16#006E#,
           16#0067#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "KnownColor"

   MS_001A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#004B#, 16#006E#, 16#006F#, 16#0077#,
           16#006E#, 16#0043#, 16#006F#, 16#006C#,
           16#006F#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "org.omg.xmi.nsPrefix"

   MS_001B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 20,
         Length => 20,
         Value  =>
          (16#006F#, 16#0072#, 16#0067#, 16#002E#,
           16#006F#, 16#006D#, 16#0067#, 16#002E#,
           16#0078#, 16#006D#, 16#0069#, 16#002E#,
           16#006E#, 16#0073#, 16#0050#, 16#0072#,
           16#0065#, 16#0066#, 16#0069#, 16#0078#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #000000"

   MS_001C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0030#, 16#0030#, 16#0030#,
           16#0030#, 16#0030#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #FFFFFF"

   MS_001D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0046#, 16#0046#, 16#0046#,
           16#0046#, 16#0046#, 16#0046#,
           others => 16#0000#),
         others => <>);

   --  "A Point specifies an location in some x-y coordinate system."

   MS_001E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 63,
         Unused => 60,
         Length => 60,
         Value  =>
          (16#0041#, 16#0020#, 16#0050#, 16#006F#,
           16#0069#, 16#006E#, 16#0074#, 16#0020#,
           16#0073#, 16#0070#, 16#0065#, 16#0063#,
           16#0069#, 16#0066#, 16#0069#, 16#0065#,
           16#0073#, 16#0020#, 16#0061#, 16#006E#,
           16#0020#, 16#006C#, 16#006F#, 16#0063#,
           16#0061#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#, 16#0020#, 16#0069#, 16#006E#,
           16#0020#, 16#0073#, 16#006F#, 16#006D#,
           16#0065#, 16#0020#, 16#0078#, 16#002D#,
           16#0079#, 16#0020#, 16#0063#, 16#006F#,
           16#006F#, 16#0072#, 16#0064#, 16#0069#,
           16#006E#, 16#0061#, 16#0074#, 16#0065#,
           16#0020#, 16#0073#, 16#0079#, 16#0073#,
           16#0074#, 16#0065#, 16#006D#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #808000"

   MS_001F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0038#, 16#0030#, 16#0038#,
           16#0030#, 16#0030#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "a real number (<= 0 or >= 0) that represents the x-coordinate of the point."

   MS_0020 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 79,
         Unused => 75,
         Length => 75,
         Value  =>
          (16#0061#, 16#0020#, 16#0072#, 16#0065#,
           16#0061#, 16#006C#, 16#0020#, 16#006E#,
           16#0075#, 16#006D#, 16#0062#, 16#0065#,
           16#0072#, 16#0020#, 16#0028#, 16#003C#,
           16#003D#, 16#0020#, 16#0030#, 16#0020#,
           16#006F#, 16#0072#, 16#0020#, 16#003E#,
           16#003D#, 16#0020#, 16#0030#, 16#0029#,
           16#0020#, 16#0074#, 16#0068#, 16#0061#,
           16#0074#, 16#0020#, 16#0072#, 16#0065#,
           16#0070#, 16#0072#, 16#0065#, 16#0073#,
           16#0065#, 16#006E#, 16#0074#, 16#0073#,
           16#0020#, 16#0074#, 16#0068#, 16#0065#,
           16#0020#, 16#0078#, 16#002D#, 16#0063#,
           16#006F#, 16#006F#, 16#0072#, 16#0064#,
           16#0069#, 16#006E#, 16#0061#, 16#0074#,
           16#0065#, 16#0020#, 16#006F#, 16#0066#,
           16#0020#, 16#0074#, 16#0068#, 16#0065#,
           16#0020#, 16#0070#, 16#006F#, 16#0069#,
           16#006E#, 16#0074#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "a real number (>=0 or <=0) that represents the x-coordinate of the bounds"

   MS_0021 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 79,
         Unused => 73,
         Length => 73,
         Value  =>
          (16#0061#, 16#0020#, 16#0072#, 16#0065#,
           16#0061#, 16#006C#, 16#0020#, 16#006E#,
           16#0075#, 16#006D#, 16#0062#, 16#0065#,
           16#0072#, 16#0020#, 16#0028#, 16#003E#,
           16#003D#, 16#0030#, 16#0020#, 16#006F#,
           16#0072#, 16#0020#, 16#003C#, 16#003D#,
           16#0030#, 16#0029#, 16#0020#, 16#0074#,
           16#0068#, 16#0061#, 16#0074#, 16#0020#,
           16#0072#, 16#0065#, 16#0070#, 16#0072#,
           16#0065#, 16#0073#, 16#0065#, 16#006E#,
           16#0074#, 16#0073#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#0078#,
           16#002D#, 16#0063#, 16#006F#, 16#006F#,
           16#0072#, 16#0064#, 16#0069#, 16#006E#,
           16#0061#, 16#0074#, 16#0065#, 16#0020#,
           16#006F#, 16#0066#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#0062#,
           16#006F#, 16#0075#, 16#006E#, 16#0064#,
           16#0073#,
           others => 16#0000#),
         others => <>);

   --  "an alignment to the center of a given length"

   MS_0022 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 47,
         Unused => 44,
         Length => 44,
         Value  =>
          (16#0061#, 16#006E#, 16#0020#, 16#0061#,
           16#006C#, 16#0069#, 16#0067#, 16#006E#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           16#0020#, 16#0074#, 16#006F#, 16#0020#,
           16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0063#, 16#0065#, 16#006E#, 16#0074#,
           16#0065#, 16#0072#, 16#0020#, 16#006F#,
           16#0066#, 16#0020#, 16#0061#, 16#0020#,
           16#0067#, 16#0069#, 16#0076#, 16#0065#,
           16#006E#, 16#0020#, 16#006C#, 16#0065#,
           16#006E#, 16#0067#, 16#0074#, 16#0068#,
           others => 16#0000#),
         others => <>);

   --  "the width and height of bounds cannot be negative"

   MS_0023 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 55,
         Unused => 49,
         Length => 49,
         Value  =>
          (16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0077#, 16#0069#, 16#0064#, 16#0074#,
           16#0068#, 16#0020#, 16#0061#, 16#006E#,
           16#0064#, 16#0020#, 16#0068#, 16#0065#,
           16#0069#, 16#0067#, 16#0068#, 16#0074#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0062#, 16#006F#, 16#0075#, 16#006E#,
           16#0064#, 16#0073#, 16#0020#, 16#0063#,
           16#0061#, 16#006E#, 16#006E#, 16#006F#,
           16#0074#, 16#0020#, 16#0062#, 16#0065#,
           16#0020#, 16#006E#, 16#0065#, 16#0067#,
           16#0061#, 16#0074#, 16#0069#, 16#0076#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "KnownColor is an enumeration of 17 known colors."

   MS_0024 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 55,
         Unused => 48,
         Length => 48,
         Value  =>
          (16#004B#, 16#006E#, 16#006F#, 16#0077#,
           16#006E#, 16#0043#, 16#006F#, 16#006C#,
           16#006F#, 16#0072#, 16#0020#, 16#0069#,
           16#0073#, 16#0020#, 16#0061#, 16#006E#,
           16#0020#, 16#0065#, 16#006E#, 16#0075#,
           16#006D#, 16#0065#, 16#0072#, 16#0061#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0031#, 16#0037#, 16#0020#, 16#006B#,
           16#006E#, 16#006F#, 16#0077#, 16#006E#,
           16#0020#, 16#0063#, 16#006F#, 16#006C#,
           16#006F#, 16#0072#, 16#0073#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "silver"

   MS_0025 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0073#, 16#0069#, 16#006C#, 16#0076#,
           16#0065#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "http://www.w3.org/2001/XMLSchema#boolean"

   MS_0026 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 47,
         Unused => 40,
         Length => 40,
         Value  =>
          (16#0068#, 16#0074#, 16#0074#, 16#0070#,
           16#003A#, 16#002F#, 16#002F#, 16#0077#,
           16#0077#, 16#0077#, 16#002E#, 16#0077#,
           16#0033#, 16#002E#, 16#006F#, 16#0072#,
           16#0067#, 16#002F#, 16#0032#, 16#0030#,
           16#0030#, 16#0031#, 16#002F#, 16#0058#,
           16#004D#, 16#004C#, 16#0053#, 16#0063#,
           16#0068#, 16#0065#, 16#006D#, 16#0061#,
           16#0023#, 16#0062#, 16#006F#, 16#006F#,
           16#006C#, 16#0065#, 16#0061#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "org.omg.xmi.schemaType"

   MS_0027 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 22,
         Length => 22,
         Value  =>
          (16#006F#, 16#0072#, 16#0067#, 16#002E#,
           16#006F#, 16#006D#, 16#0067#, 16#002E#,
           16#0078#, 16#006D#, 16#0069#, 16#002E#,
           16#0073#, 16#0063#, 16#0068#, 16#0065#,
           16#006D#, 16#0061#, 16#0054#, 16#0079#,
           16#0070#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "an alignment to the end of a given length"

   MS_0028 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 47,
         Unused => 41,
         Length => 41,
         Value  =>
          (16#0061#, 16#006E#, 16#0020#, 16#0061#,
           16#006C#, 16#0069#, 16#0067#, 16#006E#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           16#0020#, 16#0074#, 16#006F#, 16#0020#,
           16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0065#, 16#006E#, 16#0064#, 16#0020#,
           16#006F#, 16#0066#, 16#0020#, 16#0061#,
           16#0020#, 16#0067#, 16#0069#, 16#0076#,
           16#0065#, 16#006E#, 16#0020#, 16#006C#,
           16#0065#, 16#006E#, 16#0067#, 16#0074#,
           16#0068#,
           others => 16#0000#),
         others => <>);

   --  "a real number (>=0) that represents a length along the y-axis."

   MS_0029 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 63,
         Unused => 62,
         Length => 62,
         Value  =>
          (16#0061#, 16#0020#, 16#0072#, 16#0065#,
           16#0061#, 16#006C#, 16#0020#, 16#006E#,
           16#0075#, 16#006D#, 16#0062#, 16#0065#,
           16#0072#, 16#0020#, 16#0028#, 16#003E#,
           16#003D#, 16#0030#, 16#0029#, 16#0020#,
           16#0074#, 16#0068#, 16#0061#, 16#0074#,
           16#0020#, 16#0072#, 16#0065#, 16#0070#,
           16#0072#, 16#0065#, 16#0073#, 16#0065#,
           16#006E#, 16#0074#, 16#0073#, 16#0020#,
           16#0061#, 16#0020#, 16#006C#, 16#0065#,
           16#006E#, 16#0067#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#006C#, 16#006F#,
           16#006E#, 16#0067#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#0079#,
           16#002D#, 16#0061#, 16#0078#, 16#0069#,
           16#0073#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "The Diagram Common (DC) package contains abstractions shared by the Diagram Interchange and the Diagram Graphics packages."

   MS_002A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 127,
         Unused => 122,
         Length => 122,
         Value  =>
          (16#0054#, 16#0068#, 16#0065#, 16#0020#,
           16#0044#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#0020#,
           16#0043#, 16#006F#, 16#006D#, 16#006D#,
           16#006F#, 16#006E#, 16#0020#, 16#0028#,
           16#0044#, 16#0043#, 16#0029#, 16#0020#,
           16#0070#, 16#0061#, 16#0063#, 16#006B#,
           16#0061#, 16#0067#, 16#0065#, 16#0020#,
           16#0063#, 16#006F#, 16#006E#, 16#0074#,
           16#0061#, 16#0069#, 16#006E#, 16#0073#,
           16#0020#, 16#0061#, 16#0062#, 16#0073#,
           16#0074#, 16#0072#, 16#0061#, 16#0063#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           16#0073#, 16#0020#, 16#0073#, 16#0068#,
           16#0061#, 16#0072#, 16#0065#, 16#0064#,
           16#0020#, 16#0062#, 16#0079#, 16#0020#,
           16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0044#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#0020#,
           16#0049#, 16#006E#, 16#0074#, 16#0065#,
           16#0072#, 16#0063#, 16#0068#, 16#0061#,
           16#006E#, 16#0067#, 16#0065#, 16#0020#,
           16#0061#, 16#006E#, 16#0064#, 16#0020#,
           16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0044#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#0020#,
           16#0047#, 16#0072#, 16#0061#, 16#0070#,
           16#0068#, 16#0069#, 16#0063#, 16#0073#,
           16#0020#, 16#0070#, 16#0061#, 16#0063#,
           16#006B#, 16#0061#, 16#0067#, 16#0065#,
           16#0073#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "center"

   MS_002B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0063#, 16#0065#, 16#006E#, 16#0074#,
           16#0065#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "blue"

   MS_002C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0062#, 16#006C#, 16#0075#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #800000"

   MS_002D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0038#, 16#0030#, 16#0030#,
           16#0030#, 16#0030#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "green"

   MS_002E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0067#, 16#0072#, 16#0065#, 16#0065#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "red"

   MS_002F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 3,
         Length => 3,
         Value  =>
          (16#0072#, 16#0065#, 16#0064#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #FF0000"

   MS_0030 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0046#, 16#0046#, 16#0030#,
           16#0030#, 16#0030#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "an alignment to the start of a given length."

   MS_0031 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 47,
         Unused => 44,
         Length => 44,
         Value  =>
          (16#0061#, 16#006E#, 16#0020#, 16#0061#,
           16#006C#, 16#0069#, 16#0067#, 16#006E#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           16#0020#, 16#0074#, 16#006F#, 16#0020#,
           16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0073#, 16#0074#, 16#0061#, 16#0072#,
           16#0074#, 16#0020#, 16#006F#, 16#0066#,
           16#0020#, 16#0061#, 16#0020#, 16#0067#,
           16#0069#, 16#0076#, 16#0065#, 16#006E#,
           16#0020#, 16#006C#, 16#0065#, 16#006E#,
           16#0067#, 16#0074#, 16#0068#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "a real number (>=0) that represents the width of the bounds"

   MS_0032 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 63,
         Unused => 59,
         Length => 59,
         Value  =>
          (16#0061#, 16#0020#, 16#0072#, 16#0065#,
           16#0061#, 16#006C#, 16#0020#, 16#006E#,
           16#0075#, 16#006D#, 16#0062#, 16#0065#,
           16#0072#, 16#0020#, 16#0028#, 16#003E#,
           16#003D#, 16#0030#, 16#0029#, 16#0020#,
           16#0074#, 16#0068#, 16#0061#, 16#0074#,
           16#0020#, 16#0072#, 16#0065#, 16#0070#,
           16#0072#, 16#0065#, 16#0073#, 16#0065#,
           16#006E#, 16#0074#, 16#0073#, 16#0020#,
           16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0077#, 16#0069#, 16#0064#, 16#0074#,
           16#0068#, 16#0020#, 16#006F#, 16#0066#,
           16#0020#, 16#0074#, 16#0068#, 16#0065#,
           16#0020#, 16#0062#, 16#006F#, 16#0075#,
           16#006E#, 16#0064#, 16#0073#,
           others => 16#0000#),
         others => <>);

   --  "DC"

   MS_0033 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 2,
         Length => 2,
         Value  =>
          (16#0044#, 16#0043#,
           others => 16#0000#),
         others => <>);

   --  "AlignmentKind enumerates the possible options for alignment for layout purposes."

   MS_0034 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 87,
         Unused => 80,
         Length => 80,
         Value  =>
          (16#0041#, 16#006C#, 16#0069#, 16#0067#,
           16#006E#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#, 16#004B#, 16#0069#, 16#006E#,
           16#0064#, 16#0020#, 16#0065#, 16#006E#,
           16#0075#, 16#006D#, 16#0065#, 16#0072#,
           16#0061#, 16#0074#, 16#0065#, 16#0073#,
           16#0020#, 16#0074#, 16#0068#, 16#0065#,
           16#0020#, 16#0070#, 16#006F#, 16#0073#,
           16#0073#, 16#0069#, 16#0062#, 16#006C#,
           16#0065#, 16#0020#, 16#006F#, 16#0070#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           16#0073#, 16#0020#, 16#0066#, 16#006F#,
           16#0072#, 16#0020#, 16#0061#, 16#006C#,
           16#0069#, 16#0067#, 16#006E#, 16#006D#,
           16#0065#, 16#006E#, 16#0074#, 16#0020#,
           16#0066#, 16#006F#, 16#0072#, 16#0020#,
           16#006C#, 16#0061#, 16#0079#, 16#006F#,
           16#0075#, 16#0074#, 16#0020#, 16#0070#,
           16#0075#, 16#0072#, 16#0070#, 16#006F#,
           16#0073#, 16#0065#, 16#0073#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #FF00FF"

   MS_0035 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0046#, 16#0046#, 16#0030#,
           16#0030#, 16#0046#, 16#0046#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #FFFF00"

   MS_0036 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0046#, 16#0046#, 16#0046#,
           16#0046#, 16#0030#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "gray"

   MS_0037 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0067#, 16#0072#, 16#0061#, 16#0079#,
           others => 16#0000#),
         others => <>);

   --  "end"

   MS_0038 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 3,
         Length => 3,
         Value  =>
          (16#0065#, 16#006E#, 16#0064#,
           others => 16#0000#),
         others => <>);

   --  "AlignmentKind"

   MS_0039 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0041#, 16#006C#, 16#0069#, 16#0067#,
           16#006E#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#, 16#004B#, 16#0069#, 16#006E#,
           16#0064#,
           others => 16#0000#),
         others => <>);

   --  "dc"

   MS_003A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 2,
         Length => 2,
         Value  =>
          (16#0064#, 16#0063#,
           others => 16#0000#),
         others => <>);

   --  "a real number (>=0) that represents a length along the x-axis."

   MS_003B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 63,
         Unused => 62,
         Length => 62,
         Value  =>
          (16#0061#, 16#0020#, 16#0072#, 16#0065#,
           16#0061#, 16#006C#, 16#0020#, 16#006E#,
           16#0075#, 16#006D#, 16#0062#, 16#0065#,
           16#0072#, 16#0020#, 16#0028#, 16#003E#,
           16#003D#, 16#0030#, 16#0029#, 16#0020#,
           16#0074#, 16#0068#, 16#0061#, 16#0074#,
           16#0020#, 16#0072#, 16#0065#, 16#0070#,
           16#0072#, 16#0065#, 16#0073#, 16#0065#,
           16#006E#, 16#0074#, 16#0073#, 16#0020#,
           16#0061#, 16#0020#, 16#006C#, 16#0065#,
           16#006E#, 16#0067#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#006C#, 16#006F#,
           16#006E#, 16#0067#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#0078#,
           16#002D#, 16#0061#, 16#0078#, 16#0069#,
           16#0073#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "a real number (>=0 or <=0) that represents the y-coordinate of the bounds"

   MS_003C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 79,
         Unused => 73,
         Length => 73,
         Value  =>
          (16#0061#, 16#0020#, 16#0072#, 16#0065#,
           16#0061#, 16#006C#, 16#0020#, 16#006E#,
           16#0075#, 16#006D#, 16#0062#, 16#0065#,
           16#0072#, 16#0020#, 16#0028#, 16#003E#,
           16#003D#, 16#0030#, 16#0020#, 16#006F#,
           16#0072#, 16#0020#, 16#003C#, 16#003D#,
           16#0030#, 16#0029#, 16#0020#, 16#0074#,
           16#0068#, 16#0061#, 16#0074#, 16#0020#,
           16#0072#, 16#0065#, 16#0070#, 16#0072#,
           16#0065#, 16#0073#, 16#0065#, 16#006E#,
           16#0074#, 16#0073#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#0079#,
           16#002D#, 16#0063#, 16#006F#, 16#006F#,
           16#0072#, 16#0064#, 16#0069#, 16#006E#,
           16#0061#, 16#0074#, 16#0065#, 16#0020#,
           16#006F#, 16#0066#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#0062#,
           16#006F#, 16#0075#, 16#006E#, 16#0064#,
           16#0073#,
           others => 16#0000#),
         others => <>);

   --  "x"

   MS_003D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 1,
         Length => 1,
         Value  =>
          (16#0078#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #FFA500"

   MS_003E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0046#, 16#0046#, 16#0041#,
           16#0035#, 16#0030#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "Boolean"

   MS_003F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0042#, 16#006F#, 16#006F#, 16#006C#,
           16#0065#, 16#0061#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "http://www.omg.org/spec/DD/20110901/DC"

   MS_0040 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 47,
         Unused => 38,
         Length => 38,
         Value  =>
          (16#0068#, 16#0074#, 16#0074#, 16#0070#,
           16#003A#, 16#002F#, 16#002F#, 16#0077#,
           16#0077#, 16#0077#, 16#002E#, 16#006F#,
           16#006D#, 16#0067#, 16#002E#, 16#006F#,
           16#0072#, 16#0067#, 16#002F#, 16#0073#,
           16#0070#, 16#0065#, 16#0063#, 16#002F#,
           16#0044#, 16#0044#, 16#002F#, 16#0032#,
           16#0030#, 16#0031#, 16#0031#, 16#0030#,
           16#0039#, 16#0030#, 16#0031#, 16#002F#,
           16#0044#, 16#0043#,
           others => 16#0000#),
         others => <>);

   --  "Bounds"

   MS_0041 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0042#, 16#006F#, 16#0075#, 16#006E#,
           16#0064#, 16#0073#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #000080"

   MS_0042 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0030#, 16#0030#, 16#0030#,
           16#0030#, 16#0038#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #00FF00"

   MS_0043 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0030#, 16#0030#, 16#0046#,
           16#0046#, 16#0030#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "height"

   MS_0044 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0068#, 16#0065#, 16#0069#, 16#0067#,
           16#0068#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "Color is a data type that represents a color value in the RGB format."

   MS_0045 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 71,
         Unused => 69,
         Length => 69,
         Value  =>
          (16#0043#, 16#006F#, 16#006C#, 16#006F#,
           16#0072#, 16#0020#, 16#0069#, 16#0073#,
           16#0020#, 16#0061#, 16#0020#, 16#0064#,
           16#0061#, 16#0074#, 16#0061#, 16#0020#,
           16#0074#, 16#0079#, 16#0070#, 16#0065#,
           16#0020#, 16#0074#, 16#0068#, 16#0061#,
           16#0074#, 16#0020#, 16#0072#, 16#0065#,
           16#0070#, 16#0072#, 16#0065#, 16#0073#,
           16#0065#, 16#006E#, 16#0074#, 16#0073#,
           16#0020#, 16#0061#, 16#0020#, 16#0063#,
           16#006F#, 16#006C#, 16#006F#, 16#0072#,
           16#0020#, 16#0076#, 16#0061#, 16#006C#,
           16#0075#, 16#0065#, 16#0020#, 16#0069#,
           16#006E#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#0020#, 16#0052#, 16#0047#,
           16#0042#, 16#0020#, 16#0066#, 16#006F#,
           16#0072#, 16#006D#, 16#0061#, 16#0074#,
           16#002E#,
           others => 16#0000#),
         others => <>);

   --  "org.omg.xmi.nsURI"

   MS_0046 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#006F#, 16#0072#, 16#0067#, 16#002E#,
           16#006F#, 16#006D#, 16#0067#, 16#002E#,
           16#0078#, 16#006D#, 16#0069#, 16#002E#,
           16#006E#, 16#0073#, 16#0055#, 16#0052#,
           16#0049#,
           others => 16#0000#),
         others => <>);

   --  "the red component of the color in the range (0..255)."

   MS_0047 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 55,
         Unused => 53,
         Length => 53,
         Value  =>
          (16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0072#, 16#0065#, 16#0064#, 16#0020#,
           16#0063#, 16#006F#, 16#006D#, 16#0070#,
           16#006F#, 16#006E#, 16#0065#, 16#006E#,
           16#0074#, 16#0020#, 16#006F#, 16#0066#,
           16#0020#, 16#0074#, 16#0068#, 16#0065#,
           16#0020#, 16#0063#, 16#006F#, 16#006C#,
           16#006F#, 16#0072#, 16#0020#, 16#0069#,
           16#006E#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#0020#, 16#0072#, 16#0061#,
           16#006E#, 16#0067#, 16#0065#, 16#0020#,
           16#0028#, 16#0030#, 16#002E#, 16#002E#,
           16#0032#, 16#0035#, 16#0035#, 16#0029#,
           16#002E#,
           others => 16#0000#),
         others => <>);

   --  "Bounds specifies a rectangular area in some x-y coordinate system that is defined by a location (x and y) and a size (width and height)."

   MS_0048 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 143,
         Unused => 136,
         Length => 136,
         Value  =>
          (16#0042#, 16#006F#, 16#0075#, 16#006E#,
           16#0064#, 16#0073#, 16#0020#, 16#0073#,
           16#0070#, 16#0065#, 16#0063#, 16#0069#,
           16#0066#, 16#0069#, 16#0065#, 16#0073#,
           16#0020#, 16#0061#, 16#0020#, 16#0072#,
           16#0065#, 16#0063#, 16#0074#, 16#0061#,
           16#006E#, 16#0067#, 16#0075#, 16#006C#,
           16#0061#, 16#0072#, 16#0020#, 16#0061#,
           16#0072#, 16#0065#, 16#0061#, 16#0020#,
           16#0069#, 16#006E#, 16#0020#, 16#0073#,
           16#006F#, 16#006D#, 16#0065#, 16#0020#,
           16#0078#, 16#002D#, 16#0079#, 16#0020#,
           16#0063#, 16#006F#, 16#006F#, 16#0072#,
           16#0064#, 16#0069#, 16#006E#, 16#0061#,
           16#0074#, 16#0065#, 16#0020#, 16#0073#,
           16#0079#, 16#0073#, 16#0074#, 16#0065#,
           16#006D#, 16#0020#, 16#0074#, 16#0068#,
           16#0061#, 16#0074#, 16#0020#, 16#0069#,
           16#0073#, 16#0020#, 16#0064#, 16#0065#,
           16#0066#, 16#0069#, 16#006E#, 16#0065#,
           16#0064#, 16#0020#, 16#0062#, 16#0079#,
           16#0020#, 16#0061#, 16#0020#, 16#006C#,
           16#006F#, 16#0063#, 16#0061#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#, 16#0020#,
           16#0028#, 16#0078#, 16#0020#, 16#0061#,
           16#006E#, 16#0064#, 16#0020#, 16#0079#,
           16#0029#, 16#0020#, 16#0061#, 16#006E#,
           16#0064#, 16#0020#, 16#0061#, 16#0020#,
           16#0073#, 16#0069#, 16#007A#, 16#0065#,
           16#0020#, 16#0028#, 16#0077#, 16#0069#,
           16#0064#, 16#0074#, 16#0068#, 16#0020#,
           16#0061#, 16#006E#, 16#0064#, 16#0020#,
           16#0068#, 16#0065#, 16#0069#, 16#0067#,
           16#0068#, 16#0074#, 16#0029#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "a real number (<= 0 or >= 0)  that represents the y-coordinate of the point."

   MS_0049 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 79,
         Unused => 76,
         Length => 76,
         Value  =>
          (16#0061#, 16#0020#, 16#0072#, 16#0065#,
           16#0061#, 16#006C#, 16#0020#, 16#006E#,
           16#0075#, 16#006D#, 16#0062#, 16#0065#,
           16#0072#, 16#0020#, 16#0028#, 16#003C#,
           16#003D#, 16#0020#, 16#0030#, 16#0020#,
           16#006F#, 16#0072#, 16#0020#, 16#003E#,
           16#003D#, 16#0020#, 16#0030#, 16#0029#,
           16#0020#, 16#0020#, 16#0074#, 16#0068#,
           16#0061#, 16#0074#, 16#0020#, 16#0072#,
           16#0065#, 16#0070#, 16#0072#, 16#0065#,
           16#0073#, 16#0065#, 16#006E#, 16#0074#,
           16#0073#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#0020#, 16#0079#, 16#002D#,
           16#0063#, 16#006F#, 16#006F#, 16#0072#,
           16#0064#, 16#0069#, 16#006E#, 16#0061#,
           16#0074#, 16#0065#, 16#0020#, 16#006F#,
           16#0066#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#0020#, 16#0070#, 16#006F#,
           16#0069#, 16#006E#, 16#0074#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "the red, green and blue components of the color must be in the range (0...255)."

   MS_004A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 87,
         Unused => 79,
         Length => 79,
         Value  =>
          (16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0072#, 16#0065#, 16#0064#, 16#002C#,
           16#0020#, 16#0067#, 16#0072#, 16#0065#,
           16#0065#, 16#006E#, 16#0020#, 16#0061#,
           16#006E#, 16#0064#, 16#0020#, 16#0062#,
           16#006C#, 16#0075#, 16#0065#, 16#0020#,
           16#0063#, 16#006F#, 16#006D#, 16#0070#,
           16#006F#, 16#006E#, 16#0065#, 16#006E#,
           16#0074#, 16#0073#, 16#0020#, 16#006F#,
           16#0066#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#006D#, 16#0075#, 16#0073#, 16#0074#,
           16#0020#, 16#0062#, 16#0065#, 16#0020#,
           16#0069#, 16#006E#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#0072#,
           16#0061#, 16#006E#, 16#0067#, 16#0065#,
           16#0020#, 16#0028#, 16#0030#, 16#002E#,
           16#002E#, 16#002E#, 16#0032#, 16#0035#,
           16#0035#, 16#0029#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "non_negative_dimension"

   MS_004B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 22,
         Length => 22,
         Value  =>
          (16#006E#, 16#006F#, 16#006E#, 16#005F#,
           16#006E#, 16#0065#, 16#0067#, 16#0061#,
           16#0074#, 16#0069#, 16#0076#, 16#0065#,
           16#005F#, 16#0064#, 16#0069#, 16#006D#,
           16#0065#, 16#006E#, 16#0073#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "String is a primitive data type used to represent a sequence of characters in some suitable character set."

   MS_004C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 111,
         Unused => 106,
         Length => 106,
         Value  =>
          (16#0053#, 16#0074#, 16#0072#, 16#0069#,
           16#006E#, 16#0067#, 16#0020#, 16#0069#,
           16#0073#, 16#0020#, 16#0061#, 16#0020#,
           16#0070#, 16#0072#, 16#0069#, 16#006D#,
           16#0069#, 16#0074#, 16#0069#, 16#0076#,
           16#0065#, 16#0020#, 16#0064#, 16#0061#,
           16#0074#, 16#0061#, 16#0020#, 16#0074#,
           16#0079#, 16#0070#, 16#0065#, 16#0020#,
           16#0075#, 16#0073#, 16#0065#, 16#0064#,
           16#0020#, 16#0074#, 16#006F#, 16#0020#,
           16#0072#, 16#0065#, 16#0070#, 16#0072#,
           16#0065#, 16#0073#, 16#0065#, 16#006E#,
           16#0074#, 16#0020#, 16#0061#, 16#0020#,
           16#0073#, 16#0065#, 16#0071#, 16#0075#,
           16#0065#, 16#006E#, 16#0063#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0063#, 16#0068#, 16#0061#, 16#0072#,
           16#0061#, 16#0063#, 16#0074#, 16#0065#,
           16#0072#, 16#0073#, 16#0020#, 16#0069#,
           16#006E#, 16#0020#, 16#0073#, 16#006F#,
           16#006D#, 16#0065#, 16#0020#, 16#0073#,
           16#0075#, 16#0069#, 16#0074#, 16#0061#,
           16#0062#, 16#006C#, 16#0065#, 16#0020#,
           16#0063#, 16#0068#, 16#0061#, 16#0072#,
           16#0061#, 16#0063#, 16#0074#, 16#0065#,
           16#0072#, 16#0020#, 16#0073#, 16#0065#,
           16#0074#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #0000FF"

   MS_004D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0030#, 16#0030#, 16#0030#,
           16#0030#, 16#0046#, 16#0046#,
           others => 16#0000#),
         others => <>);

   --  "Dimension specifies two lengths (width and height) along the x and y axes in some x-y coordinate system."

   MS_004E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 111,
         Unused => 104,
         Length => 104,
         Value  =>
          (16#0044#, 16#0069#, 16#006D#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#0020#, 16#0073#, 16#0070#,
           16#0065#, 16#0063#, 16#0069#, 16#0066#,
           16#0069#, 16#0065#, 16#0073#, 16#0020#,
           16#0074#, 16#0077#, 16#006F#, 16#0020#,
           16#006C#, 16#0065#, 16#006E#, 16#0067#,
           16#0074#, 16#0068#, 16#0073#, 16#0020#,
           16#0028#, 16#0077#, 16#0069#, 16#0064#,
           16#0074#, 16#0068#, 16#0020#, 16#0061#,
           16#006E#, 16#0064#, 16#0020#, 16#0068#,
           16#0065#, 16#0069#, 16#0067#, 16#0068#,
           16#0074#, 16#0029#, 16#0020#, 16#0061#,
           16#006C#, 16#006F#, 16#006E#, 16#0067#,
           16#0020#, 16#0074#, 16#0068#, 16#0065#,
           16#0020#, 16#0078#, 16#0020#, 16#0061#,
           16#006E#, 16#0064#, 16#0020#, 16#0079#,
           16#0020#, 16#0061#, 16#0078#, 16#0065#,
           16#0073#, 16#0020#, 16#0069#, 16#006E#,
           16#0020#, 16#0073#, 16#006F#, 16#006D#,
           16#0065#, 16#0020#, 16#0078#, 16#002D#,
           16#0079#, 16#0020#, 16#0063#, 16#006F#,
           16#006F#, 16#0072#, 16#0064#, 16#0069#,
           16#006E#, 16#0061#, 16#0074#, 16#0065#,
           16#0020#, 16#0073#, 16#0079#, 16#0073#,
           16#0074#, 16#0065#, 16#006D#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "non_negative_size"

   MS_004F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#006E#, 16#006F#, 16#006E#, 16#005F#,
           16#006E#, 16#0065#, 16#0067#, 16#0061#,
           16#0074#, 16#0069#, 16#0076#, 16#0065#,
           16#005F#, 16#0073#, 16#0069#, 16#007A#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "width"

   MS_0050 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0077#, 16#0069#, 16#0064#, 16#0074#,
           16#0068#,
           others => 16#0000#),
         others => <>);

   --  "purple"

   MS_0051 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0070#, 16#0075#, 16#0072#, 16#0070#,
           16#006C#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "http://www.w3.org/2001/XMLSchema#double"

   MS_0052 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 47,
         Unused => 39,
         Length => 39,
         Value  =>
          (16#0068#, 16#0074#, 16#0074#, 16#0070#,
           16#003A#, 16#002F#, 16#002F#, 16#0077#,
           16#0077#, 16#0077#, 16#002E#, 16#0077#,
           16#0033#, 16#002E#, 16#006F#, 16#0072#,
           16#0067#, 16#002F#, 16#0032#, 16#0030#,
           16#0030#, 16#0031#, 16#002F#, 16#0058#,
           16#004D#, 16#004C#, 16#0053#, 16#0063#,
           16#0068#, 16#0065#, 16#006D#, 16#0061#,
           16#0023#, 16#0064#, 16#006F#, 16#0075#,
           16#0062#, 16#006C#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "Real is a primitive data type used to represent the mathematical concept of real."

   MS_0053 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 87,
         Unused => 81,
         Length => 81,
         Value  =>
          (16#0052#, 16#0065#, 16#0061#, 16#006C#,
           16#0020#, 16#0069#, 16#0073#, 16#0020#,
           16#0061#, 16#0020#, 16#0070#, 16#0072#,
           16#0069#, 16#006D#, 16#0069#, 16#0074#,
           16#0069#, 16#0076#, 16#0065#, 16#0020#,
           16#0064#, 16#0061#, 16#0074#, 16#0061#,
           16#0020#, 16#0074#, 16#0079#, 16#0070#,
           16#0065#, 16#0020#, 16#0075#, 16#0073#,
           16#0065#, 16#0064#, 16#0020#, 16#0074#,
           16#006F#, 16#0020#, 16#0072#, 16#0065#,
           16#0070#, 16#0072#, 16#0065#, 16#0073#,
           16#0065#, 16#006E#, 16#0074#, 16#0020#,
           16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#006D#, 16#0061#, 16#0074#, 16#0068#,
           16#0065#, 16#006D#, 16#0061#, 16#0074#,
           16#0069#, 16#0063#, 16#0061#, 16#006C#,
           16#0020#, 16#0063#, 16#006F#, 16#006E#,
           16#0063#, 16#0065#, 16#0070#, 16#0074#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0072#, 16#0065#, 16#0061#, 16#006C#,
           16#002E#,
           others => 16#0000#),
         others => <>);

   --  "Dimension"

   MS_0054 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#0044#, 16#0069#, 16#006D#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "a color with a value of #808080"

   MS_0055 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 31,
         Length => 31,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006F#, 16#0072#, 16#0020#,
           16#0077#, 16#0069#, 16#0074#, 16#0068#,
           16#0020#, 16#0061#, 16#0020#, 16#0076#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0023#, 16#0038#, 16#0030#, 16#0038#,
           16#0030#, 16#0038#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "maroon"

   MS_0056 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#006D#, 16#0061#, 16#0072#, 16#006F#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "white"

   MS_0057 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0077#, 16#0068#, 16#0069#, 16#0074#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "black"

   MS_0058 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0062#, 16#006C#, 16#0061#, 16#0063#,
           16#006B#,
           others => 16#0000#),
         others => <>);

   --  "Color"

   MS_0059 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0043#, 16#006F#, 16#006C#, 16#006F#,
           16#0072#,
           others => 16#0000#),
         others => <>);

end AMF.Internals.Tables.DC_String_Data_00;
