------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2010-2011, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3287 $ $Date: 2012-11-09 07:25:53 +0100 (Fri, 09 Nov 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------
with Matreshka.Internals.Strings;

package AMF.Internals.Tables.DI_String_Data_00 is

   --  "the edge's source diagram element, i.e. where the edge starts from."

   MS_0000 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 71,
         Unused => 67,
         Length => 67,
         Value  =>
          (16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0065#, 16#0064#, 16#0067#, 16#0065#,
           16#0027#, 16#0073#, 16#0020#, 16#0073#,
           16#006F#, 16#0075#, 16#0072#, 16#0063#,
           16#0065#, 16#0020#, 16#0064#, 16#0069#,
           16#0061#, 16#0067#, 16#0072#, 16#0061#,
           16#006D#, 16#0020#, 16#0065#, 16#006C#,
           16#0065#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#, 16#002C#, 16#0020#, 16#0069#,
           16#002E#, 16#0065#, 16#002E#, 16#0020#,
           16#0077#, 16#0068#, 16#0065#, 16#0072#,
           16#0065#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#0020#, 16#0065#, 16#0064#,
           16#0067#, 16#0065#, 16#0020#, 16#0073#,
           16#0074#, 16#0061#, 16#0072#, 16#0074#,
           16#0073#, 16#0020#, 16#0066#, 16#0072#,
           16#006F#, 16#006D#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "sourceEdge"

   MS_0001 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0073#, 16#006F#, 16#0075#, 16#0072#,
           16#0063#, 16#0065#, 16#0045#, 16#0064#,
           16#0067#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "Style contains formatting properties that affect the appearance or style of diagram elements, including diagram themselves."

   MS_0002 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 127,
         Unused => 123,
         Length => 123,
         Value  =>
          (16#0053#, 16#0074#, 16#0079#, 16#006C#,
           16#0065#, 16#0020#, 16#0063#, 16#006F#,
           16#006E#, 16#0074#, 16#0061#, 16#0069#,
           16#006E#, 16#0073#, 16#0020#, 16#0066#,
           16#006F#, 16#0072#, 16#006D#, 16#0061#,
           16#0074#, 16#0074#, 16#0069#, 16#006E#,
           16#0067#, 16#0020#, 16#0070#, 16#0072#,
           16#006F#, 16#0070#, 16#0065#, 16#0072#,
           16#0074#, 16#0069#, 16#0065#, 16#0073#,
           16#0020#, 16#0074#, 16#0068#, 16#0061#,
           16#0074#, 16#0020#, 16#0061#, 16#0066#,
           16#0066#, 16#0065#, 16#0063#, 16#0074#,
           16#0020#, 16#0074#, 16#0068#, 16#0065#,
           16#0020#, 16#0061#, 16#0070#, 16#0070#,
           16#0065#, 16#0061#, 16#0072#, 16#0061#,
           16#006E#, 16#0063#, 16#0065#, 16#0020#,
           16#006F#, 16#0072#, 16#0020#, 16#0073#,
           16#0074#, 16#0079#, 16#006C#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0064#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#0020#,
           16#0065#, 16#006C#, 16#0065#, 16#006D#,
           16#0065#, 16#006E#, 16#0074#, 16#0073#,
           16#002C#, 16#0020#, 16#0069#, 16#006E#,
           16#0063#, 16#006C#, 16#0075#, 16#0064#,
           16#0069#, 16#006E#, 16#0067#, 16#0020#,
           16#0064#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#0020#,
           16#0074#, 16#0068#, 16#0065#, 16#006D#,
           16#0073#, 16#0065#, 16#006C#, 16#0076#,
           16#0065#, 16#0073#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "ownedElement"

   MS_0003 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 12,
         Length => 12,
         Value  =>
          (16#006F#, 16#0077#, 16#006E#, 16#0065#,
           16#0064#, 16#0045#, 16#006C#, 16#0065#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "DiagramElement"

   MS_0004 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0044#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#0045#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "di"

   MS_0005 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 2,
         Length => 2,
         Value  =>
          (16#0064#, 16#0069#,
           others => 16#0000#),
         others => <>);

   --  "styledElement"

   MS_0006 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0073#, 16#0074#, 16#0079#, 16#006C#,
           16#0065#, 16#0064#, 16#0045#, 16#006C#,
           16#0065#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#,
           others => 16#0000#),
         others => <>);

   --  "the optional bounds of the shape relative to the origin of its nesting plane."

   MS_0007 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 79,
         Unused => 77,
         Length => 77,
         Value  =>
          (16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#006F#, 16#0070#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#0061#, 16#006C#,
           16#0020#, 16#0062#, 16#006F#, 16#0075#,
           16#006E#, 16#0064#, 16#0073#, 16#0020#,
           16#006F#, 16#0066#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#0073#,
           16#0068#, 16#0061#, 16#0070#, 16#0065#,
           16#0020#, 16#0072#, 16#0065#, 16#006C#,
           16#0061#, 16#0074#, 16#0069#, 16#0076#,
           16#0065#, 16#0020#, 16#0074#, 16#006F#,
           16#0020#, 16#0074#, 16#0068#, 16#0065#,
           16#0020#, 16#006F#, 16#0072#, 16#0069#,
           16#0067#, 16#0069#, 16#006E#, 16#0020#,
           16#006F#, 16#0066#, 16#0020#, 16#0069#,
           16#0074#, 16#0073#, 16#0020#, 16#006E#,
           16#0065#, 16#0073#, 16#0074#, 16#0069#,
           16#006E#, 16#0067#, 16#0020#, 16#0070#,
           16#006C#, 16#0061#, 16#006E#, 16#0065#,
           16#002E#,
           others => 16#0000#),
         others => <>);

   --  "a collection of edges that reference this diagram element as a target."

   MS_0008 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 79,
         Unused => 70,
         Length => 70,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006C#, 16#0065#, 16#0063#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0065#, 16#0064#, 16#0067#, 16#0065#,
           16#0073#, 16#0020#, 16#0074#, 16#0068#,
           16#0061#, 16#0074#, 16#0020#, 16#0072#,
           16#0065#, 16#0066#, 16#0065#, 16#0072#,
           16#0065#, 16#006E#, 16#0063#, 16#0065#,
           16#0020#, 16#0074#, 16#0068#, 16#0069#,
           16#0073#, 16#0020#, 16#0064#, 16#0069#,
           16#0061#, 16#0067#, 16#0072#, 16#0061#,
           16#006D#, 16#0020#, 16#0065#, 16#006C#,
           16#0065#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#, 16#0020#, 16#0061#, 16#0073#,
           16#0020#, 16#0061#, 16#0020#, 16#0074#,
           16#0061#, 16#0072#, 16#0067#, 16#0065#,
           16#0074#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "resolution"

   MS_0009 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0072#, 16#0065#, 16#0073#, 16#006F#,
           16#006C#, 16#0075#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "the documentation of the diagram."

   MS_000A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 39,
         Unused => 33,
         Length => 33,
         Value  =>
          (16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0064#, 16#006F#, 16#0063#, 16#0075#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           16#0061#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#, 16#0020#, 16#006F#, 16#0066#,
           16#0020#, 16#0074#, 16#0068#, 16#0065#,
           16#0020#, 16#0064#, 16#0069#, 16#0061#,
           16#0067#, 16#0072#, 16#0061#, 16#006D#,
           16#002E#,
           others => 16#0000#),
         others => <>);

   --  "a reference to a depicted model element, which can be any MOF-based element"

   MS_000B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 79,
         Unused => 75,
         Length => 75,
         Value  =>
          (16#0061#, 16#0020#, 16#0072#, 16#0065#,
           16#0066#, 16#0065#, 16#0072#, 16#0065#,
           16#006E#, 16#0063#, 16#0065#, 16#0020#,
           16#0074#, 16#006F#, 16#0020#, 16#0061#,
           16#0020#, 16#0064#, 16#0065#, 16#0070#,
           16#0069#, 16#0063#, 16#0074#, 16#0065#,
           16#0064#, 16#0020#, 16#006D#, 16#006F#,
           16#0064#, 16#0065#, 16#006C#, 16#0020#,
           16#0065#, 16#006C#, 16#0065#, 16#006D#,
           16#0065#, 16#006E#, 16#0074#, 16#002C#,
           16#0020#, 16#0077#, 16#0068#, 16#0069#,
           16#0063#, 16#0068#, 16#0020#, 16#0063#,
           16#0061#, 16#006E#, 16#0020#, 16#0062#,
           16#0065#, 16#0020#, 16#0061#, 16#006E#,
           16#0079#, 16#0020#, 16#004D#, 16#004F#,
           16#0046#, 16#002D#, 16#0062#, 16#0061#,
           16#0073#, 16#0065#, 16#0064#, 16#0020#,
           16#0065#, 16#006C#, 16#0065#, 16#006D#,
           16#0065#, 16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "source"

   MS_000C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0073#, 16#006F#, 16#0075#, 16#0072#,
           16#0063#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "sharedStyle"

   MS_000D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 11,
         Length => 11,
         Value  =>
          (16#0073#, 16#0068#, 16#0061#, 16#0072#,
           16#0065#, 16#0064#, 16#0053#, 16#0074#,
           16#0079#, 16#006C#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "bounds"

   MS_000E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0062#, 16#006F#, 16#0075#, 16#006E#,
           16#0064#, 16#0073#,
           others => 16#0000#),
         others => <>);

   --  "The Diagram Interchange (DI) package enables interchange of graphical information that language users have control over, such as position of nodes and line routing points. Language specifications specialize elements of DI to define diagram interchange elements for a language."

   MS_000F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 287,
         Unused => 276,
         Length => 276,
         Value  =>
          (16#0054#, 16#0068#, 16#0065#, 16#0020#,
           16#0044#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#0020#,
           16#0049#, 16#006E#, 16#0074#, 16#0065#,
           16#0072#, 16#0063#, 16#0068#, 16#0061#,
           16#006E#, 16#0067#, 16#0065#, 16#0020#,
           16#0028#, 16#0044#, 16#0049#, 16#0029#,
           16#0020#, 16#0070#, 16#0061#, 16#0063#,
           16#006B#, 16#0061#, 16#0067#, 16#0065#,
           16#0020#, 16#0065#, 16#006E#, 16#0061#,
           16#0062#, 16#006C#, 16#0065#, 16#0073#,
           16#0020#, 16#0069#, 16#006E#, 16#0074#,
           16#0065#, 16#0072#, 16#0063#, 16#0068#,
           16#0061#, 16#006E#, 16#0067#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0067#, 16#0072#, 16#0061#, 16#0070#,
           16#0068#, 16#0069#, 16#0063#, 16#0061#,
           16#006C#, 16#0020#, 16#0069#, 16#006E#,
           16#0066#, 16#006F#, 16#0072#, 16#006D#,
           16#0061#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#, 16#0020#, 16#0074#, 16#0068#,
           16#0061#, 16#0074#, 16#0020#, 16#006C#,
           16#0061#, 16#006E#, 16#0067#, 16#0075#,
           16#0061#, 16#0067#, 16#0065#, 16#0020#,
           16#0075#, 16#0073#, 16#0065#, 16#0072#,
           16#0073#, 16#0020#, 16#0068#, 16#0061#,
           16#0076#, 16#0065#, 16#0020#, 16#0063#,
           16#006F#, 16#006E#, 16#0074#, 16#0072#,
           16#006F#, 16#006C#, 16#0020#, 16#006F#,
           16#0076#, 16#0065#, 16#0072#, 16#002C#,
           16#0020#, 16#0073#, 16#0075#, 16#0063#,
           16#0068#, 16#0020#, 16#0061#, 16#0073#,
           16#0020#, 16#0070#, 16#006F#, 16#0073#,
           16#0069#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#, 16#0020#, 16#006F#, 16#0066#,
           16#0020#, 16#006E#, 16#006F#, 16#0064#,
           16#0065#, 16#0073#, 16#0020#, 16#0061#,
           16#006E#, 16#0064#, 16#0020#, 16#006C#,
           16#0069#, 16#006E#, 16#0065#, 16#0020#,
           16#0072#, 16#006F#, 16#0075#, 16#0074#,
           16#0069#, 16#006E#, 16#0067#, 16#0020#,
           16#0070#, 16#006F#, 16#0069#, 16#006E#,
           16#0074#, 16#0073#, 16#002E#, 16#0020#,
           16#004C#, 16#0061#, 16#006E#, 16#0067#,
           16#0075#, 16#0061#, 16#0067#, 16#0065#,
           16#0020#, 16#0073#, 16#0070#, 16#0065#,
           16#0063#, 16#0069#, 16#0066#, 16#0069#,
           16#0063#, 16#0061#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#0073#, 16#0020#,
           16#0073#, 16#0070#, 16#0065#, 16#0063#,
           16#0069#, 16#0061#, 16#006C#, 16#0069#,
           16#007A#, 16#0065#, 16#0020#, 16#0065#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#, 16#0073#, 16#0020#,
           16#006F#, 16#0066#, 16#0020#, 16#0044#,
           16#0049#, 16#0020#, 16#0074#, 16#006F#,
           16#0020#, 16#0064#, 16#0065#, 16#0066#,
           16#0069#, 16#006E#, 16#0065#, 16#0020#,
           16#0064#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#0020#,
           16#0069#, 16#006E#, 16#0074#, 16#0065#,
           16#0072#, 16#0063#, 16#0068#, 16#0061#,
           16#006E#, 16#0067#, 16#0065#, 16#0020#,
           16#0065#, 16#006C#, 16#0065#, 16#006D#,
           16#0065#, 16#006E#, 16#0074#, 16#0073#,
           16#0020#, 16#0066#, 16#006F#, 16#0072#,
           16#0020#, 16#0061#, 16#0020#, 16#006C#,
           16#0061#, 16#006E#, 16#0067#, 16#0075#,
           16#0061#, 16#0067#, 16#0065#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "org.omg.xmi.nsURI"

   MS_0010 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#006F#, 16#0072#, 16#0067#, 16#002E#,
           16#006F#, 16#006D#, 16#0067#, 16#002E#,
           16#0078#, 16#006D#, 16#0069#, 16#002E#,
           16#006E#, 16#0073#, 16#0055#, 16#0052#,
           16#0049#,
           others => 16#0000#),
         others => <>);

   --  "localStyle"

   MS_0011 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#006C#, 16#006F#, 16#0063#, 16#0061#,
           16#006C#, 16#0053#, 16#0074#, 16#0079#,
           16#006C#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "http://www.omg.org/spec/DD/20110901/DI"

   MS_0012 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 47,
         Unused => 38,
         Length => 38,
         Value  =>
          (16#0068#, 16#0074#, 16#0074#, 16#0070#,
           16#003A#, 16#002F#, 16#002F#, 16#0077#,
           16#0077#, 16#0077#, 16#002E#, 16#006F#,
           16#006D#, 16#0067#, 16#002E#, 16#006F#,
           16#0072#, 16#0067#, 16#002F#, 16#0073#,
           16#0070#, 16#0065#, 16#0063#, 16#002F#,
           16#0044#, 16#0044#, 16#002F#, 16#0032#,
           16#0030#, 16#0031#, 16#0031#, 16#0030#,
           16#0039#, 16#0030#, 16#0031#, 16#002F#,
           16#0044#, 16#0049#,
           others => 16#0000#),
         others => <>);

   --  "A_source_sourceEdge"

   MS_0013 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 19,
         Length => 19,
         Value  =>
          (16#0041#, 16#005F#, 16#0073#, 16#006F#,
           16#0075#, 16#0072#, 16#0063#, 16#0065#,
           16#005F#, 16#0073#, 16#006F#, 16#0075#,
           16#0072#, 16#0063#, 16#0065#, 16#0045#,
           16#0064#, 16#0067#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "300"

   MS_0014 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 3,
         Length => 3,
         Value  =>
          (16#0033#, 16#0030#, 16#0030#,
           others => 16#0000#),
         others => <>);

   --  "name"

   MS_0015 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#006E#, 16#0061#, 16#006D#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "waypoint"

   MS_0016 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0077#, 16#0061#, 16#0079#, 16#0070#,
           16#006F#, 16#0069#, 16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "DI"

   MS_0017 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 2,
         Length => 2,
         Value  =>
          (16#0044#, 16#0049#,
           others => 16#0000#),
         others => <>);

   --  "Diagram"

   MS_0018 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0044#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#,
           others => 16#0000#),
         others => <>);

   --  "modelElement"

   MS_0019 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 12,
         Length => 12,
         Value  =>
          (16#006D#, 16#006F#, 16#0064#, 16#0065#,
           16#006C#, 16#0045#, 16#006C#, 16#0065#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "a collection of diagram elements that are directly owned by this diagram element."

   MS_001A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 87,
         Unused => 81,
         Length => 81,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006C#, 16#0065#, 16#0063#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0064#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#0020#,
           16#0065#, 16#006C#, 16#0065#, 16#006D#,
           16#0065#, 16#006E#, 16#0074#, 16#0073#,
           16#0020#, 16#0074#, 16#0068#, 16#0061#,
           16#0074#, 16#0020#, 16#0061#, 16#0072#,
           16#0065#, 16#0020#, 16#0064#, 16#0069#,
           16#0072#, 16#0065#, 16#0063#, 16#0074#,
           16#006C#, 16#0079#, 16#0020#, 16#006F#,
           16#0077#, 16#006E#, 16#0065#, 16#0064#,
           16#0020#, 16#0062#, 16#0079#, 16#0020#,
           16#0074#, 16#0068#, 16#0069#, 16#0073#,
           16#0020#, 16#0064#, 16#0069#, 16#0061#,
           16#0067#, 16#0072#, 16#0061#, 16#006D#,
           16#0020#, 16#0065#, 16#006C#, 16#0065#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           16#002E#,
           others => 16#0000#),
         others => <>);

   --  "the name of the diagram."

   MS_001B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 24,
         Length => 24,
         Value  =>
          (16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#006E#, 16#0061#, 16#006D#, 16#0065#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0064#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "target"

   MS_001C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0074#, 16#0061#, 16#0072#, 16#0067#,
           16#0065#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "Diagram is an abstract container of a graph of diagram elements. Diagrams are diagram elements with an origin point in the x-y coordinate system. Their elements are laid out relative to their origin point."

   MS_001D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 215,
         Unused => 205,
         Length => 205,
         Value  =>
          (16#0044#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#0020#,
           16#0069#, 16#0073#, 16#0020#, 16#0061#,
           16#006E#, 16#0020#, 16#0061#, 16#0062#,
           16#0073#, 16#0074#, 16#0072#, 16#0061#,
           16#0063#, 16#0074#, 16#0020#, 16#0063#,
           16#006F#, 16#006E#, 16#0074#, 16#0061#,
           16#0069#, 16#006E#, 16#0065#, 16#0072#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0061#, 16#0020#, 16#0067#, 16#0072#,
           16#0061#, 16#0070#, 16#0068#, 16#0020#,
           16#006F#, 16#0066#, 16#0020#, 16#0064#,
           16#0069#, 16#0061#, 16#0067#, 16#0072#,
           16#0061#, 16#006D#, 16#0020#, 16#0065#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#, 16#0073#, 16#002E#,
           16#0020#, 16#0044#, 16#0069#, 16#0061#,
           16#0067#, 16#0072#, 16#0061#, 16#006D#,
           16#0073#, 16#0020#, 16#0061#, 16#0072#,
           16#0065#, 16#0020#, 16#0064#, 16#0069#,
           16#0061#, 16#0067#, 16#0072#, 16#0061#,
           16#006D#, 16#0020#, 16#0065#, 16#006C#,
           16#0065#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#, 16#0073#, 16#0020#, 16#0077#,
           16#0069#, 16#0074#, 16#0068#, 16#0020#,
           16#0061#, 16#006E#, 16#0020#, 16#006F#,
           16#0072#, 16#0069#, 16#0067#, 16#0069#,
           16#006E#, 16#0020#, 16#0070#, 16#006F#,
           16#0069#, 16#006E#, 16#0074#, 16#0020#,
           16#0069#, 16#006E#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#0078#,
           16#002D#, 16#0079#, 16#0020#, 16#0063#,
           16#006F#, 16#006F#, 16#0072#, 16#0064#,
           16#0069#, 16#006E#, 16#0061#, 16#0074#,
           16#0065#, 16#0020#, 16#0073#, 16#0079#,
           16#0073#, 16#0074#, 16#0065#, 16#006D#,
           16#002E#, 16#0020#, 16#0054#, 16#0068#,
           16#0065#, 16#0069#, 16#0072#, 16#0020#,
           16#0065#, 16#006C#, 16#0065#, 16#006D#,
           16#0065#, 16#006E#, 16#0074#, 16#0073#,
           16#0020#, 16#0061#, 16#0072#, 16#0065#,
           16#0020#, 16#006C#, 16#0061#, 16#0069#,
           16#0064#, 16#0020#, 16#006F#, 16#0075#,
           16#0074#, 16#0020#, 16#0072#, 16#0065#,
           16#006C#, 16#0061#, 16#0074#, 16#0069#,
           16#0076#, 16#0065#, 16#0020#, 16#0074#,
           16#006F#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#0069#, 16#0072#, 16#0020#,
           16#006F#, 16#0072#, 16#0069#, 16#0067#,
           16#0069#, 16#006E#, 16#0020#, 16#0070#,
           16#006F#, 16#0069#, 16#006E#, 16#0074#,
           16#002E#,
           others => 16#0000#),
         others => <>);

   --  "Edge is a diagram element that renders as a polyline, connecting a source diagram element to a target diagram element, and is positioned relative to the origin of the diagram."

   MS_001E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 183,
         Unused => 175,
         Length => 175,
         Value  =>
          (16#0045#, 16#0064#, 16#0067#, 16#0065#,
           16#0020#, 16#0069#, 16#0073#, 16#0020#,
           16#0061#, 16#0020#, 16#0064#, 16#0069#,
           16#0061#, 16#0067#, 16#0072#, 16#0061#,
           16#006D#, 16#0020#, 16#0065#, 16#006C#,
           16#0065#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#, 16#0020#, 16#0074#, 16#0068#,
           16#0061#, 16#0074#, 16#0020#, 16#0072#,
           16#0065#, 16#006E#, 16#0064#, 16#0065#,
           16#0072#, 16#0073#, 16#0020#, 16#0061#,
           16#0073#, 16#0020#, 16#0061#, 16#0020#,
           16#0070#, 16#006F#, 16#006C#, 16#0079#,
           16#006C#, 16#0069#, 16#006E#, 16#0065#,
           16#002C#, 16#0020#, 16#0063#, 16#006F#,
           16#006E#, 16#006E#, 16#0065#, 16#0063#,
           16#0074#, 16#0069#, 16#006E#, 16#0067#,
           16#0020#, 16#0061#, 16#0020#, 16#0073#,
           16#006F#, 16#0075#, 16#0072#, 16#0063#,
           16#0065#, 16#0020#, 16#0064#, 16#0069#,
           16#0061#, 16#0067#, 16#0072#, 16#0061#,
           16#006D#, 16#0020#, 16#0065#, 16#006C#,
           16#0065#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#, 16#0020#, 16#0074#, 16#006F#,
           16#0020#, 16#0061#, 16#0020#, 16#0074#,
           16#0061#, 16#0072#, 16#0067#, 16#0065#,
           16#0074#, 16#0020#, 16#0064#, 16#0069#,
           16#0061#, 16#0067#, 16#0072#, 16#0061#,
           16#006D#, 16#0020#, 16#0065#, 16#006C#,
           16#0065#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#, 16#002C#, 16#0020#, 16#0061#,
           16#006E#, 16#0064#, 16#0020#, 16#0069#,
           16#0073#, 16#0020#, 16#0070#, 16#006F#,
           16#0073#, 16#0069#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#0065#, 16#0064#,
           16#0020#, 16#0072#, 16#0065#, 16#006C#,
           16#0061#, 16#0074#, 16#0069#, 16#0076#,
           16#0065#, 16#0020#, 16#0074#, 16#006F#,
           16#0020#, 16#0074#, 16#0068#, 16#0065#,
           16#0020#, 16#006F#, 16#0072#, 16#0069#,
           16#0067#, 16#0069#, 16#006E#, 16#0020#,
           16#006F#, 16#0066#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#0064#,
           16#0069#, 16#0061#, 16#0067#, 16#0072#,
           16#0061#, 16#006D#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "a collection of edges that reference this diagram element as a source."

   MS_001F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 79,
         Unused => 70,
         Length => 70,
         Value  =>
          (16#0061#, 16#0020#, 16#0063#, 16#006F#,
           16#006C#, 16#006C#, 16#0065#, 16#0063#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0065#, 16#0064#, 16#0067#, 16#0065#,
           16#0073#, 16#0020#, 16#0074#, 16#0068#,
           16#0061#, 16#0074#, 16#0020#, 16#0072#,
           16#0065#, 16#0066#, 16#0065#, 16#0072#,
           16#0065#, 16#006E#, 16#0063#, 16#0065#,
           16#0020#, 16#0074#, 16#0068#, 16#0069#,
           16#0073#, 16#0020#, 16#0064#, 16#0069#,
           16#0061#, 16#0067#, 16#0072#, 16#0061#,
           16#006D#, 16#0020#, 16#0065#, 16#006C#,
           16#0065#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#, 16#0020#, 16#0061#, 16#0073#,
           16#0020#, 16#0061#, 16#0020#, 16#0073#,
           16#006F#, 16#0075#, 16#0072#, 16#0063#,
           16#0065#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "the resolution of the diagram expressed in user units per inch."

   MS_0020 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 71,
         Unused => 63,
         Length => 63,
         Value  =>
          (16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0072#, 16#0065#, 16#0073#, 16#006F#,
           16#006C#, 16#0075#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#0020#, 16#006F#,
           16#0066#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#0020#, 16#0064#, 16#0069#,
           16#0061#, 16#0067#, 16#0072#, 16#0061#,
           16#006D#, 16#0020#, 16#0065#, 16#0078#,
           16#0070#, 16#0072#, 16#0065#, 16#0073#,
           16#0073#, 16#0065#, 16#0064#, 16#0020#,
           16#0069#, 16#006E#, 16#0020#, 16#0075#,
           16#0073#, 16#0065#, 16#0072#, 16#0020#,
           16#0075#, 16#006E#, 16#0069#, 16#0074#,
           16#0073#, 16#0020#, 16#0070#, 16#0065#,
           16#0072#, 16#0020#, 16#0069#, 16#006E#,
           16#0063#, 16#0068#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "A_sharedStyle_styledElement"

   MS_0021 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 27,
         Length => 27,
         Value  =>
          (16#0041#, 16#005F#, 16#0073#, 16#0068#,
           16#0061#, 16#0072#, 16#0065#, 16#0064#,
           16#0053#, 16#0074#, 16#0079#, 16#006C#,
           16#0065#, 16#005F#, 16#0073#, 16#0074#,
           16#0079#, 16#006C#, 16#0065#, 16#0064#,
           16#0045#, 16#006C#, 16#0065#, 16#006D#,
           16#0065#, 16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "Shape is a diagram element with given bounds that is laid out relative to the origin of the diagram"

   MS_0022 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 103,
         Unused => 99,
         Length => 99,
         Value  =>
          (16#0053#, 16#0068#, 16#0061#, 16#0070#,
           16#0065#, 16#0020#, 16#0069#, 16#0073#,
           16#0020#, 16#0061#, 16#0020#, 16#0064#,
           16#0069#, 16#0061#, 16#0067#, 16#0072#,
           16#0061#, 16#006D#, 16#0020#, 16#0065#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#, 16#0020#, 16#0077#,
           16#0069#, 16#0074#, 16#0068#, 16#0020#,
           16#0067#, 16#0069#, 16#0076#, 16#0065#,
           16#006E#, 16#0020#, 16#0062#, 16#006F#,
           16#0075#, 16#006E#, 16#0064#, 16#0073#,
           16#0020#, 16#0074#, 16#0068#, 16#0061#,
           16#0074#, 16#0020#, 16#0069#, 16#0073#,
           16#0020#, 16#006C#, 16#0061#, 16#0069#,
           16#0064#, 16#0020#, 16#006F#, 16#0075#,
           16#0074#, 16#0020#, 16#0072#, 16#0065#,
           16#006C#, 16#0061#, 16#0074#, 16#0069#,
           16#0076#, 16#0065#, 16#0020#, 16#0074#,
           16#006F#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#0020#, 16#006F#, 16#0072#,
           16#0069#, 16#0067#, 16#0069#, 16#006E#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0064#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#,
           others => 16#0000#),
         others => <>);

   --  "a reference to the diagram element that directly owns this diagram element."

   MS_0023 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 79,
         Unused => 75,
         Length => 75,
         Value  =>
          (16#0061#, 16#0020#, 16#0072#, 16#0065#,
           16#0066#, 16#0065#, 16#0072#, 16#0065#,
           16#006E#, 16#0063#, 16#0065#, 16#0020#,
           16#0074#, 16#006F#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#0064#,
           16#0069#, 16#0061#, 16#0067#, 16#0072#,
           16#0061#, 16#006D#, 16#0020#, 16#0065#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#, 16#0020#, 16#0074#,
           16#0068#, 16#0061#, 16#0074#, 16#0020#,
           16#0064#, 16#0069#, 16#0072#, 16#0065#,
           16#0063#, 16#0074#, 16#006C#, 16#0079#,
           16#0020#, 16#006F#, 16#0077#, 16#006E#,
           16#0073#, 16#0020#, 16#0074#, 16#0068#,
           16#0069#, 16#0073#, 16#0020#, 16#0064#,
           16#0069#, 16#0061#, 16#0067#, 16#0072#,
           16#0061#, 16#006D#, 16#0020#, 16#0065#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "owningElement"

   MS_0024 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#006F#, 16#0077#, 16#006E#, 16#0069#,
           16#006E#, 16#0067#, 16#0045#, 16#006C#,
           16#0065#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#,
           others => 16#0000#),
         others => <>);

   --  "the edge's target diagram element, i.e. where the edge ends at."

   MS_0025 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 71,
         Unused => 63,
         Length => 63,
         Value  =>
          (16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0065#, 16#0064#, 16#0067#, 16#0065#,
           16#0027#, 16#0073#, 16#0020#, 16#0074#,
           16#0061#, 16#0072#, 16#0067#, 16#0065#,
           16#0074#, 16#0020#, 16#0064#, 16#0069#,
           16#0061#, 16#0067#, 16#0072#, 16#0061#,
           16#006D#, 16#0020#, 16#0065#, 16#006C#,
           16#0065#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#, 16#002C#, 16#0020#, 16#0069#,
           16#002E#, 16#0065#, 16#002E#, 16#0020#,
           16#0077#, 16#0068#, 16#0065#, 16#0072#,
           16#0065#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#0020#, 16#0065#, 16#0064#,
           16#0067#, 16#0065#, 16#0020#, 16#0065#,
           16#006E#, 16#0064#, 16#0073#, 16#0020#,
           16#0061#, 16#0074#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "A_localStyle_styledElement"

   MS_0026 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 26,
         Length => 26,
         Value  =>
          (16#0041#, 16#005F#, 16#006C#, 16#006F#,
           16#0063#, 16#0061#, 16#006C#, 16#0053#,
           16#0074#, 16#0079#, 16#006C#, 16#0065#,
           16#005F#, 16#0073#, 16#0074#, 16#0079#,
           16#006C#, 16#0065#, 16#0064#, 16#0045#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "org.omg.xmi.nsPrefix"

   MS_0027 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 20,
         Length => 20,
         Value  =>
          (16#006F#, 16#0072#, 16#0067#, 16#002E#,
           16#006F#, 16#006D#, 16#0067#, 16#002E#,
           16#0078#, 16#006D#, 16#0069#, 16#002E#,
           16#006E#, 16#0073#, 16#0050#, 16#0072#,
           16#0065#, 16#0066#, 16#0069#, 16#0078#,
           others => 16#0000#),
         others => <>);

   --  "A_ownedElement_owningElement"

   MS_0028 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 28,
         Length => 28,
         Value  =>
          (16#0041#, 16#005F#, 16#006F#, 16#0077#,
           16#006E#, 16#0065#, 16#0064#, 16#0045#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#, 16#005F#, 16#006F#,
           16#0077#, 16#006E#, 16#0069#, 16#006E#,
           16#0067#, 16#0045#, 16#006C#, 16#0065#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "Style"

   MS_0029 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0053#, 16#0074#, 16#0079#, 16#006C#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "A_target_targetEdge"

   MS_002A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 19,
         Length => 19,
         Value  =>
          (16#0041#, 16#005F#, 16#0074#, 16#0061#,
           16#0072#, 16#0067#, 16#0065#, 16#0074#,
           16#005F#, 16#0074#, 16#0061#, 16#0072#,
           16#0067#, 16#0065#, 16#0074#, 16#0045#,
           16#0064#, 16#0067#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "Shape"

   MS_002B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0053#, 16#0068#, 16#0061#, 16#0070#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "Edge"

   MS_002C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0045#, 16#0064#, 16#0067#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "A_modelElement_diagramElement"

   MS_002D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 29,
         Length => 29,
         Value  =>
          (16#0041#, 16#005F#, 16#006D#, 16#006F#,
           16#0064#, 16#0065#, 16#006C#, 16#0045#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#, 16#005F#, 16#0064#,
           16#0069#, 16#0061#, 16#0067#, 16#0072#,
           16#0061#, 16#006D#, 16#0045#, 16#006C#,
           16#0065#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#,
           others => 16#0000#),
         others => <>);

   --  "targetEdge"

   MS_002E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0074#, 16#0061#, 16#0072#, 16#0067#,
           16#0065#, 16#0074#, 16#0045#, 16#0064#,
           16#0067#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "DiagramElement is the abstract super type of all elements in diagrams, including diagrams themselves. When contained in a diagram, diagram elements are laid out relative to the diagram’s origin."

   MS_002F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 207,
         Unused => 194,
         Length => 194,
         Value  =>
          (16#0044#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#0045#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#, 16#0020#, 16#0069#,
           16#0073#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#0020#, 16#0061#, 16#0062#,
           16#0073#, 16#0074#, 16#0072#, 16#0061#,
           16#0063#, 16#0074#, 16#0020#, 16#0073#,
           16#0075#, 16#0070#, 16#0065#, 16#0072#,
           16#0020#, 16#0074#, 16#0079#, 16#0070#,
           16#0065#, 16#0020#, 16#006F#, 16#0066#,
           16#0020#, 16#0061#, 16#006C#, 16#006C#,
           16#0020#, 16#0065#, 16#006C#, 16#0065#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           16#0073#, 16#0020#, 16#0069#, 16#006E#,
           16#0020#, 16#0064#, 16#0069#, 16#0061#,
           16#0067#, 16#0072#, 16#0061#, 16#006D#,
           16#0073#, 16#002C#, 16#0020#, 16#0069#,
           16#006E#, 16#0063#, 16#006C#, 16#0075#,
           16#0064#, 16#0069#, 16#006E#, 16#0067#,
           16#0020#, 16#0064#, 16#0069#, 16#0061#,
           16#0067#, 16#0072#, 16#0061#, 16#006D#,
           16#0073#, 16#0020#, 16#0074#, 16#0068#,
           16#0065#, 16#006D#, 16#0073#, 16#0065#,
           16#006C#, 16#0076#, 16#0065#, 16#0073#,
           16#002E#, 16#0020#, 16#0057#, 16#0068#,
           16#0065#, 16#006E#, 16#0020#, 16#0063#,
           16#006F#, 16#006E#, 16#0074#, 16#0061#,
           16#0069#, 16#006E#, 16#0065#, 16#0064#,
           16#0020#, 16#0069#, 16#006E#, 16#0020#,
           16#0061#, 16#0020#, 16#0064#, 16#0069#,
           16#0061#, 16#0067#, 16#0072#, 16#0061#,
           16#006D#, 16#002C#, 16#0020#, 16#0064#,
           16#0069#, 16#0061#, 16#0067#, 16#0072#,
           16#0061#, 16#006D#, 16#0020#, 16#0065#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#, 16#0073#, 16#0020#,
           16#0061#, 16#0072#, 16#0065#, 16#0020#,
           16#006C#, 16#0061#, 16#0069#, 16#0064#,
           16#0020#, 16#006F#, 16#0075#, 16#0074#,
           16#0020#, 16#0072#, 16#0065#, 16#006C#,
           16#0061#, 16#0074#, 16#0069#, 16#0076#,
           16#0065#, 16#0020#, 16#0074#, 16#006F#,
           16#0020#, 16#0074#, 16#0068#, 16#0065#,
           16#0020#, 16#0064#, 16#0069#, 16#0061#,
           16#0067#, 16#0072#, 16#0061#, 16#006D#,
           16#2019#, 16#0073#, 16#0020#, 16#006F#,
           16#0072#, 16#0069#, 16#0067#, 16#0069#,
           16#006E#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "documentation"

   MS_0030 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0064#, 16#006F#, 16#0063#, 16#0075#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           16#0061#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "a reference to an optional locally-owned style for this diagram element."

   MS_0031 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 79,
         Unused => 72,
         Length => 72,
         Value  =>
          (16#0061#, 16#0020#, 16#0072#, 16#0065#,
           16#0066#, 16#0065#, 16#0072#, 16#0065#,
           16#006E#, 16#0063#, 16#0065#, 16#0020#,
           16#0074#, 16#006F#, 16#0020#, 16#0061#,
           16#006E#, 16#0020#, 16#006F#, 16#0070#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           16#0061#, 16#006C#, 16#0020#, 16#006C#,
           16#006F#, 16#0063#, 16#0061#, 16#006C#,
           16#006C#, 16#0079#, 16#002D#, 16#006F#,
           16#0077#, 16#006E#, 16#0065#, 16#0064#,
           16#0020#, 16#0073#, 16#0074#, 16#0079#,
           16#006C#, 16#0065#, 16#0020#, 16#0066#,
           16#006F#, 16#0072#, 16#0020#, 16#0074#,
           16#0068#, 16#0069#, 16#0073#, 16#0020#,
           16#0064#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#0020#,
           16#0065#, 16#006C#, 16#0065#, 16#006D#,
           16#0065#, 16#006E#, 16#0074#, 16#002E#,
           others => 16#0000#),
         others => <>);

   --  "an optional list of points relative to the origin of the nesting diagram that specifies the connected line segments of the edge"

   MS_0032 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 135,
         Unused => 127,
         Length => 127,
         Value  =>
          (16#0061#, 16#006E#, 16#0020#, 16#006F#,
           16#0070#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#, 16#0061#, 16#006C#, 16#0020#,
           16#006C#, 16#0069#, 16#0073#, 16#0074#,
           16#0020#, 16#006F#, 16#0066#, 16#0020#,
           16#0070#, 16#006F#, 16#0069#, 16#006E#,
           16#0074#, 16#0073#, 16#0020#, 16#0072#,
           16#0065#, 16#006C#, 16#0061#, 16#0074#,
           16#0069#, 16#0076#, 16#0065#, 16#0020#,
           16#0074#, 16#006F#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#006F#,
           16#0072#, 16#0069#, 16#0067#, 16#0069#,
           16#006E#, 16#0020#, 16#006F#, 16#0066#,
           16#0020#, 16#0074#, 16#0068#, 16#0065#,
           16#0020#, 16#006E#, 16#0065#, 16#0073#,
           16#0074#, 16#0069#, 16#006E#, 16#0067#,
           16#0020#, 16#0064#, 16#0069#, 16#0061#,
           16#0067#, 16#0072#, 16#0061#, 16#006D#,
           16#0020#, 16#0074#, 16#0068#, 16#0061#,
           16#0074#, 16#0020#, 16#0073#, 16#0070#,
           16#0065#, 16#0063#, 16#0069#, 16#0066#,
           16#0069#, 16#0065#, 16#0073#, 16#0020#,
           16#0074#, 16#0068#, 16#0065#, 16#0020#,
           16#0063#, 16#006F#, 16#006E#, 16#006E#,
           16#0065#, 16#0063#, 16#0074#, 16#0065#,
           16#0064#, 16#0020#, 16#006C#, 16#0069#,
           16#006E#, 16#0065#, 16#0020#, 16#0073#,
           16#0065#, 16#0067#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#, 16#0073#, 16#0020#,
           16#006F#, 16#0066#, 16#0020#, 16#0074#,
           16#0068#, 16#0065#, 16#0020#, 16#0065#,
           16#0064#, 16#0067#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "diagramElement"

   MS_0033 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0064#, 16#0069#, 16#0061#, 16#0067#,
           16#0072#, 16#0061#, 16#006D#, 16#0045#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "a reference to an optional shared style element for this diagram element."

   MS_0034 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 79,
         Unused => 73,
         Length => 73,
         Value  =>
          (16#0061#, 16#0020#, 16#0072#, 16#0065#,
           16#0066#, 16#0065#, 16#0072#, 16#0065#,
           16#006E#, 16#0063#, 16#0065#, 16#0020#,
           16#0074#, 16#006F#, 16#0020#, 16#0061#,
           16#006E#, 16#0020#, 16#006F#, 16#0070#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           16#0061#, 16#006C#, 16#0020#, 16#0073#,
           16#0068#, 16#0061#, 16#0072#, 16#0065#,
           16#0064#, 16#0020#, 16#0073#, 16#0074#,
           16#0079#, 16#006C#, 16#0065#, 16#0020#,
           16#0065#, 16#006C#, 16#0065#, 16#006D#,
           16#0065#, 16#006E#, 16#0074#, 16#0020#,
           16#0066#, 16#006F#, 16#0072#, 16#0020#,
           16#0074#, 16#0068#, 16#0069#, 16#0073#,
           16#0020#, 16#0064#, 16#0069#, 16#0061#,
           16#0067#, 16#0072#, 16#0061#, 16#006D#,
           16#0020#, 16#0065#, 16#006C#, 16#0065#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           16#002E#,
           others => 16#0000#),
         others => <>);

end AMF.Internals.Tables.DI_String_Data_00;
