------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2010-2012, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3409 $ $Date: 2012-11-13 12:04:54 +0100 (Tue, 13 Nov 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------

package body AMF.Internals.Tables.CMOF_Metamodel is

   ------------------
   -- MM_CMOF_CMOF --
   ------------------

   function MM_CMOF_CMOF return AMF.Internals.CMOF_Element is
   begin
      return Base + 189;
   end MM_CMOF_CMOF;

   ---------------------
   -- MC_CMOF_Boolean --
   ---------------------

   function MC_CMOF_Boolean return AMF.Internals.CMOF_Element is
   begin
      return Base + 192;
   end MC_CMOF_Boolean;

   ---------------------
   -- MC_CMOF_Integer --
   ---------------------

   function MC_CMOF_Integer return AMF.Internals.CMOF_Element is
   begin
      return Base + 190;
   end MC_CMOF_Integer;

   --------------------------------------
   -- MC_CMOF_Parameter_Direction_Kind --
   --------------------------------------

   function MC_CMOF_Parameter_Direction_Kind return AMF.Internals.CMOF_Element is
   begin
      return Base + 737;
   end MC_CMOF_Parameter_Direction_Kind;

   --------------------
   -- MC_CMOF_String --
   --------------------

   function MC_CMOF_String return AMF.Internals.CMOF_Element is
   begin
      return Base + 194;
   end MC_CMOF_String;

   -------------------------------
   -- MC_CMOF_Unlimited_Natural --
   -------------------------------

   function MC_CMOF_Unlimited_Natural return AMF.Internals.CMOF_Element is
   begin
      return Base + 196;
   end MC_CMOF_Unlimited_Natural;

   -----------------------------
   -- MC_CMOF_Visibility_Kind --
   -----------------------------

   function MC_CMOF_Visibility_Kind return AMF.Internals.CMOF_Element is
   begin
      return Base + 747;
   end MC_CMOF_Visibility_Kind;

   -------------------------
   -- MC_CMOF_Association --
   -------------------------

   function MC_CMOF_Association return AMF.Internals.CMOF_Element is
   begin
      return Base + 1;
   end MC_CMOF_Association;

   --------------------------------
   -- MC_CMOF_Behavioral_Feature --
   --------------------------------

   function MC_CMOF_Behavioral_Feature return AMF.Internals.CMOF_Element is
   begin
      return Base + 2;
   end MC_CMOF_Behavioral_Feature;

   -------------------
   -- MC_CMOF_Class --
   -------------------

   function MC_CMOF_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 3;
   end MC_CMOF_Class;

   ------------------------
   -- MC_CMOF_Classifier --
   ------------------------

   function MC_CMOF_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 4;
   end MC_CMOF_Classifier;

   ---------------------
   -- MC_CMOF_Comment --
   ---------------------

   function MC_CMOF_Comment return AMF.Internals.CMOF_Element is
   begin
      return Base + 5;
   end MC_CMOF_Comment;

   ------------------------
   -- MC_CMOF_Constraint --
   ------------------------

   function MC_CMOF_Constraint return AMF.Internals.CMOF_Element is
   begin
      return Base + 6;
   end MC_CMOF_Constraint;

   -----------------------
   -- MC_CMOF_Data_Type --
   -----------------------

   function MC_CMOF_Data_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 7;
   end MC_CMOF_Data_Type;

   -----------------------------------
   -- MC_CMOF_Directed_Relationship --
   -----------------------------------

   function MC_CMOF_Directed_Relationship return AMF.Internals.CMOF_Element is
   begin
      return Base + 8;
   end MC_CMOF_Directed_Relationship;

   ---------------------
   -- MC_CMOF_Element --
   ---------------------

   function MC_CMOF_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 9;
   end MC_CMOF_Element;

   ----------------------------
   -- MC_CMOF_Element_Import --
   ----------------------------

   function MC_CMOF_Element_Import return AMF.Internals.CMOF_Element is
   begin
      return Base + 10;
   end MC_CMOF_Element_Import;

   -------------------------
   -- MC_CMOF_Enumeration --
   -------------------------

   function MC_CMOF_Enumeration return AMF.Internals.CMOF_Element is
   begin
      return Base + 11;
   end MC_CMOF_Enumeration;

   ---------------------------------
   -- MC_CMOF_Enumeration_Literal --
   ---------------------------------

   function MC_CMOF_Enumeration_Literal return AMF.Internals.CMOF_Element is
   begin
      return Base + 12;
   end MC_CMOF_Enumeration_Literal;

   ------------------------
   -- MC_CMOF_Expression --
   ------------------------

   function MC_CMOF_Expression return AMF.Internals.CMOF_Element is
   begin
      return Base + 13;
   end MC_CMOF_Expression;

   ---------------------
   -- MC_CMOF_Feature --
   ---------------------

   function MC_CMOF_Feature return AMF.Internals.CMOF_Element is
   begin
      return Base + 14;
   end MC_CMOF_Feature;

   ----------------------------------
   -- MC_CMOF_Multiplicity_Element --
   ----------------------------------

   function MC_CMOF_Multiplicity_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 15;
   end MC_CMOF_Multiplicity_Element;

   ---------------------------
   -- MC_CMOF_Named_Element --
   ---------------------------

   function MC_CMOF_Named_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 16;
   end MC_CMOF_Named_Element;

   -----------------------
   -- MC_CMOF_Namespace --
   -----------------------

   function MC_CMOF_Namespace return AMF.Internals.CMOF_Element is
   begin
      return Base + 17;
   end MC_CMOF_Namespace;

   -------------------------------
   -- MC_CMOF_Opaque_Expression --
   -------------------------------

   function MC_CMOF_Opaque_Expression return AMF.Internals.CMOF_Element is
   begin
      return Base + 18;
   end MC_CMOF_Opaque_Expression;

   -----------------------
   -- MC_CMOF_Operation --
   -----------------------

   function MC_CMOF_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 19;
   end MC_CMOF_Operation;

   ---------------------
   -- MC_CMOF_Package --
   ---------------------

   function MC_CMOF_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 20;
   end MC_CMOF_Package;

   ----------------------------
   -- MC_CMOF_Package_Import --
   ----------------------------

   function MC_CMOF_Package_Import return AMF.Internals.CMOF_Element is
   begin
      return Base + 21;
   end MC_CMOF_Package_Import;

   ---------------------------
   -- MC_CMOF_Package_Merge --
   ---------------------------

   function MC_CMOF_Package_Merge return AMF.Internals.CMOF_Element is
   begin
      return Base + 22;
   end MC_CMOF_Package_Merge;

   ---------------------------------
   -- MC_CMOF_Packageable_Element --
   ---------------------------------

   function MC_CMOF_Packageable_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 23;
   end MC_CMOF_Packageable_Element;

   -----------------------
   -- MC_CMOF_Parameter --
   -----------------------

   function MC_CMOF_Parameter return AMF.Internals.CMOF_Element is
   begin
      return Base + 24;
   end MC_CMOF_Parameter;

   ----------------------------
   -- MC_CMOF_Primitive_Type --
   ----------------------------

   function MC_CMOF_Primitive_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 25;
   end MC_CMOF_Primitive_Type;

   ----------------------
   -- MC_CMOF_Property --
   ----------------------

   function MC_CMOF_Property return AMF.Internals.CMOF_Element is
   begin
      return Base + 26;
   end MC_CMOF_Property;

   ---------------------------------
   -- MC_CMOF_Redefinable_Element --
   ---------------------------------

   function MC_CMOF_Redefinable_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 27;
   end MC_CMOF_Redefinable_Element;

   --------------------------
   -- MC_CMOF_Relationship --
   --------------------------

   function MC_CMOF_Relationship return AMF.Internals.CMOF_Element is
   begin
      return Base + 28;
   end MC_CMOF_Relationship;

   --------------------------------
   -- MC_CMOF_Structural_Feature --
   --------------------------------

   function MC_CMOF_Structural_Feature return AMF.Internals.CMOF_Element is
   begin
      return Base + 29;
   end MC_CMOF_Structural_Feature;

   -----------------
   -- MC_CMOF_Tag --
   -----------------

   function MC_CMOF_Tag return AMF.Internals.CMOF_Element is
   begin
      return Base + 30;
   end MC_CMOF_Tag;

   ------------------
   -- MC_CMOF_Type --
   ------------------

   function MC_CMOF_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 31;
   end MC_CMOF_Type;

   ---------------------------
   -- MC_CMOF_Typed_Element --
   ---------------------------

   function MC_CMOF_Typed_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 32;
   end MC_CMOF_Typed_Element;

   ---------------------------------
   -- MC_CMOF_Value_Specification --
   ---------------------------------

   function MC_CMOF_Value_Specification return AMF.Internals.CMOF_Element is
   begin
      return Base + 33;
   end MC_CMOF_Value_Specification;

   ------------------------------------------------
   -- MP_CMOF_Association_End_Type_A_Association --
   ------------------------------------------------

   function MP_CMOF_Association_End_Type_A_Association return AMF.Internals.CMOF_Element is
   begin
      return Base + 34;
   end MP_CMOF_Association_End_Type_A_Association;

   ------------------------------------
   -- MP_CMOF_Association_Is_Derived --
   ------------------------------------

   function MP_CMOF_Association_Is_Derived return AMF.Internals.CMOF_Element is
   begin
      return Base + 79;
   end MP_CMOF_Association_Is_Derived;

   ---------------------------------------------------------
   -- MP_CMOF_Association_Member_End_Property_Association --
   ---------------------------------------------------------

   function MP_CMOF_Association_Member_End_Property_Association return AMF.Internals.CMOF_Element is
   begin
      return Base + 35;
   end MP_CMOF_Association_Member_End_Property_Association;

   -----------------------------------------------------------
   -- MP_CMOF_Association_Navigable_Owned_End_A_Association --
   -----------------------------------------------------------

   function MP_CMOF_Association_Navigable_Owned_End_A_Association return AMF.Internals.CMOF_Element is
   begin
      return Base + 36;
   end MP_CMOF_Association_Navigable_Owned_End_A_Association;

   ---------------------------------------------------------------
   -- MP_CMOF_Association_Owned_End_Property_Owning_Association --
   ---------------------------------------------------------------

   function MP_CMOF_Association_Owned_End_Property_Owning_Association return AMF.Internals.CMOF_Element is
   begin
      return Base + 37;
   end MP_CMOF_Association_Owned_End_Property_Owning_Association;

   ---------------------------------------------------------------------
   -- MP_CMOF_Behavioral_Feature_Owned_Parameter_A_Owner_Formal_Param --
   ---------------------------------------------------------------------

   function MP_CMOF_Behavioral_Feature_Owned_Parameter_A_Owner_Formal_Param return AMF.Internals.CMOF_Element is
   begin
      return Base + 38;
   end MP_CMOF_Behavioral_Feature_Owned_Parameter_A_Owner_Formal_Param;

   ----------------------------------------------------------------------
   -- MP_CMOF_Behavioral_Feature_Raised_Exception_A_Behavioral_Feature --
   ----------------------------------------------------------------------

   function MP_CMOF_Behavioral_Feature_Raised_Exception_A_Behavioral_Feature return AMF.Internals.CMOF_Element is
   begin
      return Base + 39;
   end MP_CMOF_Behavioral_Feature_Raised_Exception_A_Behavioral_Feature;

   -------------------------------
   -- MP_CMOF_Class_Is_Abstract --
   -------------------------------

   function MP_CMOF_Class_Is_Abstract return AMF.Internals.CMOF_Element is
   begin
      return Base + 80;
   end MP_CMOF_Class_Is_Abstract;

   --------------------------------------------------
   -- MP_CMOF_Class_Owned_Attribute_Property_Class --
   --------------------------------------------------

   function MP_CMOF_Class_Owned_Attribute_Property_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 40;
   end MP_CMOF_Class_Owned_Attribute_Property_Class;

   ---------------------------------------------------
   -- MP_CMOF_Class_Owned_Operation_Operation_Class --
   ---------------------------------------------------

   function MP_CMOF_Class_Owned_Operation_Operation_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 41;
   end MP_CMOF_Class_Owned_Operation_Operation_Class;

   ---------------------------------------
   -- MP_CMOF_Class_Super_Class_A_Class --
   ---------------------------------------

   function MP_CMOF_Class_Super_Class_A_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 42;
   end MP_CMOF_Class_Super_Class_A_Class;

   -----------------------------------------------
   -- MP_CMOF_Classifier_Attribute_A_Classifier --
   -----------------------------------------------

   function MP_CMOF_Classifier_Attribute_A_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 43;
   end MP_CMOF_Classifier_Attribute_A_Classifier;

   -------------------------------------------------------------
   -- MP_CMOF_Classifier_Feature_Feature_Featuring_Classifier --
   -------------------------------------------------------------

   function MP_CMOF_Classifier_Feature_Feature_Featuring_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 44;
   end MP_CMOF_Classifier_Feature_Feature_Featuring_Classifier;

   ---------------------------------------------
   -- MP_CMOF_Classifier_General_A_Classifier --
   ---------------------------------------------

   function MP_CMOF_Classifier_General_A_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 45;
   end MP_CMOF_Classifier_General_A_Classifier;

   ------------------------------------------------------
   -- MP_CMOF_Classifier_Inherited_Member_A_Classifier --
   ------------------------------------------------------

   function MP_CMOF_Classifier_Inherited_Member_A_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 46;
   end MP_CMOF_Classifier_Inherited_Member_A_Classifier;

   ------------------------------------------------
   -- MP_CMOF_Classifier_Is_Final_Specialization --
   ------------------------------------------------

   function MP_CMOF_Classifier_Is_Final_Specialization return AMF.Internals.CMOF_Element is
   begin
      return Base + 81;
   end MP_CMOF_Classifier_Is_Final_Specialization;

   -------------------------------------------------
   -- MP_CMOF_Comment_Annotated_Element_A_Comment --
   -------------------------------------------------

   function MP_CMOF_Comment_Annotated_Element_A_Comment return AMF.Internals.CMOF_Element is
   begin
      return Base + 47;
   end MP_CMOF_Comment_Annotated_Element_A_Comment;

   --------------------------
   -- MP_CMOF_Comment_Body --
   --------------------------

   function MP_CMOF_Comment_Body return AMF.Internals.CMOF_Element is
   begin
      return Base + 82;
   end MP_CMOF_Comment_Body;

   ---------------------------------------------------------
   -- MP_CMOF_Constraint_Constrained_Element_A_Constraint --
   ---------------------------------------------------------

   function MP_CMOF_Constraint_Constrained_Element_A_Constraint return AMF.Internals.CMOF_Element is
   begin
      return Base + 48;
   end MP_CMOF_Constraint_Constrained_Element_A_Constraint;

   -----------------------------------------------------
   -- MP_CMOF_Constraint_Context_Namespace_Owned_Rule --
   -----------------------------------------------------

   function MP_CMOF_Constraint_Context_Namespace_Owned_Rule return AMF.Internals.CMOF_Element is
   begin
      return Base + 83;
   end MP_CMOF_Constraint_Context_Namespace_Owned_Rule;

   ----------------------------------------------------------
   -- MP_CMOF_Constraint_Specification_A_Owning_Constraint --
   ----------------------------------------------------------

   function MP_CMOF_Constraint_Specification_A_Owning_Constraint return AMF.Internals.CMOF_Element is
   begin
      return Base + 84;
   end MP_CMOF_Constraint_Specification_A_Owning_Constraint;

   ---------------------------------------------------------
   -- MP_CMOF_Data_Type_Owned_Attribute_Property_Datatype --
   ---------------------------------------------------------

   function MP_CMOF_Data_Type_Owned_Attribute_Property_Datatype return AMF.Internals.CMOF_Element is
   begin
      return Base + 49;
   end MP_CMOF_Data_Type_Owned_Attribute_Property_Datatype;

   ----------------------------------------------------------
   -- MP_CMOF_Data_Type_Owned_Operation_Operation_Datatype --
   ----------------------------------------------------------

   function MP_CMOF_Data_Type_Owned_Operation_Operation_Datatype return AMF.Internals.CMOF_Element is
   begin
      return Base + 50;
   end MP_CMOF_Data_Type_Owned_Operation_Operation_Datatype;

   ------------------------------------------------------------------
   -- MP_CMOF_Directed_Relationship_Source_A_Directed_Relationship --
   ------------------------------------------------------------------

   function MP_CMOF_Directed_Relationship_Source_A_Directed_Relationship return AMF.Internals.CMOF_Element is
   begin
      return Base + 51;
   end MP_CMOF_Directed_Relationship_Source_A_Directed_Relationship;

   ------------------------------------------------------------------
   -- MP_CMOF_Directed_Relationship_Target_A_Directed_Relationship --
   ------------------------------------------------------------------

   function MP_CMOF_Directed_Relationship_Target_A_Directed_Relationship return AMF.Internals.CMOF_Element is
   begin
      return Base + 52;
   end MP_CMOF_Directed_Relationship_Target_A_Directed_Relationship;

   ----------------------------------------------------
   -- MP_CMOF_Element_Owned_Comment_A_Owning_Element --
   ----------------------------------------------------

   function MP_CMOF_Element_Owned_Comment_A_Owning_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 53;
   end MP_CMOF_Element_Owned_Comment_A_Owning_Element;

   -------------------------------------------------
   -- MP_CMOF_Element_Owned_Element_Element_Owner --
   -------------------------------------------------

   function MP_CMOF_Element_Owned_Element_Element_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 54;
   end MP_CMOF_Element_Owned_Element_Element_Owner;

   -------------------------------------------------
   -- MP_CMOF_Element_Owner_Element_Owned_Element --
   -------------------------------------------------

   function MP_CMOF_Element_Owner_Element_Owned_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 85;
   end MP_CMOF_Element_Owner_Element_Owned_Element;

   ----------------------------------
   -- MP_CMOF_Element_Import_Alias --
   ----------------------------------

   function MP_CMOF_Element_Import_Alias return AMF.Internals.CMOF_Element is
   begin
      return Base + 86;
   end MP_CMOF_Element_Import_Alias;

   --------------------------------------------------------------
   -- MP_CMOF_Element_Import_Imported_Element_A_Element_Import --
   --------------------------------------------------------------

   function MP_CMOF_Element_Import_Imported_Element_A_Element_Import return AMF.Internals.CMOF_Element is
   begin
      return Base + 87;
   end MP_CMOF_Element_Import_Imported_Element_A_Element_Import;

   -------------------------------------------------------------------------
   -- MP_CMOF_Element_Import_Importing_Namespace_Namespace_Element_Import --
   -------------------------------------------------------------------------

   function MP_CMOF_Element_Import_Importing_Namespace_Namespace_Element_Import return AMF.Internals.CMOF_Element is
   begin
      return Base + 88;
   end MP_CMOF_Element_Import_Importing_Namespace_Namespace_Element_Import;

   ---------------------------------------
   -- MP_CMOF_Element_Import_Visibility --
   ---------------------------------------

   function MP_CMOF_Element_Import_Visibility return AMF.Internals.CMOF_Element is
   begin
      return Base + 89;
   end MP_CMOF_Element_Import_Visibility;

   -----------------------------------------------------------------------
   -- MP_CMOF_Enumeration_Owned_Literal_Enumeration_Literal_Enumeration --
   -----------------------------------------------------------------------

   function MP_CMOF_Enumeration_Owned_Literal_Enumeration_Literal_Enumeration return AMF.Internals.CMOF_Element is
   begin
      return Base + 55;
   end MP_CMOF_Enumeration_Owned_Literal_Enumeration_Literal_Enumeration;

   -----------------------------------------------------------------------
   -- MP_CMOF_Enumeration_Literal_Enumeration_Enumeration_Owned_Literal --
   -----------------------------------------------------------------------

   function MP_CMOF_Enumeration_Literal_Enumeration_Enumeration_Owned_Literal return AMF.Internals.CMOF_Element is
   begin
      return Base + 90;
   end MP_CMOF_Enumeration_Literal_Enumeration_Enumeration_Owned_Literal;

   ---------------------------------------------
   -- MP_CMOF_Expression_Operand_A_Expression --
   ---------------------------------------------

   function MP_CMOF_Expression_Operand_A_Expression return AMF.Internals.CMOF_Element is
   begin
      return Base + 56;
   end MP_CMOF_Expression_Operand_A_Expression;

   -------------------------------------------------------------
   -- MP_CMOF_Feature_Featuring_Classifier_Classifier_Feature --
   -------------------------------------------------------------

   function MP_CMOF_Feature_Featuring_Classifier_Classifier_Feature return AMF.Internals.CMOF_Element is
   begin
      return Base + 57;
   end MP_CMOF_Feature_Featuring_Classifier_Classifier_Feature;

   ---------------------------------------------
   -- MP_CMOF_Multiplicity_Element_Is_Ordered --
   ---------------------------------------------

   function MP_CMOF_Multiplicity_Element_Is_Ordered return AMF.Internals.CMOF_Element is
   begin
      return Base + 91;
   end MP_CMOF_Multiplicity_Element_Is_Ordered;

   --------------------------------------------
   -- MP_CMOF_Multiplicity_Element_Is_Unique --
   --------------------------------------------

   function MP_CMOF_Multiplicity_Element_Is_Unique return AMF.Internals.CMOF_Element is
   begin
      return Base + 92;
   end MP_CMOF_Multiplicity_Element_Is_Unique;

   ----------------------------------------
   -- MP_CMOF_Multiplicity_Element_Lower --
   ----------------------------------------

   function MP_CMOF_Multiplicity_Element_Lower return AMF.Internals.CMOF_Element is
   begin
      return Base + 93;
   end MP_CMOF_Multiplicity_Element_Lower;

   ----------------------------------------
   -- MP_CMOF_Multiplicity_Element_Upper --
   ----------------------------------------

   function MP_CMOF_Multiplicity_Element_Upper return AMF.Internals.CMOF_Element is
   begin
      return Base + 94;
   end MP_CMOF_Multiplicity_Element_Upper;

   --------------------------------
   -- MP_CMOF_Named_Element_Name --
   --------------------------------

   function MP_CMOF_Named_Element_Name return AMF.Internals.CMOF_Element is
   begin
      return Base + 95;
   end MP_CMOF_Named_Element_Name;

   ------------------------------------------------------------
   -- MP_CMOF_Named_Element_Namespace_Namespace_Owned_Member --
   ------------------------------------------------------------

   function MP_CMOF_Named_Element_Namespace_Namespace_Owned_Member return AMF.Internals.CMOF_Element is
   begin
      return Base + 96;
   end MP_CMOF_Named_Element_Namespace_Namespace_Owned_Member;

   ------------------------------------------
   -- MP_CMOF_Named_Element_Qualified_Name --
   ------------------------------------------

   function MP_CMOF_Named_Element_Qualified_Name return AMF.Internals.CMOF_Element is
   begin
      return Base + 97;
   end MP_CMOF_Named_Element_Qualified_Name;

   --------------------------------------
   -- MP_CMOF_Named_Element_Visibility --
   --------------------------------------

   function MP_CMOF_Named_Element_Visibility return AMF.Internals.CMOF_Element is
   begin
      return Base + 98;
   end MP_CMOF_Named_Element_Visibility;

   -------------------------------------------------------------------------
   -- MP_CMOF_Namespace_Element_Import_Element_Import_Importing_Namespace --
   -------------------------------------------------------------------------

   function MP_CMOF_Namespace_Element_Import_Element_Import_Importing_Namespace return AMF.Internals.CMOF_Element is
   begin
      return Base + 58;
   end MP_CMOF_Namespace_Element_Import_Element_Import_Importing_Namespace;

   ---------------------------------------------------
   -- MP_CMOF_Namespace_Imported_Member_A_Namespace --
   ---------------------------------------------------

   function MP_CMOF_Namespace_Imported_Member_A_Namespace return AMF.Internals.CMOF_Element is
   begin
      return Base + 59;
   end MP_CMOF_Namespace_Imported_Member_A_Namespace;

   ------------------------------------------
   -- MP_CMOF_Namespace_Member_A_Namespace --
   ------------------------------------------

   function MP_CMOF_Namespace_Member_A_Namespace return AMF.Internals.CMOF_Element is
   begin
      return Base + 60;
   end MP_CMOF_Namespace_Member_A_Namespace;

   ------------------------------------------------------------
   -- MP_CMOF_Namespace_Owned_Member_Named_Element_Namespace --
   ------------------------------------------------------------

   function MP_CMOF_Namespace_Owned_Member_Named_Element_Namespace return AMF.Internals.CMOF_Element is
   begin
      return Base + 61;
   end MP_CMOF_Namespace_Owned_Member_Named_Element_Namespace;

   -----------------------------------------------------
   -- MP_CMOF_Namespace_Owned_Rule_Constraint_Context --
   -----------------------------------------------------

   function MP_CMOF_Namespace_Owned_Rule_Constraint_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 62;
   end MP_CMOF_Namespace_Owned_Rule_Constraint_Context;

   -------------------------------------------------------------------------
   -- MP_CMOF_Namespace_Package_Import_Package_Import_Importing_Namespace --
   -------------------------------------------------------------------------

   function MP_CMOF_Namespace_Package_Import_Package_Import_Importing_Namespace return AMF.Internals.CMOF_Element is
   begin
      return Base + 63;
   end MP_CMOF_Namespace_Package_Import_Package_Import_Importing_Namespace;

   ------------------------------------
   -- MP_CMOF_Opaque_Expression_Body --
   ------------------------------------

   function MP_CMOF_Opaque_Expression_Body return AMF.Internals.CMOF_Element is
   begin
      return Base + 99;
   end MP_CMOF_Opaque_Expression_Body;

   ----------------------------------------
   -- MP_CMOF_Opaque_Expression_Language --
   ----------------------------------------

   function MP_CMOF_Opaque_Expression_Language return AMF.Internals.CMOF_Element is
   begin
      return Base + 100;
   end MP_CMOF_Opaque_Expression_Language;

   -----------------------------------------------------
   -- MP_CMOF_Operation_Body_Condition_A_Body_Context --
   -----------------------------------------------------

   function MP_CMOF_Operation_Body_Condition_A_Body_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 101;
   end MP_CMOF_Operation_Body_Condition_A_Body_Context;

   ---------------------------------------------------
   -- MP_CMOF_Operation_Class_Class_Owned_Operation --
   ---------------------------------------------------

   function MP_CMOF_Operation_Class_Class_Owned_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 102;
   end MP_CMOF_Operation_Class_Class_Owned_Operation;

   ----------------------------------------------------------
   -- MP_CMOF_Operation_Datatype_Data_Type_Owned_Operation --
   ----------------------------------------------------------

   function MP_CMOF_Operation_Datatype_Data_Type_Owned_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 103;
   end MP_CMOF_Operation_Datatype_Data_Type_Owned_Operation;

   ----------------------------------
   -- MP_CMOF_Operation_Is_Ordered --
   ----------------------------------

   function MP_CMOF_Operation_Is_Ordered return AMF.Internals.CMOF_Element is
   begin
      return Base + 104;
   end MP_CMOF_Operation_Is_Ordered;

   --------------------------------
   -- MP_CMOF_Operation_Is_Query --
   --------------------------------

   function MP_CMOF_Operation_Is_Query return AMF.Internals.CMOF_Element is
   begin
      return Base + 105;
   end MP_CMOF_Operation_Is_Query;

   ---------------------------------
   -- MP_CMOF_Operation_Is_Unique --
   ---------------------------------

   function MP_CMOF_Operation_Is_Unique return AMF.Internals.CMOF_Element is
   begin
      return Base + 106;
   end MP_CMOF_Operation_Is_Unique;

   -----------------------------
   -- MP_CMOF_Operation_Lower --
   -----------------------------

   function MP_CMOF_Operation_Lower return AMF.Internals.CMOF_Element is
   begin
      return Base + 107;
   end MP_CMOF_Operation_Lower;

   -----------------------------------------------------------
   -- MP_CMOF_Operation_Owned_Parameter_Parameter_Operation --
   -----------------------------------------------------------

   function MP_CMOF_Operation_Owned_Parameter_Parameter_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 64;
   end MP_CMOF_Operation_Owned_Parameter_Parameter_Operation;

   ----------------------------------------------------
   -- MP_CMOF_Operation_Postcondition_A_Post_Context --
   ----------------------------------------------------

   function MP_CMOF_Operation_Postcondition_A_Post_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 65;
   end MP_CMOF_Operation_Postcondition_A_Post_Context;

   --------------------------------------------------
   -- MP_CMOF_Operation_Precondition_A_Pre_Context --
   --------------------------------------------------

   function MP_CMOF_Operation_Precondition_A_Pre_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 66;
   end MP_CMOF_Operation_Precondition_A_Pre_Context;

   ----------------------------------------------------
   -- MP_CMOF_Operation_Raised_Exception_A_Operation --
   ----------------------------------------------------

   function MP_CMOF_Operation_Raised_Exception_A_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 67;
   end MP_CMOF_Operation_Raised_Exception_A_Operation;

   -------------------------------------------------------
   -- MP_CMOF_Operation_Redefined_Operation_A_Operation --
   -------------------------------------------------------

   function MP_CMOF_Operation_Redefined_Operation_A_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 68;
   end MP_CMOF_Operation_Redefined_Operation_A_Operation;

   ----------------------------------------
   -- MP_CMOF_Operation_Type_A_Operation --
   ----------------------------------------

   function MP_CMOF_Operation_Type_A_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 108;
   end MP_CMOF_Operation_Type_A_Operation;

   -----------------------------
   -- MP_CMOF_Operation_Upper --
   -----------------------------

   function MP_CMOF_Operation_Upper return AMF.Internals.CMOF_Element is
   begin
      return Base + 109;
   end MP_CMOF_Operation_Upper;

   ------------------------------------------------------------
   -- MP_CMOF_Package_Nested_Package_Package_Nesting_Package --
   ------------------------------------------------------------

   function MP_CMOF_Package_Nested_Package_Package_Nesting_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 69;
   end MP_CMOF_Package_Nested_Package_Package_Nesting_Package;

   ------------------------------------------------------------
   -- MP_CMOF_Package_Nesting_Package_Package_Nested_Package --
   ------------------------------------------------------------

   function MP_CMOF_Package_Nesting_Package_Package_Nested_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 110;
   end MP_CMOF_Package_Nesting_Package_Package_Nested_Package;

   ---------------------------------------------
   -- MP_CMOF_Package_Owned_Type_Type_Package --
   ---------------------------------------------

   function MP_CMOF_Package_Owned_Type_Type_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 70;
   end MP_CMOF_Package_Owned_Type_Type_Package;

   -------------------------------------------------------------------
   -- MP_CMOF_Package_Package_Merge_Package_Merge_Receiving_Package --
   -------------------------------------------------------------------

   function MP_CMOF_Package_Package_Merge_Package_Merge_Receiving_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 71;
   end MP_CMOF_Package_Package_Merge_Package_Merge_Receiving_Package;

   -------------------------------------------------------
   -- MP_CMOF_Package_Packaged_Element_A_Owning_Package --
   -------------------------------------------------------

   function MP_CMOF_Package_Packaged_Element_A_Owning_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 72;
   end MP_CMOF_Package_Packaged_Element_A_Owning_Package;

   -------------------------
   -- MP_CMOF_Package_Uri --
   -------------------------

   function MP_CMOF_Package_Uri return AMF.Internals.CMOF_Element is
   begin
      return Base + 111;
   end MP_CMOF_Package_Uri;

   --------------------------------------------------------------
   -- MP_CMOF_Package_Import_Imported_Package_A_Package_Import --
   --------------------------------------------------------------

   function MP_CMOF_Package_Import_Imported_Package_A_Package_Import return AMF.Internals.CMOF_Element is
   begin
      return Base + 112;
   end MP_CMOF_Package_Import_Imported_Package_A_Package_Import;

   -------------------------------------------------------------------------
   -- MP_CMOF_Package_Import_Importing_Namespace_Namespace_Package_Import --
   -------------------------------------------------------------------------

   function MP_CMOF_Package_Import_Importing_Namespace_Namespace_Package_Import return AMF.Internals.CMOF_Element is
   begin
      return Base + 113;
   end MP_CMOF_Package_Import_Importing_Namespace_Namespace_Package_Import;

   ---------------------------------------
   -- MP_CMOF_Package_Import_Visibility --
   ---------------------------------------

   function MP_CMOF_Package_Import_Visibility return AMF.Internals.CMOF_Element is
   begin
      return Base + 114;
   end MP_CMOF_Package_Import_Visibility;

   ----------------------------------------------------------
   -- MP_CMOF_Package_Merge_Merged_Package_A_Package_Merge --
   ----------------------------------------------------------

   function MP_CMOF_Package_Merge_Merged_Package_A_Package_Merge return AMF.Internals.CMOF_Element is
   begin
      return Base + 115;
   end MP_CMOF_Package_Merge_Merged_Package_A_Package_Merge;

   -------------------------------------------------------------------
   -- MP_CMOF_Package_Merge_Receiving_Package_Package_Package_Merge --
   -------------------------------------------------------------------

   function MP_CMOF_Package_Merge_Receiving_Package_Package_Package_Merge return AMF.Internals.CMOF_Element is
   begin
      return Base + 116;
   end MP_CMOF_Package_Merge_Receiving_Package_Package_Package_Merge;

   -------------------------------
   -- MP_CMOF_Parameter_Default --
   -------------------------------

   function MP_CMOF_Parameter_Default return AMF.Internals.CMOF_Element is
   begin
      return Base + 117;
   end MP_CMOF_Parameter_Default;

   ---------------------------------
   -- MP_CMOF_Parameter_Direction --
   ---------------------------------

   function MP_CMOF_Parameter_Direction return AMF.Internals.CMOF_Element is
   begin
      return Base + 118;
   end MP_CMOF_Parameter_Direction;

   -----------------------------------------------------------
   -- MP_CMOF_Parameter_Operation_Operation_Owned_Parameter --
   -----------------------------------------------------------

   function MP_CMOF_Parameter_Operation_Operation_Owned_Parameter return AMF.Internals.CMOF_Element is
   begin
      return Base + 119;
   end MP_CMOF_Parameter_Operation_Operation_Owned_Parameter;

   ---------------------------------------------------------
   -- MP_CMOF_Property_Association_Association_Member_End --
   ---------------------------------------------------------

   function MP_CMOF_Property_Association_Association_Member_End return AMF.Internals.CMOF_Element is
   begin
      return Base + 120;
   end MP_CMOF_Property_Association_Association_Member_End;

   --------------------------------------------------
   -- MP_CMOF_Property_Class_Class_Owned_Attribute --
   --------------------------------------------------

   function MP_CMOF_Property_Class_Class_Owned_Attribute return AMF.Internals.CMOF_Element is
   begin
      return Base + 121;
   end MP_CMOF_Property_Class_Class_Owned_Attribute;

   ---------------------------------------------------------
   -- MP_CMOF_Property_Datatype_Data_Type_Owned_Attribute --
   ---------------------------------------------------------

   function MP_CMOF_Property_Datatype_Data_Type_Owned_Attribute return AMF.Internals.CMOF_Element is
   begin
      return Base + 122;
   end MP_CMOF_Property_Datatype_Data_Type_Owned_Attribute;

   ------------------------------
   -- MP_CMOF_Property_Default --
   ------------------------------

   function MP_CMOF_Property_Default return AMF.Internals.CMOF_Element is
   begin
      return Base + 123;
   end MP_CMOF_Property_Default;

   -----------------------------------
   -- MP_CMOF_Property_Is_Composite --
   -----------------------------------

   function MP_CMOF_Property_Is_Composite return AMF.Internals.CMOF_Element is
   begin
      return Base + 124;
   end MP_CMOF_Property_Is_Composite;

   ---------------------------------
   -- MP_CMOF_Property_Is_Derived --
   ---------------------------------

   function MP_CMOF_Property_Is_Derived return AMF.Internals.CMOF_Element is
   begin
      return Base + 125;
   end MP_CMOF_Property_Is_Derived;

   ---------------------------------------
   -- MP_CMOF_Property_Is_Derived_Union --
   ---------------------------------------

   function MP_CMOF_Property_Is_Derived_Union return AMF.Internals.CMOF_Element is
   begin
      return Base + 126;
   end MP_CMOF_Property_Is_Derived_Union;

   -----------------------------------
   -- MP_CMOF_Property_Is_Read_Only --
   -----------------------------------

   function MP_CMOF_Property_Is_Read_Only return AMF.Internals.CMOF_Element is
   begin
      return Base + 127;
   end MP_CMOF_Property_Is_Read_Only;

   ------------------------------------------
   -- MP_CMOF_Property_Opposite_A_Property --
   ------------------------------------------

   function MP_CMOF_Property_Opposite_A_Property return AMF.Internals.CMOF_Element is
   begin
      return Base + 128;
   end MP_CMOF_Property_Opposite_A_Property;

   ---------------------------------------------------------------
   -- MP_CMOF_Property_Owning_Association_Association_Owned_End --
   ---------------------------------------------------------------

   function MP_CMOF_Property_Owning_Association_Association_Owned_End return AMF.Internals.CMOF_Element is
   begin
      return Base + 129;
   end MP_CMOF_Property_Owning_Association_Association_Owned_End;

   ----------------------------------------------------
   -- MP_CMOF_Property_Redefined_Property_A_Property --
   ----------------------------------------------------

   function MP_CMOF_Property_Redefined_Property_A_Property return AMF.Internals.CMOF_Element is
   begin
      return Base + 73;
   end MP_CMOF_Property_Redefined_Property_A_Property;

   ----------------------------------------------------
   -- MP_CMOF_Property_Subsetted_Property_A_Property --
   ----------------------------------------------------

   function MP_CMOF_Property_Subsetted_Property_A_Property return AMF.Internals.CMOF_Element is
   begin
      return Base + 74;
   end MP_CMOF_Property_Subsetted_Property_A_Property;

   -----------------------------------------
   -- MP_CMOF_Redefinable_Element_Is_Leaf --
   -----------------------------------------

   function MP_CMOF_Redefinable_Element_Is_Leaf return AMF.Internals.CMOF_Element is
   begin
      return Base + 130;
   end MP_CMOF_Redefinable_Element_Is_Leaf;

   -------------------------------------------------------------------------
   -- MP_CMOF_Redefinable_Element_Redefined_Element_A_Redefinable_Element --
   -------------------------------------------------------------------------

   function MP_CMOF_Redefinable_Element_Redefined_Element_A_Redefinable_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 75;
   end MP_CMOF_Redefinable_Element_Redefined_Element_A_Redefinable_Element;

   ----------------------------------------------------------------------------
   -- MP_CMOF_Redefinable_Element_Redefinition_Context_A_Redefinable_Element --
   ----------------------------------------------------------------------------

   function MP_CMOF_Redefinable_Element_Redefinition_Context_A_Redefinable_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 76;
   end MP_CMOF_Redefinable_Element_Redefinition_Context_A_Redefinable_Element;

   ---------------------------------------------------------
   -- MP_CMOF_Relationship_Related_Element_A_Relationship --
   ---------------------------------------------------------

   function MP_CMOF_Relationship_Related_Element_A_Relationship return AMF.Internals.CMOF_Element is
   begin
      return Base + 77;
   end MP_CMOF_Relationship_Related_Element_A_Relationship;

   -------------------------------
   -- MP_CMOF_Tag_Element_A_Tag --
   -------------------------------

   function MP_CMOF_Tag_Element_A_Tag return AMF.Internals.CMOF_Element is
   begin
      return Base + 78;
   end MP_CMOF_Tag_Element_A_Tag;

   ----------------------
   -- MP_CMOF_Tag_Name --
   ----------------------

   function MP_CMOF_Tag_Name return AMF.Internals.CMOF_Element is
   begin
      return Base + 131;
   end MP_CMOF_Tag_Name;

   ---------------------------------------
   -- MP_CMOF_Tag_Tag_Owner_A_Owned_Tag --
   ---------------------------------------

   function MP_CMOF_Tag_Tag_Owner_A_Owned_Tag return AMF.Internals.CMOF_Element is
   begin
      return Base + 132;
   end MP_CMOF_Tag_Tag_Owner_A_Owned_Tag;

   -----------------------
   -- MP_CMOF_Tag_Value --
   -----------------------

   function MP_CMOF_Tag_Value return AMF.Internals.CMOF_Element is
   begin
      return Base + 133;
   end MP_CMOF_Tag_Value;

   ---------------------------------------------
   -- MP_CMOF_Type_Package_Package_Owned_Type --
   ---------------------------------------------

   function MP_CMOF_Type_Package_Package_Owned_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 134;
   end MP_CMOF_Type_Package_Package_Owned_Type;

   ------------------------------------------------
   -- MP_CMOF_Typed_Element_Type_A_Typed_Element --
   ------------------------------------------------

   function MP_CMOF_Typed_Element_Type_A_Typed_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 135;
   end MP_CMOF_Typed_Element_Type_A_Typed_Element;

   --------------------------------------------------------------
   -- MP_CMOF_A_Element_Import_Element_Import_Imported_Element --
   --------------------------------------------------------------

   function MP_CMOF_A_Element_Import_Element_Import_Imported_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 776;
   end MP_CMOF_A_Element_Import_Element_Import_Imported_Element;

   -------------------------------------------------------
   -- MP_CMOF_A_Owning_Package_Package_Packaged_Element --
   -------------------------------------------------------

   function MP_CMOF_A_Owning_Package_Package_Packaged_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 777;
   end MP_CMOF_A_Owning_Package_Package_Packaged_Element;

   -------------------------------
   -- MP_CMOF_A_Tag_Tag_Element --
   -------------------------------

   function MP_CMOF_A_Tag_Tag_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 797;
   end MP_CMOF_A_Tag_Tag_Element;

   ---------------------------------------
   -- MP_CMOF_A_Owned_Tag_Tag_Tag_Owner --
   ---------------------------------------

   function MP_CMOF_A_Owned_Tag_Tag_Tag_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 798;
   end MP_CMOF_A_Owned_Tag_Tag_Tag_Owner;

   ----------------------------------------
   -- MP_CMOF_A_Operation_Operation_Type --
   ----------------------------------------

   function MP_CMOF_A_Operation_Operation_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 778;
   end MP_CMOF_A_Operation_Operation_Type;

   ----------------------------------------------------------
   -- MP_CMOF_A_Package_Merge_Package_Merge_Merged_Package --
   ----------------------------------------------------------

   function MP_CMOF_A_Package_Merge_Package_Merge_Merged_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 779;
   end MP_CMOF_A_Package_Merge_Package_Merge_Merged_Package;

   -------------------------------------------------
   -- MP_CMOF_A_Comment_Comment_Annotated_Element --
   -------------------------------------------------

   function MP_CMOF_A_Comment_Comment_Annotated_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 780;
   end MP_CMOF_A_Comment_Comment_Annotated_Element;

   ---------------------------------------------------------
   -- MP_CMOF_A_Relationship_Relationship_Related_Element --
   ---------------------------------------------------------

   function MP_CMOF_A_Relationship_Relationship_Related_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 781;
   end MP_CMOF_A_Relationship_Relationship_Related_Element;

   ------------------------------------------------------------------
   -- MP_CMOF_A_Directed_Relationship_Directed_Relationship_Source --
   ------------------------------------------------------------------

   function MP_CMOF_A_Directed_Relationship_Directed_Relationship_Source return AMF.Internals.CMOF_Element is
   begin
      return Base + 782;
   end MP_CMOF_A_Directed_Relationship_Directed_Relationship_Source;

   ------------------------------------------------------------------
   -- MP_CMOF_A_Directed_Relationship_Directed_Relationship_Target --
   ------------------------------------------------------------------

   function MP_CMOF_A_Directed_Relationship_Directed_Relationship_Target return AMF.Internals.CMOF_Element is
   begin
      return Base + 783;
   end MP_CMOF_A_Directed_Relationship_Directed_Relationship_Target;

   ------------------------------------------------
   -- MP_CMOF_A_Typed_Element_Typed_Element_Type --
   ------------------------------------------------

   function MP_CMOF_A_Typed_Element_Typed_Element_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 763;
   end MP_CMOF_A_Typed_Element_Typed_Element_Type;

   ----------------------------------------------------------------------------
   -- MP_CMOF_A_Redefinable_Element_Redefinable_Element_Redefinition_Context --
   ----------------------------------------------------------------------------

   function MP_CMOF_A_Redefinable_Element_Redefinable_Element_Redefinition_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 784;
   end MP_CMOF_A_Redefinable_Element_Redefinable_Element_Redefinition_Context;

   -------------------------------------------------------------------------
   -- MP_CMOF_A_Redefinable_Element_Redefinable_Element_Redefined_Element --
   -------------------------------------------------------------------------

   function MP_CMOF_A_Redefinable_Element_Redefinable_Element_Redefined_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 785;
   end MP_CMOF_A_Redefinable_Element_Redefinable_Element_Redefined_Element;

   -----------------------------------------------
   -- MP_CMOF_A_Classifier_Classifier_Attribute --
   -----------------------------------------------

   function MP_CMOF_A_Classifier_Classifier_Attribute return AMF.Internals.CMOF_Element is
   begin
      return Base + 764;
   end MP_CMOF_A_Classifier_Classifier_Attribute;

   ---------------------------------------------------------
   -- MP_CMOF_A_Constraint_Constraint_Constrained_Element --
   ---------------------------------------------------------

   function MP_CMOF_A_Constraint_Constraint_Constrained_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 786;
   end MP_CMOF_A_Constraint_Constraint_Constrained_Element;

   ----------------------------------------------------
   -- MP_CMOF_A_Property_Property_Redefined_Property --
   ----------------------------------------------------

   function MP_CMOF_A_Property_Property_Redefined_Property return AMF.Internals.CMOF_Element is
   begin
      return Base + 765;
   end MP_CMOF_A_Property_Property_Redefined_Property;

   ----------------------------------------------------------
   -- MP_CMOF_A_Owning_Constraint_Constraint_Specification --
   ----------------------------------------------------------

   function MP_CMOF_A_Owning_Constraint_Constraint_Specification return AMF.Internals.CMOF_Element is
   begin
      return Base + 787;
   end MP_CMOF_A_Owning_Constraint_Constraint_Specification;

   ----------------------------------------------------
   -- MP_CMOF_A_Property_Property_Subsetted_Property --
   ----------------------------------------------------

   function MP_CMOF_A_Property_Property_Subsetted_Property return AMF.Internals.CMOF_Element is
   begin
      return Base + 766;
   end MP_CMOF_A_Property_Property_Subsetted_Property;

   ---------------------------------------------
   -- MP_CMOF_A_Classifier_Classifier_General --
   ---------------------------------------------

   function MP_CMOF_A_Classifier_Classifier_General return AMF.Internals.CMOF_Element is
   begin
      return Base + 788;
   end MP_CMOF_A_Classifier_Classifier_General;

   ------------------------------------------
   -- MP_CMOF_A_Property_Property_Opposite --
   ------------------------------------------

   function MP_CMOF_A_Property_Property_Opposite return AMF.Internals.CMOF_Element is
   begin
      return Base + 767;
   end MP_CMOF_A_Property_Property_Opposite;

   ---------------------------------------
   -- MP_CMOF_A_Class_Class_Super_Class --
   ---------------------------------------

   function MP_CMOF_A_Class_Class_Super_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 768;
   end MP_CMOF_A_Class_Class_Super_Class;

   ------------------------------------------
   -- MP_CMOF_A_Namespace_Namespace_Member --
   ------------------------------------------

   function MP_CMOF_A_Namespace_Namespace_Member return AMF.Internals.CMOF_Element is
   begin
      return Base + 789;
   end MP_CMOF_A_Namespace_Namespace_Member;

   ------------------------------------------------
   -- MP_CMOF_A_Association_Association_End_Type --
   ------------------------------------------------

   function MP_CMOF_A_Association_Association_End_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 769;
   end MP_CMOF_A_Association_Association_End_Type;

   ---------------------------------------------
   -- MP_CMOF_A_Expression_Expression_Operand --
   ---------------------------------------------

   function MP_CMOF_A_Expression_Expression_Operand return AMF.Internals.CMOF_Element is
   begin
      return Base + 790;
   end MP_CMOF_A_Expression_Expression_Operand;

   -----------------------------------------------------------
   -- MP_CMOF_A_Association_Association_Navigable_Owned_End --
   -----------------------------------------------------------

   function MP_CMOF_A_Association_Association_Navigable_Owned_End return AMF.Internals.CMOF_Element is
   begin
      return Base + 791;
   end MP_CMOF_A_Association_Association_Navigable_Owned_End;

   ----------------------------------------------------
   -- MP_CMOF_A_Operation_Operation_Raised_Exception --
   ----------------------------------------------------

   function MP_CMOF_A_Operation_Operation_Raised_Exception return AMF.Internals.CMOF_Element is
   begin
      return Base + 770;
   end MP_CMOF_A_Operation_Operation_Raised_Exception;

   ----------------------------------------------------
   -- MP_CMOF_A_Owning_Element_Element_Owned_Comment --
   ----------------------------------------------------

   function MP_CMOF_A_Owning_Element_Element_Owned_Comment return AMF.Internals.CMOF_Element is
   begin
      return Base + 792;
   end MP_CMOF_A_Owning_Element_Element_Owned_Comment;

   -------------------------------------------------------
   -- MP_CMOF_A_Operation_Operation_Redefined_Operation --
   -------------------------------------------------------

   function MP_CMOF_A_Operation_Operation_Redefined_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 771;
   end MP_CMOF_A_Operation_Operation_Redefined_Operation;

   ------------------------------------------------------
   -- MP_CMOF_A_Classifier_Classifier_Inherited_Member --
   ------------------------------------------------------

   function MP_CMOF_A_Classifier_Classifier_Inherited_Member return AMF.Internals.CMOF_Element is
   begin
      return Base + 793;
   end MP_CMOF_A_Classifier_Classifier_Inherited_Member;

   ---------------------------------------------------------------------
   -- MP_CMOF_A_Owner_Formal_Param_Behavioral_Feature_Owned_Parameter --
   ---------------------------------------------------------------------

   function MP_CMOF_A_Owner_Formal_Param_Behavioral_Feature_Owned_Parameter return AMF.Internals.CMOF_Element is
   begin
      return Base + 772;
   end MP_CMOF_A_Owner_Formal_Param_Behavioral_Feature_Owned_Parameter;

   --------------------------------------------------
   -- MP_CMOF_A_Pre_Context_Operation_Precondition --
   --------------------------------------------------

   function MP_CMOF_A_Pre_Context_Operation_Precondition return AMF.Internals.CMOF_Element is
   begin
      return Base + 794;
   end MP_CMOF_A_Pre_Context_Operation_Precondition;

   ----------------------------------------------------------------------
   -- MP_CMOF_A_Behavioral_Feature_Behavioral_Feature_Raised_Exception --
   ----------------------------------------------------------------------

   function MP_CMOF_A_Behavioral_Feature_Behavioral_Feature_Raised_Exception return AMF.Internals.CMOF_Element is
   begin
      return Base + 773;
   end MP_CMOF_A_Behavioral_Feature_Behavioral_Feature_Raised_Exception;

   ----------------------------------------------------
   -- MP_CMOF_A_Post_Context_Operation_Postcondition --
   ----------------------------------------------------

   function MP_CMOF_A_Post_Context_Operation_Postcondition return AMF.Internals.CMOF_Element is
   begin
      return Base + 795;
   end MP_CMOF_A_Post_Context_Operation_Postcondition;

   ---------------------------------------------------
   -- MP_CMOF_A_Namespace_Namespace_Imported_Member --
   ---------------------------------------------------

   function MP_CMOF_A_Namespace_Namespace_Imported_Member return AMF.Internals.CMOF_Element is
   begin
      return Base + 774;
   end MP_CMOF_A_Namespace_Namespace_Imported_Member;

   -----------------------------------------------------
   -- MP_CMOF_A_Body_Context_Operation_Body_Condition --
   -----------------------------------------------------

   function MP_CMOF_A_Body_Context_Operation_Body_Condition return AMF.Internals.CMOF_Element is
   begin
      return Base + 796;
   end MP_CMOF_A_Body_Context_Operation_Body_Condition;

   --------------------------------------------------------------
   -- MP_CMOF_A_Package_Import_Package_Import_Imported_Package --
   --------------------------------------------------------------

   function MP_CMOF_A_Package_Import_Package_Import_Imported_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 775;
   end MP_CMOF_A_Package_Import_Package_Import_Imported_Package;

   ------------------------------------------------------------
   -- MA_CMOF_Element_Import_Imported_Element_Element_Import --
   ------------------------------------------------------------

   function MA_CMOF_Element_Import_Imported_Element_Element_Import return AMF.Internals.CMOF_Element is
   begin
      return Base + 136;
   end MA_CMOF_Element_Import_Imported_Element_Element_Import;

   ----------------------------------------------------------
   -- MA_CMOF_Namespace_Element_Import_Importing_Namespace --
   ----------------------------------------------------------

   function MA_CMOF_Namespace_Element_Import_Importing_Namespace return AMF.Internals.CMOF_Element is
   begin
      return Base + 137;
   end MA_CMOF_Namespace_Element_Import_Importing_Namespace;

   ----------------------------------------------------------
   -- MA_CMOF_Namespace_Package_Import_Importing_Namespace --
   ----------------------------------------------------------

   function MA_CMOF_Namespace_Package_Import_Importing_Namespace return AMF.Internals.CMOF_Element is
   begin
      return Base + 138;
   end MA_CMOF_Namespace_Package_Import_Importing_Namespace;

   -----------------------------------------------------
   -- MA_CMOF_Package_Packaged_Element_Owning_Package --
   -----------------------------------------------------

   function MA_CMOF_Package_Packaged_Element_Owning_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 139;
   end MA_CMOF_Package_Packaged_Element_Owning_Package;

   -----------------------------
   -- MA_CMOF_Tag_Element_Tag --
   -----------------------------

   function MA_CMOF_Tag_Element_Tag return AMF.Internals.CMOF_Element is
   begin
      return Base + 140;
   end MA_CMOF_Tag_Element_Tag;

   ----------------------------------------
   -- MA_CMOF_Package_Owned_Type_Package --
   ----------------------------------------

   function MA_CMOF_Package_Owned_Type_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 141;
   end MA_CMOF_Package_Owned_Type_Package;

   -------------------------------------
   -- MA_CMOF_Tag_Tag_Owner_Owned_Tag --
   -------------------------------------

   function MA_CMOF_Tag_Tag_Owner_Owned_Tag return AMF.Internals.CMOF_Element is
   begin
      return Base + 142;
   end MA_CMOF_Tag_Tag_Owner_Owned_Tag;

   ------------------------------------------------
   -- MA_CMOF_Association_Member_End_Association --
   ------------------------------------------------

   function MA_CMOF_Association_Member_End_Association return AMF.Internals.CMOF_Element is
   begin
      return Base + 143;
   end MA_CMOF_Association_Member_End_Association;

   ----------------------------------------------------
   -- MA_CMOF_Package_Nested_Package_Nesting_Package --
   ----------------------------------------------------

   function MA_CMOF_Package_Nested_Package_Nesting_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 144;
   end MA_CMOF_Package_Nested_Package_Nesting_Package;

   --------------------------------------
   -- MA_CMOF_Operation_Type_Operation --
   --------------------------------------

   function MA_CMOF_Operation_Type_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 145;
   end MA_CMOF_Operation_Type_Operation;

   -----------------------------------------------------
   -- MA_CMOF_Package_Package_Merge_Receiving_Package --
   -----------------------------------------------------

   function MA_CMOF_Package_Package_Merge_Receiving_Package return AMF.Internals.CMOF_Element is
   begin
      return Base + 146;
   end MA_CMOF_Package_Package_Merge_Receiving_Package;

   --------------------------------------------------------
   -- MA_CMOF_Package_Merge_Merged_Package_Package_Merge --
   --------------------------------------------------------

   function MA_CMOF_Package_Merge_Merged_Package_Package_Merge return AMF.Internals.CMOF_Element is
   begin
      return Base + 147;
   end MA_CMOF_Package_Merge_Merged_Package_Package_Merge;

   -----------------------------------------
   -- MA_CMOF_Element_Owned_Element_Owner --
   -----------------------------------------

   function MA_CMOF_Element_Owned_Element_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 148;
   end MA_CMOF_Element_Owned_Element_Owner;

   -----------------------------------------------
   -- MA_CMOF_Comment_Annotated_Element_Comment --
   -----------------------------------------------

   function MA_CMOF_Comment_Annotated_Element_Comment return AMF.Internals.CMOF_Element is
   begin
      return Base + 149;
   end MA_CMOF_Comment_Annotated_Element_Comment;

   -------------------------------------------------------
   -- MA_CMOF_Relationship_Related_Element_Relationship --
   -------------------------------------------------------

   function MA_CMOF_Relationship_Related_Element_Relationship return AMF.Internals.CMOF_Element is
   begin
      return Base + 150;
   end MA_CMOF_Relationship_Related_Element_Relationship;

   ----------------------------------------------------------------
   -- MA_CMOF_Directed_Relationship_Source_Directed_Relationship --
   ----------------------------------------------------------------

   function MA_CMOF_Directed_Relationship_Source_Directed_Relationship return AMF.Internals.CMOF_Element is
   begin
      return Base + 151;
   end MA_CMOF_Directed_Relationship_Source_Directed_Relationship;

   ----------------------------------------------------------------
   -- MA_CMOF_Directed_Relationship_Target_Directed_Relationship --
   ----------------------------------------------------------------

   function MA_CMOF_Directed_Relationship_Target_Directed_Relationship return AMF.Internals.CMOF_Element is
   begin
      return Base + 152;
   end MA_CMOF_Directed_Relationship_Target_Directed_Relationship;

   ----------------------------------------------
   -- MA_CMOF_Typed_Element_Type_Typed_Element --
   ----------------------------------------------

   function MA_CMOF_Typed_Element_Type_Typed_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 153;
   end MA_CMOF_Typed_Element_Type_Typed_Element;

   --------------------------------------------------------------------------
   -- MA_CMOF_Redefinable_Element_Redefinition_Context_Redefinable_Element --
   --------------------------------------------------------------------------

   function MA_CMOF_Redefinable_Element_Redefinition_Context_Redefinable_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 154;
   end MA_CMOF_Redefinable_Element_Redefinition_Context_Redefinable_Element;

   -----------------------------------------
   -- MA_CMOF_Class_Owned_Attribute_Class --
   -----------------------------------------

   function MA_CMOF_Class_Owned_Attribute_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 155;
   end MA_CMOF_Class_Owned_Attribute_Class;

   -----------------------------------------
   -- MA_CMOF_Class_Owned_Operation_Class --
   -----------------------------------------

   function MA_CMOF_Class_Owned_Operation_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 156;
   end MA_CMOF_Class_Owned_Operation_Class;

   -----------------------------------------------------------------------
   -- MA_CMOF_Redefinable_Element_Redefined_Element_Redefinable_Element --
   -----------------------------------------------------------------------

   function MA_CMOF_Redefinable_Element_Redefined_Element_Redefinable_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 157;
   end MA_CMOF_Redefinable_Element_Redefined_Element_Redefinable_Element;

   ------------------------------------------------------
   -- MA_CMOF_Association_Owned_End_Owning_Association --
   ------------------------------------------------------

   function MA_CMOF_Association_Owned_End_Owning_Association return AMF.Internals.CMOF_Element is
   begin
      return Base + 158;
   end MA_CMOF_Association_Owned_End_Owning_Association;

   ---------------------------------------------
   -- MA_CMOF_Classifier_Attribute_Classifier --
   ---------------------------------------------

   function MA_CMOF_Classifier_Attribute_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 159;
   end MA_CMOF_Classifier_Attribute_Classifier;

   -----------------------------------------------------
   -- MA_CMOF_Classifier_Feature_Featuring_Classifier --
   -----------------------------------------------------

   function MA_CMOF_Classifier_Feature_Featuring_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 160;
   end MA_CMOF_Classifier_Feature_Featuring_Classifier;

   -------------------------------------------------------
   -- MA_CMOF_Constraint_Constrained_Element_Constraint --
   -------------------------------------------------------

   function MA_CMOF_Constraint_Constrained_Element_Constraint return AMF.Internals.CMOF_Element is
   begin
      return Base + 161;
   end MA_CMOF_Constraint_Constrained_Element_Constraint;

   --------------------------------------------------
   -- MA_CMOF_Property_Redefined_Property_Property --
   --------------------------------------------------

   function MA_CMOF_Property_Redefined_Property_Property return AMF.Internals.CMOF_Element is
   begin
      return Base + 162;
   end MA_CMOF_Property_Redefined_Property_Property;

   --------------------------------------------------------
   -- MA_CMOF_Constraint_Specification_Owning_Constraint --
   --------------------------------------------------------

   function MA_CMOF_Constraint_Specification_Owning_Constraint return AMF.Internals.CMOF_Element is
   begin
      return Base + 163;
   end MA_CMOF_Constraint_Specification_Owning_Constraint;

   --------------------------------------------------
   -- MA_CMOF_Property_Subsetted_Property_Property --
   --------------------------------------------------

   function MA_CMOF_Property_Subsetted_Property_Property return AMF.Internals.CMOF_Element is
   begin
      return Base + 164;
   end MA_CMOF_Property_Subsetted_Property_Property;

   -------------------------------------------
   -- MA_CMOF_Classifier_General_Classifier --
   -------------------------------------------

   function MA_CMOF_Classifier_General_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 165;
   end MA_CMOF_Classifier_General_Classifier;

   ----------------------------------------
   -- MA_CMOF_Property_Opposite_Property --
   ----------------------------------------

   function MA_CMOF_Property_Opposite_Property return AMF.Internals.CMOF_Element is
   begin
      return Base + 166;
   end MA_CMOF_Property_Opposite_Property;

   ----------------------------------------------
   -- MA_CMOF_Namespace_Owned_Member_Namespace --
   ----------------------------------------------

   function MA_CMOF_Namespace_Owned_Member_Namespace return AMF.Internals.CMOF_Element is
   begin
      return Base + 167;
   end MA_CMOF_Namespace_Owned_Member_Namespace;

   -------------------------------------
   -- MA_CMOF_Class_Super_Class_Class --
   -------------------------------------

   function MA_CMOF_Class_Super_Class_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 168;
   end MA_CMOF_Class_Super_Class_Class;

   ----------------------------------------
   -- MA_CMOF_Namespace_Member_Namespace --
   ----------------------------------------

   function MA_CMOF_Namespace_Member_Namespace return AMF.Internals.CMOF_Element is
   begin
      return Base + 169;
   end MA_CMOF_Namespace_Member_Namespace;

   ----------------------------------------------
   -- MA_CMOF_Association_End_Type_Association --
   ----------------------------------------------

   function MA_CMOF_Association_End_Type_Association return AMF.Internals.CMOF_Element is
   begin
      return Base + 170;
   end MA_CMOF_Association_End_Type_Association;

   -------------------------------------------
   -- MA_CMOF_Expression_Operand_Expression --
   -------------------------------------------

   function MA_CMOF_Expression_Operand_Expression return AMF.Internals.CMOF_Element is
   begin
      return Base + 171;
   end MA_CMOF_Expression_Operand_Expression;

   ---------------------------------------------------
   -- MA_CMOF_Enumeration_Owned_Literal_Enumeration --
   ---------------------------------------------------

   function MA_CMOF_Enumeration_Owned_Literal_Enumeration return AMF.Internals.CMOF_Element is
   begin
      return Base + 172;
   end MA_CMOF_Enumeration_Owned_Literal_Enumeration;

   ---------------------------------------------------------
   -- MA_CMOF_Association_Navigable_Owned_End_Association --
   ---------------------------------------------------------

   function MA_CMOF_Association_Navigable_Owned_End_Association return AMF.Internals.CMOF_Element is
   begin
      return Base + 173;
   end MA_CMOF_Association_Navigable_Owned_End_Association;

   ------------------------------------------------
   -- MA_CMOF_Data_Type_Owned_Attribute_Datatype --
   ------------------------------------------------

   function MA_CMOF_Data_Type_Owned_Attribute_Datatype return AMF.Internals.CMOF_Element is
   begin
      return Base + 174;
   end MA_CMOF_Data_Type_Owned_Attribute_Datatype;

   ------------------------------------------------
   -- MA_CMOF_Data_Type_Owned_Operation_Datatype --
   ------------------------------------------------

   function MA_CMOF_Data_Type_Owned_Operation_Datatype return AMF.Internals.CMOF_Element is
   begin
      return Base + 175;
   end MA_CMOF_Data_Type_Owned_Operation_Datatype;

   -------------------------------------------------
   -- MA_CMOF_Operation_Owned_Parameter_Operation --
   -------------------------------------------------

   function MA_CMOF_Operation_Owned_Parameter_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 176;
   end MA_CMOF_Operation_Owned_Parameter_Operation;

   --------------------------------------------------
   -- MA_CMOF_Operation_Raised_Exception_Operation --
   --------------------------------------------------

   function MA_CMOF_Operation_Raised_Exception_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 177;
   end MA_CMOF_Operation_Raised_Exception_Operation;

   --------------------------------------------------
   -- MA_CMOF_Element_Owned_Comment_Owning_Element --
   --------------------------------------------------

   function MA_CMOF_Element_Owned_Comment_Owning_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 178;
   end MA_CMOF_Element_Owned_Comment_Owning_Element;

   -----------------------------------------------------
   -- MA_CMOF_Operation_Redefined_Operation_Operation --
   -----------------------------------------------------

   function MA_CMOF_Operation_Redefined_Operation_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 179;
   end MA_CMOF_Operation_Redefined_Operation_Operation;

   ----------------------------------------------------
   -- MA_CMOF_Classifier_Inherited_Member_Classifier --
   ----------------------------------------------------

   function MA_CMOF_Classifier_Inherited_Member_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 180;
   end MA_CMOF_Classifier_Inherited_Member_Classifier;

   -------------------------------------------------------------------
   -- MA_CMOF_Behavioral_Feature_Owned_Parameter_Owner_Formal_Param --
   -------------------------------------------------------------------

   function MA_CMOF_Behavioral_Feature_Owned_Parameter_Owner_Formal_Param return AMF.Internals.CMOF_Element is
   begin
      return Base + 181;
   end MA_CMOF_Behavioral_Feature_Owned_Parameter_Owner_Formal_Param;

   ------------------------------------------------
   -- MA_CMOF_Operation_Precondition_Pre_Context --
   ------------------------------------------------

   function MA_CMOF_Operation_Precondition_Pre_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 182;
   end MA_CMOF_Operation_Precondition_Pre_Context;

   --------------------------------------------------------------------
   -- MA_CMOF_Behavioral_Feature_Raised_Exception_Behavioral_Feature --
   --------------------------------------------------------------------

   function MA_CMOF_Behavioral_Feature_Raised_Exception_Behavioral_Feature return AMF.Internals.CMOF_Element is
   begin
      return Base + 183;
   end MA_CMOF_Behavioral_Feature_Raised_Exception_Behavioral_Feature;

   --------------------------------------------------
   -- MA_CMOF_Operation_Postcondition_Post_Context --
   --------------------------------------------------

   function MA_CMOF_Operation_Postcondition_Post_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 184;
   end MA_CMOF_Operation_Postcondition_Post_Context;

   -------------------------------------------------
   -- MA_CMOF_Namespace_Imported_Member_Namespace --
   -------------------------------------------------

   function MA_CMOF_Namespace_Imported_Member_Namespace return AMF.Internals.CMOF_Element is
   begin
      return Base + 185;
   end MA_CMOF_Namespace_Imported_Member_Namespace;

   ---------------------------------------------------
   -- MA_CMOF_Operation_Body_Condition_Body_Context --
   ---------------------------------------------------

   function MA_CMOF_Operation_Body_Condition_Body_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 186;
   end MA_CMOF_Operation_Body_Condition_Body_Context;

   ------------------------------------------------------------
   -- MA_CMOF_Package_Import_Imported_Package_Package_Import --
   ------------------------------------------------------------

   function MA_CMOF_Package_Import_Imported_Package_Package_Import return AMF.Internals.CMOF_Element is
   begin
      return Base + 187;
   end MA_CMOF_Package_Import_Imported_Package_Package_Import;

   ------------------------------------------
   -- MA_CMOF_Namespace_Owned_Rule_Context --
   ------------------------------------------

   function MA_CMOF_Namespace_Owned_Rule_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 188;
   end MA_CMOF_Namespace_Owned_Rule_Context;

   -------------
   -- MB_CMOF --
   -------------

   function MB_CMOF return AMF.Internals.AMF_Element is
   begin
      return Base;
   end MB_CMOF;

   -------------
   -- MB_CMOF --
   -------------

   function ML_CMOF return AMF.Internals.AMF_Element is
   begin
      return Base + 800;
   end ML_CMOF;

end AMF.Internals.Tables.CMOF_Metamodel;
