------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2010-2011, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 2704 $ $Date: 2012-03-23 21:29:28 +0100 (Fri, 23 Mar 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------
with Matreshka.Internals.Strings;

package AMF.Internals.Tables.Standard_Profile_L3_String_Data_00 is

   --  "extension_Metamodel"

   MS_0000 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 19,
         Length => 19,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#004D#, 16#0065#,
           16#0074#, 16#0061#, 16#006D#, 16#006F#,
           16#0064#, 16#0065#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "Model_SystemModel"

   MS_0001 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#004D#, 16#006F#, 16#0064#, 16#0065#,
           16#006C#, 16#005F#, 16#0053#, 16#0079#,
           16#0073#, 16#0074#, 16#0065#, 16#006D#,
           16#004D#, 16#006F#, 16#0064#, 16#0065#,
           16#006C#,
           others => 16#0000#),
         others => <>);

   --  "extension_SystemModel"

   MS_0002 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 21,
         Length => 21,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0053#, 16#0079#,
           16#0073#, 16#0074#, 16#0065#, 16#006D#,
           16#004D#, 16#006F#, 16#0064#, 16#0065#,
           16#006C#,
           others => 16#0000#),
         others => <>);

   --  "BuildComponent"

   MS_0003 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0042#, 16#0075#, 16#0069#, 16#006C#,
           16#0064#, 16#0043#, 16#006F#, 16#006D#,
           16#0070#, 16#006F#, 16#006E#, 16#0065#,
           16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "http://www.omg.org/spec/UML/20100901/StandardProfileL3"

   MS_0004 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 63,
         Unused => 54,
         Length => 54,
         Value  =>
          (16#0068#, 16#0074#, 16#0074#, 16#0070#,
           16#003A#, 16#002F#, 16#002F#, 16#0077#,
           16#0077#, 16#0077#, 16#002E#, 16#006F#,
           16#006D#, 16#0067#, 16#002E#, 16#006F#,
           16#0072#, 16#0067#, 16#002F#, 16#0073#,
           16#0070#, 16#0065#, 16#0063#, 16#002F#,
           16#0055#, 16#004D#, 16#004C#, 16#002F#,
           16#0032#, 16#0030#, 16#0031#, 16#0030#,
           16#0030#, 16#0039#, 16#0030#, 16#0031#,
           16#002F#, 16#0053#, 16#0074#, 16#0061#,
           16#006E#, 16#0064#, 16#0061#, 16#0072#,
           16#0064#, 16#0050#, 16#0072#, 16#006F#,
           16#0066#, 16#0069#, 16#006C#, 16#0065#,
           16#004C#, 16#0033#,
           others => 16#0000#),
         others => <>);

   --  "base_Model"

   MS_0005 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#004D#, 16#006F#, 16#0064#,
           16#0065#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "base_Component"

   MS_0006 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0043#, 16#006F#, 16#006D#,
           16#0070#, 16#006F#, 16#006E#, 16#0065#,
           16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "SystemModel"

   MS_0007 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 11,
         Length => 11,
         Value  =>
          (16#0053#, 16#0079#, 16#0073#, 16#0074#,
           16#0065#, 16#006D#, 16#004D#, 16#006F#,
           16#0064#, 16#0065#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "StandardProfileL3"

   MS_0008 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#0053#, 16#0074#, 16#0061#, 16#006E#,
           16#0064#, 16#0061#, 16#0072#, 16#0064#,
           16#0050#, 16#0072#, 16#006F#, 16#0066#,
           16#0069#, 16#006C#, 16#0065#, 16#004C#,
           16#0033#,
           others => 16#0000#),
         others => <>);

   --  "Model_Metamodel"

   MS_0009 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 15,
         Length => 15,
         Value  =>
          (16#004D#, 16#006F#, 16#0064#, 16#0065#,
           16#006C#, 16#005F#, 16#004D#, 16#0065#,
           16#0074#, 16#0061#, 16#006D#, 16#006F#,
           16#0064#, 16#0065#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "org.omg.xmi.nsPrefix"

   MS_000A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 20,
         Length => 20,
         Value  =>
          (16#006F#, 16#0072#, 16#0067#, 16#002E#,
           16#006F#, 16#006D#, 16#0067#, 16#002E#,
           16#0078#, 16#006D#, 16#0069#, 16#002E#,
           16#006E#, 16#0073#, 16#0050#, 16#0072#,
           16#0065#, 16#0066#, 16#0069#, 16#0078#,
           others => 16#0000#),
         others => <>);

   --  "Component_BuildComponent"

   MS_000B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 24,
         Length => 24,
         Value  =>
          (16#0043#, 16#006F#, 16#006D#, 16#0070#,
           16#006F#, 16#006E#, 16#0065#, 16#006E#,
           16#0074#, 16#005F#, 16#0042#, 16#0075#,
           16#0069#, 16#006C#, 16#0064#, 16#0043#,
           16#006F#, 16#006D#, 16#0070#, 16#006F#,
           16#006E#, 16#0065#, 16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "extension_BuildComponent"

   MS_000C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 24,
         Length => 24,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0042#, 16#0075#,
           16#0069#, 16#006C#, 16#0064#, 16#0043#,
           16#006F#, 16#006D#, 16#0070#, 16#006F#,
           16#006E#, 16#0065#, 16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "Metamodel"

   MS_000D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#004D#, 16#0065#, 16#0074#, 16#0061#,
           16#006D#, 16#006F#, 16#0064#, 16#0065#,
           16#006C#,
           others => 16#0000#),
         others => <>);

end AMF.Internals.Tables.Standard_Profile_L3_String_Data_00;
