------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2012, Vadim Godunko <vgodunko@gmail.com>                     --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3411 $ $Date: 2012-11-13 12:05:38 +0100 (Tue, 13 Nov 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------

package body AMF.Internals.Tables.DG_Metamodel is

   --------------
   -- MM_DG_DG --
   --------------

   function MM_DG_DG return AMF.Internals.CMOF_Element is
   begin
      return Base + 98;
   end MM_DG_DG;

   ----------------------
   -- MC_DG_Close_Path --
   ----------------------

   function MC_DG_Close_Path return AMF.Internals.CMOF_Element is
   begin
      return Base + 314;
   end MC_DG_Close_Path;

   --------------------------
   -- MC_DG_Cubic_Curve_To --
   --------------------------

   function MC_DG_Cubic_Curve_To return AMF.Internals.CMOF_Element is
   begin
      return Base + 288;
   end MC_DG_Cubic_Curve_To;

   -----------------------------
   -- MC_DG_Elliptical_Arc_To --
   -----------------------------

   function MC_DG_Elliptical_Arc_To return AMF.Internals.CMOF_Element is
   begin
      return Base + 302;
   end MC_DG_Elliptical_Arc_To;

   -------------------------
   -- MC_DG_Gradient_Stop --
   -------------------------

   function MC_DG_Gradient_Stop return AMF.Internals.CMOF_Element is
   begin
      return Base + 127;
   end MC_DG_Gradient_Stop;

   -------------------
   -- MC_DG_Line_To --
   -------------------

   function MC_DG_Line_To return AMF.Internals.CMOF_Element is
   begin
      return Base + 284;
   end MC_DG_Line_To;

   ------------------
   -- MC_DG_Matrix --
   ------------------

   function MC_DG_Matrix return AMF.Internals.CMOF_Element is
   begin
      return Base + 262;
   end MC_DG_Matrix;

   -------------------
   -- MC_DG_Move_To --
   -------------------

   function MC_DG_Move_To return AMF.Internals.CMOF_Element is
   begin
      return Base + 280;
   end MC_DG_Move_To;

   ------------------------
   -- MC_DG_Path_Command --
   ------------------------

   function MC_DG_Path_Command return AMF.Internals.CMOF_Element is
   begin
      return Base + 276;
   end MC_DG_Path_Command;

   ------------------------------
   -- MC_DG_Quadratic_Curve_To --
   ------------------------------

   function MC_DG_Quadratic_Curve_To return AMF.Internals.CMOF_Element is
   begin
      return Base + 296;
   end MC_DG_Quadratic_Curve_To;

   ------------------
   -- MC_DG_Rotate --
   ------------------

   function MC_DG_Rotate return AMF.Internals.CMOF_Element is
   begin
      return Base + 204;
   end MC_DG_Rotate;

   -----------------
   -- MC_DG_Scale --
   -----------------

   function MC_DG_Scale return AMF.Internals.CMOF_Element is
   begin
      return Base + 195;
   end MC_DG_Scale;

   ----------------
   -- MC_DG_Skew --
   ----------------

   function MC_DG_Skew return AMF.Internals.CMOF_Element is
   begin
      return Base + 212;
   end MC_DG_Skew;

   ---------------------
   -- MC_DG_Transform --
   ---------------------

   function MC_DG_Transform return AMF.Internals.CMOF_Element is
   begin
      return Base + 187;
   end MC_DG_Transform;

   ---------------------
   -- MC_DG_Translate --
   ---------------------

   function MC_DG_Translate return AMF.Internals.CMOF_Element is
   begin
      return Base + 189;
   end MC_DG_Translate;

   ------------------
   -- MC_DG_Canvas --
   ------------------

   function MC_DG_Canvas return AMF.Internals.CMOF_Element is
   begin
      return Base + 1;
   end MC_DG_Canvas;

   ------------------
   -- MC_DG_Circle --
   ------------------

   function MC_DG_Circle return AMF.Internals.CMOF_Element is
   begin
      return Base + 2;
   end MC_DG_Circle;

   ---------------------
   -- MC_DG_Clip_Path --
   ---------------------

   function MC_DG_Clip_Path return AMF.Internals.CMOF_Element is
   begin
      return Base + 3;
   end MC_DG_Clip_Path;

   -------------------
   -- MC_DG_Ellipse --
   -------------------

   function MC_DG_Ellipse return AMF.Internals.CMOF_Element is
   begin
      return Base + 4;
   end MC_DG_Ellipse;

   ----------------
   -- MC_DG_Fill --
   ----------------

   function MC_DG_Fill return AMF.Internals.CMOF_Element is
   begin
      return Base + 5;
   end MC_DG_Fill;

   --------------------
   -- MC_DG_Gradient --
   --------------------

   function MC_DG_Gradient return AMF.Internals.CMOF_Element is
   begin
      return Base + 6;
   end MC_DG_Gradient;

   -----------------------------
   -- MC_DG_Graphical_Element --
   -----------------------------

   function MC_DG_Graphical_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 7;
   end MC_DG_Graphical_Element;

   -----------------
   -- MC_DG_Group --
   -----------------

   function MC_DG_Group return AMF.Internals.CMOF_Element is
   begin
      return Base + 8;
   end MC_DG_Group;

   -----------------
   -- MC_DG_Image --
   -----------------

   function MC_DG_Image return AMF.Internals.CMOF_Element is
   begin
      return Base + 9;
   end MC_DG_Image;

   ----------------
   -- MC_DG_Line --
   ----------------

   function MC_DG_Line return AMF.Internals.CMOF_Element is
   begin
      return Base + 10;
   end MC_DG_Line;

   ---------------------------
   -- MC_DG_Linear_Gradient --
   ---------------------------

   function MC_DG_Linear_Gradient return AMF.Internals.CMOF_Element is
   begin
      return Base + 11;
   end MC_DG_Linear_Gradient;

   --------------------------
   -- MC_DG_Marked_Element --
   --------------------------

   function MC_DG_Marked_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 12;
   end MC_DG_Marked_Element;

   ------------------
   -- MC_DG_Marker --
   ------------------

   function MC_DG_Marker return AMF.Internals.CMOF_Element is
   begin
      return Base + 13;
   end MC_DG_Marker;

   ----------------
   -- MC_DG_Path --
   ----------------

   function MC_DG_Path return AMF.Internals.CMOF_Element is
   begin
      return Base + 14;
   end MC_DG_Path;

   -------------------
   -- MC_DG_Pattern --
   -------------------

   function MC_DG_Pattern return AMF.Internals.CMOF_Element is
   begin
      return Base + 15;
   end MC_DG_Pattern;

   -------------------
   -- MC_DG_Polygon --
   -------------------

   function MC_DG_Polygon return AMF.Internals.CMOF_Element is
   begin
      return Base + 16;
   end MC_DG_Polygon;

   --------------------
   -- MC_DG_Polyline --
   --------------------

   function MC_DG_Polyline return AMF.Internals.CMOF_Element is
   begin
      return Base + 17;
   end MC_DG_Polyline;

   ---------------------------
   -- MC_DG_Radial_Gradient --
   ---------------------------

   function MC_DG_Radial_Gradient return AMF.Internals.CMOF_Element is
   begin
      return Base + 18;
   end MC_DG_Radial_Gradient;

   ---------------------
   -- MC_DG_Rectangle --
   ---------------------

   function MC_DG_Rectangle return AMF.Internals.CMOF_Element is
   begin
      return Base + 19;
   end MC_DG_Rectangle;

   -----------------
   -- MC_DG_Style --
   -----------------

   function MC_DG_Style return AMF.Internals.CMOF_Element is
   begin
      return Base + 20;
   end MC_DG_Style;

   ----------------
   -- MC_DG_Text --
   ----------------

   function MC_DG_Text return AMF.Internals.CMOF_Element is
   begin
      return Base + 21;
   end MC_DG_Text;

   -----------------------------------
   -- MP_DG_Canvas_Background_Color --
   -----------------------------------

   function MP_DG_Canvas_Background_Color return AMF.Internals.CMOF_Element is
   begin
      return Base + 28;
   end MP_DG_Canvas_Background_Color;

   -------------------------------------------
   -- MP_DG_Canvas_Background_Fill_A_Canvas --
   -------------------------------------------

   function MP_DG_Canvas_Background_Fill_A_Canvas return AMF.Internals.CMOF_Element is
   begin
      return Base + 29;
   end MP_DG_Canvas_Background_Fill_A_Canvas;

   --------------------------------------------
   -- MP_DG_Canvas_Packaged_Fill_Fill_Canvas --
   --------------------------------------------

   function MP_DG_Canvas_Packaged_Fill_Fill_Canvas return AMF.Internals.CMOF_Element is
   begin
      return Base + 22;
   end MP_DG_Canvas_Packaged_Fill_Fill_Canvas;

   ------------------------------------------------
   -- MP_DG_Canvas_Packaged_Marker_Marker_Canvas --
   ------------------------------------------------

   function MP_DG_Canvas_Packaged_Marker_Marker_Canvas return AMF.Internals.CMOF_Element is
   begin
      return Base + 23;
   end MP_DG_Canvas_Packaged_Marker_Marker_Canvas;

   ------------------------------------------
   -- MP_DG_Canvas_Packaged_Style_A_Canvas --
   ------------------------------------------

   function MP_DG_Canvas_Packaged_Style_A_Canvas return AMF.Internals.CMOF_Element is
   begin
      return Base + 24;
   end MP_DG_Canvas_Packaged_Style_A_Canvas;

   -------------------------
   -- MP_DG_Circle_Center --
   -------------------------

   function MP_DG_Circle_Center return AMF.Internals.CMOF_Element is
   begin
      return Base + 30;
   end MP_DG_Circle_Center;

   -------------------------
   -- MP_DG_Circle_Radius --
   -------------------------

   function MP_DG_Circle_Radius return AMF.Internals.CMOF_Element is
   begin
      return Base + 31;
   end MP_DG_Circle_Radius;

   -----------------------------------------------------------------
   -- MP_DG_Clip_Path_Clipped_Element_Graphical_Element_Clip_Path --
   -----------------------------------------------------------------

   function MP_DG_Clip_Path_Clipped_Element_Graphical_Element_Clip_Path return AMF.Internals.CMOF_Element is
   begin
      return Base + 32;
   end MP_DG_Clip_Path_Clipped_Element_Graphical_Element_Clip_Path;

   --------------------------
   -- MP_DG_Ellipse_Center --
   --------------------------

   function MP_DG_Ellipse_Center return AMF.Internals.CMOF_Element is
   begin
      return Base + 33;
   end MP_DG_Ellipse_Center;

   -------------------------
   -- MP_DG_Ellipse_Radii --
   -------------------------

   function MP_DG_Ellipse_Radii return AMF.Internals.CMOF_Element is
   begin
      return Base + 34;
   end MP_DG_Ellipse_Radii;

   --------------------------------------------
   -- MP_DG_Fill_Canvas_Canvas_Packaged_Fill --
   --------------------------------------------

   function MP_DG_Fill_Canvas_Canvas_Packaged_Fill return AMF.Internals.CMOF_Element is
   begin
      return Base + 35;
   end MP_DG_Fill_Canvas_Canvas_Packaged_Fill;

   --------------------------
   -- MP_DG_Fill_Transform --
   --------------------------

   function MP_DG_Fill_Transform return AMF.Internals.CMOF_Element is
   begin
      return Base + 36;
   end MP_DG_Fill_Transform;

   -------------------------
   -- MP_DG_Gradient_Stop --
   -------------------------

   function MP_DG_Gradient_Stop return AMF.Internals.CMOF_Element is
   begin
      return Base + 37;
   end MP_DG_Gradient_Stop;

   -----------------------------------------------------------------
   -- MP_DG_Graphical_Element_Clip_Path_Clip_Path_Clipped_Element --
   -----------------------------------------------------------------

   function MP_DG_Graphical_Element_Clip_Path_Clip_Path_Clipped_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 38;
   end MP_DG_Graphical_Element_Clip_Path_Clip_Path_Clipped_Element;

   ------------------------------------------------
   -- MP_DG_Graphical_Element_Group_Group_Member --
   ------------------------------------------------

   function MP_DG_Graphical_Element_Group_Group_Member return AMF.Internals.CMOF_Element is
   begin
      return Base + 39;
   end MP_DG_Graphical_Element_Group_Group_Member;

   ----------------------------------------------------------
   -- MP_DG_Graphical_Element_Local_Style_A_Styled_Element --
   ----------------------------------------------------------

   function MP_DG_Graphical_Element_Local_Style_A_Styled_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 25;
   end MP_DG_Graphical_Element_Local_Style_A_Styled_Element;

   -----------------------------------------------------------
   -- MP_DG_Graphical_Element_Shared_Style_A_Styled_Element --
   -----------------------------------------------------------

   function MP_DG_Graphical_Element_Shared_Style_A_Styled_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 26;
   end MP_DG_Graphical_Element_Shared_Style_A_Styled_Element;

   ---------------------------------------
   -- MP_DG_Graphical_Element_Transform --
   ---------------------------------------

   function MP_DG_Graphical_Element_Transform return AMF.Internals.CMOF_Element is
   begin
      return Base + 40;
   end MP_DG_Graphical_Element_Transform;

   ------------------------------------------------
   -- MP_DG_Group_Member_Graphical_Element_Group --
   ------------------------------------------------

   function MP_DG_Group_Member_Graphical_Element_Group return AMF.Internals.CMOF_Element is
   begin
      return Base + 27;
   end MP_DG_Group_Member_Graphical_Element_Group;

   ------------------------
   -- MP_DG_Image_Bounds --
   ------------------------

   function MP_DG_Image_Bounds return AMF.Internals.CMOF_Element is
   begin
      return Base + 41;
   end MP_DG_Image_Bounds;

   -------------------------------------------
   -- MP_DG_Image_Is_Aspect_Ratio_Preserved --
   -------------------------------------------

   function MP_DG_Image_Is_Aspect_Ratio_Preserved return AMF.Internals.CMOF_Element is
   begin
      return Base + 42;
   end MP_DG_Image_Is_Aspect_Ratio_Preserved;

   ------------------------
   -- MP_DG_Image_Source --
   ------------------------

   function MP_DG_Image_Source return AMF.Internals.CMOF_Element is
   begin
      return Base + 43;
   end MP_DG_Image_Source;

   --------------------
   -- MP_DG_Line_End --
   --------------------

   function MP_DG_Line_End return AMF.Internals.CMOF_Element is
   begin
      return Base + 44;
   end MP_DG_Line_End;

   ----------------------
   -- MP_DG_Line_Start --
   ----------------------

   function MP_DG_Line_Start return AMF.Internals.CMOF_Element is
   begin
      return Base + 45;
   end MP_DG_Line_Start;

   ------------------------------
   -- MP_DG_Linear_Gradient_X1 --
   ------------------------------

   function MP_DG_Linear_Gradient_X1 return AMF.Internals.CMOF_Element is
   begin
      return Base + 46;
   end MP_DG_Linear_Gradient_X1;

   ------------------------------
   -- MP_DG_Linear_Gradient_X2 --
   ------------------------------

   function MP_DG_Linear_Gradient_X2 return AMF.Internals.CMOF_Element is
   begin
      return Base + 47;
   end MP_DG_Linear_Gradient_X2;

   ------------------------------
   -- MP_DG_Linear_Gradient_Y1 --
   ------------------------------

   function MP_DG_Linear_Gradient_Y1 return AMF.Internals.CMOF_Element is
   begin
      return Base + 48;
   end MP_DG_Linear_Gradient_Y1;

   ------------------------------
   -- MP_DG_Linear_Gradient_Y2 --
   ------------------------------

   function MP_DG_Linear_Gradient_Y2 return AMF.Internals.CMOF_Element is
   begin
      return Base + 49;
   end MP_DG_Linear_Gradient_Y2;

   ------------------------------------------------------
   -- MP_DG_Marked_Element_End_Marker_A_Marked_Element --
   ------------------------------------------------------

   function MP_DG_Marked_Element_End_Marker_A_Marked_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 50;
   end MP_DG_Marked_Element_End_Marker_A_Marked_Element;

   ------------------------------------------------------
   -- MP_DG_Marked_Element_Mid_Marker_A_Marked_Element --
   ------------------------------------------------------

   function MP_DG_Marked_Element_Mid_Marker_A_Marked_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 51;
   end MP_DG_Marked_Element_Mid_Marker_A_Marked_Element;

   --------------------------------------------------------
   -- MP_DG_Marked_Element_Start_Marker_A_Marked_Element --
   --------------------------------------------------------

   function MP_DG_Marked_Element_Start_Marker_A_Marked_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 52;
   end MP_DG_Marked_Element_Start_Marker_A_Marked_Element;

   ------------------------------------------------
   -- MP_DG_Marker_Canvas_Canvas_Packaged_Marker --
   ------------------------------------------------

   function MP_DG_Marker_Canvas_Canvas_Packaged_Marker return AMF.Internals.CMOF_Element is
   begin
      return Base + 53;
   end MP_DG_Marker_Canvas_Canvas_Packaged_Marker;

   ----------------------------
   -- MP_DG_Marker_Reference --
   ----------------------------

   function MP_DG_Marker_Reference return AMF.Internals.CMOF_Element is
   begin
      return Base + 54;
   end MP_DG_Marker_Reference;

   -----------------------
   -- MP_DG_Marker_Size --
   -----------------------

   function MP_DG_Marker_Size return AMF.Internals.CMOF_Element is
   begin
      return Base + 55;
   end MP_DG_Marker_Size;

   ------------------------
   -- MP_DG_Path_Command --
   ------------------------

   function MP_DG_Path_Command return AMF.Internals.CMOF_Element is
   begin
      return Base + 56;
   end MP_DG_Path_Command;

   --------------------------
   -- MP_DG_Pattern_Bounds --
   --------------------------

   function MP_DG_Pattern_Bounds return AMF.Internals.CMOF_Element is
   begin
      return Base + 57;
   end MP_DG_Pattern_Bounds;

   ----------------------------------
   -- MP_DG_Pattern_Tile_A_Pattern --
   ----------------------------------

   function MP_DG_Pattern_Tile_A_Pattern return AMF.Internals.CMOF_Element is
   begin
      return Base + 58;
   end MP_DG_Pattern_Tile_A_Pattern;

   -------------------------
   -- MP_DG_Polygon_Point --
   -------------------------

   function MP_DG_Polygon_Point return AMF.Internals.CMOF_Element is
   begin
      return Base + 59;
   end MP_DG_Polygon_Point;

   --------------------------
   -- MP_DG_Polyline_Point --
   --------------------------

   function MP_DG_Polyline_Point return AMF.Internals.CMOF_Element is
   begin
      return Base + 60;
   end MP_DG_Polyline_Point;

   ------------------------------------
   -- MP_DG_Radial_Gradient_Center_X --
   ------------------------------------

   function MP_DG_Radial_Gradient_Center_X return AMF.Internals.CMOF_Element is
   begin
      return Base + 61;
   end MP_DG_Radial_Gradient_Center_X;

   ------------------------------------
   -- MP_DG_Radial_Gradient_Center_Y --
   ------------------------------------

   function MP_DG_Radial_Gradient_Center_Y return AMF.Internals.CMOF_Element is
   begin
      return Base + 62;
   end MP_DG_Radial_Gradient_Center_Y;

   -----------------------------------
   -- MP_DG_Radial_Gradient_Focus_X --
   -----------------------------------

   function MP_DG_Radial_Gradient_Focus_X return AMF.Internals.CMOF_Element is
   begin
      return Base + 63;
   end MP_DG_Radial_Gradient_Focus_X;

   -----------------------------------
   -- MP_DG_Radial_Gradient_Focus_Y --
   -----------------------------------

   function MP_DG_Radial_Gradient_Focus_Y return AMF.Internals.CMOF_Element is
   begin
      return Base + 64;
   end MP_DG_Radial_Gradient_Focus_Y;

   ----------------------------------
   -- MP_DG_Radial_Gradient_Radius --
   ----------------------------------

   function MP_DG_Radial_Gradient_Radius return AMF.Internals.CMOF_Element is
   begin
      return Base + 65;
   end MP_DG_Radial_Gradient_Radius;

   ----------------------------
   -- MP_DG_Rectangle_Bounds --
   ----------------------------

   function MP_DG_Rectangle_Bounds return AMF.Internals.CMOF_Element is
   begin
      return Base + 66;
   end MP_DG_Rectangle_Bounds;

   -----------------------------------
   -- MP_DG_Rectangle_Corner_Radius --
   -----------------------------------

   function MP_DG_Rectangle_Corner_Radius return AMF.Internals.CMOF_Element is
   begin
      return Base + 67;
   end MP_DG_Rectangle_Corner_Radius;

   ------------------------------
   -- MP_DG_Style_Fill_A_Style --
   ------------------------------

   function MP_DG_Style_Fill_A_Style return AMF.Internals.CMOF_Element is
   begin
      return Base + 68;
   end MP_DG_Style_Fill_A_Style;

   ----------------------------
   -- MP_DG_Style_Fill_Color --
   ----------------------------

   function MP_DG_Style_Fill_Color return AMF.Internals.CMOF_Element is
   begin
      return Base + 69;
   end MP_DG_Style_Fill_Color;

   ------------------------------
   -- MP_DG_Style_Fill_Opacity --
   ------------------------------

   function MP_DG_Style_Fill_Opacity return AMF.Internals.CMOF_Element is
   begin
      return Base + 70;
   end MP_DG_Style_Fill_Opacity;

   ---------------------------
   -- MP_DG_Style_Font_Bold --
   ---------------------------

   function MP_DG_Style_Font_Bold return AMF.Internals.CMOF_Element is
   begin
      return Base + 71;
   end MP_DG_Style_Font_Bold;

   ----------------------------
   -- MP_DG_Style_Font_Color --
   ----------------------------

   function MP_DG_Style_Font_Color return AMF.Internals.CMOF_Element is
   begin
      return Base + 72;
   end MP_DG_Style_Font_Color;

   -----------------------------
   -- MP_DG_Style_Font_Italic --
   -----------------------------

   function MP_DG_Style_Font_Italic return AMF.Internals.CMOF_Element is
   begin
      return Base + 73;
   end MP_DG_Style_Font_Italic;

   ---------------------------
   -- MP_DG_Style_Font_Name --
   ---------------------------

   function MP_DG_Style_Font_Name return AMF.Internals.CMOF_Element is
   begin
      return Base + 74;
   end MP_DG_Style_Font_Name;

   ---------------------------
   -- MP_DG_Style_Font_Size --
   ---------------------------

   function MP_DG_Style_Font_Size return AMF.Internals.CMOF_Element is
   begin
      return Base + 75;
   end MP_DG_Style_Font_Size;

   -------------------------------------
   -- MP_DG_Style_Font_Strike_Through --
   -------------------------------------

   function MP_DG_Style_Font_Strike_Through return AMF.Internals.CMOF_Element is
   begin
      return Base + 76;
   end MP_DG_Style_Font_Strike_Through;

   --------------------------------
   -- MP_DG_Style_Font_Underline --
   --------------------------------

   function MP_DG_Style_Font_Underline return AMF.Internals.CMOF_Element is
   begin
      return Base + 77;
   end MP_DG_Style_Font_Underline;

   ------------------------------
   -- MP_DG_Style_Stroke_Color --
   ------------------------------

   function MP_DG_Style_Stroke_Color return AMF.Internals.CMOF_Element is
   begin
      return Base + 78;
   end MP_DG_Style_Stroke_Color;

   ------------------------------------
   -- MP_DG_Style_Stroke_Dash_Length --
   ------------------------------------

   function MP_DG_Style_Stroke_Dash_Length return AMF.Internals.CMOF_Element is
   begin
      return Base + 79;
   end MP_DG_Style_Stroke_Dash_Length;

   --------------------------------
   -- MP_DG_Style_Stroke_Opacity --
   --------------------------------

   function MP_DG_Style_Stroke_Opacity return AMF.Internals.CMOF_Element is
   begin
      return Base + 80;
   end MP_DG_Style_Stroke_Opacity;

   ------------------------------
   -- MP_DG_Style_Stroke_Width --
   ------------------------------

   function MP_DG_Style_Stroke_Width return AMF.Internals.CMOF_Element is
   begin
      return Base + 81;
   end MP_DG_Style_Stroke_Width;

   --------------------------
   -- MP_DG_Text_Alignment --
   --------------------------

   function MP_DG_Text_Alignment return AMF.Internals.CMOF_Element is
   begin
      return Base + 82;
   end MP_DG_Text_Alignment;

   -----------------------
   -- MP_DG_Text_Bounds --
   -----------------------

   function MP_DG_Text_Bounds return AMF.Internals.CMOF_Element is
   begin
      return Base + 83;
   end MP_DG_Text_Bounds;

   ---------------------
   -- MP_DG_Text_Data --
   ---------------------

   function MP_DG_Text_Data return AMF.Internals.CMOF_Element is
   begin
      return Base + 84;
   end MP_DG_Text_Data;

   --------------------------------------
   -- MP_DG_Cubic_Curve_To_End_Control --
   --------------------------------------

   function MP_DG_Cubic_Curve_To_End_Control return AMF.Internals.CMOF_Element is
   begin
      return Base + 294;
   end MP_DG_Cubic_Curve_To_End_Control;

   --------------------------------
   -- MP_DG_Cubic_Curve_To_Point --
   --------------------------------

   function MP_DG_Cubic_Curve_To_Point return AMF.Internals.CMOF_Element is
   begin
      return Base + 290;
   end MP_DG_Cubic_Curve_To_Point;

   ----------------------------------------
   -- MP_DG_Cubic_Curve_To_Start_Control --
   ----------------------------------------

   function MP_DG_Cubic_Curve_To_Start_Control return AMF.Internals.CMOF_Element is
   begin
      return Base + 292;
   end MP_DG_Cubic_Curve_To_Start_Control;

   ------------------------------------------
   -- MP_DG_Elliptical_Arc_To_Is_Large_Arc --
   ------------------------------------------

   function MP_DG_Elliptical_Arc_To_Is_Large_Arc return AMF.Internals.CMOF_Element is
   begin
      return Base + 310;
   end MP_DG_Elliptical_Arc_To_Is_Large_Arc;

   --------------------------------------
   -- MP_DG_Elliptical_Arc_To_Is_Sweep --
   --------------------------------------

   function MP_DG_Elliptical_Arc_To_Is_Sweep return AMF.Internals.CMOF_Element is
   begin
      return Base + 312;
   end MP_DG_Elliptical_Arc_To_Is_Sweep;

   -----------------------------------
   -- MP_DG_Elliptical_Arc_To_Point --
   -----------------------------------

   function MP_DG_Elliptical_Arc_To_Point return AMF.Internals.CMOF_Element is
   begin
      return Base + 304;
   end MP_DG_Elliptical_Arc_To_Point;

   -----------------------------------
   -- MP_DG_Elliptical_Arc_To_Radii --
   -----------------------------------

   function MP_DG_Elliptical_Arc_To_Radii return AMF.Internals.CMOF_Element is
   begin
      return Base + 306;
   end MP_DG_Elliptical_Arc_To_Radii;

   --------------------------------------
   -- MP_DG_Elliptical_Arc_To_Rotation --
   --------------------------------------

   function MP_DG_Elliptical_Arc_To_Rotation return AMF.Internals.CMOF_Element is
   begin
      return Base + 308;
   end MP_DG_Elliptical_Arc_To_Rotation;

   -------------------------------
   -- MP_DG_Gradient_Stop_Color --
   -------------------------------

   function MP_DG_Gradient_Stop_Color return AMF.Internals.CMOF_Element is
   begin
      return Base + 135;
   end MP_DG_Gradient_Stop_Color;

   --------------------------------
   -- MP_DG_Gradient_Stop_Offset --
   --------------------------------

   function MP_DG_Gradient_Stop_Offset return AMF.Internals.CMOF_Element is
   begin
      return Base + 137;
   end MP_DG_Gradient_Stop_Offset;

   ---------------------------------
   -- MP_DG_Gradient_Stop_Opacity --
   ---------------------------------

   function MP_DG_Gradient_Stop_Opacity return AMF.Internals.CMOF_Element is
   begin
      return Base + 139;
   end MP_DG_Gradient_Stop_Opacity;

   -------------------------
   -- MP_DG_Line_To_Point --
   -------------------------

   function MP_DG_Line_To_Point return AMF.Internals.CMOF_Element is
   begin
      return Base + 286;
   end MP_DG_Line_To_Point;

   --------------------
   -- MP_DG_Matrix_A --
   --------------------

   function MP_DG_Matrix_A return AMF.Internals.CMOF_Element is
   begin
      return Base + 264;
   end MP_DG_Matrix_A;

   --------------------
   -- MP_DG_Matrix_B --
   --------------------

   function MP_DG_Matrix_B return AMF.Internals.CMOF_Element is
   begin
      return Base + 266;
   end MP_DG_Matrix_B;

   --------------------
   -- MP_DG_Matrix_C --
   --------------------

   function MP_DG_Matrix_C return AMF.Internals.CMOF_Element is
   begin
      return Base + 268;
   end MP_DG_Matrix_C;

   --------------------
   -- MP_DG_Matrix_D --
   --------------------

   function MP_DG_Matrix_D return AMF.Internals.CMOF_Element is
   begin
      return Base + 270;
   end MP_DG_Matrix_D;

   --------------------
   -- MP_DG_Matrix_E --
   --------------------

   function MP_DG_Matrix_E return AMF.Internals.CMOF_Element is
   begin
      return Base + 272;
   end MP_DG_Matrix_E;

   --------------------
   -- MP_DG_Matrix_F --
   --------------------

   function MP_DG_Matrix_F return AMF.Internals.CMOF_Element is
   begin
      return Base + 274;
   end MP_DG_Matrix_F;

   -------------------------
   -- MP_DG_Move_To_Point --
   -------------------------

   function MP_DG_Move_To_Point return AMF.Internals.CMOF_Element is
   begin
      return Base + 282;
   end MP_DG_Move_To_Point;

   ------------------------------------
   -- MP_DG_Path_Command_Is_Relative --
   ------------------------------------

   function MP_DG_Path_Command_Is_Relative return AMF.Internals.CMOF_Element is
   begin
      return Base + 278;
   end MP_DG_Path_Command_Is_Relative;

   --------------------------------------
   -- MP_DG_Quadratic_Curve_To_Control --
   --------------------------------------

   function MP_DG_Quadratic_Curve_To_Control return AMF.Internals.CMOF_Element is
   begin
      return Base + 300;
   end MP_DG_Quadratic_Curve_To_Control;

   ------------------------------------
   -- MP_DG_Quadratic_Curve_To_Point --
   ------------------------------------

   function MP_DG_Quadratic_Curve_To_Point return AMF.Internals.CMOF_Element is
   begin
      return Base + 298;
   end MP_DG_Quadratic_Curve_To_Point;

   ------------------------
   -- MP_DG_Rotate_Angle --
   ------------------------

   function MP_DG_Rotate_Angle return AMF.Internals.CMOF_Element is
   begin
      return Base + 206;
   end MP_DG_Rotate_Angle;

   -------------------------
   -- MP_DG_Rotate_Center --
   -------------------------

   function MP_DG_Rotate_Center return AMF.Internals.CMOF_Element is
   begin
      return Base + 208;
   end MP_DG_Rotate_Center;

   --------------------------
   -- MP_DG_Scale_Factor_X --
   --------------------------

   function MP_DG_Scale_Factor_X return AMF.Internals.CMOF_Element is
   begin
      return Base + 200;
   end MP_DG_Scale_Factor_X;

   --------------------------
   -- MP_DG_Scale_Factor_Y --
   --------------------------

   function MP_DG_Scale_Factor_Y return AMF.Internals.CMOF_Element is
   begin
      return Base + 202;
   end MP_DG_Scale_Factor_Y;

   ------------------------
   -- MP_DG_Skew_Angle_X --
   ------------------------

   function MP_DG_Skew_Angle_X return AMF.Internals.CMOF_Element is
   begin
      return Base + 214;
   end MP_DG_Skew_Angle_X;

   ------------------------
   -- MP_DG_Skew_Angle_Y --
   ------------------------

   function MP_DG_Skew_Angle_Y return AMF.Internals.CMOF_Element is
   begin
      return Base + 216;
   end MP_DG_Skew_Angle_Y;

   -----------------------------
   -- MP_DG_Translate_Delta_X --
   -----------------------------

   function MP_DG_Translate_Delta_X return AMF.Internals.CMOF_Element is
   begin
      return Base + 191;
   end MP_DG_Translate_Delta_X;

   -----------------------------
   -- MP_DG_Translate_Delta_Y --
   -----------------------------

   function MP_DG_Translate_Delta_Y return AMF.Internals.CMOF_Element is
   begin
      return Base + 193;
   end MP_DG_Translate_Delta_Y;

   ----------------------------------
   -- MP_DG_A_Pattern_Pattern_Tile --
   ----------------------------------

   function MP_DG_A_Pattern_Pattern_Tile return AMF.Internals.CMOF_Element is
   begin
      return Base + 319;
   end MP_DG_A_Pattern_Pattern_Tile;

   ------------------------------------------
   -- MP_DG_A_Canvas_Canvas_Packaged_Style --
   ------------------------------------------

   function MP_DG_A_Canvas_Canvas_Packaged_Style return AMF.Internals.CMOF_Element is
   begin
      return Base + 320;
   end MP_DG_A_Canvas_Canvas_Packaged_Style;

   --------------------------------------------------------
   -- MP_DG_A_Marked_Element_Marked_Element_Start_Marker --
   --------------------------------------------------------

   function MP_DG_A_Marked_Element_Marked_Element_Start_Marker return AMF.Internals.CMOF_Element is
   begin
      return Base + 210;
   end MP_DG_A_Marked_Element_Marked_Element_Start_Marker;

   ------------------------------------------------------
   -- MP_DG_A_Marked_Element_Marked_Element_End_Marker --
   ------------------------------------------------------

   function MP_DG_A_Marked_Element_Marked_Element_End_Marker return AMF.Internals.CMOF_Element is
   begin
      return Base + 211;
   end MP_DG_A_Marked_Element_Marked_Element_End_Marker;

   ------------------------------------------------------
   -- MP_DG_A_Marked_Element_Marked_Element_Mid_Marker --
   ------------------------------------------------------

   function MP_DG_A_Marked_Element_Marked_Element_Mid_Marker return AMF.Internals.CMOF_Element is
   begin
      return Base + 218;
   end MP_DG_A_Marked_Element_Marked_Element_Mid_Marker;

   ----------------------------------------------------------
   -- MP_DG_A_Styled_Element_Graphical_Element_Local_Style --
   ----------------------------------------------------------

   function MP_DG_A_Styled_Element_Graphical_Element_Local_Style return AMF.Internals.CMOF_Element is
   begin
      return Base + 261;
   end MP_DG_A_Styled_Element_Graphical_Element_Local_Style;

   ------------------------------
   -- MP_DG_A_Style_Style_Fill --
   ------------------------------

   function MP_DG_A_Style_Style_Fill return AMF.Internals.CMOF_Element is
   begin
      return Base + 316;
   end MP_DG_A_Style_Style_Fill;

   -----------------------------------------------------------
   -- MP_DG_A_Styled_Element_Graphical_Element_Shared_Style --
   -----------------------------------------------------------

   function MP_DG_A_Styled_Element_Graphical_Element_Shared_Style return AMF.Internals.CMOF_Element is
   begin
      return Base + 317;
   end MP_DG_A_Styled_Element_Graphical_Element_Shared_Style;

   -------------------------------------------
   -- MP_DG_A_Canvas_Canvas_Background_Fill --
   -------------------------------------------

   function MP_DG_A_Canvas_Canvas_Background_Fill return AMF.Internals.CMOF_Element is
   begin
      return Base + 318;
   end MP_DG_A_Canvas_Canvas_Background_Fill;

   --------------------------------
   -- MA_DG_Pattern_Tile_Pattern --
   --------------------------------

   function MA_DG_Pattern_Tile_Pattern return AMF.Internals.CMOF_Element is
   begin
      return Base + 85;
   end MA_DG_Pattern_Tile_Pattern;

   ----------------------------------------
   -- MA_DG_Canvas_Packaged_Style_Canvas --
   ----------------------------------------

   function MA_DG_Canvas_Packaged_Style_Canvas return AMF.Internals.CMOF_Element is
   begin
      return Base + 86;
   end MA_DG_Canvas_Packaged_Style_Canvas;

   ------------------------------------------------------
   -- MA_DG_Marked_Element_Start_Marker_Marked_Element --
   ------------------------------------------------------

   function MA_DG_Marked_Element_Start_Marker_Marked_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 87;
   end MA_DG_Marked_Element_Start_Marker_Marked_Element;

   ----------------------------------------------------
   -- MA_DG_Marked_Element_End_Marker_Marked_Element --
   ----------------------------------------------------

   function MA_DG_Marked_Element_End_Marker_Marked_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 88;
   end MA_DG_Marked_Element_End_Marker_Marked_Element;

   ------------------------------
   -- MA_DG_Group_Member_Group --
   ------------------------------

   function MA_DG_Group_Member_Group return AMF.Internals.CMOF_Element is
   begin
      return Base + 89;
   end MA_DG_Group_Member_Group;

   ----------------------------------------------------
   -- MA_DG_Marked_Element_Mid_Marker_Marked_Element --
   ----------------------------------------------------

   function MA_DG_Marked_Element_Mid_Marker_Marked_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 90;
   end MA_DG_Marked_Element_Mid_Marker_Marked_Element;

   -----------------------------------------
   -- MA_DG_Canvas_Packaged_Marker_Canvas --
   -----------------------------------------

   function MA_DG_Canvas_Packaged_Marker_Canvas return AMF.Internals.CMOF_Element is
   begin
      return Base + 91;
   end MA_DG_Canvas_Packaged_Marker_Canvas;

   -------------------------------------------------------
   -- MA_DG_Graphical_Element_Clip_Path_Clipped_Element --
   -------------------------------------------------------

   function MA_DG_Graphical_Element_Clip_Path_Clipped_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 92;
   end MA_DG_Graphical_Element_Clip_Path_Clipped_Element;

   --------------------------------------------------------
   -- MA_DG_Graphical_Element_Local_Style_Styled_Element --
   --------------------------------------------------------

   function MA_DG_Graphical_Element_Local_Style_Styled_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 93;
   end MA_DG_Graphical_Element_Local_Style_Styled_Element;

   ---------------------------------------
   -- MA_DG_Canvas_Packaged_Fill_Canvas --
   ---------------------------------------

   function MA_DG_Canvas_Packaged_Fill_Canvas return AMF.Internals.CMOF_Element is
   begin
      return Base + 94;
   end MA_DG_Canvas_Packaged_Fill_Canvas;

   ----------------------------
   -- MA_DG_Style_Fill_Style --
   ----------------------------

   function MA_DG_Style_Fill_Style return AMF.Internals.CMOF_Element is
   begin
      return Base + 95;
   end MA_DG_Style_Fill_Style;

   ---------------------------------------------------------
   -- MA_DG_Graphical_Element_Shared_Style_Styled_Element --
   ---------------------------------------------------------

   function MA_DG_Graphical_Element_Shared_Style_Styled_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 96;
   end MA_DG_Graphical_Element_Shared_Style_Styled_Element;

   -----------------------------------------
   -- MA_DG_Canvas_Background_Fill_Canvas --
   -----------------------------------------

   function MA_DG_Canvas_Background_Fill_Canvas return AMF.Internals.CMOF_Element is
   begin
      return Base + 97;
   end MA_DG_Canvas_Background_Fill_Canvas;

   -----------
   -- MB_DG --
   -----------

   function MB_DG return AMF.Internals.AMF_Element is
   begin
      return Base;
   end MB_DG;

   -----------
   -- MB_DG --
   -----------

   function ML_DG return AMF.Internals.AMF_Element is
   begin
      return Base + 322;
   end ML_DG;

end AMF.Internals.Tables.DG_Metamodel;
