------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2012-2013, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3642 $ $Date: 2013-01-07 19:01:06 +0100 (Mon, 07 Jan 2013) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------
with AMF.Internals.Tables.OCL_Types;

package AMF.Internals.Tables.OCL_Attribute_Mappings is

   pragma Preelaborate;

   OCL_Collection_Offset : constant
     array (AMF.Internals.Tables.OCL_Types.Element_Kinds,
            AMF.Internals.CMOF_Element range 48 .. 54)
       of AMF.Internals.AMF_Collection_Of_Element :=
        (AMF.Internals.Tables.OCL_Types.E_None =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Any_Type =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Association_Class_Call_Exp =>
          (52     => 4,     --  NavigationCallExp::qualifier
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Bag_Type =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Boolean_Literal_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Item =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Literal_Exp =>
          (48     => 4,     --  CollectionLiteralExp::part
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Range =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Type =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Enum_Literal_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Expression_In_Ocl =>
          (49     => 4,     --  ExpressionInOcl::parameterVariable
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_If_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Integer_Literal_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Invalid_Literal_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Invalid_Type =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Iterate_Exp =>
          (50     => 4,     --  LoopExp::iterator
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Iterator_Exp =>
          (50     => 4,     --  LoopExp::iterator
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Let_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Message_Exp =>
          (51     => 4,     --  MessageExp::argument
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Message_Type =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Null_Literal_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Operation_Call_Exp =>
          (53     => 4,     --  OperationCallExp::argument
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Ordered_Set_Type =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Property_Call_Exp =>
          (52     => 4,     --  NavigationCallExp::qualifier
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Real_Literal_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Sequence_Type =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Set_Type =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_State_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_String_Literal_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Template_Parameter_Type =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Tuple_Literal_Exp =>
          (54     => 4,     --  TupleLiteralExp::part
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Tuple_Literal_Part =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Tuple_Type =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Type_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Unlimited_Natural_Literal_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Unspecified_Value_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Variable =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Variable_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Void_Type =>
          (others => 0));

   OCL_Member_Offset : constant
     array (AMF.Internals.Tables.OCL_Types.Element_Kinds,
            AMF.Internals.CMOF_Element range 55 .. 93) of Natural :=
        (AMF.Internals.Tables.OCL_Types.E_None =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Any_Type =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Association_Class_Call_Exp =>
          (81     => 9,     --  NavigationCallExp::navigationSource
           55     => 10,    --  AssociationClassCallExp::referredAssociationClass
           57     => 8,     --  CallExp::source
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Bag_Type =>
          (62     => 17,    --  CollectionType::elementType
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Boolean_Literal_Exp =>
          (56     => 8,     --  BooleanLiteralExp::booleanSymbol
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Item =>
          (58     => 8,     --  CollectionItem::item
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Literal_Exp =>
          (59     => 8,     --  CollectionLiteralExp::kind
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Range =>
          (60     => 8,     --  CollectionRange::first
           61     => 9,     --  CollectionRange::last
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Type =>
          (62     => 17,    --  CollectionType::elementType
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Enum_Literal_Exp =>
          (63     => 8,     --  EnumLiteralExp::referredEnumLiteral
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Expression_In_Ocl =>
          (64     => 14,    --  ExpressionInOcl::bodyExpression
           65     => 15,    --  ExpressionInOcl::contextVariable
           66     => 17,    --  ExpressionInOcl::generatedType
           67     => 16,    --  ExpressionInOcl::resultVariable
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_If_Exp =>
          (68     => 8,     --  IfExp::condition
           69     => 10,    --  IfExp::elseExpression
           70     => 9,     --  IfExp::thenExpression
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Integer_Literal_Exp =>
          (71     => 8,     --  IntegerLiteralExp::integerSymbol
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Invalid_Literal_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Invalid_Type =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Iterate_Exp =>
          (75     => 9,     --  LoopExp::body
           72     => 10,    --  IterateExp::result
           57     => 8,     --  CallExp::source
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Iterator_Exp =>
          (75     => 9,     --  LoopExp::body
           57     => 8,     --  CallExp::source
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Let_Exp =>
          (73     => 8,     --  LetExp::in
           74     => 9,     --  LetExp::variable
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Message_Exp =>
          (76     => 9,     --  MessageExp::calledOperation
           77     => 10,    --  MessageExp::sentSignal
           78     => 8,     --  MessageExp::target
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Message_Type =>
          (79     => 18,    --  MessageType::referredOperation
           80     => 17,    --  MessageType::referredSignal
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Null_Literal_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Operation_Call_Exp =>
          (82     => 9,     --  OperationCallExp::referredOperation
           57     => 8,     --  CallExp::source
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Ordered_Set_Type =>
          (62     => 17,    --  CollectionType::elementType
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Property_Call_Exp =>
          (81     => 9,     --  NavigationCallExp::navigationSource
           83     => 10,    --  PropertyCallExp::referredProperty
           57     => 8,     --  CallExp::source
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Real_Literal_Exp =>
          (84     => 8,     --  RealLiteralExp::realSymbol
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Sequence_Type =>
          (62     => 17,    --  CollectionType::elementType
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Set_Type =>
          (62     => 17,    --  CollectionType::elementType
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_State_Exp =>
          (85     => 8,     --  StateExp::referredState
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_String_Literal_Exp =>
          (86     => 8,     --  StringLiteralExp::stringSymbol
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Template_Parameter_Type =>
          (87     => 17,    --  TemplateParameterType::specification
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Tuple_Literal_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Tuple_Literal_Part =>
          (88     => 8,     --  TupleLiteralPart::attribute
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Tuple_Type =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Type_Exp =>
          (89     => 8,     --  TypeExp::referredType
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Unlimited_Natural_Literal_Exp =>
          (90     => 8,     --  UnlimitedNaturalLiteralExp::unlimitedNaturalSymbol
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Unspecified_Value_Exp =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Variable =>
          (91     => 8,     --  Variable::initExpression
           92     => 9,     --  Variable::representedParameter
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Variable_Exp =>
          (93     => 8,     --  VariableExp::referredVariable
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Void_Type =>
          (others => 0));

   UML_Collection_Offset : constant
     array (AMF.Internals.Tables.OCL_Types.Element_Kinds,
            AMF.Internals.CMOF_Element range 243 .. 482)
       of AMF.Internals.AMF_Collection_Of_Element :=
        (AMF.Internals.Tables.OCL_Types.E_None =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Any_Type =>
          (296    => 13,    --  Classifier::attribute
           400    => 3,     --  NamedElement::clientDependency
           297    => 14,    --  Classifier::collaborationUse
           401    => 4,     --  Namespace::elementImport
           298    => 15,    --  Classifier::feature
           299    => 16,    --  Classifier::general
           300    => 17,    --  Classifier::generalization
           402    => 5,     --  Namespace::importedMember
           301    => 18,    --  Classifier::inheritedMember
           403    => 6,     --  Namespace::member
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           404    => 7,     --  Namespace::ownedMember
           405    => 8,     --  Namespace::ownedRule
           302    => 19,    --  Classifier::ownedUseCase
           406    => 9,     --  Namespace::packageImport
           303    => 20,    --  Classifier::powertypeExtent
           304    => 21,    --  Classifier::redefinedClassifier
           439    => 11,    --  RedefinableElement::redefinedElement
           440    => 12,    --  RedefinableElement::redefinitionContext
           305    => 22,    --  Classifier::substitution
           472    => 10,    --  TemplateableElement::templateBinding
           306    => 23,    --  Classifier::useCase
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Association_Class_Call_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Bag_Type =>
          (296    => 13,    --  Classifier::attribute
           400    => 3,     --  NamedElement::clientDependency
           297    => 14,    --  Classifier::collaborationUse
           401    => 4,     --  Namespace::elementImport
           298    => 15,    --  Classifier::feature
           299    => 16,    --  Classifier::general
           300    => 17,    --  Classifier::generalization
           402    => 5,     --  Namespace::importedMember
           301    => 18,    --  Classifier::inheritedMember
           403    => 6,     --  Namespace::member
           334    => 24,    --  DataType::ownedAttribute
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           404    => 7,     --  Namespace::ownedMember
           335    => 25,    --  DataType::ownedOperation
           405    => 8,     --  Namespace::ownedRule
           302    => 19,    --  Classifier::ownedUseCase
           406    => 9,     --  Namespace::packageImport
           303    => 20,    --  Classifier::powertypeExtent
           304    => 21,    --  Classifier::redefinedClassifier
           439    => 11,    --  RedefinableElement::redefinedElement
           440    => 12,    --  RedefinableElement::redefinitionContext
           305    => 22,    --  Classifier::substitution
           472    => 10,    --  TemplateableElement::templateBinding
           306    => 23,    --  Classifier::useCase
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Boolean_Literal_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Item =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Literal_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Range =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Type =>
          (296    => 13,    --  Classifier::attribute
           400    => 3,     --  NamedElement::clientDependency
           297    => 14,    --  Classifier::collaborationUse
           401    => 4,     --  Namespace::elementImport
           298    => 15,    --  Classifier::feature
           299    => 16,    --  Classifier::general
           300    => 17,    --  Classifier::generalization
           402    => 5,     --  Namespace::importedMember
           301    => 18,    --  Classifier::inheritedMember
           403    => 6,     --  Namespace::member
           334    => 24,    --  DataType::ownedAttribute
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           404    => 7,     --  Namespace::ownedMember
           335    => 25,    --  DataType::ownedOperation
           405    => 8,     --  Namespace::ownedRule
           302    => 19,    --  Classifier::ownedUseCase
           406    => 9,     --  Namespace::packageImport
           303    => 20,    --  Classifier::powertypeExtent
           304    => 21,    --  Classifier::redefinedClassifier
           439    => 11,    --  RedefinableElement::redefinedElement
           440    => 12,    --  RedefinableElement::redefinitionContext
           305    => 22,    --  Classifier::substitution
           472    => 10,    --  TemplateableElement::templateBinding
           306    => 23,    --  Classifier::useCase
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Enum_Literal_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Expression_In_Ocl =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_If_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Integer_Literal_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Invalid_Literal_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Invalid_Type =>
          (296    => 13,    --  Classifier::attribute
           400    => 3,     --  NamedElement::clientDependency
           297    => 14,    --  Classifier::collaborationUse
           401    => 4,     --  Namespace::elementImport
           298    => 15,    --  Classifier::feature
           299    => 16,    --  Classifier::general
           300    => 17,    --  Classifier::generalization
           402    => 5,     --  Namespace::importedMember
           301    => 18,    --  Classifier::inheritedMember
           403    => 6,     --  Namespace::member
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           404    => 7,     --  Namespace::ownedMember
           405    => 8,     --  Namespace::ownedRule
           302    => 19,    --  Classifier::ownedUseCase
           406    => 9,     --  Namespace::packageImport
           303    => 20,    --  Classifier::powertypeExtent
           304    => 21,    --  Classifier::redefinedClassifier
           439    => 11,    --  RedefinableElement::redefinedElement
           440    => 12,    --  RedefinableElement::redefinitionContext
           305    => 22,    --  Classifier::substitution
           472    => 10,    --  TemplateableElement::templateBinding
           306    => 23,    --  Classifier::useCase
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Iterate_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Iterator_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Let_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Message_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Message_Type =>
          (296    => 13,    --  Classifier::attribute
           400    => 3,     --  NamedElement::clientDependency
           297    => 14,    --  Classifier::collaborationUse
           401    => 4,     --  Namespace::elementImport
           298    => 15,    --  Classifier::feature
           299    => 16,    --  Classifier::general
           300    => 17,    --  Classifier::generalization
           402    => 5,     --  Namespace::importedMember
           301    => 18,    --  Classifier::inheritedMember
           403    => 6,     --  Namespace::member
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           404    => 7,     --  Namespace::ownedMember
           405    => 8,     --  Namespace::ownedRule
           302    => 19,    --  Classifier::ownedUseCase
           406    => 9,     --  Namespace::packageImport
           303    => 20,    --  Classifier::powertypeExtent
           304    => 21,    --  Classifier::redefinedClassifier
           439    => 11,    --  RedefinableElement::redefinedElement
           440    => 12,    --  RedefinableElement::redefinitionContext
           305    => 22,    --  Classifier::substitution
           472    => 10,    --  TemplateableElement::templateBinding
           306    => 23,    --  Classifier::useCase
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Null_Literal_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Operation_Call_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Ordered_Set_Type =>
          (296    => 13,    --  Classifier::attribute
           400    => 3,     --  NamedElement::clientDependency
           297    => 14,    --  Classifier::collaborationUse
           401    => 4,     --  Namespace::elementImport
           298    => 15,    --  Classifier::feature
           299    => 16,    --  Classifier::general
           300    => 17,    --  Classifier::generalization
           402    => 5,     --  Namespace::importedMember
           301    => 18,    --  Classifier::inheritedMember
           403    => 6,     --  Namespace::member
           334    => 24,    --  DataType::ownedAttribute
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           404    => 7,     --  Namespace::ownedMember
           335    => 25,    --  DataType::ownedOperation
           405    => 8,     --  Namespace::ownedRule
           302    => 19,    --  Classifier::ownedUseCase
           406    => 9,     --  Namespace::packageImport
           303    => 20,    --  Classifier::powertypeExtent
           304    => 21,    --  Classifier::redefinedClassifier
           439    => 11,    --  RedefinableElement::redefinedElement
           440    => 12,    --  RedefinableElement::redefinitionContext
           305    => 22,    --  Classifier::substitution
           472    => 10,    --  TemplateableElement::templateBinding
           306    => 23,    --  Classifier::useCase
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Property_Call_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Real_Literal_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Sequence_Type =>
          (296    => 13,    --  Classifier::attribute
           400    => 3,     --  NamedElement::clientDependency
           297    => 14,    --  Classifier::collaborationUse
           401    => 4,     --  Namespace::elementImport
           298    => 15,    --  Classifier::feature
           299    => 16,    --  Classifier::general
           300    => 17,    --  Classifier::generalization
           402    => 5,     --  Namespace::importedMember
           301    => 18,    --  Classifier::inheritedMember
           403    => 6,     --  Namespace::member
           334    => 24,    --  DataType::ownedAttribute
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           404    => 7,     --  Namespace::ownedMember
           335    => 25,    --  DataType::ownedOperation
           405    => 8,     --  Namespace::ownedRule
           302    => 19,    --  Classifier::ownedUseCase
           406    => 9,     --  Namespace::packageImport
           303    => 20,    --  Classifier::powertypeExtent
           304    => 21,    --  Classifier::redefinedClassifier
           439    => 11,    --  RedefinableElement::redefinedElement
           440    => 12,    --  RedefinableElement::redefinitionContext
           305    => 22,    --  Classifier::substitution
           472    => 10,    --  TemplateableElement::templateBinding
           306    => 23,    --  Classifier::useCase
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Set_Type =>
          (296    => 13,    --  Classifier::attribute
           400    => 3,     --  NamedElement::clientDependency
           297    => 14,    --  Classifier::collaborationUse
           401    => 4,     --  Namespace::elementImport
           298    => 15,    --  Classifier::feature
           299    => 16,    --  Classifier::general
           300    => 17,    --  Classifier::generalization
           402    => 5,     --  Namespace::importedMember
           301    => 18,    --  Classifier::inheritedMember
           403    => 6,     --  Namespace::member
           334    => 24,    --  DataType::ownedAttribute
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           404    => 7,     --  Namespace::ownedMember
           335    => 25,    --  DataType::ownedOperation
           405    => 8,     --  Namespace::ownedRule
           302    => 19,    --  Classifier::ownedUseCase
           406    => 9,     --  Namespace::packageImport
           303    => 20,    --  Classifier::powertypeExtent
           304    => 21,    --  Classifier::redefinedClassifier
           439    => 11,    --  RedefinableElement::redefinedElement
           440    => 12,    --  RedefinableElement::redefinitionContext
           305    => 22,    --  Classifier::substitution
           472    => 10,    --  TemplateableElement::templateBinding
           306    => 23,    --  Classifier::useCase
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_State_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_String_Literal_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Template_Parameter_Type =>
          (296    => 13,    --  Classifier::attribute
           400    => 3,     --  NamedElement::clientDependency
           297    => 14,    --  Classifier::collaborationUse
           401    => 4,     --  Namespace::elementImport
           298    => 15,    --  Classifier::feature
           299    => 16,    --  Classifier::general
           300    => 17,    --  Classifier::generalization
           402    => 5,     --  Namespace::importedMember
           301    => 18,    --  Classifier::inheritedMember
           403    => 6,     --  Namespace::member
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           404    => 7,     --  Namespace::ownedMember
           405    => 8,     --  Namespace::ownedRule
           302    => 19,    --  Classifier::ownedUseCase
           406    => 9,     --  Namespace::packageImport
           303    => 20,    --  Classifier::powertypeExtent
           304    => 21,    --  Classifier::redefinedClassifier
           439    => 11,    --  RedefinableElement::redefinedElement
           440    => 12,    --  RedefinableElement::redefinitionContext
           305    => 22,    --  Classifier::substitution
           472    => 10,    --  TemplateableElement::templateBinding
           306    => 23,    --  Classifier::useCase
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Tuple_Literal_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Tuple_Literal_Part =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Tuple_Type =>
          (296    => 13,    --  Classifier::attribute
           400    => 3,     --  NamedElement::clientDependency
           297    => 14,    --  Classifier::collaborationUse
           401    => 4,     --  Namespace::elementImport
           298    => 15,    --  Classifier::feature
           299    => 16,    --  Classifier::general
           300    => 17,    --  Classifier::generalization
           402    => 5,     --  Namespace::importedMember
           301    => 18,    --  Classifier::inheritedMember
           403    => 6,     --  Namespace::member
           334    => 24,    --  DataType::ownedAttribute
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           404    => 7,     --  Namespace::ownedMember
           335    => 25,    --  DataType::ownedOperation
           405    => 8,     --  Namespace::ownedRule
           302    => 19,    --  Classifier::ownedUseCase
           406    => 9,     --  Namespace::packageImport
           303    => 20,    --  Classifier::powertypeExtent
           304    => 21,    --  Classifier::redefinedClassifier
           439    => 11,    --  RedefinableElement::redefinedElement
           440    => 12,    --  RedefinableElement::redefinitionContext
           305    => 22,    --  Classifier::substitution
           472    => 10,    --  TemplateableElement::templateBinding
           306    => 23,    --  Classifier::useCase
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Type_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Unlimited_Natural_Literal_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Unspecified_Value_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Variable =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Variable_Exp =>
          (400    => 3,     --  NamedElement::clientDependency
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Void_Type =>
          (296    => 13,    --  Classifier::attribute
           400    => 3,     --  NamedElement::clientDependency
           297    => 14,    --  Classifier::collaborationUse
           401    => 4,     --  Namespace::elementImport
           298    => 15,    --  Classifier::feature
           299    => 16,    --  Classifier::general
           300    => 17,    --  Classifier::generalization
           402    => 5,     --  Namespace::importedMember
           301    => 18,    --  Classifier::inheritedMember
           403    => 6,     --  Namespace::member
           347    => 1,     --  Element::ownedComment
           348    => 2,     --  Element::ownedElement
           404    => 7,     --  Namespace::ownedMember
           405    => 8,     --  Namespace::ownedRule
           302    => 19,    --  Classifier::ownedUseCase
           406    => 9,     --  Namespace::packageImport
           303    => 20,    --  Classifier::powertypeExtent
           304    => 21,    --  Classifier::redefinedClassifier
           439    => 11,    --  RedefinableElement::redefinedElement
           440    => 12,    --  RedefinableElement::redefinitionContext
           305    => 22,    --  Classifier::substitution
           472    => 10,    --  TemplateableElement::templateBinding
           306    => 23,    --  Classifier::useCase
           others => 0));

   UML_Member_Offset : constant
     array (AMF.Internals.Tables.OCL_Types.Element_Kinds,
            AMF.Internals.CMOF_Element range 483 .. 866) of Natural :=
        (AMF.Internals.Tables.OCL_Types.E_None =>
          (others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Any_Type =>
          (530    => 12,    --  Classifier::isAbstract
           531    => 13,    --  Classifier::isFinalSpecialization
           772    => 11,    --  RedefinableElement::isLeaf
           669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           532    => 14,    --  Classifier::ownedTemplateSignature
           831    => 10,    --  TemplateableElement::ownedTemplateSignature
           577    => 1,     --  Element::owner
           718    => 8,     --  ParameterableElement::owningTemplateParameter
           853    => 7,     --  Type::package
           672    => 5,     --  NamedElement::qualifiedName
           533    => 15,    --  Classifier::representation
           534    => 16,    --  Classifier::templateParameter
           719    => 9,     --  ParameterableElement::templateParameter
           673    => 6,     --  NamedElement::visibility
           710    => 6,     --  PackageableElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Association_Class_Call_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Bag_Type =>
          (530    => 12,    --  Classifier::isAbstract
           531    => 13,    --  Classifier::isFinalSpecialization
           772    => 11,    --  RedefinableElement::isLeaf
           669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           532    => 14,    --  Classifier::ownedTemplateSignature
           831    => 10,    --  TemplateableElement::ownedTemplateSignature
           577    => 1,     --  Element::owner
           718    => 8,     --  ParameterableElement::owningTemplateParameter
           853    => 7,     --  Type::package
           672    => 5,     --  NamedElement::qualifiedName
           533    => 15,    --  Classifier::representation
           534    => 16,    --  Classifier::templateParameter
           719    => 9,     --  ParameterableElement::templateParameter
           673    => 6,     --  NamedElement::visibility
           710    => 6,     --  PackageableElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Boolean_Literal_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Item =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Literal_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Range =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Collection_Type =>
          (530    => 12,    --  Classifier::isAbstract
           531    => 13,    --  Classifier::isFinalSpecialization
           772    => 11,    --  RedefinableElement::isLeaf
           669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           532    => 14,    --  Classifier::ownedTemplateSignature
           831    => 10,    --  TemplateableElement::ownedTemplateSignature
           577    => 1,     --  Element::owner
           718    => 8,     --  ParameterableElement::owningTemplateParameter
           853    => 7,     --  Type::package
           672    => 5,     --  NamedElement::qualifiedName
           533    => 15,    --  Classifier::representation
           534    => 16,    --  Classifier::templateParameter
           719    => 9,     --  ParameterableElement::templateParameter
           673    => 6,     --  NamedElement::visibility
           710    => 6,     --  PackageableElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Enum_Literal_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Expression_In_Ocl =>
          (687    => 10,    --  OpaqueExpression::behavior
           688    => 11,    --  OpaqueExpression::body
           689    => 12,    --  OpaqueExpression::language
           669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           718    => 8,     --  ParameterableElement::owningTemplateParameter
           672    => 5,     --  NamedElement::qualifiedName
           690    => 13,    --  OpaqueExpression::result
           719    => 9,     --  ParameterableElement::templateParameter
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           710    => 6,     --  PackageableElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_If_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Integer_Literal_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Invalid_Literal_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Invalid_Type =>
          (530    => 12,    --  Classifier::isAbstract
           531    => 13,    --  Classifier::isFinalSpecialization
           772    => 11,    --  RedefinableElement::isLeaf
           669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           532    => 14,    --  Classifier::ownedTemplateSignature
           831    => 10,    --  TemplateableElement::ownedTemplateSignature
           577    => 1,     --  Element::owner
           718    => 8,     --  ParameterableElement::owningTemplateParameter
           853    => 7,     --  Type::package
           672    => 5,     --  NamedElement::qualifiedName
           533    => 15,    --  Classifier::representation
           534    => 16,    --  Classifier::templateParameter
           719    => 9,     --  ParameterableElement::templateParameter
           673    => 6,     --  NamedElement::visibility
           710    => 6,     --  PackageableElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Iterate_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Iterator_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Let_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Message_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Message_Type =>
          (530    => 12,    --  Classifier::isAbstract
           531    => 13,    --  Classifier::isFinalSpecialization
           772    => 11,    --  RedefinableElement::isLeaf
           669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           532    => 14,    --  Classifier::ownedTemplateSignature
           831    => 10,    --  TemplateableElement::ownedTemplateSignature
           577    => 1,     --  Element::owner
           718    => 8,     --  ParameterableElement::owningTemplateParameter
           853    => 7,     --  Type::package
           672    => 5,     --  NamedElement::qualifiedName
           533    => 15,    --  Classifier::representation
           534    => 16,    --  Classifier::templateParameter
           719    => 9,     --  ParameterableElement::templateParameter
           673    => 6,     --  NamedElement::visibility
           710    => 6,     --  PackageableElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Null_Literal_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Operation_Call_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Ordered_Set_Type =>
          (530    => 12,    --  Classifier::isAbstract
           531    => 13,    --  Classifier::isFinalSpecialization
           772    => 11,    --  RedefinableElement::isLeaf
           669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           532    => 14,    --  Classifier::ownedTemplateSignature
           831    => 10,    --  TemplateableElement::ownedTemplateSignature
           577    => 1,     --  Element::owner
           718    => 8,     --  ParameterableElement::owningTemplateParameter
           853    => 7,     --  Type::package
           672    => 5,     --  NamedElement::qualifiedName
           533    => 15,    --  Classifier::representation
           534    => 16,    --  Classifier::templateParameter
           719    => 9,     --  ParameterableElement::templateParameter
           673    => 6,     --  NamedElement::visibility
           710    => 6,     --  PackageableElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Property_Call_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Real_Literal_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Sequence_Type =>
          (530    => 12,    --  Classifier::isAbstract
           531    => 13,    --  Classifier::isFinalSpecialization
           772    => 11,    --  RedefinableElement::isLeaf
           669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           532    => 14,    --  Classifier::ownedTemplateSignature
           831    => 10,    --  TemplateableElement::ownedTemplateSignature
           577    => 1,     --  Element::owner
           718    => 8,     --  ParameterableElement::owningTemplateParameter
           853    => 7,     --  Type::package
           672    => 5,     --  NamedElement::qualifiedName
           533    => 15,    --  Classifier::representation
           534    => 16,    --  Classifier::templateParameter
           719    => 9,     --  ParameterableElement::templateParameter
           673    => 6,     --  NamedElement::visibility
           710    => 6,     --  PackageableElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Set_Type =>
          (530    => 12,    --  Classifier::isAbstract
           531    => 13,    --  Classifier::isFinalSpecialization
           772    => 11,    --  RedefinableElement::isLeaf
           669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           532    => 14,    --  Classifier::ownedTemplateSignature
           831    => 10,    --  TemplateableElement::ownedTemplateSignature
           577    => 1,     --  Element::owner
           718    => 8,     --  ParameterableElement::owningTemplateParameter
           853    => 7,     --  Type::package
           672    => 5,     --  NamedElement::qualifiedName
           533    => 15,    --  Classifier::representation
           534    => 16,    --  Classifier::templateParameter
           719    => 9,     --  ParameterableElement::templateParameter
           673    => 6,     --  NamedElement::visibility
           710    => 6,     --  PackageableElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_State_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_String_Literal_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Template_Parameter_Type =>
          (530    => 12,    --  Classifier::isAbstract
           531    => 13,    --  Classifier::isFinalSpecialization
           772    => 11,    --  RedefinableElement::isLeaf
           669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           532    => 14,    --  Classifier::ownedTemplateSignature
           831    => 10,    --  TemplateableElement::ownedTemplateSignature
           577    => 1,     --  Element::owner
           718    => 8,     --  ParameterableElement::owningTemplateParameter
           853    => 7,     --  Type::package
           672    => 5,     --  NamedElement::qualifiedName
           533    => 15,    --  Classifier::representation
           534    => 16,    --  Classifier::templateParameter
           719    => 9,     --  ParameterableElement::templateParameter
           673    => 6,     --  NamedElement::visibility
           710    => 6,     --  PackageableElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Tuple_Literal_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Tuple_Literal_Part =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Tuple_Type =>
          (530    => 12,    --  Classifier::isAbstract
           531    => 13,    --  Classifier::isFinalSpecialization
           772    => 11,    --  RedefinableElement::isLeaf
           669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           532    => 14,    --  Classifier::ownedTemplateSignature
           831    => 10,    --  TemplateableElement::ownedTemplateSignature
           577    => 1,     --  Element::owner
           718    => 8,     --  ParameterableElement::owningTemplateParameter
           853    => 7,     --  Type::package
           672    => 5,     --  NamedElement::qualifiedName
           533    => 15,    --  Classifier::representation
           534    => 16,    --  Classifier::templateParameter
           719    => 9,     --  ParameterableElement::templateParameter
           673    => 6,     --  NamedElement::visibility
           710    => 6,     --  PackageableElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Type_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Unlimited_Natural_Literal_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Unspecified_Value_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Variable =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Variable_Exp =>
          (669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           577    => 1,     --  Element::owner
           672    => 5,     --  NamedElement::qualifiedName
           854    => 7,     --  TypedElement::type
           673    => 6,     --  NamedElement::visibility
           others => 0),
         AMF.Internals.Tables.OCL_Types.E_OCL_Void_Type =>
          (530    => 12,    --  Classifier::isAbstract
           531    => 13,    --  Classifier::isFinalSpecialization
           772    => 11,    --  RedefinableElement::isLeaf
           669    => 2,     --  NamedElement::name
           670    => 3,     --  NamedElement::nameExpression
           671    => 4,     --  NamedElement::namespace
           532    => 14,    --  Classifier::ownedTemplateSignature
           831    => 10,    --  TemplateableElement::ownedTemplateSignature
           577    => 1,     --  Element::owner
           718    => 8,     --  ParameterableElement::owningTemplateParameter
           853    => 7,     --  Type::package
           672    => 5,     --  NamedElement::qualifiedName
           533    => 15,    --  Classifier::representation
           534    => 16,    --  Classifier::templateParameter
           719    => 9,     --  ParameterableElement::templateParameter
           673    => 6,     --  NamedElement::visibility
           710    => 6,     --  PackageableElement::visibility
           others => 0));

end AMF.Internals.Tables.OCL_Attribute_Mappings;
