------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2010-2012, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 2774 $ $Date: 2012-03-29 20:45:50 +0200 (Thu, 29 Mar 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------

package AMF.Internals.Tables.OCL_Constructors is

   function Create_OCL_Any_Type return AMF.Internals.AMF_Element;

   function Create_OCL_Association_Class_Call_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Bag_Type return AMF.Internals.AMF_Element;

   function Create_OCL_Boolean_Literal_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Collection_Item return AMF.Internals.AMF_Element;

   function Create_OCL_Collection_Literal_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Collection_Range return AMF.Internals.AMF_Element;

   function Create_OCL_Collection_Type return AMF.Internals.AMF_Element;

   function Create_OCL_Enum_Literal_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Expression_In_Ocl return AMF.Internals.AMF_Element;

   function Create_OCL_If_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Integer_Literal_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Invalid_Literal_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Invalid_Type return AMF.Internals.AMF_Element;

   function Create_OCL_Iterate_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Iterator_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Let_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Message_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Message_Type return AMF.Internals.AMF_Element;

   function Create_OCL_Null_Literal_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Operation_Call_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Ordered_Set_Type return AMF.Internals.AMF_Element;

   function Create_OCL_Property_Call_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Real_Literal_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Sequence_Type return AMF.Internals.AMF_Element;

   function Create_OCL_Set_Type return AMF.Internals.AMF_Element;

   function Create_OCL_State_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_String_Literal_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Template_Parameter_Type return AMF.Internals.AMF_Element;

   function Create_OCL_Tuple_Literal_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Tuple_Literal_Part return AMF.Internals.AMF_Element;

   function Create_OCL_Tuple_Type return AMF.Internals.AMF_Element;

   function Create_OCL_Type_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Unlimited_Natural_Literal_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Unspecified_Value_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Variable return AMF.Internals.AMF_Element;

   function Create_OCL_Variable_Exp return AMF.Internals.AMF_Element;

   function Create_OCL_Void_Type return AMF.Internals.AMF_Element;

end AMF.Internals.Tables.OCL_Constructors;
