------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2012-2013, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3646 $ $Date: 2013-01-07 19:05:34 +0100 (Mon, 07 Jan 2013) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------

package body AMF.Internals.Tables.OCL_Metamodel is

   ----------------
   -- MM_OCL_OCL --
   ----------------

   function MM_OCL_OCL return AMF.Internals.CMOF_Element is
   begin
      return Base + 133;
   end MM_OCL_OCL;

   ----------------------------
   -- MC_OCL_Collection_Kind --
   ----------------------------

   function MC_OCL_Collection_Kind return AMF.Internals.CMOF_Element is
   begin
      return Base + 135;
   end MC_OCL_Collection_Kind;

   ---------------------
   -- MC_OCL_Any_Type --
   ---------------------

   function MC_OCL_Any_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 1;
   end MC_OCL_Any_Type;

   ---------------------------------------
   -- MC_OCL_Association_Class_Call_Exp --
   ---------------------------------------

   function MC_OCL_Association_Class_Call_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 2;
   end MC_OCL_Association_Class_Call_Exp;

   ---------------------
   -- MC_OCL_Bag_Type --
   ---------------------

   function MC_OCL_Bag_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 3;
   end MC_OCL_Bag_Type;

   --------------------------------
   -- MC_OCL_Boolean_Literal_Exp --
   --------------------------------

   function MC_OCL_Boolean_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 4;
   end MC_OCL_Boolean_Literal_Exp;

   ---------------------
   -- MC_OCL_Call_Exp --
   ---------------------

   function MC_OCL_Call_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 5;
   end MC_OCL_Call_Exp;

   ----------------------------
   -- MC_OCL_Collection_Item --
   ----------------------------

   function MC_OCL_Collection_Item return AMF.Internals.CMOF_Element is
   begin
      return Base + 6;
   end MC_OCL_Collection_Item;

   -----------------------------------
   -- MC_OCL_Collection_Literal_Exp --
   -----------------------------------

   function MC_OCL_Collection_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 7;
   end MC_OCL_Collection_Literal_Exp;

   ------------------------------------
   -- MC_OCL_Collection_Literal_Part --
   ------------------------------------

   function MC_OCL_Collection_Literal_Part return AMF.Internals.CMOF_Element is
   begin
      return Base + 8;
   end MC_OCL_Collection_Literal_Part;

   -----------------------------
   -- MC_OCL_Collection_Range --
   -----------------------------

   function MC_OCL_Collection_Range return AMF.Internals.CMOF_Element is
   begin
      return Base + 9;
   end MC_OCL_Collection_Range;

   ----------------------------
   -- MC_OCL_Collection_Type --
   ----------------------------

   function MC_OCL_Collection_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 10;
   end MC_OCL_Collection_Type;

   -----------------------------
   -- MC_OCL_Enum_Literal_Exp --
   -----------------------------

   function MC_OCL_Enum_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 11;
   end MC_OCL_Enum_Literal_Exp;

   ------------------------------
   -- MC_OCL_Expression_In_Ocl --
   ------------------------------

   function MC_OCL_Expression_In_Ocl return AMF.Internals.CMOF_Element is
   begin
      return Base + 12;
   end MC_OCL_Expression_In_Ocl;

   -----------------------------
   -- MC_OCL_Feature_Call_Exp --
   -----------------------------

   function MC_OCL_Feature_Call_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 13;
   end MC_OCL_Feature_Call_Exp;

   -------------------
   -- MC_OCL_If_Exp --
   -------------------

   function MC_OCL_If_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 14;
   end MC_OCL_If_Exp;

   --------------------------------
   -- MC_OCL_Integer_Literal_Exp --
   --------------------------------

   function MC_OCL_Integer_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 15;
   end MC_OCL_Integer_Literal_Exp;

   --------------------------------
   -- MC_OCL_Invalid_Literal_Exp --
   --------------------------------

   function MC_OCL_Invalid_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 16;
   end MC_OCL_Invalid_Literal_Exp;

   -------------------------
   -- MC_OCL_Invalid_Type --
   -------------------------

   function MC_OCL_Invalid_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 17;
   end MC_OCL_Invalid_Type;

   ------------------------
   -- MC_OCL_Iterate_Exp --
   ------------------------

   function MC_OCL_Iterate_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 18;
   end MC_OCL_Iterate_Exp;

   -------------------------
   -- MC_OCL_Iterator_Exp --
   -------------------------

   function MC_OCL_Iterator_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 19;
   end MC_OCL_Iterator_Exp;

   --------------------
   -- MC_OCL_Let_Exp --
   --------------------

   function MC_OCL_Let_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 20;
   end MC_OCL_Let_Exp;

   ------------------------
   -- MC_OCL_Literal_Exp --
   ------------------------

   function MC_OCL_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 21;
   end MC_OCL_Literal_Exp;

   ---------------------
   -- MC_OCL_Loop_Exp --
   ---------------------

   function MC_OCL_Loop_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 22;
   end MC_OCL_Loop_Exp;

   ------------------------
   -- MC_OCL_Message_Exp --
   ------------------------

   function MC_OCL_Message_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 23;
   end MC_OCL_Message_Exp;

   -------------------------
   -- MC_OCL_Message_Type --
   -------------------------

   function MC_OCL_Message_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 24;
   end MC_OCL_Message_Type;

   --------------------------------
   -- MC_OCL_Navigation_Call_Exp --
   --------------------------------

   function MC_OCL_Navigation_Call_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 25;
   end MC_OCL_Navigation_Call_Exp;

   -----------------------------
   -- MC_OCL_Null_Literal_Exp --
   -----------------------------

   function MC_OCL_Null_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 26;
   end MC_OCL_Null_Literal_Exp;

   --------------------------------
   -- MC_OCL_Numeric_Literal_Exp --
   --------------------------------

   function MC_OCL_Numeric_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 27;
   end MC_OCL_Numeric_Literal_Exp;

   ---------------------------
   -- MC_OCL_Ocl_Expression --
   ---------------------------

   function MC_OCL_Ocl_Expression return AMF.Internals.CMOF_Element is
   begin
      return Base + 28;
   end MC_OCL_Ocl_Expression;

   -------------------------------
   -- MC_OCL_Operation_Call_Exp --
   -------------------------------

   function MC_OCL_Operation_Call_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 29;
   end MC_OCL_Operation_Call_Exp;

   -----------------------------
   -- MC_OCL_Ordered_Set_Type --
   -----------------------------

   function MC_OCL_Ordered_Set_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 30;
   end MC_OCL_Ordered_Set_Type;

   ----------------------------------
   -- MC_OCL_Primitive_Literal_Exp --
   ----------------------------------

   function MC_OCL_Primitive_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 31;
   end MC_OCL_Primitive_Literal_Exp;

   ------------------------------
   -- MC_OCL_Property_Call_Exp --
   ------------------------------

   function MC_OCL_Property_Call_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 32;
   end MC_OCL_Property_Call_Exp;

   -----------------------------
   -- MC_OCL_Real_Literal_Exp --
   -----------------------------

   function MC_OCL_Real_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 33;
   end MC_OCL_Real_Literal_Exp;

   --------------------------
   -- MC_OCL_Sequence_Type --
   --------------------------

   function MC_OCL_Sequence_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 34;
   end MC_OCL_Sequence_Type;

   ---------------------
   -- MC_OCL_Set_Type --
   ---------------------

   function MC_OCL_Set_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 35;
   end MC_OCL_Set_Type;

   ----------------------
   -- MC_OCL_State_Exp --
   ----------------------

   function MC_OCL_State_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 36;
   end MC_OCL_State_Exp;

   -------------------------------
   -- MC_OCL_String_Literal_Exp --
   -------------------------------

   function MC_OCL_String_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 37;
   end MC_OCL_String_Literal_Exp;

   ------------------------------------
   -- MC_OCL_Template_Parameter_Type --
   ------------------------------------

   function MC_OCL_Template_Parameter_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 38;
   end MC_OCL_Template_Parameter_Type;

   ------------------------------
   -- MC_OCL_Tuple_Literal_Exp --
   ------------------------------

   function MC_OCL_Tuple_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 39;
   end MC_OCL_Tuple_Literal_Exp;

   -------------------------------
   -- MC_OCL_Tuple_Literal_Part --
   -------------------------------

   function MC_OCL_Tuple_Literal_Part return AMF.Internals.CMOF_Element is
   begin
      return Base + 40;
   end MC_OCL_Tuple_Literal_Part;

   -----------------------
   -- MC_OCL_Tuple_Type --
   -----------------------

   function MC_OCL_Tuple_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 41;
   end MC_OCL_Tuple_Type;

   ---------------------
   -- MC_OCL_Type_Exp --
   ---------------------

   function MC_OCL_Type_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 42;
   end MC_OCL_Type_Exp;

   ------------------------------------------
   -- MC_OCL_Unlimited_Natural_Literal_Exp --
   ------------------------------------------

   function MC_OCL_Unlimited_Natural_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 43;
   end MC_OCL_Unlimited_Natural_Literal_Exp;

   ----------------------------------
   -- MC_OCL_Unspecified_Value_Exp --
   ----------------------------------

   function MC_OCL_Unspecified_Value_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 44;
   end MC_OCL_Unspecified_Value_Exp;

   ---------------------
   -- MC_OCL_Variable --
   ---------------------

   function MC_OCL_Variable return AMF.Internals.CMOF_Element is
   begin
      return Base + 45;
   end MC_OCL_Variable;

   -------------------------
   -- MC_OCL_Variable_Exp --
   -------------------------

   function MC_OCL_Variable_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 46;
   end MC_OCL_Variable_Exp;

   ----------------------
   -- MC_OCL_Void_Type --
   ----------------------

   function MC_OCL_Void_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 47;
   end MC_OCL_Void_Type;

   ----------------------------------------------------------------------------------
   -- MP_OCL_Association_Class_Call_Exp_Referred_Association_Class_A_Referring_Exp --
   ----------------------------------------------------------------------------------

   function MP_OCL_Association_Class_Call_Exp_Referred_Association_Class_A_Referring_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 55;
   end MP_OCL_Association_Class_Call_Exp_Referred_Association_Class_A_Referring_Exp;

   -----------------------------------------------
   -- MP_OCL_Boolean_Literal_Exp_Boolean_Symbol --
   -----------------------------------------------

   function MP_OCL_Boolean_Literal_Exp_Boolean_Symbol return AMF.Internals.CMOF_Element is
   begin
      return Base + 56;
   end MP_OCL_Boolean_Literal_Exp_Boolean_Symbol;

   ----------------------------------------------
   -- MP_OCL_Call_Exp_Source_A_Applied_Element --
   ----------------------------------------------

   function MP_OCL_Call_Exp_Source_A_Applied_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 57;
   end MP_OCL_Call_Exp_Source_A_Applied_Element;

   -----------------------------------------
   -- MP_OCL_Collection_Item_Item_A_Item1 --
   -----------------------------------------

   function MP_OCL_Collection_Item_Item_A_Item1 return AMF.Internals.CMOF_Element is
   begin
      return Base + 58;
   end MP_OCL_Collection_Item_Item_A_Item1;

   ----------------------------------------
   -- MP_OCL_Collection_Literal_Exp_Kind --
   ----------------------------------------

   function MP_OCL_Collection_Literal_Exp_Kind return AMF.Internals.CMOF_Element is
   begin
      return Base + 59;
   end MP_OCL_Collection_Literal_Exp_Kind;

   -----------------------------------------------
   -- MP_OCL_Collection_Literal_Exp_Part_A_Exp1 --
   -----------------------------------------------

   function MP_OCL_Collection_Literal_Exp_Part_A_Exp1 return AMF.Internals.CMOF_Element is
   begin
      return Base + 48;
   end MP_OCL_Collection_Literal_Exp_Part_A_Exp1;

   -------------------------------------------------
   -- MP_OCL_Collection_Range_First_A_First_Owner --
   -------------------------------------------------

   function MP_OCL_Collection_Range_First_A_First_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 60;
   end MP_OCL_Collection_Range_First_A_First_Owner;

   -----------------------------------------------
   -- MP_OCL_Collection_Range_Last_A_Last_Owner --
   -----------------------------------------------

   function MP_OCL_Collection_Range_Last_A_Last_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 61;
   end MP_OCL_Collection_Range_Last_A_Last_Owner;

   -------------------------------------------------
   -- MP_OCL_Collection_Type_Element_Type_A_Type1 --
   -------------------------------------------------

   function MP_OCL_Collection_Type_Element_Type_A_Type1 return AMF.Internals.CMOF_Element is
   begin
      return Base + 62;
   end MP_OCL_Collection_Type_Element_Type_A_Type1;

   -----------------------------------------------------------------
   -- MP_OCL_Enum_Literal_Exp_Referred_Enum_Literal_A_Literal_Exp --
   -----------------------------------------------------------------

   function MP_OCL_Enum_Literal_Exp_Referred_Enum_Literal_A_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 63;
   end MP_OCL_Enum_Literal_Exp_Referred_Enum_Literal_A_Literal_Exp;

   ---------------------------------------------------------------
   -- MP_OCL_Expression_In_Ocl_Body_Expression_A_Top_Expression --
   ---------------------------------------------------------------

   function MP_OCL_Expression_In_Ocl_Body_Expression_A_Top_Expression return AMF.Internals.CMOF_Element is
   begin
      return Base + 64;
   end MP_OCL_Expression_In_Ocl_Body_Expression_A_Top_Expression;

   ------------------------------------------------------------
   -- MP_OCL_Expression_In_Ocl_Context_Variable_A_Self_Owner --
   ------------------------------------------------------------

   function MP_OCL_Expression_In_Ocl_Context_Variable_A_Self_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 65;
   end MP_OCL_Expression_In_Ocl_Context_Variable_A_Self_Owner;

   -----------------------------------------------------------------
   -- MP_OCL_Expression_In_Ocl_Generated_Type_A_Owning_Classifier --
   -----------------------------------------------------------------

   function MP_OCL_Expression_In_Ocl_Generated_Type_A_Owning_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 66;
   end MP_OCL_Expression_In_Ocl_Generated_Type_A_Owning_Classifier;

   -------------------------------------------------------------
   -- MP_OCL_Expression_In_Ocl_Parameter_Variable_A_Var_Owner --
   -------------------------------------------------------------

   function MP_OCL_Expression_In_Ocl_Parameter_Variable_A_Var_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 49;
   end MP_OCL_Expression_In_Ocl_Parameter_Variable_A_Var_Owner;

   -------------------------------------------------------------
   -- MP_OCL_Expression_In_Ocl_Result_Variable_A_Result_Owner --
   -------------------------------------------------------------

   function MP_OCL_Expression_In_Ocl_Result_Variable_A_Result_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 67;
   end MP_OCL_Expression_In_Ocl_Result_Variable_A_Result_Owner;

   ----------------------------------------
   -- MP_OCL_If_Exp_Condition_A_If_Owner --
   ----------------------------------------

   function MP_OCL_If_Exp_Condition_A_If_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 68;
   end MP_OCL_If_Exp_Condition_A_If_Owner;

   ------------------------------------------------
   -- MP_OCL_If_Exp_Else_Expression_A_Else_Owner --
   ------------------------------------------------

   function MP_OCL_If_Exp_Else_Expression_A_Else_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 69;
   end MP_OCL_If_Exp_Else_Expression_A_Else_Owner;

   ------------------------------------------------
   -- MP_OCL_If_Exp_Then_Expression_A_Then_Owner --
   ------------------------------------------------

   function MP_OCL_If_Exp_Then_Expression_A_Then_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 70;
   end MP_OCL_If_Exp_Then_Expression_A_Then_Owner;

   -----------------------------------------------
   -- MP_OCL_Integer_Literal_Exp_Integer_Symbol --
   -----------------------------------------------

   function MP_OCL_Integer_Literal_Exp_Integer_Symbol return AMF.Internals.CMOF_Element is
   begin
      return Base + 71;
   end MP_OCL_Integer_Literal_Exp_Integer_Symbol;

   ------------------------------------------
   -- MP_OCL_Iterate_Exp_Result_A_Base_Exp --
   ------------------------------------------

   function MP_OCL_Iterate_Exp_Result_A_Base_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 72;
   end MP_OCL_Iterate_Exp_Result_A_Base_Exp;

   ------------------------------
   -- MP_OCL_Let_Exp_In_A_Exp4 --
   ------------------------------

   function MP_OCL_Let_Exp_In_A_Exp4 return AMF.Internals.CMOF_Element is
   begin
      return Base + 73;
   end MP_OCL_Let_Exp_In_A_Exp4;

   ------------------------------------
   -- MP_OCL_Let_Exp_Variable_A_Exp5 --
   ------------------------------------

   function MP_OCL_Let_Exp_Variable_A_Exp5 return AMF.Internals.CMOF_Element is
   begin
      return Base + 74;
   end MP_OCL_Let_Exp_Variable_A_Exp5;

   --------------------------------------------
   -- MP_OCL_Loop_Exp_Body_A_Loop_Body_Owner --
   --------------------------------------------

   function MP_OCL_Loop_Exp_Body_A_Loop_Body_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 75;
   end MP_OCL_Loop_Exp_Body_A_Loop_Body_Owner;

   -----------------------------------------
   -- MP_OCL_Loop_Exp_Iterator_A_Loop_Exp --
   -----------------------------------------

   function MP_OCL_Loop_Exp_Iterator_A_Loop_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 50;
   end MP_OCL_Loop_Exp_Iterator_A_Loop_Exp;

   ----------------------------------------
   -- MP_OCL_Message_Exp_Argument_A_Exp2 --
   ----------------------------------------

   function MP_OCL_Message_Exp_Argument_A_Exp2 return AMF.Internals.CMOF_Element is
   begin
      return Base + 51;
   end MP_OCL_Message_Exp_Argument_A_Exp2;

   ------------------------------------------------
   -- MP_OCL_Message_Exp_Called_Operation_A_Exp6 --
   ------------------------------------------------

   function MP_OCL_Message_Exp_Called_Operation_A_Exp6 return AMF.Internals.CMOF_Element is
   begin
      return Base + 76;
   end MP_OCL_Message_Exp_Called_Operation_A_Exp6;

   -------------------------------------------
   -- MP_OCL_Message_Exp_Sent_Signal_A_Exp7 --
   -------------------------------------------

   function MP_OCL_Message_Exp_Sent_Signal_A_Exp7 return AMF.Internals.CMOF_Element is
   begin
      return Base + 77;
   end MP_OCL_Message_Exp_Sent_Signal_A_Exp7;

   --------------------------------------
   -- MP_OCL_Message_Exp_Target_A_Exp8 --
   --------------------------------------

   function MP_OCL_Message_Exp_Target_A_Exp8 return AMF.Internals.CMOF_Element is
   begin
      return Base + 78;
   end MP_OCL_Message_Exp_Target_A_Exp8;

   ----------------------------------------------------
   -- MP_OCL_Message_Type_Referred_Operation_A_Type2 --
   ----------------------------------------------------

   function MP_OCL_Message_Type_Referred_Operation_A_Type2 return AMF.Internals.CMOF_Element is
   begin
      return Base + 79;
   end MP_OCL_Message_Type_Referred_Operation_A_Type2;

   -------------------------------------------------
   -- MP_OCL_Message_Type_Referred_Signal_A_Type3 --
   -------------------------------------------------

   function MP_OCL_Message_Type_Referred_Signal_A_Type3 return AMF.Internals.CMOF_Element is
   begin
      return Base + 80;
   end MP_OCL_Message_Type_Referred_Signal_A_Type3;

   ---------------------------------------------------------
   -- MP_OCL_Navigation_Call_Exp_Navigation_Source_A_Exp9 --
   ---------------------------------------------------------

   function MP_OCL_Navigation_Call_Exp_Navigation_Source_A_Exp9 return AMF.Internals.CMOF_Element is
   begin
      return Base + 81;
   end MP_OCL_Navigation_Call_Exp_Navigation_Source_A_Exp9;

   -------------------------------------------------------
   -- MP_OCL_Navigation_Call_Exp_Qualifier_A_Parent_Nav --
   -------------------------------------------------------

   function MP_OCL_Navigation_Call_Exp_Qualifier_A_Parent_Nav return AMF.Internals.CMOF_Element is
   begin
      return Base + 52;
   end MP_OCL_Navigation_Call_Exp_Qualifier_A_Parent_Nav;

   ------------------------------------------------------
   -- MP_OCL_Operation_Call_Exp_Argument_A_Parent_Call --
   ------------------------------------------------------

   function MP_OCL_Operation_Call_Exp_Argument_A_Parent_Call return AMF.Internals.CMOF_Element is
   begin
      return Base + 53;
   end MP_OCL_Operation_Call_Exp_Argument_A_Parent_Call;

   -----------------------------------------------------------------
   -- MP_OCL_Operation_Call_Exp_Referred_Operation_A_Refering_Exp --
   -----------------------------------------------------------------

   function MP_OCL_Operation_Call_Exp_Referred_Operation_A_Refering_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 82;
   end MP_OCL_Operation_Call_Exp_Referred_Operation_A_Refering_Exp;

   ---------------------------------------------------------------
   -- MP_OCL_Property_Call_Exp_Referred_Property_A_Refering_Exp --
   ---------------------------------------------------------------

   function MP_OCL_Property_Call_Exp_Referred_Property_A_Refering_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 83;
   end MP_OCL_Property_Call_Exp_Referred_Property_A_Refering_Exp;

   -----------------------------------------
   -- MP_OCL_Real_Literal_Exp_Real_Symbol --
   -----------------------------------------

   function MP_OCL_Real_Literal_Exp_Real_Symbol return AMF.Internals.CMOF_Element is
   begin
      return Base + 84;
   end MP_OCL_Real_Literal_Exp_Real_Symbol;

   --------------------------------------------
   -- MP_OCL_State_Exp_Referred_State_A_Exp9 --
   --------------------------------------------

   function MP_OCL_State_Exp_Referred_State_A_Exp9 return AMF.Internals.CMOF_Element is
   begin
      return Base + 85;
   end MP_OCL_State_Exp_Referred_State_A_Exp9;

   ---------------------------------------------
   -- MP_OCL_String_Literal_Exp_String_Symbol --
   ---------------------------------------------

   function MP_OCL_String_Literal_Exp_String_Symbol return AMF.Internals.CMOF_Element is
   begin
      return Base + 86;
   end MP_OCL_String_Literal_Exp_String_Symbol;

   --------------------------------------------------
   -- MP_OCL_Template_Parameter_Type_Specification --
   --------------------------------------------------

   function MP_OCL_Template_Parameter_Type_Specification return AMF.Internals.CMOF_Element is
   begin
      return Base + 87;
   end MP_OCL_Template_Parameter_Type_Specification;

   ------------------------------------------
   -- MP_OCL_Tuple_Literal_Exp_Part_A_Exp3 --
   ------------------------------------------

   function MP_OCL_Tuple_Literal_Exp_Part_A_Exp3 return AMF.Internals.CMOF_Element is
   begin
      return Base + 54;
   end MP_OCL_Tuple_Literal_Exp_Part_A_Exp3;

   -------------------------------------------------
   -- MP_OCL_Tuple_Literal_Part_Attribute_A_Part2 --
   -------------------------------------------------

   function MP_OCL_Tuple_Literal_Part_Attribute_A_Part2 return AMF.Internals.CMOF_Element is
   begin
      return Base + 88;
   end MP_OCL_Tuple_Literal_Part_Attribute_A_Part2;

   -------------------------------------------
   -- MP_OCL_Type_Exp_Referred_Type_A_Exp11 --
   -------------------------------------------

   function MP_OCL_Type_Exp_Referred_Type_A_Exp11 return AMF.Internals.CMOF_Element is
   begin
      return Base + 89;
   end MP_OCL_Type_Exp_Referred_Type_A_Exp11;

   -------------------------------------------------------------------
   -- MP_OCL_Unlimited_Natural_Literal_Exp_Unlimited_Natural_Symbol --
   -------------------------------------------------------------------

   function MP_OCL_Unlimited_Natural_Literal_Exp_Unlimited_Natural_Symbol return AMF.Internals.CMOF_Element is
   begin
      return Base + 90;
   end MP_OCL_Unlimited_Natural_Literal_Exp_Unlimited_Natural_Symbol;

   -----------------------------------------------------------
   -- MP_OCL_Variable_Init_Expression_A_Initialized_Element --
   -----------------------------------------------------------

   function MP_OCL_Variable_Init_Expression_A_Initialized_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 91;
   end MP_OCL_Variable_Init_Expression_A_Initialized_Element;

   ------------------------------------------------------
   -- MP_OCL_Variable_Represented_Parameter_A_Variable --
   ------------------------------------------------------

   function MP_OCL_Variable_Represented_Parameter_A_Variable return AMF.Internals.CMOF_Element is
   begin
      return Base + 92;
   end MP_OCL_Variable_Represented_Parameter_A_Variable;

   ----------------------------------------------------------
   -- MP_OCL_Variable_Exp_Referred_Variable_A_Refering_Exp --
   ----------------------------------------------------------

   function MP_OCL_Variable_Exp_Referred_Variable_A_Refering_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 93;
   end MP_OCL_Variable_Exp_Referred_Variable_A_Refering_Exp;

   -------------------------------------------------
   -- MP_OCL_A_First_Owner_Collection_Range_First --
   -------------------------------------------------

   function MP_OCL_A_First_Owner_Collection_Range_First return AMF.Internals.CMOF_Element is
   begin
      return Base + 159;
   end MP_OCL_A_First_Owner_Collection_Range_First;

   --------------------------------------------
   -- MP_OCL_A_Exp9_State_Exp_Referred_State --
   --------------------------------------------

   function MP_OCL_A_Exp9_State_Exp_Referred_State return AMF.Internals.CMOF_Element is
   begin
      return Base + 175;
   end MP_OCL_A_Exp9_State_Exp_Referred_State;

   -----------------------------------------------
   -- MP_OCL_A_Last_Owner_Collection_Range_Last --
   -----------------------------------------------

   function MP_OCL_A_Last_Owner_Collection_Range_Last return AMF.Internals.CMOF_Element is
   begin
      return Base + 160;
   end MP_OCL_A_Last_Owner_Collection_Range_Last;

   ---------------------------------------------------------------
   -- MP_OCL_A_Refering_Exp_Property_Call_Exp_Referred_Property --
   ---------------------------------------------------------------

   function MP_OCL_A_Refering_Exp_Property_Call_Exp_Referred_Property return AMF.Internals.CMOF_Element is
   begin
      return Base + 149;
   end MP_OCL_A_Refering_Exp_Property_Call_Exp_Referred_Property;

   -------------------------------------------------
   -- MP_OCL_A_Type1_Collection_Type_Element_Type --
   -------------------------------------------------

   function MP_OCL_A_Type1_Collection_Type_Element_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 176;
   end MP_OCL_A_Type1_Collection_Type_Element_Type;

   ------------------------------------------
   -- MP_OCL_A_Exp3_Tuple_Literal_Exp_Part --
   ------------------------------------------

   function MP_OCL_A_Exp3_Tuple_Literal_Exp_Part return AMF.Internals.CMOF_Element is
   begin
      return Base + 161;
   end MP_OCL_A_Exp3_Tuple_Literal_Exp_Part;

   ----------------------------------------------------------
   -- MP_OCL_A_Refering_Exp_Variable_Exp_Referred_Variable --
   ----------------------------------------------------------

   function MP_OCL_A_Refering_Exp_Variable_Exp_Referred_Variable return AMF.Internals.CMOF_Element is
   begin
      return Base + 150;
   end MP_OCL_A_Refering_Exp_Variable_Exp_Referred_Variable;

   -------------------------------------------
   -- MP_OCL_A_Exp11_Type_Exp_Referred_Type --
   -------------------------------------------

   function MP_OCL_A_Exp11_Type_Exp_Referred_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 151;
   end MP_OCL_A_Exp11_Type_Exp_Referred_Type;

   ----------------------------------------------
   -- MP_OCL_A_Applied_Element_Call_Exp_Source --
   ----------------------------------------------

   function MP_OCL_A_Applied_Element_Call_Exp_Source return AMF.Internals.CMOF_Element is
   begin
      return Base + 134;
   end MP_OCL_A_Applied_Element_Call_Exp_Source;

   ---------------------------------------------------------------
   -- MP_OCL_A_Top_Expression_Expression_In_Ocl_Body_Expression --
   ---------------------------------------------------------------

   function MP_OCL_A_Top_Expression_Expression_In_Ocl_Body_Expression return AMF.Internals.CMOF_Element is
   begin
      return Base + 162;
   end MP_OCL_A_Top_Expression_Expression_In_Ocl_Body_Expression;

   --------------------------------------------
   -- MP_OCL_A_Loop_Body_Owner_Loop_Exp_Body --
   --------------------------------------------

   function MP_OCL_A_Loop_Body_Owner_Loop_Exp_Body return AMF.Internals.CMOF_Element is
   begin
      return Base + 152;
   end MP_OCL_A_Loop_Body_Owner_Loop_Exp_Body;

   ------------------------------------------------------------
   -- MP_OCL_A_Self_Owner_Expression_In_Ocl_Context_Variable --
   ------------------------------------------------------------

   function MP_OCL_A_Self_Owner_Expression_In_Ocl_Context_Variable return AMF.Internals.CMOF_Element is
   begin
      return Base + 163;
   end MP_OCL_A_Self_Owner_Expression_In_Ocl_Context_Variable;

   -----------------------------------------
   -- MP_OCL_A_Loop_Exp_Loop_Exp_Iterator --
   -----------------------------------------

   function MP_OCL_A_Loop_Exp_Loop_Exp_Iterator return AMF.Internals.CMOF_Element is
   begin
      return Base + 153;
   end MP_OCL_A_Loop_Exp_Loop_Exp_Iterator;

   -------------------------------------------------
   -- MP_OCL_A_Type3_Message_Type_Referred_Signal --
   -------------------------------------------------

   function MP_OCL_A_Type3_Message_Type_Referred_Signal return AMF.Internals.CMOF_Element is
   begin
      return Base + 177;
   end MP_OCL_A_Type3_Message_Type_Referred_Signal;

   -------------------------------------------------------------
   -- MP_OCL_A_Result_Owner_Expression_In_Ocl_Result_Variable --
   -------------------------------------------------------------

   function MP_OCL_A_Result_Owner_Expression_In_Ocl_Result_Variable return AMF.Internals.CMOF_Element is
   begin
      return Base + 164;
   end MP_OCL_A_Result_Owner_Expression_In_Ocl_Result_Variable;

   ----------------------------------------------------
   -- MP_OCL_A_Type2_Message_Type_Referred_Operation --
   ----------------------------------------------------

   function MP_OCL_A_Type2_Message_Type_Referred_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 178;
   end MP_OCL_A_Type2_Message_Type_Referred_Operation;

   -------------------------------------------------------------
   -- MP_OCL_A_Var_Owner_Expression_In_Ocl_Parameter_Variable --
   -------------------------------------------------------------

   function MP_OCL_A_Var_Owner_Expression_In_Ocl_Parameter_Variable return AMF.Internals.CMOF_Element is
   begin
      return Base + 165;
   end MP_OCL_A_Var_Owner_Expression_In_Ocl_Parameter_Variable;

   -----------------------------------------------------------------
   -- MP_OCL_A_Owning_Classifier_Expression_In_Ocl_Generated_Type --
   -----------------------------------------------------------------

   function MP_OCL_A_Owning_Classifier_Expression_In_Ocl_Generated_Type return AMF.Internals.CMOF_Element is
   begin
      return Base + 166;
   end MP_OCL_A_Owning_Classifier_Expression_In_Ocl_Generated_Type;

   -----------------------------------------------------------------
   -- MP_OCL_A_Literal_Exp_Enum_Literal_Exp_Referred_Enum_Literal --
   -----------------------------------------------------------------

   function MP_OCL_A_Literal_Exp_Enum_Literal_Exp_Referred_Enum_Literal return AMF.Internals.CMOF_Element is
   begin
      return Base + 141;
   end MP_OCL_A_Literal_Exp_Enum_Literal_Exp_Referred_Enum_Literal;

   -------------------------------------------------
   -- MP_OCL_A_Part2_Tuple_Literal_Part_Attribute --
   -------------------------------------------------

   function MP_OCL_A_Part2_Tuple_Literal_Part_Attribute return AMF.Internals.CMOF_Element is
   begin
      return Base + 167;
   end MP_OCL_A_Part2_Tuple_Literal_Part_Attribute;

   -------------------------------------------------------
   -- MP_OCL_A_Parent_Nav_Navigation_Call_Exp_Qualifier --
   -------------------------------------------------------

   function MP_OCL_A_Parent_Nav_Navigation_Call_Exp_Qualifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 168;
   end MP_OCL_A_Parent_Nav_Navigation_Call_Exp_Qualifier;

   ------------------------------------------------------
   -- MP_OCL_A_Parent_Call_Operation_Call_Exp_Argument --
   ------------------------------------------------------

   function MP_OCL_A_Parent_Call_Operation_Call_Exp_Argument return AMF.Internals.CMOF_Element is
   begin
      return Base + 154;
   end MP_OCL_A_Parent_Call_Operation_Call_Exp_Argument;

   ---------------------------------------------------------
   -- MP_OCL_A_Exp9_Navigation_Call_Exp_Navigation_Source --
   ---------------------------------------------------------

   function MP_OCL_A_Exp9_Navigation_Call_Exp_Navigation_Source return AMF.Internals.CMOF_Element is
   begin
      return Base + 169;
   end MP_OCL_A_Exp9_Navigation_Call_Exp_Navigation_Source;

   -----------------------------------------------------------------
   -- MP_OCL_A_Refering_Exp_Operation_Call_Exp_Referred_Operation --
   -----------------------------------------------------------------

   function MP_OCL_A_Refering_Exp_Operation_Call_Exp_Referred_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 155;
   end MP_OCL_A_Refering_Exp_Operation_Call_Exp_Referred_Operation;

   ----------------------------------------
   -- MP_OCL_A_If_Owner_If_Exp_Condition --
   ----------------------------------------

   function MP_OCL_A_If_Owner_If_Exp_Condition return AMF.Internals.CMOF_Element is
   begin
      return Base + 142;
   end MP_OCL_A_If_Owner_If_Exp_Condition;

   ------------------------------------------------
   -- MP_OCL_A_Then_Owner_If_Exp_Then_Expression --
   ------------------------------------------------

   function MP_OCL_A_Then_Owner_If_Exp_Then_Expression return AMF.Internals.CMOF_Element is
   begin
      return Base + 143;
   end MP_OCL_A_Then_Owner_If_Exp_Then_Expression;

   ----------------------------------------------------------------------------------
   -- MP_OCL_A_Referring_Exp_Association_Class_Call_Exp_Referred_Association_Class --
   ----------------------------------------------------------------------------------

   function MP_OCL_A_Referring_Exp_Association_Class_Call_Exp_Referred_Association_Class return AMF.Internals.CMOF_Element is
   begin
      return Base + 170;
   end MP_OCL_A_Referring_Exp_Association_Class_Call_Exp_Referred_Association_Class;

   ------------------------------------------------
   -- MP_OCL_A_Else_Owner_If_Exp_Else_Expression --
   ------------------------------------------------

   function MP_OCL_A_Else_Owner_If_Exp_Else_Expression return AMF.Internals.CMOF_Element is
   begin
      return Base + 144;
   end MP_OCL_A_Else_Owner_If_Exp_Else_Expression;

   ------------------------------------------
   -- MP_OCL_A_Base_Exp_Iterate_Exp_Result --
   ------------------------------------------

   function MP_OCL_A_Base_Exp_Iterate_Exp_Result return AMF.Internals.CMOF_Element is
   begin
      return Base + 156;
   end MP_OCL_A_Base_Exp_Iterate_Exp_Result;

   ------------------------------
   -- MP_OCL_A_Exp4_Let_Exp_In --
   ------------------------------

   function MP_OCL_A_Exp4_Let_Exp_In return AMF.Internals.CMOF_Element is
   begin
      return Base + 145;
   end MP_OCL_A_Exp4_Let_Exp_In;

   --------------------------------------
   -- MP_OCL_A_Exp8_Message_Exp_Target --
   --------------------------------------

   function MP_OCL_A_Exp8_Message_Exp_Target return AMF.Internals.CMOF_Element is
   begin
      return Base + 171;
   end MP_OCL_A_Exp8_Message_Exp_Target;

   -----------------------------------------------
   -- MP_OCL_A_Exp1_Collection_Literal_Exp_Part --
   -----------------------------------------------

   function MP_OCL_A_Exp1_Collection_Literal_Exp_Part return AMF.Internals.CMOF_Element is
   begin
      return Base + 157;
   end MP_OCL_A_Exp1_Collection_Literal_Exp_Part;

   ----------------------------------------
   -- MP_OCL_A_Exp2_Message_Exp_Argument --
   ----------------------------------------

   function MP_OCL_A_Exp2_Message_Exp_Argument return AMF.Internals.CMOF_Element is
   begin
      return Base + 172;
   end MP_OCL_A_Exp2_Message_Exp_Argument;

   ------------------------------------
   -- MP_OCL_A_Exp5_Let_Exp_Variable --
   ------------------------------------

   function MP_OCL_A_Exp5_Let_Exp_Variable return AMF.Internals.CMOF_Element is
   begin
      return Base + 146;
   end MP_OCL_A_Exp5_Let_Exp_Variable;

   ------------------------------------------------
   -- MP_OCL_A_Exp6_Message_Exp_Called_Operation --
   ------------------------------------------------

   function MP_OCL_A_Exp6_Message_Exp_Called_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 173;
   end MP_OCL_A_Exp6_Message_Exp_Called_Operation;

   -----------------------------------------
   -- MP_OCL_A_Item1_Collection_Item_Item --
   -----------------------------------------

   function MP_OCL_A_Item1_Collection_Item_Item return AMF.Internals.CMOF_Element is
   begin
      return Base + 158;
   end MP_OCL_A_Item1_Collection_Item_Item;

   -----------------------------------------------------------
   -- MP_OCL_A_Initialized_Element_Variable_Init_Expression --
   -----------------------------------------------------------

   function MP_OCL_A_Initialized_Element_Variable_Init_Expression return AMF.Internals.CMOF_Element is
   begin
      return Base + 147;
   end MP_OCL_A_Initialized_Element_Variable_Init_Expression;

   -------------------------------------------
   -- MP_OCL_A_Exp7_Message_Exp_Sent_Signal --
   -------------------------------------------

   function MP_OCL_A_Exp7_Message_Exp_Sent_Signal return AMF.Internals.CMOF_Element is
   begin
      return Base + 174;
   end MP_OCL_A_Exp7_Message_Exp_Sent_Signal;

   ------------------------------------------------------
   -- MP_OCL_A_Variable_Variable_Represented_Parameter --
   ------------------------------------------------------

   function MP_OCL_A_Variable_Variable_Represented_Parameter return AMF.Internals.CMOF_Element is
   begin
      return Base + 148;
   end MP_OCL_A_Variable_Variable_Represented_Parameter;

   -----------------------------------------------
   -- MA_OCL_Collection_Range_First_First_Owner --
   -----------------------------------------------

   function MA_OCL_Collection_Range_First_First_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 94;
   end MA_OCL_Collection_Range_First_First_Owner;

   ------------------------------------------
   -- MA_OCL_State_Exp_Referred_State_Exp9 --
   ------------------------------------------

   function MA_OCL_State_Exp_Referred_State_Exp9 return AMF.Internals.CMOF_Element is
   begin
      return Base + 95;
   end MA_OCL_State_Exp_Referred_State_Exp9;

   ---------------------------------------------
   -- MA_OCL_Collection_Range_Last_Last_Owner --
   ---------------------------------------------

   function MA_OCL_Collection_Range_Last_Last_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 96;
   end MA_OCL_Collection_Range_Last_Last_Owner;

   -------------------------------------------------------------
   -- MA_OCL_Property_Call_Exp_Referred_Property_Refering_Exp --
   -------------------------------------------------------------

   function MA_OCL_Property_Call_Exp_Referred_Property_Refering_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 97;
   end MA_OCL_Property_Call_Exp_Referred_Property_Refering_Exp;

   -----------------------------------------------
   -- MA_OCL_Collection_Type_Element_Type_Type1 --
   -----------------------------------------------

   function MA_OCL_Collection_Type_Element_Type_Type1 return AMF.Internals.CMOF_Element is
   begin
      return Base + 98;
   end MA_OCL_Collection_Type_Element_Type_Type1;

   ----------------------------------------
   -- MA_OCL_Tuple_Literal_Exp_Part_Exp3 --
   ----------------------------------------

   function MA_OCL_Tuple_Literal_Exp_Part_Exp3 return AMF.Internals.CMOF_Element is
   begin
      return Base + 99;
   end MA_OCL_Tuple_Literal_Exp_Part_Exp3;

   --------------------------------------------------------
   -- MA_OCL_Variable_Exp_Referred_Variable_Refering_Exp --
   --------------------------------------------------------

   function MA_OCL_Variable_Exp_Referred_Variable_Refering_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 100;
   end MA_OCL_Variable_Exp_Referred_Variable_Refering_Exp;

   -----------------------------------------
   -- MA_OCL_Type_Exp_Referred_Type_Exp11 --
   -----------------------------------------

   function MA_OCL_Type_Exp_Referred_Type_Exp11 return AMF.Internals.CMOF_Element is
   begin
      return Base + 101;
   end MA_OCL_Type_Exp_Referred_Type_Exp11;

   --------------------------------------------
   -- MA_OCL_Call_Exp_Source_Applied_Element --
   --------------------------------------------

   function MA_OCL_Call_Exp_Source_Applied_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 102;
   end MA_OCL_Call_Exp_Source_Applied_Element;

   -------------------------------------------------------------
   -- MA_OCL_Expression_In_Ocl_Body_Expression_Top_Expression --
   -------------------------------------------------------------

   function MA_OCL_Expression_In_Ocl_Body_Expression_Top_Expression return AMF.Internals.CMOF_Element is
   begin
      return Base + 103;
   end MA_OCL_Expression_In_Ocl_Body_Expression_Top_Expression;

   ------------------------------------------
   -- MA_OCL_Loop_Exp_Body_Loop_Body_Owner --
   ------------------------------------------

   function MA_OCL_Loop_Exp_Body_Loop_Body_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 104;
   end MA_OCL_Loop_Exp_Body_Loop_Body_Owner;

   ----------------------------------------------------------
   -- MA_OCL_Expression_In_Ocl_Context_Variable_Self_Owner --
   ----------------------------------------------------------

   function MA_OCL_Expression_In_Ocl_Context_Variable_Self_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 105;
   end MA_OCL_Expression_In_Ocl_Context_Variable_Self_Owner;

   ---------------------------------------
   -- MA_OCL_Loop_Exp_Iterator_Loop_Exp --
   ---------------------------------------

   function MA_OCL_Loop_Exp_Iterator_Loop_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 106;
   end MA_OCL_Loop_Exp_Iterator_Loop_Exp;

   -----------------------------------------------
   -- MA_OCL_Message_Type_Referred_Signal_Type3 --
   -----------------------------------------------

   function MA_OCL_Message_Type_Referred_Signal_Type3 return AMF.Internals.CMOF_Element is
   begin
      return Base + 107;
   end MA_OCL_Message_Type_Referred_Signal_Type3;

   -----------------------------------------------------------
   -- MA_OCL_Expression_In_Ocl_Result_Variable_Result_Owner --
   -----------------------------------------------------------

   function MA_OCL_Expression_In_Ocl_Result_Variable_Result_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 108;
   end MA_OCL_Expression_In_Ocl_Result_Variable_Result_Owner;

   --------------------------------------------------
   -- MA_OCL_Message_Type_Referred_Operation_Type2 --
   --------------------------------------------------

   function MA_OCL_Message_Type_Referred_Operation_Type2 return AMF.Internals.CMOF_Element is
   begin
      return Base + 109;
   end MA_OCL_Message_Type_Referred_Operation_Type2;

   -----------------------------------------------------------
   -- MA_OCL_Expression_In_Ocl_Parameter_Variable_Var_Owner --
   -----------------------------------------------------------

   function MA_OCL_Expression_In_Ocl_Parameter_Variable_Var_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 110;
   end MA_OCL_Expression_In_Ocl_Parameter_Variable_Var_Owner;

   ---------------------------------------------------------------
   -- MA_OCL_Expression_In_Ocl_Generated_Type_Owning_Classifier --
   ---------------------------------------------------------------

   function MA_OCL_Expression_In_Ocl_Generated_Type_Owning_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 111;
   end MA_OCL_Expression_In_Ocl_Generated_Type_Owning_Classifier;

   ---------------------------------------------------------------
   -- MA_OCL_Enum_Literal_Exp_Referred_Enum_Literal_Literal_Exp --
   ---------------------------------------------------------------

   function MA_OCL_Enum_Literal_Exp_Referred_Enum_Literal_Literal_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 112;
   end MA_OCL_Enum_Literal_Exp_Referred_Enum_Literal_Literal_Exp;

   -----------------------------------------------
   -- MA_OCL_Tuple_Literal_Part_Attribute_Part2 --
   -----------------------------------------------

   function MA_OCL_Tuple_Literal_Part_Attribute_Part2 return AMF.Internals.CMOF_Element is
   begin
      return Base + 113;
   end MA_OCL_Tuple_Literal_Part_Attribute_Part2;

   -----------------------------------------------------
   -- MA_OCL_Navigation_Call_Exp_Qualifier_Parent_Nav --
   -----------------------------------------------------

   function MA_OCL_Navigation_Call_Exp_Qualifier_Parent_Nav return AMF.Internals.CMOF_Element is
   begin
      return Base + 114;
   end MA_OCL_Navigation_Call_Exp_Qualifier_Parent_Nav;

   ----------------------------------------------------
   -- MA_OCL_Operation_Call_Exp_Argument_Parent_Call --
   ----------------------------------------------------

   function MA_OCL_Operation_Call_Exp_Argument_Parent_Call return AMF.Internals.CMOF_Element is
   begin
      return Base + 115;
   end MA_OCL_Operation_Call_Exp_Argument_Parent_Call;

   -------------------------------------------------------
   -- MA_OCL_Navigation_Call_Exp_Navigation_Source_Exp9 --
   -------------------------------------------------------

   function MA_OCL_Navigation_Call_Exp_Navigation_Source_Exp9 return AMF.Internals.CMOF_Element is
   begin
      return Base + 116;
   end MA_OCL_Navigation_Call_Exp_Navigation_Source_Exp9;

   ---------------------------------------------------------------
   -- MA_OCL_Operation_Call_Exp_Referred_Operation_Refering_Exp --
   ---------------------------------------------------------------

   function MA_OCL_Operation_Call_Exp_Referred_Operation_Refering_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 117;
   end MA_OCL_Operation_Call_Exp_Referred_Operation_Refering_Exp;

   --------------------------------------
   -- MA_OCL_If_Exp_Condition_If_Owner --
   --------------------------------------

   function MA_OCL_If_Exp_Condition_If_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 118;
   end MA_OCL_If_Exp_Condition_If_Owner;

   ----------------------------------------------
   -- MA_OCL_If_Exp_Then_Expression_Then_Owner --
   ----------------------------------------------

   function MA_OCL_If_Exp_Then_Expression_Then_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 119;
   end MA_OCL_If_Exp_Then_Expression_Then_Owner;

   --------------------------------------------------------------------------------
   -- MA_OCL_Association_Class_Call_Exp_Referred_Association_Class_Referring_Exp --
   --------------------------------------------------------------------------------

   function MA_OCL_Association_Class_Call_Exp_Referred_Association_Class_Referring_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 120;
   end MA_OCL_Association_Class_Call_Exp_Referred_Association_Class_Referring_Exp;

   ----------------------------------------------
   -- MA_OCL_If_Exp_Else_Expression_Else_Owner --
   ----------------------------------------------

   function MA_OCL_If_Exp_Else_Expression_Else_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 121;
   end MA_OCL_If_Exp_Else_Expression_Else_Owner;

   ----------------------------------------
   -- MA_OCL_Iterate_Exp_Result_Base_Exp --
   ----------------------------------------

   function MA_OCL_Iterate_Exp_Result_Base_Exp return AMF.Internals.CMOF_Element is
   begin
      return Base + 122;
   end MA_OCL_Iterate_Exp_Result_Base_Exp;

   ----------------------------
   -- MA_OCL_Let_Exp_In_Exp4 --
   ----------------------------

   function MA_OCL_Let_Exp_In_Exp4 return AMF.Internals.CMOF_Element is
   begin
      return Base + 123;
   end MA_OCL_Let_Exp_In_Exp4;

   ------------------------------------
   -- MA_OCL_Message_Exp_Target_Exp8 --
   ------------------------------------

   function MA_OCL_Message_Exp_Target_Exp8 return AMF.Internals.CMOF_Element is
   begin
      return Base + 124;
   end MA_OCL_Message_Exp_Target_Exp8;

   ---------------------------------------------
   -- MA_OCL_Collection_Literal_Exp_Part_Exp1 --
   ---------------------------------------------

   function MA_OCL_Collection_Literal_Exp_Part_Exp1 return AMF.Internals.CMOF_Element is
   begin
      return Base + 125;
   end MA_OCL_Collection_Literal_Exp_Part_Exp1;

   --------------------------------------
   -- MA_OCL_Message_Exp_Argument_Exp2 --
   --------------------------------------

   function MA_OCL_Message_Exp_Argument_Exp2 return AMF.Internals.CMOF_Element is
   begin
      return Base + 126;
   end MA_OCL_Message_Exp_Argument_Exp2;

   ----------------------------------
   -- MA_OCL_Let_Exp_Variable_Exp5 --
   ----------------------------------

   function MA_OCL_Let_Exp_Variable_Exp5 return AMF.Internals.CMOF_Element is
   begin
      return Base + 127;
   end MA_OCL_Let_Exp_Variable_Exp5;

   ----------------------------------------------
   -- MA_OCL_Message_Exp_Called_Operation_Exp6 --
   ----------------------------------------------

   function MA_OCL_Message_Exp_Called_Operation_Exp6 return AMF.Internals.CMOF_Element is
   begin
      return Base + 128;
   end MA_OCL_Message_Exp_Called_Operation_Exp6;

   ---------------------------------------
   -- MA_OCL_Collection_Item_Item_Item1 --
   ---------------------------------------

   function MA_OCL_Collection_Item_Item_Item1 return AMF.Internals.CMOF_Element is
   begin
      return Base + 129;
   end MA_OCL_Collection_Item_Item_Item1;

   ---------------------------------------------------------
   -- MA_OCL_Variable_Init_Expression_Initialized_Element --
   ---------------------------------------------------------

   function MA_OCL_Variable_Init_Expression_Initialized_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 130;
   end MA_OCL_Variable_Init_Expression_Initialized_Element;

   -----------------------------------------
   -- MA_OCL_Message_Exp_Sent_Signal_Exp7 --
   -----------------------------------------

   function MA_OCL_Message_Exp_Sent_Signal_Exp7 return AMF.Internals.CMOF_Element is
   begin
      return Base + 131;
   end MA_OCL_Message_Exp_Sent_Signal_Exp7;

   ----------------------------------------------------
   -- MA_OCL_Variable_Represented_Parameter_Variable --
   ----------------------------------------------------

   function MA_OCL_Variable_Represented_Parameter_Variable return AMF.Internals.CMOF_Element is
   begin
      return Base + 132;
   end MA_OCL_Variable_Represented_Parameter_Variable;

   ------------
   -- MB_OCL --
   ------------

   function MB_OCL return AMF.Internals.AMF_Element is
   begin
      return Base;
   end MB_OCL;

   ------------
   -- MB_OCL --
   ------------

   function ML_OCL return AMF.Internals.AMF_Element is
   begin
      return Base + 178;
   end ML_OCL;

end AMF.Internals.Tables.OCL_Metamodel;
