------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2010-2011, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3407 $ $Date: 2012-11-13 12:03:29 +0100 (Tue, 13 Nov 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------
with Matreshka.Internals.Strings;

package AMF.Internals.Tables.OCL_String_Data_00 is

   --  "referredAssociationClass"

   MS_0000 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 24,
         Length => 24,
         Value  =>
          (16#0072#, 16#0065#, 16#0066#, 16#0065#,
           16#0072#, 16#0072#, 16#0065#, 16#0064#,
           16#0041#, 16#0073#, 16#0073#, 16#006F#,
           16#0063#, 16#0069#, 16#0061#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#, 16#0043#,
           16#006C#, 16#0061#, 16#0073#, 16#0073#,
           others => 16#0000#),
         others => <>);

   --  "BooleanLiteralExp"

   MS_0001 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#0042#, 16#006F#, 16#006F#, 16#006C#,
           16#0065#, 16#0061#, 16#006E#, 16#004C#,
           16#0069#, 16#0074#, 16#0065#, 16#0072#,
           16#0061#, 16#006C#, 16#0045#, 16#0078#,
           16#0070#,
           others => 16#0000#),
         others => <>);

   --  "OCL"

   MS_0002 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 3,
         Length => 3,
         Value  =>
          (16#004F#, 16#0043#, 16#004C#,
           others => 16#0000#),
         others => <>);

   --  "calledOperation"

   MS_0003 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 15,
         Length => 15,
         Value  =>
          (16#0063#, 16#0061#, 16#006C#, 16#006C#,
           16#0065#, 16#0064#, 16#004F#, 16#0070#,
           16#0065#, 16#0072#, 16#0061#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "resultOwner"

   MS_0004 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 11,
         Length => 11,
         Value  =>
          (16#0072#, 16#0065#, 16#0073#, 16#0075#,
           16#006C#, 16#0074#, 16#004F#, 16#0077#,
           16#006E#, 16#0065#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "parentCall"

   MS_0005 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0070#, 16#0061#, 16#0072#, 16#0065#,
           16#006E#, 16#0074#, 16#0043#, 16#0061#,
           16#006C#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "LiteralExp"

   MS_0006 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#004C#, 16#0069#, 16#0074#, 16#0065#,
           16#0072#, 16#0061#, 16#006C#, 16#0045#,
           16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "TypeExp"

   MS_0007 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0054#, 16#0079#, 16#0070#, 16#0065#,
           16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "literalExp"

   MS_0008 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#006C#, 16#0069#, 16#0074#, 16#0065#,
           16#0072#, 16#0061#, 16#006C#, 16#0045#,
           16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "exp1"

   MS_0009 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0065#, 16#0078#, 16#0070#, 16#0031#,
           others => 16#0000#),
         others => <>);

   --  "InvalidType"

   MS_000A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 11,
         Length => 11,
         Value  =>
          (16#0049#, 16#006E#, 16#0076#, 16#0061#,
           16#006C#, 16#0069#, 16#0064#, 16#0054#,
           16#0079#, 16#0070#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "exp9"

   MS_000B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0065#, 16#0078#, 16#0070#, 16#0039#,
           others => 16#0000#),
         others => <>);

   --  "VariableExp"

   MS_000C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 11,
         Length => 11,
         Value  =>
          (16#0056#, 16#0061#, 16#0072#, 16#0069#,
           16#0061#, 16#0062#, 16#006C#, 16#0065#,
           16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "referringExp"

   MS_000D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 12,
         Length => 12,
         Value  =>
          (16#0072#, 16#0065#, 16#0066#, 16#0065#,
           16#0072#, 16#0072#, 16#0069#, 16#006E#,
           16#0067#, 16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "PropertyCallExp"

   MS_000E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 15,
         Length => 15,
         Value  =>
          (16#0050#, 16#0072#, 16#006F#, 16#0070#,
           16#0065#, 16#0072#, 16#0074#, 16#0079#,
           16#0043#, 16#0061#, 16#006C#, 16#006C#,
           16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "representedParameter"

   MS_000F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 20,
         Length => 20,
         Value  =>
          (16#0072#, 16#0065#, 16#0070#, 16#0072#,
           16#0065#, 16#0073#, 16#0065#, 16#006E#,
           16#0074#, 16#0065#, 16#0064#, 16#0050#,
           16#0061#, 16#0072#, 16#0061#, 16#006D#,
           16#0065#, 16#0074#, 16#0065#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "realSymbol"

   MS_0010 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0072#, 16#0065#, 16#0061#, 16#006C#,
           16#0053#, 16#0079#, 16#006D#, 16#0062#,
           16#006F#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "Variable"

   MS_0011 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0056#, 16#0061#, 16#0072#, 16#0069#,
           16#0061#, 16#0062#, 16#006C#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "referredSignal"

   MS_0012 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0072#, 16#0065#, 16#0066#, 16#0065#,
           16#0072#, 16#0072#, 16#0065#, 16#0064#,
           16#0053#, 16#0069#, 16#0067#, 16#006E#,
           16#0061#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "argument"

   MS_0013 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0061#, 16#0072#, 16#0067#, 16#0075#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "thenOwner"

   MS_0014 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#0074#, 16#0068#, 16#0065#, 16#006E#,
           16#004F#, 16#0077#, 16#006E#, 16#0065#,
           16#0072#,
           others => 16#0000#),
         others => <>);

   --  "owningClassifier"

   MS_0015 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 16,
         Length => 16,
         Value  =>
          (16#006F#, 16#0077#, 16#006E#, 16#0069#,
           16#006E#, 16#0067#, 16#0043#, 16#006C#,
           16#0061#, 16#0073#, 16#0073#, 16#0069#,
           16#0066#, 16#0069#, 16#0065#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "item"

   MS_0016 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0069#, 16#0074#, 16#0065#, 16#006D#,
           others => 16#0000#),
         others => <>);

   --  "referredProperty"

   MS_0017 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 16,
         Length => 16,
         Value  =>
          (16#0072#, 16#0065#, 16#0066#, 16#0065#,
           16#0072#, 16#0072#, 16#0065#, 16#0064#,
           16#0050#, 16#0072#, 16#006F#, 16#0070#,
           16#0065#, 16#0072#, 16#0074#, 16#0079#,
           others => 16#0000#),
         others => <>);

   --  "exp11"

   MS_0018 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0065#, 16#0078#, 16#0070#, 16#0031#,
           16#0031#,
           others => 16#0000#),
         others => <>);

   --  "TupleLiteralPart"

   MS_0019 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 16,
         Length => 16,
         Value  =>
          (16#0054#, 16#0075#, 16#0070#, 16#006C#,
           16#0065#, 16#004C#, 16#0069#, 16#0074#,
           16#0065#, 16#0072#, 16#0061#, 16#006C#,
           16#0050#, 16#0061#, 16#0072#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "CollectionRange"

   MS_001A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 15,
         Length => 15,
         Value  =>
          (16#0043#, 16#006F#, 16#006C#, 16#006C#,
           16#0065#, 16#0063#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#0052#, 16#0061#,
           16#006E#, 16#0067#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "integerSymbol"

   MS_001B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0069#, 16#006E#, 16#0074#, 16#0065#,
           16#0067#, 16#0065#, 16#0072#, 16#0053#,
           16#0079#, 16#006D#, 16#0062#, 16#006F#,
           16#006C#,
           others => 16#0000#),
         others => <>);

   --  "referredOperation"

   MS_001C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#0072#, 16#0065#, 16#0066#, 16#0065#,
           16#0072#, 16#0072#, 16#0065#, 16#0064#,
           16#004F#, 16#0070#, 16#0065#, 16#0072#,
           16#0061#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "EnumLiteralExp"

   MS_001D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0045#, 16#006E#, 16#0075#, 16#006D#,
           16#004C#, 16#0069#, 16#0074#, 16#0065#,
           16#0072#, 16#0061#, 16#006C#, 16#0045#,
           16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "stringSymbol"

   MS_001E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 12,
         Length => 12,
         Value  =>
          (16#0073#, 16#0074#, 16#0072#, 16#0069#,
           16#006E#, 16#0067#, 16#0053#, 16#0079#,
           16#006D#, 16#0062#, 16#006F#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "AnyType"

   MS_001F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0041#, 16#006E#, 16#0079#, 16#0054#,
           16#0079#, 16#0070#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "InvalidLiteralExp"

   MS_0020 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#0049#, 16#006E#, 16#0076#, 16#0061#,
           16#006C#, 16#0069#, 16#0064#, 16#004C#,
           16#0069#, 16#0074#, 16#0065#, 16#0072#,
           16#0061#, 16#006C#, 16#0045#, 16#0078#,
           16#0070#,
           others => 16#0000#),
         others => <>);

   --  "Bag"

   MS_0021 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 3,
         Length => 3,
         Value  =>
          (16#0042#, 16#0061#, 16#0067#,
           others => 16#0000#),
         others => <>);

   --  "bodyExpression"

   MS_0022 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0062#, 16#006F#, 16#0064#, 16#0079#,
           16#0045#, 16#0078#, 16#0070#, 16#0072#,
           16#0065#, 16#0073#, 16#0073#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "ExpressionInOcl"

   MS_0023 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 15,
         Length => 15,
         Value  =>
          (16#0045#, 16#0078#, 16#0070#, 16#0072#,
           16#0065#, 16#0073#, 16#0073#, 16#0069#,
           16#006F#, 16#006E#, 16#0049#, 16#006E#,
           16#004F#, 16#0063#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "CollectionKind"

   MS_0024 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0043#, 16#006F#, 16#006C#, 16#006C#,
           16#0065#, 16#0063#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#004B#, 16#0069#,
           16#006E#, 16#0064#,
           others => 16#0000#),
         others => <>);

   --  "resultVariable"

   MS_0025 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0072#, 16#0065#, 16#0073#, 16#0075#,
           16#006C#, 16#0074#, 16#0056#, 16#0061#,
           16#0072#, 16#0069#, 16#0061#, 16#0062#,
           16#006C#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "result"

   MS_0026 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0072#, 16#0065#, 16#0073#, 16#0075#,
           16#006C#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "initExpression"

   MS_0027 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0069#, 16#006E#, 16#0069#, 16#0074#,
           16#0045#, 16#0078#, 16#0070#, 16#0072#,
           16#0065#, 16#0073#, 16#0073#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "thenExpression"

   MS_0028 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0074#, 16#0068#, 16#0065#, 16#006E#,
           16#0045#, 16#0078#, 16#0070#, 16#0072#,
           16#0065#, 16#0073#, 16#0073#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "NullLiteralExp"

   MS_0029 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#004E#, 16#0075#, 16#006C#, 16#006C#,
           16#004C#, 16#0069#, 16#0074#, 16#0065#,
           16#0072#, 16#0061#, 16#006C#, 16#0045#,
           16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "attribute"

   MS_002A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#0061#, 16#0074#, 16#0074#, 16#0072#,
           16#0069#, 16#0062#, 16#0075#, 16#0074#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "varOwner"

   MS_002B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0076#, 16#0061#, 16#0072#, 16#004F#,
           16#0077#, 16#006E#, 16#0065#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "MessageType"

   MS_002C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 11,
         Length => 11,
         Value  =>
          (16#004D#, 16#0065#, 16#0073#, 16#0073#,
           16#0061#, 16#0067#, 16#0065#, 16#0054#,
           16#0079#, 16#0070#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "generatedType"

   MS_002D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0067#, 16#0065#, 16#006E#, 16#0065#,
           16#0072#, 16#0061#, 16#0074#, 16#0065#,
           16#0064#, 16#0054#, 16#0079#, 16#0070#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "appliedElement"

   MS_002E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0061#, 16#0070#, 16#0070#, 16#006C#,
           16#0069#, 16#0065#, 16#0064#, 16#0045#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "booleanSymbol"

   MS_002F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0062#, 16#006F#, 16#006F#, 16#006C#,
           16#0065#, 16#0061#, 16#006E#, 16#0053#,
           16#0079#, 16#006D#, 16#0062#, 16#006F#,
           16#006C#,
           others => 16#0000#),
         others => <>);

   --  "CollectionLiteralPart"

   MS_0030 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 21,
         Length => 21,
         Value  =>
          (16#0043#, 16#006F#, 16#006C#, 16#006C#,
           16#0065#, 16#0063#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#004C#, 16#0069#,
           16#0074#, 16#0065#, 16#0072#, 16#0061#,
           16#006C#, 16#0050#, 16#0061#, 16#0072#,
           16#0074#,
           others => 16#0000#),
         others => <>);

   --  "navigationSource"

   MS_0031 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 16,
         Length => 16,
         Value  =>
          (16#006E#, 16#0061#, 16#0076#, 16#0069#,
           16#0067#, 16#0061#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#0053#, 16#006F#,
           16#0075#, 16#0072#, 16#0063#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "IterateExp"

   MS_0032 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0049#, 16#0074#, 16#0065#, 16#0072#,
           16#0061#, 16#0074#, 16#0065#, 16#0045#,
           16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "type1"

   MS_0033 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0074#, 16#0079#, 16#0070#, 16#0065#,
           16#0031#,
           others => 16#0000#),
         others => <>);

   --  "condition"

   MS_0034 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#0063#, 16#006F#, 16#006E#, 16#0064#,
           16#0069#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "firstOwner"

   MS_0035 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0066#, 16#0069#, 16#0072#, 16#0073#,
           16#0074#, 16#004F#, 16#0077#, 16#006E#,
           16#0065#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "parameterVariable"

   MS_0036 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#0070#, 16#0061#, 16#0072#, 16#0061#,
           16#006D#, 16#0065#, 16#0074#, 16#0065#,
           16#0072#, 16#0056#, 16#0061#, 16#0072#,
           16#0069#, 16#0061#, 16#0062#, 16#006C#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "exp2"

   MS_0037 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0065#, 16#0078#, 16#0070#, 16#0032#,
           others => 16#0000#),
         others => <>);

   --  "specification"

   MS_0038 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0073#, 16#0070#, 16#0065#, 16#0063#,
           16#0069#, 16#0066#, 16#0069#, 16#0063#,
           16#0061#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "VoidType"

   MS_0039 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0056#, 16#006F#, 16#0069#, 16#0064#,
           16#0054#, 16#0079#, 16#0070#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "BagType"

   MS_003A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0042#, 16#0061#, 16#0067#, 16#0054#,
           16#0079#, 16#0070#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "IntegerLiteralExp"

   MS_003B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#0049#, 16#006E#, 16#0074#, 16#0065#,
           16#0067#, 16#0065#, 16#0072#, 16#004C#,
           16#0069#, 16#0074#, 16#0065#, 16#0072#,
           16#0061#, 16#006C#, 16#0045#, 16#0078#,
           16#0070#,
           others => 16#0000#),
         others => <>);

   --  "elseExpression"

   MS_003C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0065#, 16#006C#, 16#0073#, 16#0065#,
           16#0045#, 16#0078#, 16#0070#, 16#0072#,
           16#0065#, 16#0073#, 16#0073#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "target"

   MS_003D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0074#, 16#0061#, 16#0072#, 16#0067#,
           16#0065#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "CollectionLiteralExp"

   MS_003E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 20,
         Length => 20,
         Value  =>
          (16#0043#, 16#006F#, 16#006C#, 16#006C#,
           16#0065#, 16#0063#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#004C#, 16#0069#,
           16#0074#, 16#0065#, 16#0072#, 16#0061#,
           16#006C#, 16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "exp3"

   MS_003F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0065#, 16#0078#, 16#0070#, 16#0033#,
           others => 16#0000#),
         others => <>);

   --  "FeatureCallExp"

   MS_0040 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0046#, 16#0065#, 16#0061#, 16#0074#,
           16#0075#, 16#0072#, 16#0065#, 16#0043#,
           16#0061#, 16#006C#, 16#006C#, 16#0045#,
           16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "OrderedSetType"

   MS_0041 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#004F#, 16#0072#, 16#0064#, 16#0065#,
           16#0072#, 16#0065#, 16#0064#, 16#0053#,
           16#0065#, 16#0074#, 16#0054#, 16#0079#,
           16#0070#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "item1"

   MS_0042 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0069#, 16#0074#, 16#0065#, 16#006D#,
           16#0031#,
           others => 16#0000#),
         others => <>);

   --  "exp4"

   MS_0043 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0065#, 16#0078#, 16#0070#, 16#0034#,
           others => 16#0000#),
         others => <>);

   --  "contextVariable"

   MS_0044 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 15,
         Length => 15,
         Value  =>
          (16#0063#, 16#006F#, 16#006E#, 16#0074#,
           16#0065#, 16#0078#, 16#0074#, 16#0056#,
           16#0061#, 16#0072#, 16#0069#, 16#0061#,
           16#0062#, 16#006C#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "unlimitedNaturalSymbol"

   MS_0045 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 22,
         Length => 22,
         Value  =>
          (16#0075#, 16#006E#, 16#006C#, 16#0069#,
           16#006D#, 16#0069#, 16#0074#, 16#0065#,
           16#0064#, 16#004E#, 16#0061#, 16#0074#,
           16#0075#, 16#0072#, 16#0061#, 16#006C#,
           16#0053#, 16#0079#, 16#006D#, 16#0062#,
           16#006F#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "AssociationClassCallExp"

   MS_0046 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 23,
         Length => 23,
         Value  =>
          (16#0041#, 16#0073#, 16#0073#, 16#006F#,
           16#0063#, 16#0069#, 16#0061#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#, 16#0043#,
           16#006C#, 16#0061#, 16#0073#, 16#0073#,
           16#0043#, 16#0061#, 16#006C#, 16#006C#,
           16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "http://www.omg.org/spec/OCL/20090501"

   MS_0047 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 39,
         Unused => 36,
         Length => 36,
         Value  =>
          (16#0068#, 16#0074#, 16#0074#, 16#0070#,
           16#003A#, 16#002F#, 16#002F#, 16#0077#,
           16#0077#, 16#0077#, 16#002E#, 16#006F#,
           16#006D#, 16#0067#, 16#002E#, 16#006F#,
           16#0072#, 16#0067#, 16#002F#, 16#0073#,
           16#0070#, 16#0065#, 16#0063#, 16#002F#,
           16#004F#, 16#0043#, 16#004C#, 16#002F#,
           16#0032#, 16#0030#, 16#0030#, 16#0039#,
           16#0030#, 16#0035#, 16#0030#, 16#0031#,
           others => 16#0000#),
         others => <>);

   --  "IfExp"

   MS_0048 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0049#, 16#0066#, 16#0045#, 16#0078#,
           16#0070#,
           others => 16#0000#),
         others => <>);

   --  "OclExpression"

   MS_0049 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#004F#, 16#0063#, 16#006C#, 16#0045#,
           16#0078#, 16#0070#, 16#0072#, 16#0065#,
           16#0073#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "loopExp"

   MS_004A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#006C#, 16#006F#, 16#006F#, 16#0070#,
           16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "NavigationCallExp"

   MS_004B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#004E#, 16#0061#, 16#0076#, 16#0069#,
           16#0067#, 16#0061#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#0043#, 16#0061#,
           16#006C#, 16#006C#, 16#0045#, 16#0078#,
           16#0070#,
           others => 16#0000#),
         others => <>);

   --  "CollectionItem"

   MS_004C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0043#, 16#006F#, 16#006C#, 16#006C#,
           16#0065#, 16#0063#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#0049#, 16#0074#,
           16#0065#, 16#006D#,
           others => 16#0000#),
         others => <>);

   --  "CollectionType"

   MS_004D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0043#, 16#006F#, 16#006C#, 16#006C#,
           16#0065#, 16#0063#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#0054#, 16#0079#,
           16#0070#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "OrderedSet"

   MS_004E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#004F#, 16#0072#, 16#0064#, 16#0065#,
           16#0072#, 16#0065#, 16#0064#, 16#0053#,
           16#0065#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "in"

   MS_004F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 2,
         Length => 2,
         Value  =>
          (16#0069#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "topExpression"

   MS_0050 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0074#, 16#006F#, 16#0070#, 16#0045#,
           16#0078#, 16#0070#, 16#0072#, 16#0065#,
           16#0073#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "StateExp"

   MS_0051 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0053#, 16#0074#, 16#0061#, 16#0074#,
           16#0065#, 16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "TupleType"

   MS_0052 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#0054#, 16#0075#, 16#0070#, 16#006C#,
           16#0065#, 16#0054#, 16#0079#, 16#0070#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "sentSignal"

   MS_0053 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0073#, 16#0065#, 16#006E#, 16#0074#,
           16#0053#, 16#0069#, 16#0067#, 16#006E#,
           16#0061#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "OperationCallExp"

   MS_0054 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 16,
         Length => 16,
         Value  =>
          (16#004F#, 16#0070#, 16#0065#, 16#0072#,
           16#0061#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#, 16#0043#, 16#0061#, 16#006C#,
           16#006C#, 16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "referredType"

   MS_0055 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 12,
         Length => 12,
         Value  =>
          (16#0072#, 16#0065#, 16#0066#, 16#0065#,
           16#0072#, 16#0072#, 16#0065#, 16#0064#,
           16#0054#, 16#0079#, 16#0070#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "body"

   MS_0056 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0062#, 16#006F#, 16#0064#, 16#0079#,
           others => 16#0000#),
         others => <>);

   --  "kind"

   MS_0057 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#006B#, 16#0069#, 16#006E#, 16#0064#,
           others => 16#0000#),
         others => <>);

   --  "RealLiteralExp"

   MS_0058 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0052#, 16#0065#, 16#0061#, 16#006C#,
           16#004C#, 16#0069#, 16#0074#, 16#0065#,
           16#0072#, 16#0061#, 16#006C#, 16#0045#,
           16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "loopBodyOwner"

   MS_0059 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#006C#, 16#006F#, 16#006F#, 16#0070#,
           16#0042#, 16#006F#, 16#0064#, 16#0079#,
           16#004F#, 16#0077#, 16#006E#, 16#0065#,
           16#0072#,
           others => 16#0000#),
         others => <>);

   --  "Sequence"

   MS_005A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0053#, 16#0065#, 16#0071#, 16#0075#,
           16#0065#, 16#006E#, 16#0063#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "variable"

   MS_005B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0076#, 16#0061#, 16#0072#, 16#0069#,
           16#0061#, 16#0062#, 16#006C#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "TupleLiteralExp"

   MS_005C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 15,
         Length => 15,
         Value  =>
          (16#0054#, 16#0075#, 16#0070#, 16#006C#,
           16#0065#, 16#004C#, 16#0069#, 16#0074#,
           16#0065#, 16#0072#, 16#0061#, 16#006C#,
           16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "PrimitiveLiteralExp"

   MS_005D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 19,
         Length => 19,
         Value  =>
          (16#0050#, 16#0072#, 16#0069#, 16#006D#,
           16#0069#, 16#0074#, 16#0069#, 16#0076#,
           16#0065#, 16#004C#, 16#0069#, 16#0074#,
           16#0065#, 16#0072#, 16#0061#, 16#006C#,
           16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "UnspecifiedValueExp"

   MS_005E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 19,
         Length => 19,
         Value  =>
          (16#0055#, 16#006E#, 16#0073#, 16#0070#,
           16#0065#, 16#0063#, 16#0069#, 16#0066#,
           16#0069#, 16#0065#, 16#0064#, 16#0056#,
           16#0061#, 16#006C#, 16#0075#, 16#0065#,
           16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "iterator"

   MS_005F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0069#, 16#0074#, 16#0065#, 16#0072#,
           16#0061#, 16#0074#, 16#006F#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "StringLiteralExp"

   MS_0060 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 16,
         Length => 16,
         Value  =>
          (16#0053#, 16#0074#, 16#0072#, 16#0069#,
           16#006E#, 16#0067#, 16#004C#, 16#0069#,
           16#0074#, 16#0065#, 16#0072#, 16#0061#,
           16#006C#, 16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "TemplateParameterType"

   MS_0061 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 21,
         Length => 21,
         Value  =>
          (16#0054#, 16#0065#, 16#006D#, 16#0070#,
           16#006C#, 16#0061#, 16#0074#, 16#0065#,
           16#0050#, 16#0061#, 16#0072#, 16#0061#,
           16#006D#, 16#0065#, 16#0074#, 16#0065#,
           16#0072#, 16#0054#, 16#0079#, 16#0070#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "LetExp"

   MS_0062 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#004C#, 16#0065#, 16#0074#, 16#0045#,
           16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "exp6"

   MS_0063 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0065#, 16#0078#, 16#0070#, 16#0036#,
           others => 16#0000#),
         others => <>);

   --  "elementType"

   MS_0064 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 11,
         Length => 11,
         Value  =>
          (16#0065#, 16#006C#, 16#0065#, 16#006D#,
           16#0065#, 16#006E#, 16#0074#, 16#0054#,
           16#0079#, 16#0070#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "part"

   MS_0065 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0070#, 16#0061#, 16#0072#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "Collection"

   MS_0066 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0043#, 16#006F#, 16#006C#, 16#006C#,
           16#0065#, 16#0063#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "type2"

   MS_0067 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0074#, 16#0079#, 16#0070#, 16#0065#,
           16#0032#,
           others => 16#0000#),
         others => <>);

   --  "referredState"

   MS_0068 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0072#, 16#0065#, 16#0066#, 16#0065#,
           16#0072#, 16#0072#, 16#0065#, 16#0064#,
           16#0053#, 16#0074#, 16#0061#, 16#0074#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "elseOwner"

   MS_0069 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#0065#, 16#006C#, 16#0073#, 16#0065#,
           16#004F#, 16#0077#, 16#006E#, 16#0065#,
           16#0072#,
           others => 16#0000#),
         others => <>);

   --  "parentNav"

   MS_006A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#0070#, 16#0061#, 16#0072#, 16#0065#,
           16#006E#, 16#0074#, 16#004E#, 16#0061#,
           16#0076#,
           others => 16#0000#),
         others => <>);

   --  "qualifier"

   MS_006B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#0071#, 16#0075#, 16#0061#, 16#006C#,
           16#0069#, 16#0066#, 16#0069#, 16#0065#,
           16#0072#,
           others => 16#0000#),
         others => <>);

   --  "ifOwner"

   MS_006C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0069#, 16#0066#, 16#004F#, 16#0077#,
           16#006E#, 16#0065#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "last"

   MS_006D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#006C#, 16#0061#, 16#0073#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "first"

   MS_006E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0066#, 16#0069#, 16#0072#, 16#0073#,
           16#0074#,
           others => 16#0000#),
         others => <>);

   --  "NumericLiteralExp"

   MS_006F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#004E#, 16#0075#, 16#006D#, 16#0065#,
           16#0072#, 16#0069#, 16#0063#, 16#004C#,
           16#0069#, 16#0074#, 16#0065#, 16#0072#,
           16#0061#, 16#006C#, 16#0045#, 16#0078#,
           16#0070#,
           others => 16#0000#),
         others => <>);

   --  "baseExp"

   MS_0070 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "part2"

   MS_0071 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0070#, 16#0061#, 16#0072#, 16#0074#,
           16#0032#,
           others => 16#0000#),
         others => <>);

   --  "lastOwner"

   MS_0072 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#006C#, 16#0061#, 16#0073#, 16#0074#,
           16#004F#, 16#0077#, 16#006E#, 16#0065#,
           16#0072#,
           others => 16#0000#),
         others => <>);

   --  "SequenceType"

   MS_0073 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 12,
         Length => 12,
         Value  =>
          (16#0053#, 16#0065#, 16#0071#, 16#0075#,
           16#0065#, 16#006E#, 16#0063#, 16#0065#,
           16#0054#, 16#0079#, 16#0070#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "IteratorExp"

   MS_0074 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 11,
         Length => 11,
         Value  =>
          (16#0049#, 16#0074#, 16#0065#, 16#0072#,
           16#0061#, 16#0074#, 16#006F#, 16#0072#,
           16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "UnlimitedNaturalLiteralExp"

   MS_0075 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 26,
         Length => 26,
         Value  =>
          (16#0055#, 16#006E#, 16#006C#, 16#0069#,
           16#006D#, 16#0069#, 16#0074#, 16#0065#,
           16#0064#, 16#004E#, 16#0061#, 16#0074#,
           16#0075#, 16#0072#, 16#0061#, 16#006C#,
           16#004C#, 16#0069#, 16#0074#, 16#0065#,
           16#0072#, 16#0061#, 16#006C#, 16#0045#,
           16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "exp7"

   MS_0076 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0065#, 16#0078#, 16#0070#, 16#0037#,
           others => 16#0000#),
         others => <>);

   --  "type3"

   MS_0077 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0074#, 16#0079#, 16#0070#, 16#0065#,
           16#0033#,
           others => 16#0000#),
         others => <>);

   --  "selfOwner"

   MS_0078 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#0073#, 16#0065#, 16#006C#, 16#0066#,
           16#004F#, 16#0077#, 16#006E#, 16#0065#,
           16#0072#,
           others => 16#0000#),
         others => <>);

   --  "LoopExp"

   MS_0079 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#004C#, 16#006F#, 16#006F#, 16#0070#,
           16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "referredVariable"

   MS_007A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 16,
         Length => 16,
         Value  =>
          (16#0072#, 16#0065#, 16#0066#, 16#0065#,
           16#0072#, 16#0072#, 16#0065#, 16#0064#,
           16#0056#, 16#0061#, 16#0072#, 16#0069#,
           16#0061#, 16#0062#, 16#006C#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "initializedElement"

   MS_007B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 18,
         Length => 18,
         Value  =>
          (16#0069#, 16#006E#, 16#0069#, 16#0074#,
           16#0069#, 16#0061#, 16#006C#, 16#0069#,
           16#007A#, 16#0065#, 16#0064#, 16#0045#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "exp8"

   MS_007C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0065#, 16#0078#, 16#0070#, 16#0038#,
           others => 16#0000#),
         others => <>);

   --  "MessageExp"

   MS_007D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#004D#, 16#0065#, 16#0073#, 16#0073#,
           16#0061#, 16#0067#, 16#0065#, 16#0045#,
           16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "source"

   MS_007E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0073#, 16#006F#, 16#0075#, 16#0072#,
           16#0063#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "referingExp"

   MS_007F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 11,
         Length => 11,
         Value  =>
          (16#0072#, 16#0065#, 16#0066#, 16#0065#,
           16#0072#, 16#0069#, 16#006E#, 16#0067#,
           16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "CallExp"

   MS_0080 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0043#, 16#0061#, 16#006C#, 16#006C#,
           16#0045#, 16#0078#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "SetType"

   MS_0081 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0053#, 16#0065#, 16#0074#, 16#0054#,
           16#0079#, 16#0070#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "exp5"

   MS_0082 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0065#, 16#0078#, 16#0070#, 16#0035#,
           others => 16#0000#),
         others => <>);

   --  "referredEnumLiteral"

   MS_0083 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 19,
         Length => 19,
         Value  =>
          (16#0072#, 16#0065#, 16#0066#, 16#0065#,
           16#0072#, 16#0072#, 16#0065#, 16#0064#,
           16#0045#, 16#006E#, 16#0075#, 16#006D#,
           16#004C#, 16#0069#, 16#0074#, 16#0065#,
           16#0072#, 16#0061#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "Set"

   MS_0084 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 3,
         Length => 3,
         Value  =>
          (16#0053#, 16#0065#, 16#0074#,
           others => 16#0000#),
         others => <>);

end AMF.Internals.Tables.OCL_String_Data_00;
