------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2010-2012, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3412 $ $Date: 2012-11-13 12:06:06 +0100 (Tue, 13 Nov 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------

package AMF.Internals.Tables.UMLDI_Metamodel is

   pragma Preelaborate;

   function MM_UMLDI_UMLDI return AMF.Internals.CMOF_Element;

   function MC_UMLDI_UML_Association_Or_Connector_Or_Link_Shape_Kind return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Inherited_State_Border_Kind return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Interaction_Diagram_Kind return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Interaction_Table_Label_Kind return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Navigability_Notation_Kind return AMF.Internals.CMOF_Element;


   function MC_UMLDI_UML_Activity_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Association_End_Label return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Association_Or_Connector_Or_Link_Shape return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Behavior_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Class_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Class_Or_Composite_Structure_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Classifier_Shape return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Compartment return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Compartmentable_Shape return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Component_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Composite_Structure_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Deployment_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Diagram_Element return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Edge return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Interaction_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Interaction_Table_Label return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Keyword_Label return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Label return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Multiplicity_Label return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Name_Label return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Object_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Package_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Profile_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Redefines_Label return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Shape return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_State_Machine_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_State_Shape return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Stereotype_Property_Value_Label return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Structure_Diagram return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Style return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Typed_Element_Label return AMF.Internals.CMOF_Element;
   function MC_UMLDI_UML_Use_Case_Diagram return AMF.Internals.CMOF_Element;

   function MP_UMLDI_UML_Activity_Diagram_Is_Activity_Frame return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Activity_Diagram_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Association_End_Label_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Association_Or_Connector_Or_Link_Shape_Kind return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Behavior_Diagram_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Class_Or_Composite_Structure_Diagram_Is_Association_Dot_Shown return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Class_Or_Composite_Structure_Diagram_Navigability_Notation return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Class_Or_Composite_Structure_Diagram_Non_Navigability_Notation return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Classifier_Shape_Is_Double_Sided return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Classifier_Shape_Is_Indent_For_Visibility return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Classifier_Shape_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Compartment_Element_In_Compartment_A_Owning_Compartment return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Compartmentable_Shape_Compartment_A_Compartmented_Shape return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Diagram_Heading_A_Headed_Diagram return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Diagram_Is_Frame return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Diagram_Is_Iso return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Diagram_Element_Is_Icon return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Diagram_Element_Local_Style_A_Styled_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Diagram_Element_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Diagram_Element_Owned_Element_UML_Diagram_Element_Owning_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Diagram_Element_Owning_Element_UML_Diagram_Element_Owned_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Diagram_Element_Shared_Style_A_Styled_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Edge_Source_A_Source_Edge return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Edge_Target_A_Target_Edge return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Interaction_Diagram_Kind return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Interaction_Diagram_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Interaction_Table_Label_Kind return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Label_Text return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Multiplicity_Label_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Name_Label_Mode_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Redefines_Label_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_State_Machine_Diagram_Inherited_State_Border return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_State_Machine_Diagram_Is_Collapse_State_Icon return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_State_Machine_Diagram_Is_Transition_Oriented return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_State_Machine_Diagram_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_State_Shape_Is_Tabbed return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_State_Shape_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Stereotype_Property_Value_Label_Model_Element_A_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Stereotype_Property_Value_Label_Stereotyped_Element_A_Label_Showing_Stereotype_Value return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Style_Font_Name return AMF.Internals.CMOF_Element;
   function MP_UMLDI_UML_Style_Font_Size return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Uml_Diagram_Element_UML_Activity_Diagram_Model_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Uml_Diagram_Element_UML_Association_End_Label_Model_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Uml_Diagram_Element_UML_Behavior_Diagram_Model_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Uml_Diagram_Element_UML_Classifier_Shape_Model_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Owning_Compartment_UML_Compartment_Element_In_Compartment return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Compartmented_Shape_UML_Compartmentable_Shape_Compartment return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Styled_Element_UML_Diagram_Element_Local_Style return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Uml_Diagram_Element_UML_Diagram_Element_Model_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Styled_Element_UML_Diagram_Element_Shared_Style return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Headed_Diagram_UML_Diagram_Heading return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Source_Edge_UML_Edge_Source return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Target_Edge_UML_Edge_Target return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Uml_Diagram_Element_UML_Interaction_Diagram_Model_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Uml_Diagram_Element_UML_Multiplicity_Label_Model_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Uml_Diagram_Element_UML_Name_Label_Mode_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Uml_Diagram_Element_UML_Redefines_Label_Model_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Uml_Diagram_Element_UML_State_Machine_Diagram_Model_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Uml_Diagram_Element_UML_State_Shape_Model_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Uml_Diagram_Element_UML_Stereotype_Property_Value_Label_Model_Element return AMF.Internals.CMOF_Element;
   function MP_UMLDI_A_Label_Showing_Stereotype_Value_UML_Stereotype_Property_Value_Label_Stereotyped_Element return AMF.Internals.CMOF_Element;

   function MA_UMLDI_UML_Activity_Diagram_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Association_End_Label_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Behavior_Diagram_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Classifier_Shape_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Compartment_Element_In_Compartment_Owning_Compartment return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Compartmentable_Shape_Compartment_Compartmented_Shape return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Diagram_Element_Local_Style_Styled_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Diagram_Element_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Diagram_Element_Owned_Element_Owning_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Diagram_Element_Shared_Style_Styled_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Diagram_Heading_Headed_Diagram return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Edge_Source_Source_Edge return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Edge_Target_Target_Edge return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Interaction_Diagram_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Multiplicity_Label_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Name_Label_Mode_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Redefines_Label_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_State_Machine_Diagram_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_State_Shape_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Stereotype_Property_Value_Label_Model_Element_Uml_Diagram_Element return AMF.Internals.CMOF_Element;
   function MA_UMLDI_UML_Stereotype_Property_Value_Label_Stereotyped_Element_Label_Showing_Stereotype_Value return AMF.Internals.CMOF_Element;

   function MB_UMLDI return AMF.Internals.AMF_Element;

   function ML_UMLDI return AMF.Internals.AMF_Element;

private

   Base : AMF.Internals.CMOF_Element := 0;

end AMF.Internals.Tables.UMLDI_Metamodel;
