------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2010-2012, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3315 $ $Date: 2012-11-09 20:23:58 +0100 (Fri, 09 Nov 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------

package AMF.Internals.Tables.UTP_Constructors is

   function Create_Utp_Coding_Rule return AMF.Internals.AMF_Element;

   function Create_Utp_Data_Partition return AMF.Internals.AMF_Element;

   function Create_Utp_Data_Pool return AMF.Internals.AMF_Element;

   function Create_Utp_Data_Selector return AMF.Internals.AMF_Element;

   function Create_Utp_Default return AMF.Internals.AMF_Element;

   function Create_Utp_Default_Application return AMF.Internals.AMF_Element;

   function Create_Utp_Determ_Alt return AMF.Internals.AMF_Element;

   function Create_Utp_Finish_Action return AMF.Internals.AMF_Element;

   function Create_Utp_Get_Timezone_Action return AMF.Internals.AMF_Element;

   function Create_Utp_Literal_Any return AMF.Internals.AMF_Element;

   function Create_Utp_Literal_Any_Or_Null return AMF.Internals.AMF_Element;

   function Create_Utp_Log_Action return AMF.Internals.AMF_Element;

   function Create_Utp_Managed_Element return AMF.Internals.AMF_Element;

   function Create_Utp_Read_Timer_Action return AMF.Internals.AMF_Element;

   function Create_Utp_SUT return AMF.Internals.AMF_Element;

   function Create_Utp_Set_Timezone_Action return AMF.Internals.AMF_Element;

   function Create_Utp_Start_Timer_Action return AMF.Internals.AMF_Element;

   function Create_Utp_Stop_Timer_Action return AMF.Internals.AMF_Element;

   function Create_Utp_Test_Case return AMF.Internals.AMF_Element;

   function Create_Utp_Test_Component return AMF.Internals.AMF_Element;

   function Create_Utp_Test_Context return AMF.Internals.AMF_Element;

   function Create_Utp_Test_Log return AMF.Internals.AMF_Element;

   function Create_Utp_Test_Log_Application return AMF.Internals.AMF_Element;

   function Create_Utp_Test_Objective return AMF.Internals.AMF_Element;

   function Create_Utp_Test_Suite return AMF.Internals.AMF_Element;

   function Create_Utp_Time_Out return AMF.Internals.AMF_Element;

   function Create_Utp_Time_Out_Action return AMF.Internals.AMF_Element;

   function Create_Utp_Time_Out_Message return AMF.Internals.AMF_Element;

   function Create_Utp_Timer_Running_Action return AMF.Internals.AMF_Element;

   function Create_Utp_Validation_Action return AMF.Internals.AMF_Element;

end AMF.Internals.Tables.UTP_Constructors;
