------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2012, Vadim Godunko <vgodunko@gmail.com>                     --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 3413 $ $Date: 2012-11-13 12:06:29 +0100 (Tue, 13 Nov 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------

package body AMF.Internals.Tables.Utp_Metamodel is

   ----------------
   -- MM_Utp_Utp --
   ----------------

   function MM_Utp_Utp return AMF.Internals.CMOF_Element is
   begin
      return Base + 126;
   end MM_Utp_Utp;

   ---------------------
   -- MC_Utp_Duration --
   ---------------------

   function MC_Utp_Duration return AMF.Internals.CMOF_Element is
   begin
      return Base + 137;
   end MC_Utp_Duration;

   -----------------
   -- MC_Utp_Time --
   -----------------

   function MC_Utp_Time return AMF.Internals.CMOF_Element is
   begin
      return Base + 136;
   end MC_Utp_Time;

   ---------------------
   -- MC_Utp_Timezone --
   ---------------------

   function MC_Utp_Timezone return AMF.Internals.CMOF_Element is
   begin
      return Base + 135;
   end MC_Utp_Timezone;

   --------------------
   -- MC_Utp_Verdict --
   --------------------

   function MC_Utp_Verdict return AMF.Internals.CMOF_Element is
   begin
      return Base + 129;
   end MC_Utp_Verdict;

   ------------------------
   -- MC_Utp_Coding_Rule --
   ------------------------

   function MC_Utp_Coding_Rule return AMF.Internals.CMOF_Element is
   begin
      return Base + 1;
   end MC_Utp_Coding_Rule;

   ---------------------------
   -- MC_Utp_Data_Partition --
   ---------------------------

   function MC_Utp_Data_Partition return AMF.Internals.CMOF_Element is
   begin
      return Base + 2;
   end MC_Utp_Data_Partition;

   ----------------------
   -- MC_Utp_Data_Pool --
   ----------------------

   function MC_Utp_Data_Pool return AMF.Internals.CMOF_Element is
   begin
      return Base + 3;
   end MC_Utp_Data_Pool;

   --------------------------
   -- MC_Utp_Data_Selector --
   --------------------------

   function MC_Utp_Data_Selector return AMF.Internals.CMOF_Element is
   begin
      return Base + 4;
   end MC_Utp_Data_Selector;

   --------------------
   -- MC_Utp_Default --
   --------------------

   function MC_Utp_Default return AMF.Internals.CMOF_Element is
   begin
      return Base + 5;
   end MC_Utp_Default;

   --------------------------------
   -- MC_Utp_Default_Application --
   --------------------------------

   function MC_Utp_Default_Application return AMF.Internals.CMOF_Element is
   begin
      return Base + 6;
   end MC_Utp_Default_Application;

   -----------------------
   -- MC_Utp_Determ_Alt --
   -----------------------

   function MC_Utp_Determ_Alt return AMF.Internals.CMOF_Element is
   begin
      return Base + 7;
   end MC_Utp_Determ_Alt;

   --------------------------
   -- MC_Utp_Finish_Action --
   --------------------------

   function MC_Utp_Finish_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 8;
   end MC_Utp_Finish_Action;

   --------------------------------
   -- MC_Utp_Get_Timezone_Action --
   --------------------------------

   function MC_Utp_Get_Timezone_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 9;
   end MC_Utp_Get_Timezone_Action;

   ------------------------
   -- MC_Utp_Literal_Any --
   ------------------------

   function MC_Utp_Literal_Any return AMF.Internals.CMOF_Element is
   begin
      return Base + 10;
   end MC_Utp_Literal_Any;

   --------------------------------
   -- MC_Utp_Literal_Any_Or_Null --
   --------------------------------

   function MC_Utp_Literal_Any_Or_Null return AMF.Internals.CMOF_Element is
   begin
      return Base + 11;
   end MC_Utp_Literal_Any_Or_Null;

   -----------------------
   -- MC_Utp_Log_Action --
   -----------------------

   function MC_Utp_Log_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 12;
   end MC_Utp_Log_Action;

   ----------------------------
   -- MC_Utp_Managed_Element --
   ----------------------------

   function MC_Utp_Managed_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 13;
   end MC_Utp_Managed_Element;

   ------------------------------
   -- MC_Utp_Read_Timer_Action --
   ------------------------------

   function MC_Utp_Read_Timer_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 14;
   end MC_Utp_Read_Timer_Action;

   ----------------
   -- MC_Utp_SUT --
   ----------------

   function MC_Utp_SUT return AMF.Internals.CMOF_Element is
   begin
      return Base + 15;
   end MC_Utp_SUT;

   --------------------------------
   -- MC_Utp_Set_Timezone_Action --
   --------------------------------

   function MC_Utp_Set_Timezone_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 16;
   end MC_Utp_Set_Timezone_Action;

   -------------------------------
   -- MC_Utp_Start_Timer_Action --
   -------------------------------

   function MC_Utp_Start_Timer_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 17;
   end MC_Utp_Start_Timer_Action;

   ------------------------------
   -- MC_Utp_Stop_Timer_Action --
   ------------------------------

   function MC_Utp_Stop_Timer_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 18;
   end MC_Utp_Stop_Timer_Action;

   ----------------------
   -- MC_Utp_Test_Case --
   ----------------------

   function MC_Utp_Test_Case return AMF.Internals.CMOF_Element is
   begin
      return Base + 19;
   end MC_Utp_Test_Case;

   ---------------------------
   -- MC_Utp_Test_Component --
   ---------------------------

   function MC_Utp_Test_Component return AMF.Internals.CMOF_Element is
   begin
      return Base + 20;
   end MC_Utp_Test_Component;

   -------------------------
   -- MC_Utp_Test_Context --
   -------------------------

   function MC_Utp_Test_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 21;
   end MC_Utp_Test_Context;

   ---------------------
   -- MC_Utp_Test_Log --
   ---------------------

   function MC_Utp_Test_Log return AMF.Internals.CMOF_Element is
   begin
      return Base + 22;
   end MC_Utp_Test_Log;

   ---------------------------------
   -- MC_Utp_Test_Log_Application --
   ---------------------------------

   function MC_Utp_Test_Log_Application return AMF.Internals.CMOF_Element is
   begin
      return Base + 23;
   end MC_Utp_Test_Log_Application;

   ---------------------------
   -- MC_Utp_Test_Objective --
   ---------------------------

   function MC_Utp_Test_Objective return AMF.Internals.CMOF_Element is
   begin
      return Base + 24;
   end MC_Utp_Test_Objective;

   -----------------------
   -- MC_Utp_Test_Suite --
   -----------------------

   function MC_Utp_Test_Suite return AMF.Internals.CMOF_Element is
   begin
      return Base + 25;
   end MC_Utp_Test_Suite;

   ---------------------
   -- MC_Utp_Time_Out --
   ---------------------

   function MC_Utp_Time_Out return AMF.Internals.CMOF_Element is
   begin
      return Base + 26;
   end MC_Utp_Time_Out;

   ----------------------------
   -- MC_Utp_Time_Out_Action --
   ----------------------------

   function MC_Utp_Time_Out_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 27;
   end MC_Utp_Time_Out_Action;

   -----------------------------
   -- MC_Utp_Time_Out_Message --
   -----------------------------

   function MC_Utp_Time_Out_Message return AMF.Internals.CMOF_Element is
   begin
      return Base + 28;
   end MC_Utp_Time_Out_Message;

   ---------------------------------
   -- MC_Utp_Timer_Running_Action --
   ---------------------------------

   function MC_Utp_Timer_Running_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 29;
   end MC_Utp_Timer_Running_Action;

   ------------------------------
   -- MC_Utp_Validation_Action --
   ------------------------------

   function MC_Utp_Validation_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 30;
   end MC_Utp_Validation_Action;

   ---------------------------------------------------------------
   -- MP_Utp_Coding_Rule_Base_Namespace_A_Extension_Coding_Rule --
   ---------------------------------------------------------------

   function MP_Utp_Coding_Rule_Base_Namespace_A_Extension_Coding_Rule return AMF.Internals.CMOF_Element is
   begin
      return Base + 32;
   end MP_Utp_Coding_Rule_Base_Namespace_A_Extension_Coding_Rule;

   --------------------------------------------------------------
   -- MP_Utp_Coding_Rule_Base_Property_A_Extension_Coding_Rule --
   --------------------------------------------------------------

   function MP_Utp_Coding_Rule_Base_Property_A_Extension_Coding_Rule return AMF.Internals.CMOF_Element is
   begin
      return Base + 33;
   end MP_Utp_Coding_Rule_Base_Property_A_Extension_Coding_Rule;

   -------------------------------------------------------------------------
   -- MP_Utp_Coding_Rule_Base_Value_Specification_A_Extension_Coding_Rule --
   -------------------------------------------------------------------------

   function MP_Utp_Coding_Rule_Base_Value_Specification_A_Extension_Coding_Rule return AMF.Internals.CMOF_Element is
   begin
      return Base + 34;
   end MP_Utp_Coding_Rule_Base_Value_Specification_A_Extension_Coding_Rule;

   -------------------------------
   -- MP_Utp_Coding_Rule_Coding --
   -------------------------------

   function MP_Utp_Coding_Rule_Coding return AMF.Internals.CMOF_Element is
   begin
      return Base + 35;
   end MP_Utp_Coding_Rule_Coding;

   ----------------------------------------------------------------------
   -- MP_Utp_Data_Partition_Base_Classifier_A_Extension_Data_Partition --
   ----------------------------------------------------------------------

   function MP_Utp_Data_Partition_Base_Classifier_A_Extension_Data_Partition return AMF.Internals.CMOF_Element is
   begin
      return Base + 36;
   end MP_Utp_Data_Partition_Base_Classifier_A_Extension_Data_Partition;

   ------------------------------------------------------------
   -- MP_Utp_Data_Pool_Base_Classifier_A_Extension_Data_Pool --
   ------------------------------------------------------------

   function MP_Utp_Data_Pool_Base_Classifier_A_Extension_Data_Pool return AMF.Internals.CMOF_Element is
   begin
      return Base + 37;
   end MP_Utp_Data_Pool_Base_Classifier_A_Extension_Data_Pool;

   ----------------------------------------------------------
   -- MP_Utp_Data_Pool_Base_Property_A_Extension_Data_Pool --
   ----------------------------------------------------------

   function MP_Utp_Data_Pool_Base_Property_A_Extension_Data_Pool return AMF.Internals.CMOF_Element is
   begin
      return Base + 38;
   end MP_Utp_Data_Pool_Base_Property_A_Extension_Data_Pool;

   -------------------------------------------------------------------
   -- MP_Utp_Data_Selector_Base_Operation_A_Extension_Data_Selector --
   -------------------------------------------------------------------

   function MP_Utp_Data_Selector_Base_Operation_A_Extension_Data_Selector return AMF.Internals.CMOF_Element is
   begin
      return Base + 39;
   end MP_Utp_Data_Selector_Base_Operation_A_Extension_Data_Selector;

   ------------------------------------------------------
   -- MP_Utp_Default_Base_Behavior_A_Extension_Default --
   ------------------------------------------------------

   function MP_Utp_Default_Base_Behavior_A_Extension_Default return AMF.Internals.CMOF_Element is
   begin
      return Base + 40;
   end MP_Utp_Default_Base_Behavior_A_Extension_Default;

   --------------------------------------------------------------------------------
   -- MP_Utp_Default_Application_Base_Dependency_A_Extension_Default_Application --
   --------------------------------------------------------------------------------

   function MP_Utp_Default_Application_Base_Dependency_A_Extension_Default_Application return AMF.Internals.CMOF_Element is
   begin
      return Base + 41;
   end MP_Utp_Default_Application_Base_Dependency_A_Extension_Default_Application;

   -------------------------------------------
   -- MP_Utp_Default_Application_Repetition --
   -------------------------------------------

   function MP_Utp_Default_Application_Repetition return AMF.Internals.CMOF_Element is
   begin
      return Base + 42;
   end MP_Utp_Default_Application_Repetition;

   ---------------------------------------------------------------------
   -- MP_Utp_Determ_Alt_Base_Combined_Fragment_A_Extension_Determ_Alt --
   ---------------------------------------------------------------------

   function MP_Utp_Determ_Alt_Base_Combined_Fragment_A_Extension_Determ_Alt return AMF.Internals.CMOF_Element is
   begin
      return Base + 43;
   end MP_Utp_Determ_Alt_Base_Combined_Fragment_A_Extension_Determ_Alt;

   ---------------------------------------------------------------------------
   -- MP_Utp_Finish_Action_Base_Invocation_Action_A_Extension_Finish_Action --
   ---------------------------------------------------------------------------

   function MP_Utp_Finish_Action_Base_Invocation_Action_A_Extension_Finish_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 44;
   end MP_Utp_Finish_Action_Base_Invocation_Action_A_Extension_Finish_Action;

   -----------------------------------------------------------------------
   -- MP_Utp_Finish_Action_Base_Opaque_Action_A_Extension_Finish_Action --
   -----------------------------------------------------------------------

   function MP_Utp_Finish_Action_Base_Opaque_Action_A_Extension_Finish_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 45;
   end MP_Utp_Finish_Action_Base_Opaque_Action_A_Extension_Finish_Action;

   ----------------------------------------------------------------------------------------------------
   -- MP_Utp_Get_Timezone_Action_Base_Read_Structural_Feature_Action_A_Extension_Get_Timezone_Action --
   ----------------------------------------------------------------------------------------------------

   function MP_Utp_Get_Timezone_Action_Base_Read_Structural_Feature_Action_A_Extension_Get_Timezone_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 46;
   end MP_Utp_Get_Timezone_Action_Base_Read_Structural_Feature_Action_A_Extension_Get_Timezone_Action;

   ---------------------------------------------------------------------------
   -- MP_Utp_Literal_Any_Base_Literal_Specification_A_Extension_Literal_Any --
   ---------------------------------------------------------------------------

   function MP_Utp_Literal_Any_Base_Literal_Specification_A_Extension_Literal_Any return AMF.Internals.CMOF_Element is
   begin
      return Base + 47;
   end MP_Utp_Literal_Any_Base_Literal_Specification_A_Extension_Literal_Any;

   -------------------------------------------------------------------------------------------
   -- MP_Utp_Literal_Any_Or_Null_Base_Literal_Specification_A_Extension_Literal_Any_Or_Null --
   -------------------------------------------------------------------------------------------

   function MP_Utp_Literal_Any_Or_Null_Base_Literal_Specification_A_Extension_Literal_Any_Or_Null return AMF.Internals.CMOF_Element is
   begin
      return Base + 48;
   end MP_Utp_Literal_Any_Or_Null_Base_Literal_Specification_A_Extension_Literal_Any_Or_Null;

   ----------------------------------------------------------------------
   -- MP_Utp_Log_Action_Base_Send_Object_Action_A_Extension_Log_Action --
   ----------------------------------------------------------------------

   function MP_Utp_Log_Action_Base_Send_Object_Action_A_Extension_Log_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 49;
   end MP_Utp_Log_Action_Base_Send_Object_Action_A_Extension_Log_Action;

   ---------------------------------------------------------------------
   -- MP_Utp_Managed_Element_Base_Element_A_Extension_Managed_Element --
   ---------------------------------------------------------------------

   function MP_Utp_Managed_Element_Base_Element_A_Extension_Managed_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 50;
   end MP_Utp_Managed_Element_Base_Element_A_Extension_Managed_Element;

   ----------------------------------------
   -- MP_Utp_Managed_Element_Criticality --
   ----------------------------------------

   function MP_Utp_Managed_Element_Criticality return AMF.Internals.CMOF_Element is
   begin
      return Base + 51;
   end MP_Utp_Managed_Element_Criticality;

   ----------------------------------------
   -- MP_Utp_Managed_Element_Description --
   ----------------------------------------

   function MP_Utp_Managed_Element_Description return AMF.Internals.CMOF_Element is
   begin
      return Base + 52;
   end MP_Utp_Managed_Element_Description;

   ----------------------------------
   -- MP_Utp_Managed_Element_Owner --
   ----------------------------------

   function MP_Utp_Managed_Element_Owner return AMF.Internals.CMOF_Element is
   begin
      return Base + 53;
   end MP_Utp_Managed_Element_Owner;

   ------------------------------------
   -- MP_Utp_Managed_Element_Version --
   ------------------------------------

   function MP_Utp_Managed_Element_Version return AMF.Internals.CMOF_Element is
   begin
      return Base + 54;
   end MP_Utp_Managed_Element_Version;

   ---------------------------------------------------------------------------------------
   -- MP_Utp_Read_Timer_Action_Base_Call_Operation_Action_A_Extension_Read_Timer_Action --
   ---------------------------------------------------------------------------------------

   function MP_Utp_Read_Timer_Action_Base_Call_Operation_Action_A_Extension_Read_Timer_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 55;
   end MP_Utp_Read_Timer_Action_Base_Call_Operation_Action_A_Extension_Read_Timer_Action;

   ----------------------------------------------
   -- MP_Utp_SUT_Base_Property_A_Extension_SUT --
   ----------------------------------------------

   function MP_Utp_SUT_Base_Property_A_Extension_SUT return AMF.Internals.CMOF_Element is
   begin
      return Base + 56;
   end MP_Utp_SUT_Base_Property_A_Extension_SUT;

   -----------------------------------------------------------------------------------------------------
   -- MP_Utp_Set_Timezone_Action_Base_Write_Structural_Feature_Action_A_Extension_Set_Timezone_Action --
   -----------------------------------------------------------------------------------------------------

   function MP_Utp_Set_Timezone_Action_Base_Write_Structural_Feature_Action_A_Extension_Set_Timezone_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 57;
   end MP_Utp_Set_Timezone_Action_Base_Write_Structural_Feature_Action_A_Extension_Set_Timezone_Action;

   -----------------------------------------------------------------------------------------
   -- MP_Utp_Start_Timer_Action_Base_Call_Operation_Action_A_Extension_Start_Timer_Action --
   -----------------------------------------------------------------------------------------

   function MP_Utp_Start_Timer_Action_Base_Call_Operation_Action_A_Extension_Start_Timer_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 58;
   end MP_Utp_Start_Timer_Action_Base_Call_Operation_Action_A_Extension_Start_Timer_Action;

   ---------------------------------------------------------------------------------------
   -- MP_Utp_Stop_Timer_Action_Base_Call_Operation_Action_A_Extension_Stop_Timer_Action --
   ---------------------------------------------------------------------------------------

   function MP_Utp_Stop_Timer_Action_Base_Call_Operation_Action_A_Extension_Stop_Timer_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 59;
   end MP_Utp_Stop_Timer_Action_Base_Call_Operation_Action_A_Extension_Stop_Timer_Action;

   ----------------------------------------------------------
   -- MP_Utp_Test_Case_Base_Behavior_A_Extension_Test_Case --
   ----------------------------------------------------------

   function MP_Utp_Test_Case_Base_Behavior_A_Extension_Test_Case return AMF.Internals.CMOF_Element is
   begin
      return Base + 60;
   end MP_Utp_Test_Case_Base_Behavior_A_Extension_Test_Case;

   -----------------------------------------------------------
   -- MP_Utp_Test_Case_Base_Operation_A_Extension_Test_Case --
   -----------------------------------------------------------

   function MP_Utp_Test_Case_Base_Operation_A_Extension_Test_Case return AMF.Internals.CMOF_Element is
   begin
      return Base + 61;
   end MP_Utp_Test_Case_Base_Operation_A_Extension_Test_Case;

   ---------------------------------------------
   -- MP_Utp_Test_Case_Compatible_SUT_Variant --
   ---------------------------------------------

   function MP_Utp_Test_Case_Compatible_SUT_Variant return AMF.Internals.CMOF_Element is
   begin
      return Base + 62;
   end MP_Utp_Test_Case_Compatible_SUT_Variant;

   ---------------------------------------------
   -- MP_Utp_Test_Case_Compatible_SUT_Version --
   ---------------------------------------------

   function MP_Utp_Test_Case_Compatible_SUT_Version return AMF.Internals.CMOF_Element is
   begin
      return Base + 63;
   end MP_Utp_Test_Case_Compatible_SUT_Version;

   -------------------------------
   -- MP_Utp_Test_Case_Priority --
   -------------------------------

   function MP_Utp_Test_Case_Priority return AMF.Internals.CMOF_Element is
   begin
      return Base + 64;
   end MP_Utp_Test_Case_Priority;

   ---------------------------------------------------------------------------------
   -- MP_Utp_Test_Component_Base_Structured_Classifier_A_Extension_Test_Component --
   ---------------------------------------------------------------------------------

   function MP_Utp_Test_Component_Base_Structured_Classifier_A_Extension_Test_Component return AMF.Internals.CMOF_Element is
   begin
      return Base + 65;
   end MP_Utp_Test_Component_Base_Structured_Classifier_A_Extension_Test_Component;

   --------------------------------------------------
   -- MP_Utp_Test_Component_Compatible_SUT_Variant --
   --------------------------------------------------

   function MP_Utp_Test_Component_Compatible_SUT_Variant return AMF.Internals.CMOF_Element is
   begin
      return Base + 66;
   end MP_Utp_Test_Component_Compatible_SUT_Variant;

   --------------------------------------------------
   -- MP_Utp_Test_Component_Compatible_SUT_Version --
   --------------------------------------------------

   function MP_Utp_Test_Component_Compatible_SUT_Version return AMF.Internals.CMOF_Element is
   begin
      return Base + 67;
   end MP_Utp_Test_Component_Compatible_SUT_Version;

   -----------------------------------------------------------------------------
   -- MP_Utp_Test_Context_Base_Behaviored_Classifier_A_Extension_Test_Context --
   -----------------------------------------------------------------------------

   function MP_Utp_Test_Context_Base_Behaviored_Classifier_A_Extension_Test_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 68;
   end MP_Utp_Test_Context_Base_Behaviored_Classifier_A_Extension_Test_Context;

   -----------------------------------------------------------------------------
   -- MP_Utp_Test_Context_Base_Structured_Classifier_A_Extension_Test_Context --
   -----------------------------------------------------------------------------

   function MP_Utp_Test_Context_Base_Structured_Classifier_A_Extension_Test_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 69;
   end MP_Utp_Test_Context_Base_Structured_Classifier_A_Extension_Test_Context;

   ------------------------------------------------
   -- MP_Utp_Test_Context_Compatible_SUT_Variant --
   ------------------------------------------------

   function MP_Utp_Test_Context_Compatible_SUT_Variant return AMF.Internals.CMOF_Element is
   begin
      return Base + 70;
   end MP_Utp_Test_Context_Compatible_SUT_Variant;

   ------------------------------------------------
   -- MP_Utp_Test_Context_Compatible_SUT_Version --
   ------------------------------------------------

   function MP_Utp_Test_Context_Compatible_SUT_Version return AMF.Internals.CMOF_Element is
   begin
      return Base + 71;
   end MP_Utp_Test_Context_Compatible_SUT_Version;

   ------------------------------------
   -- MP_Utp_Test_Context_Test_Level --
   ------------------------------------

   function MP_Utp_Test_Context_Test_Level return AMF.Internals.CMOF_Element is
   begin
      return Base + 72;
   end MP_Utp_Test_Context_Test_Level;

   --------------------------------------------------------
   -- MP_Utp_Test_Log_Base_Behavior_A_Extension_Test_Log --
   --------------------------------------------------------

   function MP_Utp_Test_Log_Base_Behavior_A_Extension_Test_Log return AMF.Internals.CMOF_Element is
   begin
      return Base + 73;
   end MP_Utp_Test_Log_Base_Behavior_A_Extension_Test_Log;

   ------------------------------
   -- MP_Utp_Test_Log_Duration --
   ------------------------------

   function MP_Utp_Test_Log_Duration return AMF.Internals.CMOF_Element is
   begin
      return Base + 74;
   end MP_Utp_Test_Log_Duration;

   ---------------------------------
   -- MP_Utp_Test_Log_Executed_At --
   ---------------------------------

   function MP_Utp_Test_Log_Executed_At return AMF.Internals.CMOF_Element is
   begin
      return Base + 75;
   end MP_Utp_Test_Log_Executed_At;

   ---------------------------------
   -- MP_Utp_Test_Log_Sut_Version --
   ---------------------------------

   function MP_Utp_Test_Log_Sut_Version return AMF.Internals.CMOF_Element is
   begin
      return Base + 76;
   end MP_Utp_Test_Log_Sut_Version;

   ----------------------------
   -- MP_Utp_Test_Log_Tester --
   ----------------------------

   function MP_Utp_Test_Log_Tester return AMF.Internals.CMOF_Element is
   begin
      return Base + 77;
   end MP_Utp_Test_Log_Tester;

   -----------------------------
   -- MP_Utp_Test_Log_Verdict --
   -----------------------------

   function MP_Utp_Test_Log_Verdict return AMF.Internals.CMOF_Element is
   begin
      return Base + 78;
   end MP_Utp_Test_Log_Verdict;

   ------------------------------------
   -- MP_Utp_Test_Log_Verdict_Reason --
   ------------------------------------

   function MP_Utp_Test_Log_Verdict_Reason return AMF.Internals.CMOF_Element is
   begin
      return Base + 79;
   end MP_Utp_Test_Log_Verdict_Reason;

   ----------------------------------------------------------------------------------
   -- MP_Utp_Test_Log_Application_Base_Dependency_A_Extension_Test_Log_Application --
   ----------------------------------------------------------------------------------

   function MP_Utp_Test_Log_Application_Base_Dependency_A_Extension_Test_Log_Application return AMF.Internals.CMOF_Element is
   begin
      return Base + 80;
   end MP_Utp_Test_Log_Application_Base_Dependency_A_Extension_Test_Log_Application;

   ----------------------------------------------------------------------
   -- MP_Utp_Test_Objective_Base_Dependency_A_Extension_Test_Objective --
   ----------------------------------------------------------------------

   function MP_Utp_Test_Objective_Base_Dependency_A_Extension_Test_Objective return AMF.Internals.CMOF_Element is
   begin
      return Base + 81;
   end MP_Utp_Test_Objective_Base_Dependency_A_Extension_Test_Objective;

   ------------------------------------
   -- MP_Utp_Test_Objective_Priority --
   ------------------------------------

   function MP_Utp_Test_Objective_Priority return AMF.Internals.CMOF_Element is
   begin
      return Base + 82;
   end MP_Utp_Test_Objective_Priority;

   ------------------------------------------------------------
   -- MP_Utp_Test_Suite_Base_Behavior_A_Extension_Test_Suite --
   ------------------------------------------------------------

   function MP_Utp_Test_Suite_Base_Behavior_A_Extension_Test_Suite return AMF.Internals.CMOF_Element is
   begin
      return Base + 83;
   end MP_Utp_Test_Suite_Base_Behavior_A_Extension_Test_Suite;

   --------------------------------
   -- MP_Utp_Test_Suite_Priority --
   --------------------------------

   function MP_Utp_Test_Suite_Priority return AMF.Internals.CMOF_Element is
   begin
      return Base + 84;
   end MP_Utp_Test_Suite_Priority;

   ---------------------------------
   -- MP_Utp_Test_Suite_Test_Case --
   ---------------------------------

   function MP_Utp_Test_Suite_Test_Case return AMF.Internals.CMOF_Element is
   begin
      return Base + 31;
   end MP_Utp_Test_Suite_Test_Case;

   ----------------------------------------------------------
   -- MP_Utp_Time_Out_Base_Time_Event_A_Extension_Time_Out --
   ----------------------------------------------------------

   function MP_Utp_Time_Out_Base_Time_Event_A_Extension_Time_Out return AMF.Internals.CMOF_Element is
   begin
      return Base + 85;
   end MP_Utp_Time_Out_Base_Time_Event_A_Extension_Time_Out;

   ---------------------------------------------------------------------------------
   -- MP_Utp_Time_Out_Action_Base_Accept_Event_Action_A_Extension_Time_Out_Action --
   ---------------------------------------------------------------------------------

   function MP_Utp_Time_Out_Action_Base_Accept_Event_Action_A_Extension_Time_Out_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 86;
   end MP_Utp_Time_Out_Action_Base_Accept_Event_Action_A_Extension_Time_Out_Action;

   -----------------------------------------------------------------------
   -- MP_Utp_Time_Out_Message_Base_Message_A_Extension_Time_Out_Message --
   -----------------------------------------------------------------------

   function MP_Utp_Time_Out_Message_Base_Message_A_Extension_Time_Out_Message return AMF.Internals.CMOF_Element is
   begin
      return Base + 87;
   end MP_Utp_Time_Out_Message_Base_Message_A_Extension_Time_Out_Message;

   ------------------------------------------------------------------------------------------------------
   -- MP_Utp_Timer_Running_Action_Base_Read_Structural_Feature_Action_A_Extension_Timer_Running_Action --
   ------------------------------------------------------------------------------------------------------

   function MP_Utp_Timer_Running_Action_Base_Read_Structural_Feature_Action_A_Extension_Timer_Running_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 88;
   end MP_Utp_Timer_Running_Action_Base_Read_Structural_Feature_Action_A_Extension_Timer_Running_Action;

   ---------------------------------------------------------------------------------------
   -- MP_Utp_Validation_Action_Base_Call_Operation_Action_A_Extension_Validation_Action --
   ---------------------------------------------------------------------------------------

   function MP_Utp_Validation_Action_Base_Call_Operation_Action_A_Extension_Validation_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 89;
   end MP_Utp_Validation_Action_Base_Call_Operation_Action_A_Extension_Validation_Action;

   ----------------------------------------------
   -- MP_Utp_A_Extension_SUT_SUT_Base_Property --
   ----------------------------------------------

   function MP_Utp_A_Extension_SUT_SUT_Base_Property return AMF.Internals.CMOF_Element is
   begin
      return Base + 168;
   end MP_Utp_A_Extension_SUT_SUT_Base_Property;

   -----------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Test_Context_Test_Context_Base_Behaviored_Classifier --
   -----------------------------------------------------------------------------

   function MP_Utp_A_Extension_Test_Context_Test_Context_Base_Behaviored_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 169;
   end MP_Utp_A_Extension_Test_Context_Test_Context_Base_Behaviored_Classifier;

   -------------------------------------------------------------------
   -- MP_Utp_A_Extension_Data_Selector_Data_Selector_Base_Operation --
   -------------------------------------------------------------------

   function MP_Utp_A_Extension_Data_Selector_Data_Selector_Base_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 154;
   end MP_Utp_A_Extension_Data_Selector_Data_Selector_Base_Operation;

   ---------------------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Validation_Action_Validation_Action_Base_Call_Operation_Action --
   ---------------------------------------------------------------------------------------

   function MP_Utp_A_Extension_Validation_Action_Validation_Action_Base_Call_Operation_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 143;
   end MP_Utp_A_Extension_Validation_Action_Validation_Action_Base_Call_Operation_Action;

   ----------------------------------------------------------
   -- MP_Utp_A_Extension_Time_Out_Time_Out_Base_Time_Event --
   ----------------------------------------------------------

   function MP_Utp_A_Extension_Time_Out_Time_Out_Base_Time_Event return AMF.Internals.CMOF_Element is
   begin
      return Base + 155;
   end MP_Utp_A_Extension_Time_Out_Time_Out_Base_Time_Event;

   ---------------------------------------------------------------------
   -- MP_Utp_A_Extension_Managed_Element_Managed_Element_Base_Element --
   ---------------------------------------------------------------------

   function MP_Utp_A_Extension_Managed_Element_Managed_Element_Base_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 170;
   end MP_Utp_A_Extension_Managed_Element_Managed_Element_Base_Element;

   -----------------------------------------------------------------------
   -- MP_Utp_A_Extension_Time_Out_Message_Time_Out_Message_Base_Message --
   -----------------------------------------------------------------------

   function MP_Utp_A_Extension_Time_Out_Message_Time_Out_Message_Base_Message return AMF.Internals.CMOF_Element is
   begin
      return Base + 156;
   end MP_Utp_A_Extension_Time_Out_Message_Time_Out_Message_Base_Message;

   ---------------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Test_Component_Test_Component_Base_Structured_Classifier --
   ---------------------------------------------------------------------------------

   function MP_Utp_A_Extension_Test_Component_Test_Component_Base_Structured_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 127;
   end MP_Utp_A_Extension_Test_Component_Test_Component_Base_Structured_Classifier;

   ---------------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Time_Out_Action_Time_Out_Action_Base_Accept_Event_Action --
   ---------------------------------------------------------------------------------

   function MP_Utp_A_Extension_Time_Out_Action_Time_Out_Action_Base_Accept_Event_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 157;
   end MP_Utp_A_Extension_Time_Out_Action_Time_Out_Action_Base_Accept_Event_Action;

   ------------------------------------------------------------
   -- MP_Utp_A_Extension_Test_Suite_Test_Suite_Base_Behavior --
   ------------------------------------------------------------

   function MP_Utp_A_Extension_Test_Suite_Test_Suite_Base_Behavior return AMF.Internals.CMOF_Element is
   begin
      return Base + 171;
   end MP_Utp_A_Extension_Test_Suite_Test_Suite_Base_Behavior;

   --------------------------------------------------------
   -- MP_Utp_A_Extension_Test_Log_Test_Log_Base_Behavior --
   --------------------------------------------------------

   function MP_Utp_A_Extension_Test_Log_Test_Log_Base_Behavior return AMF.Internals.CMOF_Element is
   begin
      return Base + 144;
   end MP_Utp_A_Extension_Test_Log_Test_Log_Base_Behavior;

   -----------------------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Start_Timer_Action_Start_Timer_Action_Base_Call_Operation_Action --
   -----------------------------------------------------------------------------------------

   function MP_Utp_A_Extension_Start_Timer_Action_Start_Timer_Action_Base_Call_Operation_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 158;
   end MP_Utp_A_Extension_Start_Timer_Action_Start_Timer_Action_Base_Call_Operation_Action;

   -----------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Test_Context_Test_Context_Base_Structured_Classifier --
   -----------------------------------------------------------------------------

   function MP_Utp_A_Extension_Test_Context_Test_Context_Base_Structured_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 128;
   end MP_Utp_A_Extension_Test_Context_Test_Context_Base_Structured_Classifier;

   ----------------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Test_Log_Application_Test_Log_Application_Base_Dependency --
   ----------------------------------------------------------------------------------

   function MP_Utp_A_Extension_Test_Log_Application_Test_Log_Application_Base_Dependency return AMF.Internals.CMOF_Element is
   begin
      return Base + 145;
   end MP_Utp_A_Extension_Test_Log_Application_Test_Log_Application_Base_Dependency;

   ---------------------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Stop_Timer_Action_Stop_Timer_Action_Base_Call_Operation_Action --
   ---------------------------------------------------------------------------------------

   function MP_Utp_A_Extension_Stop_Timer_Action_Stop_Timer_Action_Base_Call_Operation_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 159;
   end MP_Utp_A_Extension_Stop_Timer_Action_Stop_Timer_Action_Base_Call_Operation_Action;

   ---------------------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Read_Timer_Action_Read_Timer_Action_Base_Call_Operation_Action --
   ---------------------------------------------------------------------------------------

   function MP_Utp_A_Extension_Read_Timer_Action_Read_Timer_Action_Base_Call_Operation_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 160;
   end MP_Utp_A_Extension_Read_Timer_Action_Read_Timer_Action_Base_Call_Operation_Action;

   -------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Coding_Rule_Coding_Rule_Base_Value_Specification --
   -------------------------------------------------------------------------

   function MP_Utp_A_Extension_Coding_Rule_Coding_Rule_Base_Value_Specification return AMF.Internals.CMOF_Element is
   begin
      return Base + 146;
   end MP_Utp_A_Extension_Coding_Rule_Coding_Rule_Base_Value_Specification;

   ------------------------------------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Timer_Running_Action_Timer_Running_Action_Base_Read_Structural_Feature_Action --
   ------------------------------------------------------------------------------------------------------

   function MP_Utp_A_Extension_Timer_Running_Action_Timer_Running_Action_Base_Read_Structural_Feature_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 161;
   end MP_Utp_A_Extension_Timer_Running_Action_Timer_Running_Action_Base_Read_Structural_Feature_Action;

   ---------------------------------------------------------------
   -- MP_Utp_A_Extension_Coding_Rule_Coding_Rule_Base_Namespace --
   ---------------------------------------------------------------

   function MP_Utp_A_Extension_Coding_Rule_Coding_Rule_Base_Namespace return AMF.Internals.CMOF_Element is
   begin
      return Base + 147;
   end MP_Utp_A_Extension_Coding_Rule_Coding_Rule_Base_Namespace;

   --------------------------------------------------------------
   -- MP_Utp_A_Extension_Coding_Rule_Coding_Rule_Base_Property --
   --------------------------------------------------------------

   function MP_Utp_A_Extension_Coding_Rule_Coding_Rule_Base_Property return AMF.Internals.CMOF_Element is
   begin
      return Base + 148;
   end MP_Utp_A_Extension_Coding_Rule_Coding_Rule_Base_Property;

   ----------------------------------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Get_Timezone_Action_Get_Timezone_Action_Base_Read_Structural_Feature_Action --
   ----------------------------------------------------------------------------------------------------

   function MP_Utp_A_Extension_Get_Timezone_Action_Get_Timezone_Action_Base_Read_Structural_Feature_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 162;
   end MP_Utp_A_Extension_Get_Timezone_Action_Get_Timezone_Action_Base_Read_Structural_Feature_Action;

   ----------------------------------------------------------
   -- MP_Utp_A_Extension_Test_Case_Test_Case_Base_Behavior --
   ----------------------------------------------------------

   function MP_Utp_A_Extension_Test_Case_Test_Case_Base_Behavior return AMF.Internals.CMOF_Element is
   begin
      return Base + 138;
   end MP_Utp_A_Extension_Test_Case_Test_Case_Base_Behavior;

   ---------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Literal_Any_Literal_Any_Base_Literal_Specification --
   ---------------------------------------------------------------------------

   function MP_Utp_A_Extension_Literal_Any_Literal_Any_Base_Literal_Specification return AMF.Internals.CMOF_Element is
   begin
      return Base + 149;
   end MP_Utp_A_Extension_Literal_Any_Literal_Any_Base_Literal_Specification;

   -----------------------------------------------------------
   -- MP_Utp_A_Extension_Test_Case_Test_Case_Base_Operation --
   -----------------------------------------------------------

   function MP_Utp_A_Extension_Test_Case_Test_Case_Base_Operation return AMF.Internals.CMOF_Element is
   begin
      return Base + 139;
   end MP_Utp_A_Extension_Test_Case_Test_Case_Base_Operation;

   -----------------------------------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Set_Timezone_Action_Set_Timezone_Action_Base_Write_Structural_Feature_Action --
   -----------------------------------------------------------------------------------------------------

   function MP_Utp_A_Extension_Set_Timezone_Action_Set_Timezone_Action_Base_Write_Structural_Feature_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 163;
   end MP_Utp_A_Extension_Set_Timezone_Action_Set_Timezone_Action_Base_Write_Structural_Feature_Action;

   -----------------------------------------------------------------------
   -- MP_Utp_A_Extension_Finish_Action_Finish_Action_Base_Opaque_Action --
   -----------------------------------------------------------------------

   function MP_Utp_A_Extension_Finish_Action_Finish_Action_Base_Opaque_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 164;
   end MP_Utp_A_Extension_Finish_Action_Finish_Action_Base_Opaque_Action;

   -------------------------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Literal_Any_Or_Null_Literal_Any_Or_Null_Base_Literal_Specification --
   -------------------------------------------------------------------------------------------

   function MP_Utp_A_Extension_Literal_Any_Or_Null_Literal_Any_Or_Null_Base_Literal_Specification return AMF.Internals.CMOF_Element is
   begin
      return Base + 150;
   end MP_Utp_A_Extension_Literal_Any_Or_Null_Literal_Any_Or_Null_Base_Literal_Specification;

   ----------------------------------------------------------------------
   -- MP_Utp_A_Extension_Log_Action_Log_Action_Base_Send_Object_Action --
   ----------------------------------------------------------------------

   function MP_Utp_A_Extension_Log_Action_Log_Action_Base_Send_Object_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 165;
   end MP_Utp_A_Extension_Log_Action_Log_Action_Base_Send_Object_Action;

   ----------------------------------------------------------------------
   -- MP_Utp_A_Extension_Test_Objective_Test_Objective_Base_Dependency --
   ----------------------------------------------------------------------

   function MP_Utp_A_Extension_Test_Objective_Test_Objective_Base_Dependency return AMF.Internals.CMOF_Element is
   begin
      return Base + 140;
   end MP_Utp_A_Extension_Test_Objective_Test_Objective_Base_Dependency;

   ---------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Finish_Action_Finish_Action_Base_Invocation_Action --
   ---------------------------------------------------------------------------

   function MP_Utp_A_Extension_Finish_Action_Finish_Action_Base_Invocation_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 166;
   end MP_Utp_A_Extension_Finish_Action_Finish_Action_Base_Invocation_Action;

   ------------------------------------------------------------
   -- MP_Utp_A_Extension_Data_Pool_Data_Pool_Base_Classifier --
   ------------------------------------------------------------

   function MP_Utp_A_Extension_Data_Pool_Data_Pool_Base_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 151;
   end MP_Utp_A_Extension_Data_Pool_Data_Pool_Base_Classifier;

   ------------------------------------------------------
   -- MP_Utp_A_Extension_Default_Default_Base_Behavior --
   ------------------------------------------------------

   function MP_Utp_A_Extension_Default_Default_Base_Behavior return AMF.Internals.CMOF_Element is
   begin
      return Base + 141;
   end MP_Utp_A_Extension_Default_Default_Base_Behavior;

   ----------------------------------------------------------
   -- MP_Utp_A_Extension_Data_Pool_Data_Pool_Base_Property --
   ----------------------------------------------------------

   function MP_Utp_A_Extension_Data_Pool_Data_Pool_Base_Property return AMF.Internals.CMOF_Element is
   begin
      return Base + 152;
   end MP_Utp_A_Extension_Data_Pool_Data_Pool_Base_Property;

   ---------------------------------------------------------------------
   -- MP_Utp_A_Extension_Determ_Alt_Determ_Alt_Base_Combined_Fragment --
   ---------------------------------------------------------------------

   function MP_Utp_A_Extension_Determ_Alt_Determ_Alt_Base_Combined_Fragment return AMF.Internals.CMOF_Element is
   begin
      return Base + 167;
   end MP_Utp_A_Extension_Determ_Alt_Determ_Alt_Base_Combined_Fragment;

   ----------------------------------------------------------------------
   -- MP_Utp_A_Extension_Data_Partition_Data_Partition_Base_Classifier --
   ----------------------------------------------------------------------

   function MP_Utp_A_Extension_Data_Partition_Data_Partition_Base_Classifier return AMF.Internals.CMOF_Element is
   begin
      return Base + 153;
   end MP_Utp_A_Extension_Data_Partition_Data_Partition_Base_Classifier;

   --------------------------------------------------------------------------------
   -- MP_Utp_A_Extension_Default_Application_Default_Application_Base_Dependency --
   --------------------------------------------------------------------------------

   function MP_Utp_A_Extension_Default_Application_Default_Application_Base_Dependency return AMF.Internals.CMOF_Element is
   begin
      return Base + 142;
   end MP_Utp_A_Extension_Default_Application_Default_Application_Base_Dependency;

   --------------------------------------------
   -- MA_Utp_SUT_Base_Property_Extension_SUT --
   --------------------------------------------

   function MA_Utp_SUT_Base_Property_Extension_SUT return AMF.Internals.CMOF_Element is
   begin
      return Base + 90;
   end MA_Utp_SUT_Base_Property_Extension_SUT;

   ---------------------------------------------------------------------------
   -- MA_Utp_Test_Context_Base_Behaviored_Classifier_Extension_Test_Context --
   ---------------------------------------------------------------------------

   function MA_Utp_Test_Context_Base_Behaviored_Classifier_Extension_Test_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 91;
   end MA_Utp_Test_Context_Base_Behaviored_Classifier_Extension_Test_Context;

   -----------------------------------------------------------------
   -- MA_Utp_Data_Selector_Base_Operation_Extension_Data_Selector --
   -----------------------------------------------------------------

   function MA_Utp_Data_Selector_Base_Operation_Extension_Data_Selector return AMF.Internals.CMOF_Element is
   begin
      return Base + 92;
   end MA_Utp_Data_Selector_Base_Operation_Extension_Data_Selector;

   -------------------------------------------------------------------------------------
   -- MA_Utp_Validation_Action_Base_Call_Operation_Action_Extension_Validation_Action --
   -------------------------------------------------------------------------------------

   function MA_Utp_Validation_Action_Base_Call_Operation_Action_Extension_Validation_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 93;
   end MA_Utp_Validation_Action_Base_Call_Operation_Action_Extension_Validation_Action;

   --------------------------------------------------------
   -- MA_Utp_Time_Out_Base_Time_Event_Extension_Time_Out --
   --------------------------------------------------------

   function MA_Utp_Time_Out_Base_Time_Event_Extension_Time_Out return AMF.Internals.CMOF_Element is
   begin
      return Base + 94;
   end MA_Utp_Time_Out_Base_Time_Event_Extension_Time_Out;

   -------------------------------------------------------------------
   -- MA_Utp_Managed_Element_Base_Element_Extension_Managed_Element --
   -------------------------------------------------------------------

   function MA_Utp_Managed_Element_Base_Element_Extension_Managed_Element return AMF.Internals.CMOF_Element is
   begin
      return Base + 95;
   end MA_Utp_Managed_Element_Base_Element_Extension_Managed_Element;

   ---------------------------------------------------------------------
   -- MA_Utp_Time_Out_Message_Base_Message_Extension_Time_Out_Message --
   ---------------------------------------------------------------------

   function MA_Utp_Time_Out_Message_Base_Message_Extension_Time_Out_Message return AMF.Internals.CMOF_Element is
   begin
      return Base + 96;
   end MA_Utp_Time_Out_Message_Base_Message_Extension_Time_Out_Message;

   -------------------------------------------------------------------------------
   -- MA_Utp_Test_Component_Base_Structured_Classifier_Extension_Test_Component --
   -------------------------------------------------------------------------------

   function MA_Utp_Test_Component_Base_Structured_Classifier_Extension_Test_Component return AMF.Internals.CMOF_Element is
   begin
      return Base + 97;
   end MA_Utp_Test_Component_Base_Structured_Classifier_Extension_Test_Component;

   -------------------------------------------------------------------------------
   -- MA_Utp_Time_Out_Action_Base_Accept_Event_Action_Extension_Time_Out_Action --
   -------------------------------------------------------------------------------

   function MA_Utp_Time_Out_Action_Base_Accept_Event_Action_Extension_Time_Out_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 98;
   end MA_Utp_Time_Out_Action_Base_Accept_Event_Action_Extension_Time_Out_Action;

   ----------------------------------------------------------
   -- MA_Utp_Test_Suite_Base_Behavior_Extension_Test_Suite --
   ----------------------------------------------------------

   function MA_Utp_Test_Suite_Base_Behavior_Extension_Test_Suite return AMF.Internals.CMOF_Element is
   begin
      return Base + 99;
   end MA_Utp_Test_Suite_Base_Behavior_Extension_Test_Suite;

   ------------------------------------------------------
   -- MA_Utp_Test_Log_Base_Behavior_Extension_Test_Log --
   ------------------------------------------------------

   function MA_Utp_Test_Log_Base_Behavior_Extension_Test_Log return AMF.Internals.CMOF_Element is
   begin
      return Base + 100;
   end MA_Utp_Test_Log_Base_Behavior_Extension_Test_Log;

   ---------------------------------------------------------------------------------------
   -- MA_Utp_Start_Timer_Action_Base_Call_Operation_Action_Extension_Start_Timer_Action --
   ---------------------------------------------------------------------------------------

   function MA_Utp_Start_Timer_Action_Base_Call_Operation_Action_Extension_Start_Timer_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 101;
   end MA_Utp_Start_Timer_Action_Base_Call_Operation_Action_Extension_Start_Timer_Action;

   ---------------------------------------------------------------------------
   -- MA_Utp_Test_Context_Base_Structured_Classifier_Extension_Test_Context --
   ---------------------------------------------------------------------------

   function MA_Utp_Test_Context_Base_Structured_Classifier_Extension_Test_Context return AMF.Internals.CMOF_Element is
   begin
      return Base + 102;
   end MA_Utp_Test_Context_Base_Structured_Classifier_Extension_Test_Context;

   --------------------------------------------------------------------------------
   -- MA_Utp_Test_Log_Application_Base_Dependency_Extension_Test_Log_Application --
   --------------------------------------------------------------------------------

   function MA_Utp_Test_Log_Application_Base_Dependency_Extension_Test_Log_Application return AMF.Internals.CMOF_Element is
   begin
      return Base + 103;
   end MA_Utp_Test_Log_Application_Base_Dependency_Extension_Test_Log_Application;

   -------------------------------------------------------------------------------------
   -- MA_Utp_Stop_Timer_Action_Base_Call_Operation_Action_Extension_Stop_Timer_Action --
   -------------------------------------------------------------------------------------

   function MA_Utp_Stop_Timer_Action_Base_Call_Operation_Action_Extension_Stop_Timer_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 104;
   end MA_Utp_Stop_Timer_Action_Base_Call_Operation_Action_Extension_Stop_Timer_Action;

   -------------------------------------------------------------------------------------
   -- MA_Utp_Read_Timer_Action_Base_Call_Operation_Action_Extension_Read_Timer_Action --
   -------------------------------------------------------------------------------------

   function MA_Utp_Read_Timer_Action_Base_Call_Operation_Action_Extension_Read_Timer_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 105;
   end MA_Utp_Read_Timer_Action_Base_Call_Operation_Action_Extension_Read_Timer_Action;

   -----------------------------------------------------------------------
   -- MA_Utp_Coding_Rule_Base_Value_Specification_Extension_Coding_Rule --
   -----------------------------------------------------------------------

   function MA_Utp_Coding_Rule_Base_Value_Specification_Extension_Coding_Rule return AMF.Internals.CMOF_Element is
   begin
      return Base + 106;
   end MA_Utp_Coding_Rule_Base_Value_Specification_Extension_Coding_Rule;

   ----------------------------------------------------------------------------------------------------
   -- MA_Utp_Timer_Running_Action_Base_Read_Structural_Feature_Action_Extension_Timer_Running_Action --
   ----------------------------------------------------------------------------------------------------

   function MA_Utp_Timer_Running_Action_Base_Read_Structural_Feature_Action_Extension_Timer_Running_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 107;
   end MA_Utp_Timer_Running_Action_Base_Read_Structural_Feature_Action_Extension_Timer_Running_Action;

   -------------------------------------------------------------
   -- MA_Utp_Coding_Rule_Base_Namespace_Extension_Coding_Rule --
   -------------------------------------------------------------

   function MA_Utp_Coding_Rule_Base_Namespace_Extension_Coding_Rule return AMF.Internals.CMOF_Element is
   begin
      return Base + 108;
   end MA_Utp_Coding_Rule_Base_Namespace_Extension_Coding_Rule;

   ------------------------------------------------------------
   -- MA_Utp_Coding_Rule_Base_Property_Extension_Coding_Rule --
   ------------------------------------------------------------

   function MA_Utp_Coding_Rule_Base_Property_Extension_Coding_Rule return AMF.Internals.CMOF_Element is
   begin
      return Base + 109;
   end MA_Utp_Coding_Rule_Base_Property_Extension_Coding_Rule;

   --------------------------------------------------------------------------------------------------
   -- MA_Utp_Get_Timezone_Action_Base_Read_Structural_Feature_Action_Extension_Get_Timezone_Action --
   --------------------------------------------------------------------------------------------------

   function MA_Utp_Get_Timezone_Action_Base_Read_Structural_Feature_Action_Extension_Get_Timezone_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 110;
   end MA_Utp_Get_Timezone_Action_Base_Read_Structural_Feature_Action_Extension_Get_Timezone_Action;

   --------------------------------------------------------
   -- MA_Utp_Test_Case_Base_Behavior_Extension_Test_Case --
   --------------------------------------------------------

   function MA_Utp_Test_Case_Base_Behavior_Extension_Test_Case return AMF.Internals.CMOF_Element is
   begin
      return Base + 111;
   end MA_Utp_Test_Case_Base_Behavior_Extension_Test_Case;

   -------------------------------------------------------------------------
   -- MA_Utp_Literal_Any_Base_Literal_Specification_Extension_Literal_Any --
   -------------------------------------------------------------------------

   function MA_Utp_Literal_Any_Base_Literal_Specification_Extension_Literal_Any return AMF.Internals.CMOF_Element is
   begin
      return Base + 112;
   end MA_Utp_Literal_Any_Base_Literal_Specification_Extension_Literal_Any;

   ---------------------------------------------------------
   -- MA_Utp_Test_Case_Base_Operation_Extension_Test_Case --
   ---------------------------------------------------------

   function MA_Utp_Test_Case_Base_Operation_Extension_Test_Case return AMF.Internals.CMOF_Element is
   begin
      return Base + 113;
   end MA_Utp_Test_Case_Base_Operation_Extension_Test_Case;

   ---------------------------------------------------------------------------------------------------
   -- MA_Utp_Set_Timezone_Action_Base_Write_Structural_Feature_Action_Extension_Set_Timezone_Action --
   ---------------------------------------------------------------------------------------------------

   function MA_Utp_Set_Timezone_Action_Base_Write_Structural_Feature_Action_Extension_Set_Timezone_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 114;
   end MA_Utp_Set_Timezone_Action_Base_Write_Structural_Feature_Action_Extension_Set_Timezone_Action;

   ---------------------------------------------------------------------
   -- MA_Utp_Finish_Action_Base_Opaque_Action_Extension_Finish_Action --
   ---------------------------------------------------------------------

   function MA_Utp_Finish_Action_Base_Opaque_Action_Extension_Finish_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 115;
   end MA_Utp_Finish_Action_Base_Opaque_Action_Extension_Finish_Action;

   -----------------------------------------------------------------------------------------
   -- MA_Utp_Literal_Any_Or_Null_Base_Literal_Specification_Extension_Literal_Any_Or_Null --
   -----------------------------------------------------------------------------------------

   function MA_Utp_Literal_Any_Or_Null_Base_Literal_Specification_Extension_Literal_Any_Or_Null return AMF.Internals.CMOF_Element is
   begin
      return Base + 116;
   end MA_Utp_Literal_Any_Or_Null_Base_Literal_Specification_Extension_Literal_Any_Or_Null;

   --------------------------------------------------------------------
   -- MA_Utp_Log_Action_Base_Send_Object_Action_Extension_Log_Action --
   --------------------------------------------------------------------

   function MA_Utp_Log_Action_Base_Send_Object_Action_Extension_Log_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 117;
   end MA_Utp_Log_Action_Base_Send_Object_Action_Extension_Log_Action;

   --------------------------------------------------------------------
   -- MA_Utp_Test_Objective_Base_Dependency_Extension_Test_Objective --
   --------------------------------------------------------------------

   function MA_Utp_Test_Objective_Base_Dependency_Extension_Test_Objective return AMF.Internals.CMOF_Element is
   begin
      return Base + 118;
   end MA_Utp_Test_Objective_Base_Dependency_Extension_Test_Objective;

   -------------------------------------------------------------------------
   -- MA_Utp_Finish_Action_Base_Invocation_Action_Extension_Finish_Action --
   -------------------------------------------------------------------------

   function MA_Utp_Finish_Action_Base_Invocation_Action_Extension_Finish_Action return AMF.Internals.CMOF_Element is
   begin
      return Base + 119;
   end MA_Utp_Finish_Action_Base_Invocation_Action_Extension_Finish_Action;

   ----------------------------------------------------------
   -- MA_Utp_Data_Pool_Base_Classifier_Extension_Data_Pool --
   ----------------------------------------------------------

   function MA_Utp_Data_Pool_Base_Classifier_Extension_Data_Pool return AMF.Internals.CMOF_Element is
   begin
      return Base + 120;
   end MA_Utp_Data_Pool_Base_Classifier_Extension_Data_Pool;

   ----------------------------------------------------
   -- MA_Utp_Default_Base_Behavior_Extension_Default --
   ----------------------------------------------------

   function MA_Utp_Default_Base_Behavior_Extension_Default return AMF.Internals.CMOF_Element is
   begin
      return Base + 121;
   end MA_Utp_Default_Base_Behavior_Extension_Default;

   --------------------------------------------------------
   -- MA_Utp_Data_Pool_Base_Property_Extension_Data_Pool --
   --------------------------------------------------------

   function MA_Utp_Data_Pool_Base_Property_Extension_Data_Pool return AMF.Internals.CMOF_Element is
   begin
      return Base + 122;
   end MA_Utp_Data_Pool_Base_Property_Extension_Data_Pool;

   -------------------------------------------------------------------
   -- MA_Utp_Determ_Alt_Base_Combined_Fragment_Extension_Determ_Alt --
   -------------------------------------------------------------------

   function MA_Utp_Determ_Alt_Base_Combined_Fragment_Extension_Determ_Alt return AMF.Internals.CMOF_Element is
   begin
      return Base + 123;
   end MA_Utp_Determ_Alt_Base_Combined_Fragment_Extension_Determ_Alt;

   --------------------------------------------------------------------
   -- MA_Utp_Data_Partition_Base_Classifier_Extension_Data_Partition --
   --------------------------------------------------------------------

   function MA_Utp_Data_Partition_Base_Classifier_Extension_Data_Partition return AMF.Internals.CMOF_Element is
   begin
      return Base + 124;
   end MA_Utp_Data_Partition_Base_Classifier_Extension_Data_Partition;

   ------------------------------------------------------------------------------
   -- MA_Utp_Default_Application_Base_Dependency_Extension_Default_Application --
   ------------------------------------------------------------------------------

   function MA_Utp_Default_Application_Base_Dependency_Extension_Default_Application return AMF.Internals.CMOF_Element is
   begin
      return Base + 125;
   end MA_Utp_Default_Application_Base_Dependency_Extension_Default_Application;

   ------------
   -- MB_Utp --
   ------------

   function MB_Utp return AMF.Internals.AMF_Element is
   begin
      return Base;
   end MB_Utp;

   ------------
   -- MB_Utp --
   ------------

   function ML_Utp return AMF.Internals.AMF_Element is
   begin
      return Base + 172;
   end ML_Utp;

end AMF.Internals.Tables.Utp_Metamodel;
