------------------------------------------------------------------------------
--                                                                          --
--                            Matreshka Project                             --
--                                                                          --
--                          Ada Modeling Framework                          --
--                                                                          --
--                        Runtime Library Component                         --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2010-2011, Vadim Godunko <vgodunko@gmail.com>                --
-- All rights reserved.                                                     --
--                                                                          --
-- Redistribution and use in source and binary forms, with or without       --
-- modification, are permitted provided that the following conditions       --
-- are met:                                                                 --
--                                                                          --
--  * Redistributions of source code must retain the above copyright        --
--    notice, this list of conditions and the following disclaimer.         --
--                                                                          --
--  * Redistributions in binary form must reproduce the above copyright     --
--    notice, this list of conditions and the following disclaimer in the   --
--    documentation and/or other materials provided with the distribution.  --
--                                                                          --
--  * Neither the name of the Vadim Godunko, IE nor the names of its        --
--    contributors may be used to endorse or promote products derived from  --
--    this software without specific prior written permission.              --
--                                                                          --
-- THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS      --
-- "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT        --
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR    --
-- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     --
-- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,   --
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED --
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   --
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF   --
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING     --
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS       --
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.             --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 2817 $ $Date: 2012-04-07 00:01:14 +0200 (Sat, 07 Apr 2012) $
------------------------------------------------------------------------------
--  This file is generated, don't edit it.
------------------------------------------------------------------------------
with Matreshka.Internals.Strings;

package AMF.Internals.Tables.Utp_String_Data_00 is

   --  "extension_FinishAction"

   MS_0000 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 22,
         Length => 22,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0046#, 16#0069#,
           16#006E#, 16#0069#, 16#0073#, 16#0068#,
           16#0041#, 16#0063#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "extension_TestLog"

   MS_0001 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0054#, 16#0065#,
           16#0073#, 16#0074#, 16#004C#, 16#006F#,
           16#0067#,
           others => 16#0000#),
         others => <>);

   --  "SetTimezoneAction"

   MS_0002 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#0053#, 16#0065#, 16#0074#, 16#0054#,
           16#0069#, 16#006D#, 16#0065#, 16#007A#,
           16#006F#, 16#006E#, 16#0065#, 16#0041#,
           16#0063#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "tester"

   MS_0003 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0074#, 16#0065#, 16#0073#, 16#0074#,
           16#0065#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "ReadTimerAction"

   MS_0004 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 15,
         Length => 15,
         Value  =>
          (16#0052#, 16#0065#, 16#0061#, 16#0064#,
           16#0054#, 16#0069#, 16#006D#, 16#0065#,
           16#0072#, 16#0041#, 16#0063#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "testCase"

   MS_0005 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0074#, 16#0065#, 16#0073#, 16#0074#,
           16#0043#, 16#0061#, 16#0073#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "inconclusive"

   MS_0006 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 12,
         Length => 12,
         Value  =>
          (16#0069#, 16#006E#, 16#0063#, 16#006F#,
           16#006E#, 16#0063#, 16#006C#, 16#0075#,
           16#0073#, 16#0069#, 16#0076#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "extension_ManagedElement"

   MS_0007 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 24,
         Length => 24,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#004D#, 16#0061#,
           16#006E#, 16#0061#, 16#0067#, 16#0065#,
           16#0064#, 16#0045#, 16#006C#, 16#0065#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "extension_TestSuite"

   MS_0008 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 19,
         Length => 19,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0054#, 16#0065#,
           16#0073#, 16#0074#, 16#0053#, 16#0075#,
           16#0069#, 16#0074#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "base_AcceptEventAction"

   MS_0009 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 22,
         Length => 22,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0041#, 16#0063#, 16#0063#,
           16#0065#, 16#0070#, 16#0074#, 16#0045#,
           16#0076#, 16#0065#, 16#006E#, 16#0074#,
           16#0041#, 16#0063#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_WriteStructuralFeatureAction"

   MS_000A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 39,
         Unused => 33,
         Length => 33,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0057#, 16#0072#, 16#0069#,
           16#0074#, 16#0065#, 16#0053#, 16#0074#,
           16#0072#, 16#0075#, 16#0063#, 16#0074#,
           16#0075#, 16#0072#, 16#0061#, 16#006C#,
           16#0046#, 16#0065#, 16#0061#, 16#0074#,
           16#0075#, 16#0072#, 16#0065#, 16#0041#,
           16#0063#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "extension_LiteralAny"

   MS_000B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 20,
         Length => 20,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#004C#, 16#0069#,
           16#0074#, 16#0065#, 16#0072#, 16#0061#,
           16#006C#, 16#0041#, 16#006E#, 16#0079#,
           others => 16#0000#),
         others => <>);

   --  "Time"

   MS_000C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0054#, 16#0069#, 16#006D#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "CodingRule"

   MS_000D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0043#, 16#006F#, 16#0064#, 16#0069#,
           16#006E#, 16#0067#, 16#0052#, 16#0075#,
           16#006C#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "error"

   MS_000E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#0065#, 16#0072#, 16#0072#, 16#006F#,
           16#0072#,
           others => 16#0000#),
         others => <>);

   --  "extension_TestContext"

   MS_000F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 21,
         Length => 21,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0054#, 16#0065#,
           16#0073#, 16#0074#, 16#0043#, 16#006F#,
           16#006E#, 16#0074#, 16#0065#, 16#0078#,
           16#0074#,
           others => 16#0000#),
         others => <>);

   --  "extension_StopTimerAction"

   MS_0010 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 25,
         Length => 25,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0053#, 16#0074#,
           16#006F#, 16#0070#, 16#0054#, 16#0069#,
           16#006D#, 16#0065#, 16#0072#, 16#0041#,
           16#0063#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "compatibleSUTVersion"

   MS_0011 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 20,
         Length => 20,
         Value  =>
          (16#0063#, 16#006F#, 16#006D#, 16#0070#,
           16#0061#, 16#0074#, 16#0069#, 16#0062#,
           16#006C#, 16#0065#, 16#0053#, 16#0055#,
           16#0054#, 16#0056#, 16#0065#, 16#0072#,
           16#0073#, 16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "extension_ValidationAction"

   MS_0012 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 26,
         Length => 26,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0056#, 16#0061#,
           16#006C#, 16#0069#, 16#0064#, 16#0061#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           16#0041#, 16#0063#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_StructuredClassifier"

   MS_0013 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 25,
         Length => 25,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0053#, 16#0074#, 16#0072#,
           16#0075#, 16#0063#, 16#0074#, 16#0075#,
           16#0072#, 16#0065#, 16#0064#, 16#0043#,
           16#006C#, 16#0061#, 16#0073#, 16#0073#,
           16#0069#, 16#0066#, 16#0069#, 16#0065#,
           16#0072#,
           others => 16#0000#),
         others => <>);

   --  "duration"

   MS_0014 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0064#, 16#0075#, 16#0072#, 16#0061#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "TimeOutMessage"

   MS_0015 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0054#, 16#0069#, 16#006D#, 16#0065#,
           16#004F#, 16#0075#, 16#0074#, 16#004D#,
           16#0065#, 16#0073#, 16#0073#, 16#0061#,
           16#0067#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "extension_TimeOutAction"

   MS_0016 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 23,
         Length => 23,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0054#, 16#0069#,
           16#006D#, 16#0065#, 16#004F#, 16#0075#,
           16#0074#, 16#0041#, 16#0063#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "TestCase"

   MS_0017 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0054#, 16#0065#, 16#0073#, 16#0074#,
           16#0043#, 16#0061#, 16#0073#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "base_CallOperationAction"

   MS_0018 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 24,
         Length => 24,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0043#, 16#0061#, 16#006C#,
           16#006C#, 16#004F#, 16#0070#, 16#0065#,
           16#0072#, 16#0061#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#0041#, 16#0063#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "DataPartition"

   MS_0019 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0044#, 16#0061#, 16#0074#, 16#0061#,
           16#0050#, 16#0061#, 16#0072#, 16#0074#,
           16#0069#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_Element"

   MS_001A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 12,
         Length => 12,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0045#, 16#006C#, 16#0065#,
           16#006D#, 16#0065#, 16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "TestLogApplication"

   MS_001B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 18,
         Length => 18,
         Value  =>
          (16#0054#, 16#0065#, 16#0073#, 16#0074#,
           16#004C#, 16#006F#, 16#0067#, 16#0041#,
           16#0070#, 16#0070#, 16#006C#, 16#0069#,
           16#0063#, 16#0061#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_ValueSpecification"

   MS_001C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 23,
         Length => 23,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0056#, 16#0061#, 16#006C#,
           16#0075#, 16#0065#, 16#0053#, 16#0070#,
           16#0065#, 16#0063#, 16#0069#, 16#0066#,
           16#0069#, 16#0063#, 16#0061#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "extension_StartTimerAction"

   MS_001D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 26,
         Length => 26,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0053#, 16#0074#,
           16#0061#, 16#0072#, 16#0074#, 16#0054#,
           16#0069#, 16#006D#, 16#0065#, 16#0072#,
           16#0041#, 16#0063#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_OpaqueAction"

   MS_001E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#004F#, 16#0070#, 16#0061#,
           16#0071#, 16#0075#, 16#0065#, 16#0041#,
           16#0063#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "Default"

   MS_001F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0044#, 16#0065#, 16#0066#, 16#0061#,
           16#0075#, 16#006C#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "owner"

   MS_0020 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 5,
         Length => 5,
         Value  =>
          (16#006F#, 16#0077#, 16#006E#, 16#0065#,
           16#0072#,
           others => 16#0000#),
         others => <>);

   --  "extension_Default"

   MS_0021 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0044#, 16#0065#,
           16#0066#, 16#0061#, 16#0075#, 16#006C#,
           16#0074#,
           others => 16#0000#),
         others => <>);

   --  "criticality"

   MS_0022 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 11,
         Length => 11,
         Value  =>
          (16#0063#, 16#0072#, 16#0069#, 16#0074#,
           16#0069#, 16#0063#, 16#0061#, 16#006C#,
           16#0069#, 16#0074#, 16#0079#,
           others => 16#0000#),
         others => <>);

   --  "LogAction"

   MS_0023 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#004C#, 16#006F#, 16#0067#, 16#0041#,
           16#0063#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "extension_LogAction"

   MS_0024 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 19,
         Length => 19,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#004C#, 16#006F#,
           16#0067#, 16#0041#, 16#0063#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "extension_DefaultApplication"

   MS_0025 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 28,
         Length => 28,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0044#, 16#0065#,
           16#0066#, 16#0061#, 16#0075#, 16#006C#,
           16#0074#, 16#0041#, 16#0070#, 16#0070#,
           16#006C#, 16#0069#, 16#0063#, 16#0061#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_Property"

   MS_0026 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0050#, 16#0072#, 16#006F#,
           16#0070#, 16#0065#, 16#0072#, 16#0074#,
           16#0079#,
           others => 16#0000#),
         others => <>);

   --  "http://www.omg.org/UTPSA"

   MS_0027 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 24,
         Length => 24,
         Value  =>
          (16#0068#, 16#0074#, 16#0074#, 16#0070#,
           16#003A#, 16#002F#, 16#002F#, 16#0077#,
           16#0077#, 16#0077#, 16#002E#, 16#006F#,
           16#006D#, 16#0067#, 16#002E#, 16#006F#,
           16#0072#, 16#0067#, 16#002F#, 16#0055#,
           16#0054#, 16#0050#, 16#0053#, 16#0041#,
           others => 16#0000#),
         others => <>);

   --  "LiteralAny"

   MS_0028 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#004C#, 16#0069#, 16#0074#, 16#0065#,
           16#0072#, 16#0061#, 16#006C#, 16#0041#,
           16#006E#, 16#0079#,
           others => 16#0000#),
         others => <>);

   --  "pass"

   MS_0029 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0070#, 16#0061#, 16#0073#, 16#0073#,
           others => 16#0000#),
         others => <>);

   --  "extension_TimeOut"

   MS_002A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0054#, 16#0069#,
           16#006D#, 16#0065#, 16#004F#, 16#0075#,
           16#0074#,
           others => 16#0000#),
         others => <>);

   --  "extension_GetTimezoneAction"

   MS_002B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 27,
         Length => 27,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0047#, 16#0065#,
           16#0074#, 16#0054#, 16#0069#, 16#006D#,
           16#0065#, 16#007A#, 16#006F#, 16#006E#,
           16#0065#, 16#0041#, 16#0063#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_BehavioredClassifier"

   MS_002C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 25,
         Length => 25,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0042#, 16#0065#, 16#0068#,
           16#0061#, 16#0076#, 16#0069#, 16#006F#,
           16#0072#, 16#0065#, 16#0064#, 16#0043#,
           16#006C#, 16#0061#, 16#0073#, 16#0073#,
           16#0069#, 16#0066#, 16#0069#, 16#0065#,
           16#0072#,
           others => 16#0000#),
         others => <>);

   --  "DataPool"

   MS_002D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0044#, 16#0061#, 16#0074#, 16#0061#,
           16#0050#, 16#006F#, 16#006F#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "extension_DetermAlt"

   MS_002E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 19,
         Length => 19,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0044#, 16#0065#,
           16#0074#, 16#0065#, 16#0072#, 16#006D#,
           16#0041#, 16#006C#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "extension_TestObjective"

   MS_002F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 23,
         Length => 23,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0054#, 16#0065#,
           16#0073#, 16#0074#, 16#004F#, 16#0062#,
           16#006A#, 16#0065#, 16#0063#, 16#0074#,
           16#0069#, 16#0076#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "extension_ReadTimerAction"

   MS_0030 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 25,
         Length => 25,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0052#, 16#0065#,
           16#0061#, 16#0064#, 16#0054#, 16#0069#,
           16#006D#, 16#0065#, 16#0072#, 16#0041#,
           16#0063#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_SendObjectAction"

   MS_0031 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 21,
         Length => 21,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0053#, 16#0065#, 16#006E#,
           16#0064#, 16#004F#, 16#0062#, 16#006A#,
           16#0065#, 16#0063#, 16#0074#, 16#0041#,
           16#0063#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "version"

   MS_0032 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0076#, 16#0065#, 16#0072#, 16#0073#,
           16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_TimeEvent"

   MS_0033 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0054#, 16#0069#, 16#006D#,
           16#0065#, 16#0045#, 16#0076#, 16#0065#,
           16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "Verdict"

   MS_0034 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0056#, 16#0065#, 16#0072#, 16#0064#,
           16#0069#, 16#0063#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "TestObjective"

   MS_0035 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0054#, 16#0065#, 16#0073#, 16#0074#,
           16#004F#, 16#0062#, 16#006A#, 16#0065#,
           16#0063#, 16#0074#, 16#0069#, 16#0076#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "base_Namespace"

   MS_0036 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#004E#, 16#0061#, 16#006D#,
           16#0065#, 16#0073#, 16#0070#, 16#0061#,
           16#0063#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "testLevel"

   MS_0037 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#0074#, 16#0065#, 16#0073#, 16#0074#,
           16#004C#, 16#0065#, 16#0076#, 16#0065#,
           16#006C#,
           others => 16#0000#),
         others => <>);

   --  "compatibleSUTVariant"

   MS_0038 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 20,
         Length => 20,
         Value  =>
          (16#0063#, 16#006F#, 16#006D#, 16#0070#,
           16#0061#, 16#0074#, 16#0069#, 16#0062#,
           16#006C#, 16#0065#, 16#0053#, 16#0055#,
           16#0054#, 16#0056#, 16#0061#, 16#0072#,
           16#0069#, 16#0061#, 16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "base_CombinedFragment"

   MS_0039 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 21,
         Length => 21,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0043#, 16#006F#, 16#006D#,
           16#0062#, 16#0069#, 16#006E#, 16#0065#,
           16#0064#, 16#0046#, 16#0072#, 16#0061#,
           16#0067#, 16#006D#, 16#0065#, 16#006E#,
           16#0074#,
           others => 16#0000#),
         others => <>);

   --  "repetition"

   MS_003A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0072#, 16#0065#, 16#0070#, 16#0065#,
           16#0074#, 16#0069#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_ReadStructuralFeatureAction"

   MS_003B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 39,
         Unused => 32,
         Length => 32,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0052#, 16#0065#, 16#0061#,
           16#0064#, 16#0053#, 16#0074#, 16#0072#,
           16#0075#, 16#0063#, 16#0074#, 16#0075#,
           16#0072#, 16#0061#, 16#006C#, 16#0046#,
           16#0065#, 16#0061#, 16#0074#, 16#0075#,
           16#0072#, 16#0065#, 16#0041#, 16#0063#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_InvocationAction"

   MS_003C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 21,
         Length => 21,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0049#, 16#006E#, 16#0076#,
           16#006F#, 16#0063#, 16#0061#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#, 16#0041#,
           16#0063#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "extension_SetTimezoneAction"

   MS_003D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 27,
         Length => 27,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0053#, 16#0065#,
           16#0074#, 16#0054#, 16#0069#, 16#006D#,
           16#0065#, 16#007A#, 16#006F#, 16#006E#,
           16#0065#, 16#0041#, 16#0063#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "SUT"

   MS_003E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 3,
         Length => 3,
         Value  =>
          (16#0053#, 16#0055#, 16#0054#,
           others => 16#0000#),
         others => <>);

   --  "org.omg.xmi.nsPrefix"

   MS_003F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 20,
         Length => 20,
         Value  =>
          (16#006F#, 16#0072#, 16#0067#, 16#002E#,
           16#006F#, 16#006D#, 16#0067#, 16#002E#,
           16#0078#, 16#006D#, 16#0069#, 16#002E#,
           16#006E#, 16#0073#, 16#0050#, 16#0072#,
           16#0065#, 16#0066#, 16#0069#, 16#0078#,
           others => 16#0000#),
         others => <>);

   --  "extension_SUT"

   MS_0040 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0053#, 16#0055#,
           16#0054#,
           others => 16#0000#),
         others => <>);

   --  "extension_TestCase"

   MS_0041 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 18,
         Length => 18,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0054#, 16#0065#,
           16#0073#, 16#0074#, 16#0043#, 16#0061#,
           16#0073#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "executedAt"

   MS_0042 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0065#, 16#0078#, 16#0065#, 16#0063#,
           16#0075#, 16#0074#, 16#0065#, 16#0064#,
           16#0041#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "extension_TimerRunningAction"

   MS_0043 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 28,
         Length => 28,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0054#, 16#0069#,
           16#006D#, 16#0065#, 16#0072#, 16#0052#,
           16#0075#, 16#006E#, 16#006E#, 16#0069#,
           16#006E#, 16#0067#, 16#0041#, 16#0063#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "verdict"

   MS_0044 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0076#, 16#0065#, 16#0072#, 16#0064#,
           16#0069#, 16#0063#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "extension_LiteralAnyOrNull"

   MS_0045 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 26,
         Length => 26,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#004C#, 16#0069#,
           16#0074#, 16#0065#, 16#0072#, 16#0061#,
           16#006C#, 16#0041#, 16#006E#, 16#0079#,
           16#004F#, 16#0072#, 16#004E#, 16#0075#,
           16#006C#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "priority"

   MS_0046 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0070#, 16#0072#, 16#0069#, 16#006F#,
           16#0072#, 16#0069#, 16#0074#, 16#0079#,
           others => 16#0000#),
         others => <>);

   --  "extension_DataSelector"

   MS_0047 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 22,
         Length => 22,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0044#, 16#0061#,
           16#0074#, 16#0061#, 16#0053#, 16#0065#,
           16#006C#, 16#0065#, 16#0063#, 16#0074#,
           16#006F#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "TestSuite"

   MS_0048 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#0054#, 16#0065#, 16#0073#, 16#0074#,
           16#0053#, 16#0075#, 16#0069#, 16#0074#,
           16#0065#,
           others => 16#0000#),
         others => <>);

   --  "extension_CodingRule"

   MS_0049 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 20,
         Length => 20,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0043#, 16#006F#,
           16#0064#, 16#0069#, 16#006E#, 16#0067#,
           16#0052#, 16#0075#, 16#006C#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "base_Classifier"

   MS_004A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 15,
         Length => 15,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0043#, 16#006C#, 16#0061#,
           16#0073#, 16#0073#, 16#0069#, 16#0066#,
           16#0069#, 16#0065#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "verdictReason"

   MS_004B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0076#, 16#0065#, 16#0072#, 16#0064#,
           16#0069#, 16#0063#, 16#0074#, 16#0052#,
           16#0065#, 16#0061#, 16#0073#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "extension_DataPartition"

   MS_004C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 23,
         Length => 23,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0044#, 16#0061#,
           16#0074#, 16#0061#, 16#0050#, 16#0061#,
           16#0072#, 16#0074#, 16#0069#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "GetTimezoneAction"

   MS_004D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 17,
         Length => 17,
         Value  =>
          (16#0047#, 16#0065#, 16#0074#, 16#0054#,
           16#0069#, 16#006D#, 16#0065#, 16#007A#,
           16#006F#, 16#006E#, 16#0065#, 16#0041#,
           16#0063#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "TestComponent"

   MS_004E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0054#, 16#0065#, 16#0073#, 16#0074#,
           16#0043#, 16#006F#, 16#006D#, 16#0070#,
           16#006F#, 16#006E#, 16#0065#, 16#006E#,
           16#0074#,
           others => 16#0000#),
         others => <>);

   --  "extension_TestLogApplication"

   MS_004F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 28,
         Length => 28,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0054#, 16#0065#,
           16#0073#, 16#0074#, 16#004C#, 16#006F#,
           16#0067#, 16#0041#, 16#0070#, 16#0070#,
           16#006C#, 16#0069#, 16#0063#, 16#0061#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "LiteralAnyOrNull"

   MS_0050 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 16,
         Length => 16,
         Value  =>
          (16#004C#, 16#0069#, 16#0074#, 16#0065#,
           16#0072#, 16#0061#, 16#006C#, 16#0041#,
           16#006E#, 16#0079#, 16#004F#, 16#0072#,
           16#004E#, 16#0075#, 16#006C#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "extension_TestComponent"

   MS_0051 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 23,
         Length => 23,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0054#, 16#0065#,
           16#0073#, 16#0074#, 16#0043#, 16#006F#,
           16#006D#, 16#0070#, 16#006F#, 16#006E#,
           16#0065#, 16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "Duration"

   MS_0052 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0044#, 16#0075#, 16#0072#, 16#0061#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "Timezone"

   MS_0053 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 8,
         Length => 8,
         Value  =>
          (16#0054#, 16#0069#, 16#006D#, 16#0065#,
           16#007A#, 16#006F#, 16#006E#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "StopTimerAction"

   MS_0054 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 15,
         Length => 15,
         Value  =>
          (16#0053#, 16#0074#, 16#006F#, 16#0070#,
           16#0054#, 16#0069#, 16#006D#, 16#0065#,
           16#0072#, 16#0041#, 16#0063#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "TimeOut"

   MS_0055 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0054#, 16#0069#, 16#006D#, 16#0065#,
           16#004F#, 16#0075#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "coding"

   MS_0056 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 6,
         Length => 6,
         Value  =>
          (16#0063#, 16#006F#, 16#0064#, 16#0069#,
           16#006E#, 16#0067#,
           others => 16#0000#),
         others => <>);

   --  "DefaultApplication"

   MS_0057 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 18,
         Length => 18,
         Value  =>
          (16#0044#, 16#0065#, 16#0066#, 16#0061#,
           16#0075#, 16#006C#, 16#0074#, 16#0041#,
           16#0070#, 16#0070#, 16#006C#, 16#0069#,
           16#0063#, 16#0061#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "ManagedElement"

   MS_0058 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#004D#, 16#0061#, 16#006E#, 16#0061#,
           16#0067#, 16#0065#, 16#0064#, 16#0045#,
           16#006C#, 16#0065#, 16#006D#, 16#0065#,
           16#006E#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "base_Operation"

   MS_0059 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 14,
         Length => 14,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#004F#, 16#0070#, 16#0065#,
           16#0072#, 16#0061#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "TimeOutAction"

   MS_005A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0054#, 16#0069#, 16#006D#, 16#0065#,
           16#004F#, 16#0075#, 16#0074#, 16#0041#,
           16#0063#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_Behavior"

   MS_005B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 13,
         Length => 13,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0042#, 16#0065#, 16#0068#,
           16#0061#, 16#0076#, 16#0069#, 16#006F#,
           16#0072#,
           others => 16#0000#),
         others => <>);

   --  "ValidationAction"

   MS_005C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 16,
         Length => 16,
         Value  =>
          (16#0056#, 16#0061#, 16#006C#, 16#0069#,
           16#0064#, 16#0061#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#, 16#0041#, 16#0063#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "sutVersion"

   MS_005D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 10,
         Length => 10,
         Value  =>
          (16#0073#, 16#0075#, 16#0074#, 16#0056#,
           16#0065#, 16#0072#, 16#0073#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_Message"

   MS_005E : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 12,
         Length => 12,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#004D#, 16#0065#, 16#0073#,
           16#0073#, 16#0061#, 16#0067#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "extension_DataPool"

   MS_005F : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 18,
         Length => 18,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0044#, 16#0061#,
           16#0074#, 16#0061#, 16#0050#, 16#006F#,
           16#006F#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "FinishAction"

   MS_0060 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 12,
         Length => 12,
         Value  =>
          (16#0046#, 16#0069#, 16#006E#, 16#0069#,
           16#0073#, 16#0068#, 16#0041#, 16#0063#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "DetermAlt"

   MS_0061 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 9,
         Length => 9,
         Value  =>
          (16#0044#, 16#0065#, 16#0074#, 16#0065#,
           16#0072#, 16#006D#, 16#0041#, 16#006C#,
           16#0074#,
           others => 16#0000#),
         others => <>);

   --  "StartTimerAction"

   MS_0062 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 16,
         Length => 16,
         Value  =>
          (16#0053#, 16#0074#, 16#0061#, 16#0072#,
           16#0074#, 16#0054#, 16#0069#, 16#006D#,
           16#0065#, 16#0072#, 16#0041#, 16#0063#,
           16#0074#, 16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "fail"

   MS_0063 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#0066#, 16#0061#, 16#0069#, 16#006C#,
           others => 16#0000#),
         others => <>);

   --  "extension_TimeOutMessage"

   MS_0064 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 24,
         Length => 24,
         Value  =>
          (16#0065#, 16#0078#, 16#0074#, 16#0065#,
           16#006E#, 16#0073#, 16#0069#, 16#006F#,
           16#006E#, 16#005F#, 16#0054#, 16#0069#,
           16#006D#, 16#0065#, 16#004F#, 16#0075#,
           16#0074#, 16#004D#, 16#0065#, 16#0073#,
           16#0073#, 16#0061#, 16#0067#, 16#0065#,
           others => 16#0000#),
         others => <>);

   --  "DataSelector"

   MS_0065 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 12,
         Length => 12,
         Value  =>
          (16#0044#, 16#0061#, 16#0074#, 16#0061#,
           16#0053#, 16#0065#, 16#006C#, 16#0065#,
           16#0063#, 16#0074#, 16#006F#, 16#0072#,
           others => 16#0000#),
         others => <>);

   --  "base_LiteralSpecification"

   MS_0066 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 31,
         Unused => 25,
         Length => 25,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#004C#, 16#0069#, 16#0074#,
           16#0065#, 16#0072#, 16#0061#, 16#006C#,
           16#0053#, 16#0070#, 16#0065#, 16#0063#,
           16#0069#, 16#0066#, 16#0069#, 16#0063#,
           16#0061#, 16#0074#, 16#0069#, 16#006F#,
           16#006E#,
           others => 16#0000#),
         others => <>);

   --  "TestContext"

   MS_0067 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 11,
         Length => 11,
         Value  =>
          (16#0054#, 16#0065#, 16#0073#, 16#0074#,
           16#0043#, 16#006F#, 16#006E#, 16#0074#,
           16#0065#, 16#0078#, 16#0074#,
           others => 16#0000#),
         others => <>);

   --  "TimerRunningAction"

   MS_0068 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 18,
         Length => 18,
         Value  =>
          (16#0054#, 16#0069#, 16#006D#, 16#0065#,
           16#0072#, 16#0052#, 16#0075#, 16#006E#,
           16#006E#, 16#0069#, 16#006E#, 16#0067#,
           16#0041#, 16#0063#, 16#0074#, 16#0069#,
           16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "description"

   MS_0069 : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 11,
         Length => 11,
         Value  =>
          (16#0064#, 16#0065#, 16#0073#, 16#0063#,
           16#0072#, 16#0069#, 16#0070#, 16#0074#,
           16#0069#, 16#006F#, 16#006E#,
           others => 16#0000#),
         others => <>);

   --  "base_Dependency"

   MS_006A : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 23,
         Unused => 15,
         Length => 15,
         Value  =>
          (16#0062#, 16#0061#, 16#0073#, 16#0065#,
           16#005F#, 16#0044#, 16#0065#, 16#0070#,
           16#0065#, 16#006E#, 16#0064#, 16#0065#,
           16#006E#, 16#0063#, 16#0079#,
           others => 16#0000#),
         others => <>);

   --  "utp"

   MS_006B : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 3,
         Length => 3,
         Value  =>
          (16#0075#, 16#0074#, 16#0070#,
           others => 16#0000#),
         others => <>);

   --  "TestLog"

   MS_006C : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 15,
         Unused => 7,
         Length => 7,
         Value  =>
          (16#0054#, 16#0065#, 16#0073#, 16#0074#,
           16#004C#, 16#006F#, 16#0067#,
           others => 16#0000#),
         others => <>);

   --  "none"

   MS_006D : aliased Matreshka.Internals.Strings.Shared_String
     := (Size   => 7,
         Unused => 4,
         Length => 4,
         Value  =>
          (16#006E#, 16#006F#, 16#006E#, 16#0065#,
           others => 16#0000#),
         others => <>);

end AMF.Internals.Tables.Utp_String_Data_00;
